
# ------------------------------------------------------------------
# CMAKE file.
# It generates the file: sigConfig[.bat]
# This command is used by the Signal batch compiler (called from the signal command).
# -------------------------------------------------------------------

MK_CONFIG_NAME(${Signal_bin}/sigConfig SIGNAL_CMD)
GEN_HEADER_SCRIPT(${SIGNAL_CMD})
GEN_SHELL_VAR_IF_NOTDEFINED(${SIGNAL_CMD} T_MEM_ARB 60000000 "Tree memory parameter (optional)\n")
GEN_SHELL_VAR_IF_NOTDEFINED(${SIGNAL_CMD} T_MEM_CHAIN 1048576 "String memory parameter (optional)\n")
GEN_SHELL_VAR_IF_NOTDEFINED(${SIGNAL_CMD} SHELL_TypeTableMaxSize  4096 "Size of the type table(optional)\n")

