process Clock =
     { integer N; }
     ( ? event reset, basic_tick;
       ! integer hours, minutes, seconds;
     )
   (| (subseconds,s_tick) := Sampler{N}(reset,basic_tick)
    | (seconds,mn_tick) := Sampler{60}(reset,s_tick)
    | (minutes,hh_tick) := Sampler{60}(reset,mn_tick)
    | (hours,dd_tick) := Sampler{24}(reset,hh_tick)
    |)
   where 
   integer subseconds;
   event s_tick, mn_tick, hh_tick, dd_tick;
   process Sampler =
        { integer N; }
        ( ? event extReset, tick;
          ! integer val;
            event alarm;
        )
      (| val := Count(extReset default alarm)
       | moduloReset := (val=(N-1))$1 init true
       | alarm := true when moduloReset
       | val ^= extReset ^+ tick
       |)
      where 
      boolean moduloReset;
      process Count =
           ( ? event set0;
             ! integer val;
           )
         (| pVal := val$1 init 0
          | val := (0 when set0) default (pVal+1)
          |)
         where 
         integer pVal;
         end
      %Count%; 
      end
   %Sampler%; 
   end
%Clock%; 
