process TOPMOD_RESET_EXTENDED_SPECIFICATION_TRA =
     ( ? event ERESET;
         boolean C_ERESET, C_RESET_18, C_CLK_17, C_INCR;
       ! integer V;
         event OEV;
     )
   pragmas 
      Main
   end pragmas
   (| (| CLK_C_ERESET := ^C_ERESET
       | CLK_C_ERESET ^= C_ERESET ^= C_RESET_18 ^= C_CLK_17 ^= C_INCR
       | ACT_CLK_C_ERESET{}
       |)
    | (| (| CLK_33 ^= CLK_49 |)
       | (| RESET_18 ^= CLK_47 |)
       | (| CLK_V_0 ^= CLK_44 |)
       | (| CLK_49 ^= CLK_54 |)
       |)%**WARNING: Clocks constraints
      %
    |)
   where 
   constant integer V0 = 20;
   event CLK_V, CLK_17, RESET_18;
   process ACT_CLK_C_ERESET =
        ( )
      (| (| when C_ERESET ^= ERESET
          | ERESET ^= ERESET
          | CLK_28 := when (not C_ERESET)
          |)
       | (| RESET_18 := when C_RESET_18
          | CLK_30 := when (not C_RESET_18)
          |)
       | (| CLK_33 := when C_CLK_17
          | CLK_34 := when (not C_CLK_17)
          |)
       | (| CLK_V_0 := when C_INCR
          | CLK_V_0 ^= V ^= INCR ^= ZV
          | ACT_CLK_V_0{}
          | CLK_40 := when (not C_INCR)
          |)
       | (| CLK_44 := ERESET ^+ CLK_V_0 |)
       | (| CLK_47 := ERESET ^+ OEV |)
       | (| CLK_49 := CLK_V_0 ^- CLK_47 |)
       | (| CLK_54 := CLK_44 ^- CLK_47 |)
       |)
      where 
      process ACT_CLK_V_0 =
           ( )
         (| (| OEV := when (ZV>=20)
             | OEV ^= OEV
             | CLK_20 := when (not (ZV>=20))
             |)
          | (| V := (0 when RESET_18) default (INCR when CLK_33)
             | INCR := ZV+1
             | ZV := V$1 init 20
             |)
          |)
      %ACT_CLK_V_0%; 
      end
   %ACT_CLK_C_ERESET%; 
   end
%TOPMOD_RESET_EXTENDED_SPECIFICATION_TRA%; 
