module loideCommande =
   process calculerCommande =
        { dreal KP, TI, KCOR, SEUIL_QV, Te; }
        ( ? event clk_reguler; 
            dreal QV; 
            dreal niveau;
          ! dreal QEA;
        )
        spec (| clk_reguler ^= QV ^= niveau ^= QEA |)
      (| Err := (consigneNiveau?)-niveau
       | X := ((Te/TI)*Err)+(X$1 init 0.0)
       | REG3E := QV>SEUIL_QV
       | QEA1E := ((KP/KCOR)*Err)+(X/KCOR)
       | QEA3E := ((KP/KCOR)*Err)+(X/KCOR)+QV
       | QEA := if REG3E then QEA3E else QEA1E
       |)
      where 
      dreal Err, X; 
      dreal QEA1E, QEA3E; 
      boolean REG3E;
      end
   ;
end %loideCommande%; 
