module M_equationSolving_COST =
   type HomoType = external;
   constant HomoType NilHomoTypeValue = external;
   constant HomoType d_cst_epsilon = external;
   process P_COST % equationSolving_COST% =
        ( ? boolean stable, err2, next_stable, OK, C_d, C_, C_373, C_cc_384, C_error, C_328, C_331;
            HomoType d_a, d_b, d_c;
          ! HomoType d_x2, d_x1, d_error;
        )
      pragmas 
         main
      end pragmas
      (| (| CLK_stable := ^stable
          | CLK_stable ^= stable ^= next_stable ^= C_328 ^= C_331
          | CLK_stable ^= biterate ^= C ^= C_y ^= OK_344 ^= C_d_357 ^= C__368 ^= C_cc_390 ^= C__416 ^= C_x ^= C_x1 ^= C_444 ^= C_448 ^= C_451 ^= d_stable ^= d_yy ^= d_next_yy ^= d_biterate ^= d_mx ^= d_pre_next_yy ^= d_next_stable ^= d_s ^= d_XZX_147 ^= 
            d_C ^= d_C_328 ^= d_C_331 ^= d_C_y ^= d_OK_344 ^= d_C_d_357 ^= d_C__368 ^= d_C_cc_390 ^= d_C__416 ^= d_C_x ^= d_C_x1 ^= d_C_444 ^= d_C_448 ^= d_C_451 ^= d_nlabel ^= d_nlabel_454 ^= d_nlabel_455 ^= d_CLK_stable ^= done ^= done_996 ^= done_1000 
            ^= done_1006 ^= done_1010 ^= done_1022 ^= done_1033 ^= done_1040 ^= done_1044 ^= done_1050 ^= done_1054 ^= done_1069 ^= done_1079 ^= done_1088 ^= done_1092 ^= done_1113 ^= done_1128 ^= done_1147 ^= done_1158 ^= done_1168 ^= done_1178 ^= 
            done_1188 ^= done_1194 ^= XZX_1197 ^= done_1198 ^= XZX_1209 ^= done_1210 ^= done_1220 ^= done_1241 ^= done_1247 ^= XZX_1250 ^= done_1251 ^= XZX_1262 ^= done_1263 ^= XZX_1272 ^= done_1273 ^= XZX_1285 ^= XZX_1291 ^= done_1292 ^= XZX_1304 ^= 
            done_1305 ^= XZX_1331 ^= done_1332 ^= XZX_1341 ^= done_1342 ^= XZX_1351 ^= done_1352 ^= done_1369 ^= done_1375 ^= done_1380 ^= done_1391 ^= done_1400 ^= done_1410 ^= XZX_1413 ^= done_1414 ^= XZX_1423 ^= done_1424 ^= XZX_1436 ^= done_1437 ^= 
            done_1460 ^= done_1471 ^= done_1482 ^= done_1492 ^= done_1511 ^= done_1527 ^= done_1537 ^= done_1556 ^= done_1580 ^= done_1592 ^= done_1620 ^= done_1645 ^= done_1649 ^= done_1661 ^= done_1677 ^= done_1684 ^= XZX_1696 ^= done_1703 ^= XZX_1709 ^=
            done_1710 ^= XZX_1722 ^= done_1730 ^= done_1737 ^= done_1761 ^= done_1779 ^= done_1786 ^= done_1804 ^= done_1811 ^= done_1819 ^= done_1838 ^= XZX_1845 ^= done_1846 ^= done_1854 ^= XZX_1861 ^= done_1862 ^= done_1892 ^= done_1895 ^= done_1898 ^= 
            done_1902 ^= done_1907 ^= done_1911 ^= done_1915 ^= done_1919 ^= done_1923 ^= done_1927 ^= done_1931 ^= done_1935 ^= done_1939 ^= done_1943 ^= done_1947 ^= done_1951 ^= done_1958 ^= done_1977 ^= done_1987 ^= done_1990 ^= done_2003 ^= done_2006 
            ^= done_2011 ^= done_2018 ^= done_2027 ^= done_2041 ^= done_2051 ^= done_2061 ^= done_2079 ^= done_2082 ^= done_2087 ^= done_2117 ^= done_2124 ^= done_2128 ^= done_2132 ^= done_2136 ^= done_2207 ^= done_2218 ^= done_2244 ^= done_2252 ^= 
            done_2260 ^= done_2268 ^= done_2276 ^= done_2288 ^= done_2296 ^= done_2304 ^= done_2312 ^= done_2320 ^= done_2328 ^= done_2336 ^= done_2344 ^= done_2352 ^= done_2360 ^= done_2368 ^= done_2376 ^= done_2384 ^= done_2392 ^= done_2400 ^= done_2410 
            ^= done_2423 ^= done_2445 ^= done_2451 ^= done_2457
          |)
       | (| CLK_66 := when biterate
          | CLK_66 ^= d_CLK_66
          |)
       | (| CLK_67 := when C
          | CLK_67 ^= d_CLK_240
          |)
       | (| CLK_83 := when C_328
          | CLK_83 ^= d_CLK_242
          |)
       | (| CLK_84 := when C_331
          | CLK_84 ^= d_CLK_244
          |)
       | (| CLK_x2 := when C_y
          | CLK_x2 ^= d_x2_internal ^= d_y ^= d_bb_110 ^= d_x_168 ^= d_x_177 ^= d_CLK_x2_0 ^= XZX_1491 ^= XZX_1510 ^= XZX_1536 ^= XZX_1555 ^= d_x2
          | CLK_x2 ^= XZX_1504 ^= XZX_1549
          |)
       | (| CLK_a := when stable
          | CLK_a ^= C_cc ^= C_err ^= OK ^= d_a_internal ^= d_b_internal ^= d_c_internal ^= d_OK ^= d_C_cc ^= d_C_376 ^= d_C_error_398 ^= d_C_err ^= d_nlabel_456 ^= d_CLK_a ^= done_2200 ^= d_a ^= d_b ^= d_c
          | CLK_a ^= C_376 ^= C_error_398 ^= XZX_1970 ^= done_2143 ^= done_2152 ^= done_2166 ^= done_2188 ^= done_2192 ^= done_2196
          |)
       | (| CLK_bb := when OK
          | CLK_bb ^= C_d ^= C_ ^= C_373 ^= d_bb ^= d_cc ^= d_dd ^= d_aa ^= d_XZX_80 ^= d_XZX_84 ^= d_C_d ^= d_C_ ^= d_C_373 ^= d_CLK_bb ^= XZX_1091 ^= XZX_1112 ^= XZX_1470
          | CLK_bb ^= XZX_1105 ^= XZX_1748 ^= XZX_1772 ^= XZX_1797
          |)
       | (| CLK_d := when C_d
          | CLK_d ^= d_d ^= d_CLK_d_0 ^= XZX_1219 ^= XZX_1379
          | CLK_d ^= XZX_1232 ^= XZX_1362
          |)
       | (| CLK_x_1 := when C_
          | CLK_x_1 ^= d_x_1 ^= d_XZX_91 ^= d_CLK_x_1_0 ^= XZX_1146
          | CLK_x_1 ^= XZX_1140
          |)
       | (| CLK_31 := when C_373
          | CLK_31 ^= d_CLK_276
          | CLK_31 ^= XZX_1670
          |)
       | (| CLK_bb_1 := when C_cc
          | CLK_bb_1 ^= C_cc_384 ^= C_error ^= d_bb_1 ^= d_cc_2 ^= d_C_cc_384 ^= d_C_error ^= d_CLK_bb_1_0 ^= XZX_1619
          | CLK_bb_1 ^= XZX_1632 ^= XZX_2072 ^= XZX_2098
          |)
       | (| CLK_x := when C_cc_384
          | CLK_x ^= d_x ^= d_bb_212 ^= d_cc_213 ^= d_CLK_x_0 ^= XZX_1053
          |)
       | (| CLK_err2 := when C_error
          | CLK_err2 ^= err2 ^= d_err2 ^= d_CLK_err2_0
          |)
       | (| CLK_error := when C_err
          | CLK_error ^= d_error_internal ^= d_err_235 ^= d_CLK_error_0 ^= XZX_1648 ^= XZX_1660 ^= d_error
          |)
       | (| nlabel_456 :: equationSolving_Cluster_4_M{}
          | nlabel_456 ^= CLK_a
          |)
       | (| C_cc := not OK
          | C_376 := left_tt ( C_373,OK )
          | C_error_398 := left_tt ( C_error,C_cc )
          | C_err := C_376 or C_error_398
          | done_2188 := pack(d_OK,d_c_internal)
          | done_2192 := pack(d_stable,done_2188)
          | done_2196 := pack(d_aa,done_2192)
          | done_2200 := pack(d_C_cc,done_2196)
          |)
       | (| CLK_XZX_164 := when C__416
          | CLK_XZX_164 ^= d_XZX_164 ^= d_CLK_XZX_164_0
          |)
       | (| CLK_x21 := when C_x
          | CLK_x21 ^= d_x21 ^= d_CLK_x21_0 ^= XZX_1579 ^= XZX_1591
          |)
       | (| CLK_x1 := when C_x1
          | CLK_x1 ^= d_x1_internal ^= d_CLK_x1_0 ^= XZX ^= XZX_1021 ^= d_x1
          |)
       | (| CLK_230 := when C_444
          | CLK_230 ^= d_CLK_324
          |)
       | (| CLK_232 := when C_448
          | CLK_232 ^= d_CLK_326
          |)
       | (| CLK_236 := when C_451
          | CLK_236 ^= d_CLK_328
          |)
       | (| nlabel :: equationSolving_Cluster_1_M{}
          | nlabel ^= CLK_stable
          |)
       | (| nlabel_454 :: equationSolving_Cluster_2_M{}
          | nlabel_454 ^= CLK_stable
          |)
       | (| nlabel_455 :: equationSolving_Cluster_3_M{}
          | nlabel_455 ^= CLK_stable
          |)
       | (| nlabel_470 :: equationSolving_Cluster_delays_M{}
          | nlabel_470 ^= CLK_stable
          |)
       | (| biterate := CLK_d default ((not stable) when CLK_236)
          | C := not biterate
          | C_y := next_stable and biterate
          | OK_344 := left_tt ( OK,stable )
          | C_d_357 := left_tt ( C_d,stable )
          | C__368 := left_tt ( C_,stable )
          | C_cc_390 := left_tt ( C_cc_384,stable )
          | C__416 := C_y or OK_344
          | C_x := C_y or C__368
          | C_x1 := C_x or C_cc_390
          | C_444 := (not C_y) and C__368
          | C_448 := (not C_x) and C_cc_390
          | C_451 := not C_d_357
          | done_1898 := pack(d_x1_internal,d_x2_internal)
          | done_1902 := pack(d_error_internal,done_1898)
          | done_1907 := pack(d_bb,d_OK)
          | done_1911 := pack(d_cc,done_1907)
          | done_1915 := pack(d_stable,done_1911)
          | done_1919 := pack(d_pre_next_yy,done_1915)
          | done_1923 := pack(d_bb_212,done_1919)
          | done_1927 := pack(d_cc_2,done_1923)
          | done_1931 := pack(d_OK_344,done_1927)
          | done_1935 := pack(d_C_cc,done_1931)
          | done_1939 := pack(d_C_cc_384,done_1935)
          | done_1943 := pack(d_C_cc_390,done_1939)
          | done_1947 := pack(d_C_error,done_1943)
          | done_1951 := pack(d_C_error_398,done_1947)
          | (d_nlabel,done_1892) := CostSubGraph(done_1951,done_1902,d_CLK_stable,done_1895)
          | done_2011 := pack(d_stable,d_a_internal)
          | (d_nlabel_454,done_2003) := CostSubGraph(done_2011,NilHomoTypeValue when CLK_stable,d_CLK_stable,done_2006)
          | done_2124 := pack(d_OK,d_b_internal)
          | done_2128 := pack(d_stable,done_2124)
          | done_2132 := pack(d_aa,done_2128)
          | done_2136 := pack(d_C_cc,done_2132)
          | (d_nlabel_455,done_2117) := CostSubGraph(done_2136,NilHomoTypeValue when CLK_stable,d_CLK_stable,done_2003)
          | (d_nlabel_456,done_1895) := CostSubGraph(done_2200,NilHomoTypeValue when CLK_a,d_CLK_a,done_2117)
          | (d_CLK_bb,done_2244) := CostWhen1(d_OK,d_CLK_a,NilHomoTypeValue when CLK_a)
          | (d_CLK_bb_1_0,done_2252) := CostWhen1(d_C_cc,d_CLK_a,NilHomoTypeValue when CLK_a)
          | (d_CLK_d_0,done_2260) := CostWhen1(d_C_d,d_CLK_bb,NilHomoTypeValue when CLK_bb)
          | (d_CLK_x_1_0,done_2268) := CostWhen1(d_C_,d_CLK_bb,NilHomoTypeValue when CLK_bb)
          | (d_CLK_276,done_2276) := CostWhen1(d_C_373,d_CLK_bb,NilHomoTypeValue when CLK_bb)
          | d_CLK_stable := CostConst{__TC__#_event}()
          | (d_CLK_66,done_2288) := CostWhen1(d_biterate,d_CLK_stable,NilHomoTypeValue when CLK_stable)
          | (d_CLK_240,done_2296) := CostWhen1(d_C,d_CLK_stable,NilHomoTypeValue when CLK_stable)
          | (d_CLK_242,done_2304) := CostWhen1(d_C_328,d_CLK_stable,NilHomoTypeValue when CLK_stable)
          | (d_CLK_244,done_2312) := CostWhen1(d_C_331,d_CLK_stable,NilHomoTypeValue when CLK_stable)
          | (d_CLK_x2_0,done_2320) := CostWhen1(d_C_y,d_CLK_stable,NilHomoTypeValue when CLK_stable)
          | (d_CLK_a,done_2328) := CostWhen1(d_stable,d_CLK_stable,NilHomoTypeValue when CLK_stable)
          | (d_CLK_x_0,done_2336) := CostWhen1(d_C_cc_384,d_CLK_bb_1_0,NilHomoTypeValue when CLK_bb_1)
          | (d_CLK_err2_0,done_2344) := CostWhen1(d_C_error,d_CLK_bb_1_0,NilHomoTypeValue when CLK_bb_1)
          | (d_CLK_XZX_164_0,done_2352) := CostWhen1(d_C__416,d_CLK_stable,NilHomoTypeValue when CLK_stable)
          | (d_CLK_x21_0,done_2360) := CostWhen1(d_C_x,d_CLK_stable,NilHomoTypeValue when CLK_stable)
          | (d_CLK_error_0,done_2368) := CostWhen1(d_C_err,d_CLK_a,NilHomoTypeValue when CLK_a)
          | (d_CLK_x1_0,done_2376) := CostWhen1(d_C_x1,d_CLK_stable,NilHomoTypeValue when CLK_stable)
          | (d_CLK_324,done_2384) := CostWhen1(d_C_444,d_CLK_stable,NilHomoTypeValue when CLK_stable)
          | (d_CLK_326,done_2392) := CostWhen1(d_C_448,d_CLK_stable,NilHomoTypeValue when CLK_stable)
          | (d_CLK_328,done_2400) := CostWhen1(d_C_451,d_CLK_stable,NilHomoTypeValue when CLK_stable)
          | (d_a_internal,done_2410) := CostInput{__TC__#_real}(d_a,d_CLK_a,NilHomoTypeValue when CLK_a)
          | (d_b_internal,done_2423) := CostInput{__TC__#_real}(d_b,d_CLK_a,done_2410)
          | (d_c_internal,done_2006) := CostInput{__TC__#_real}(d_c,d_CLK_a,done_2423)
          | (d_x2,done_2445) := CostOutput{__TC__#_real}(d_x2_internal,d_CLK_x2_0,done_2451)
          | (d_x1,done_2457) := CostOutput{__TC__#_real}(d_x1_internal,d_CLK_x1_0,done_2445)
          | (d_error,done_2451) := CostOutput{__TC__#_logical}(d_error_internal,d_CLK_error_0,done_1892)
          |)
       |)
      where 
      event CLK_236, CLK_232, CLK_230, CLK_x1, CLK_error, CLK_x21, CLK_XZX_164, CLK_err2, CLK_x, CLK_a, CLK_x2, CLK_84, CLK_83, CLK_67, CLK_66, CLK_31, CLK_x_1, CLK_d, CLK_bb_1, CLK_bb, CLK_stable;
      label nlabel, nlabel_454, nlabel_455, nlabel_470; 
      label nlabel_456; 
      process equationSolving_Cluster_4_M =
           ( ? event CLK_a, CLK_bb_1, CLK_bb;
               HomoType d_c_internal, d_aa, d_CLK_bb, d_CLK_bb_1_0;
             ! HomoType d_cc, d_XZX_84, d_cc_2, done_2143, done_2152, done_2166;
           )
         (| (| CLK_bb ^= d_cc ^= d_aa ^= d_XZX_84 ^= d_CLK_bb
             | CLK_bb_1 ^= d_cc_2 ^= d_CLK_bb_1_0
             | CLK_a ^= d_c_internal ^= done_2143 ^= done_2152 ^= done_2166
             |)
          | (d_cc,done_2143) := CostDivi{__TC__#_real,__TC__#_real}(d_XZX_84,d_aa,d_CLK_bb,done_2152)
          | (d_XZX_84,done_2152) := CostWhen{__TC__#_real}(d_c_internal,d_CLK_bb,NilHomoTypeValue when CLK_bb)
          | (d_cc_2,done_2166) := CostWhen{__TC__#_real}(d_c_internal,d_CLK_bb_1_0,NilHomoTypeValue when CLK_bb_1)
          |)
      %equationSolving_Cluster_4_M%; 
      process equationSolving_Cluster_1_M =
           ( ? event CLK_err2, CLK_x, CLK_a, CLK_bb_1, CLK_bb, CLK_stable;
               boolean biterate, C, C_y, C__416, C_x, C_err, C_x1, C_444, C_448, C_451, C_d, C_, C_373, C_328, C_331;
               HomoType d_OK, d_bb, d_cc, d_stable, d_pre_next_yy, d_bb_212, d_cc_2, d_OK_344, d_C_cc_390, d_C_error_398, d_CLK_bb, d_CLK_bb_1_0, d_CLK_d_0, d_CLK_x_1_0, d_CLK_276, d_CLK_stable, d_CLK_66, d_CLK_240, d_CLK_242, d_CLK_244, d_CLK_x2_0, 
                        d_CLK_a, d_CLK_x_0, d_CLK_err2_0, d_CLK_XZX_164_0, d_CLK_x21_0, d_CLK_error_0, d_CLK_x1_0, d_CLK_324, d_CLK_326, d_CLK_328;
             ! HomoType d_x2_internal, d_x1_internal, d_error_internal, d_x, d_d, d_dd, d_x_1, d_XZX_91, d_y, d_bb_110, d_yy, d_next_yy, d_biterate, d_mx, d_next_stable, d_s, d_XZX_147, d_XZX_164, d_x_168, d_x_177, d_x21, d_cc_213, d_err2, d_err_235, 
                        d_C, d_C_328, d_C_331, d_C_y, d_C_d, d_C_d_357, d_C_, d_C__368, d_C_373, d_C_376, d_C__416, d_C_x, d_C_err, d_C_x1, d_C_444, d_C_448, d_C_451, done, done_996, done_1000, done_1006, XZX, done_1010, XZX_1021, done_1022, done_1033, 
                        done_1040, done_1044, done_1050, XZX_1053, done_1054, done_1069, done_1079, done_1088, XZX_1091, done_1092, XZX_1105, XZX_1112, done_1113, done_1128, XZX_1140, XZX_1146, done_1147, done_1158, done_1168, done_1178, done_1188, 
                        done_1194, XZX_1197, done_1198, XZX_1209, done_1210, XZX_1219, done_1220, XZX_1232, done_1241, done_1247, XZX_1250, done_1251, XZX_1262, done_1263, XZX_1272, done_1273, XZX_1285, XZX_1291, done_1292, XZX_1304, done_1305, XZX_1331, 
                        done_1332, XZX_1341, done_1342, XZX_1351, done_1352, XZX_1362, done_1369, done_1375, XZX_1379, done_1380, done_1391, done_1400, done_1410, XZX_1413, done_1414, XZX_1423, done_1424, XZX_1436, done_1437, done_1460, XZX_1470, 
                        done_1471, done_1482, XZX_1491, done_1492, XZX_1504, XZX_1510, done_1511, done_1527, XZX_1536, done_1537, XZX_1549, XZX_1555, done_1556, XZX_1579, done_1580, XZX_1591, done_1592, XZX_1619, done_1620, XZX_1632, done_1645, XZX_1648, 
                        done_1649, XZX_1660, done_1661, XZX_1670, done_1677, done_1684, XZX_1696, done_1703, XZX_1709, done_1710, XZX_1722, done_1730, done_1737, XZX_1748, done_1761, XZX_1772, done_1779, done_1786, XZX_1797, done_1804, done_1811, 
                        done_1819, done_1838, XZX_1845, done_1846, done_1854, XZX_1861, done_1862;
           )
         (| (| CLK_stable ^= biterate ^= C ^= C_y ^= C__416 ^= C_x ^= C_x1 ^= C_444 ^= C_448 ^= C_451 ^= C_328 ^= C_331 ^= d_stable ^= d_yy ^= d_next_yy ^= d_biterate ^= d_mx ^= d_pre_next_yy ^= d_next_stable ^= d_s ^= d_XZX_147 ^= d_C ^= d_C_328 ^= 
               d_C_331 ^= d_C_y ^= d_OK_344 ^= d_C_d_357 ^= d_C__368 ^= d_C_cc_390 ^= d_C__416 ^= d_C_x ^= d_C_x1 ^= d_C_444 ^= d_C_448 ^= d_C_451 ^= d_CLK_stable ^= done ^= done_996 ^= done_1000 ^= done_1006 ^= done_1010 ^= done_1022 ^= done_1033 ^= 
               done_1040 ^= done_1044 ^= done_1050 ^= done_1054 ^= done_1069 ^= done_1079 ^= done_1088 ^= done_1092 ^= done_1113 ^= done_1128 ^= done_1147 ^= done_1158 ^= done_1168 ^= done_1178 ^= done_1188 ^= done_1194 ^= XZX_1197 ^= done_1198 ^= 
               XZX_1209 ^= done_1210 ^= done_1220 ^= done_1241 ^= done_1247 ^= XZX_1250 ^= done_1251 ^= XZX_1262 ^= done_1263 ^= XZX_1272 ^= done_1273 ^= XZX_1285 ^= XZX_1291 ^= done_1292 ^= XZX_1304 ^= done_1305 ^= XZX_1331 ^= done_1332 ^= XZX_1341 ^= 
               done_1342 ^= XZX_1351 ^= done_1352 ^= done_1369 ^= done_1375 ^= done_1380 ^= done_1391 ^= done_1400 ^= done_1410 ^= XZX_1413 ^= done_1414 ^= XZX_1423 ^= done_1424 ^= XZX_1436 ^= done_1437 ^= done_1460 ^= done_1471 ^= done_1482 ^= done_1492 
               ^= done_1511 ^= done_1527 ^= done_1537 ^= done_1556 ^= done_1580 ^= done_1592 ^= done_1620 ^= done_1645 ^= done_1649 ^= done_1661 ^= done_1677 ^= done_1684 ^= XZX_1696 ^= done_1703 ^= XZX_1709 ^= done_1710 ^= XZX_1722 ^= done_1730 ^= 
               done_1737 ^= done_1761 ^= done_1779 ^= done_1786 ^= done_1804 ^= done_1811 ^= done_1819 ^= done_1838 ^= XZX_1845 ^= done_1846 ^= done_1854 ^= XZX_1861 ^= done_1862
             | CLK_bb ^= C_d ^= C_ ^= C_373 ^= d_bb ^= d_cc ^= d_dd ^= d_C_d ^= d_C_ ^= d_C_373 ^= d_CLK_bb ^= XZX_1091 ^= XZX_1105 ^= XZX_1112 ^= XZX_1470 ^= XZX_1748 ^= XZX_1772 ^= XZX_1797
             | CLK_bb_1 ^= d_cc_2 ^= d_CLK_bb_1_0 ^= XZX_1619 ^= XZX_1632
             | CLK_d ^= d_d ^= d_CLK_d_0 ^= XZX_1219 ^= XZX_1232 ^= XZX_1362 ^= XZX_1379
             | CLK_x_1 ^= d_x_1 ^= d_XZX_91 ^= d_CLK_x_1_0 ^= XZX_1140 ^= XZX_1146
             | CLK_31 ^= d_CLK_276 ^= XZX_1670
             | CLK_66 ^= d_CLK_66
             | CLK_67 ^= d_CLK_240
             | CLK_83 ^= d_CLK_242
             | CLK_84 ^= d_CLK_244
             | CLK_x2 ^= d_x2_internal ^= d_y ^= d_bb_110 ^= d_x_168 ^= d_x_177 ^= d_CLK_x2_0 ^= XZX_1491 ^= XZX_1504 ^= XZX_1510 ^= XZX_1536 ^= XZX_1549 ^= XZX_1555
             | CLK_a ^= C_err ^= d_OK ^= d_C_376 ^= d_C_error_398 ^= d_C_err ^= d_CLK_a
             | CLK_x ^= d_x ^= d_bb_212 ^= d_cc_213 ^= d_CLK_x_0 ^= XZX_1053
             | CLK_err2 ^= d_err2 ^= d_CLK_err2_0
             | CLK_XZX_164 ^= d_XZX_164 ^= d_CLK_XZX_164_0
             | CLK_x21 ^= d_x21 ^= d_CLK_x21_0 ^= XZX_1579 ^= XZX_1591
             | CLK_error ^= d_error_internal ^= d_err_235 ^= d_CLK_error_0 ^= XZX_1648 ^= XZX_1660
             | CLK_x1 ^= d_x1_internal ^= d_CLK_x1_0 ^= XZX ^= XZX_1021
             | CLK_230 ^= d_CLK_324
             | CLK_232 ^= d_CLK_326
             | CLK_236 ^= d_CLK_328
             |)
          | (d_x2_internal,done) := CostRenaming{__TC__#_real}(d_x_168,d_CLK_x2_0,done_996)
          | (XZX,done_1010) := CostWhen{__TC__#_real}(d_x,d_CLK_326,NilHomoTypeValue when CLK_x1)
          | (XZX_1021,done_1022) := CostWhen{__TC__#_real}(d_x21,d_CLK_x21_0,NilHomoTypeValue when CLK_x1)
          | (d_x1_internal,done_1000) := CostDefault{__TC__#_real}(XZX_1021,XZX,d_CLK_x1_0,done_1006)
          | (d_error_internal,done_1033) := CostRenaming{__TC__#_logical}(d_err_235,d_CLK_error_0,done_1040)
          | (XZX_1053,done_1054) := CostDivi{__TC__#_real,__TC__#_real}(d_cc_213,d_bb_212,d_CLK_x_0,NilHomoTypeValue when CLK_x)
          | (d_x,done_1044) := CostUMinus{__TC__#_real}(XZX_1053,d_CLK_x_0,done_1050)
          | (d_d,done_1069) := CostWhen{__TC__#_real}(d_dd,d_CLK_d_0,NilHomoTypeValue when CLK_d)
          | XZX_1105 := CostConst{__TC__#_real}()
          | (XZX_1091,done_1092) := CostMult{__TC__#_real,__TC__#_real}(XZX_1105,d_cc,d_CLK_bb,NilHomoTypeValue when CLK_bb)
          | (XZX_1112,done_1113) := CostMult{__TC__#_real,__TC__#_real}(d_bb,d_bb,d_CLK_bb,NilHomoTypeValue when CLK_bb)
          | (d_dd,done_1079) := CostMinus{__TC__#_real,__TC__#_real}(XZX_1112,XZX_1091,d_CLK_bb,done_1088)
          | XZX_1140 := CostConst{__TC__#_real}()
          | (XZX_1146,done_1147) := CostUMinus{__TC__#_real}(d_XZX_91,d_CLK_x_1_0,NilHomoTypeValue when CLK_x_1)
          | (d_x_1,done_1128) := CostDivi{__TC__#_real,__TC__#_real}(XZX_1146,XZX_1140,d_CLK_x_1_0,NilHomoTypeValue when CLK_x_1)
          | (d_XZX_91,done_1158) := CostWhen{__TC__#_real}(d_bb,d_CLK_x_1_0,NilHomoTypeValue when CLK_x_1)
          | (d_y,done_1168) := CostWhen{__TC__#_real}(d_yy,d_CLK_x2_0,NilHomoTypeValue when CLK_x2)
          | (d_bb_110,done_1178) := CostWhen{__TC__#_real}(d_XZX_164,d_CLK_x2_0,NilHomoTypeValue when CLK_x2)
          | (XZX_1197,done_1198) := CostWhen{__TC__#_real}(d_pre_next_yy,d_CLK_328,NilHomoTypeValue when CLK_stable)
          | XZX_1232 := CostConst{__TC__#_real}()
          | (XZX_1219,done_1220) := CostDivi{__TC__#_real,__TC__#_real}(d_d,XZX_1232,d_CLK_d_0,NilHomoTypeValue when CLK_d)
          | (XZX_1209,done_1210) := CostWhen{__TC__#_real}(XZX_1219,d_CLK_d_0,NilHomoTypeValue when CLK_stable)
          | (d_yy,done_1188) := CostDefault{__TC__#_real}(XZX_1209,XZX_1197,d_CLK_stable,done_1194)
          | (XZX_1250,done_1251) := CostWhen{__TC__#_real}(d_yy,d_CLK_240,NilHomoTypeValue when CLK_stable)
          | XZX_1285 := CostConst{__TC__#_real}()
          | (XZX_1304,done_1305) := CostDivi{__TC__#_real,__TC__#_real}(d_mx,d_yy,d_CLK_stable,NilHomoTypeValue when CLK_stable)
          | (XZX_1291,done_1292) := CostPlus{__TC__#_real,__TC__#_real}(d_yy,XZX_1304,d_CLK_stable,NilHomoTypeValue when CLK_stable)
          | (XZX_1272,done_1273) := CostDivi{__TC__#_real,__TC__#_real}(XZX_1291,XZX_1285,d_CLK_stable,NilHomoTypeValue when CLK_stable)
          | (XZX_1262,done_1263) := CostWhen{__TC__#_real}(XZX_1272,d_CLK_66,NilHomoTypeValue when CLK_stable)
          | (d_next_yy,done_1241) := CostDefault{__TC__#_real}(XZX_1262,XZX_1250,d_CLK_stable,done_1247)
          | (XZX_1341,done_1342) := CostNot(d_stable,d_CLK_stable,NilHomoTypeValue when CLK_stable)
          | (XZX_1331,done_1332) := CostWhen{__TC__#_logical}(XZX_1341,d_CLK_328,NilHomoTypeValue when CLK_stable)
          | XZX_1362 := CostConst{__TC__#_event}()
          | (XZX_1351,done_1352) := CostWhen{__TC__#_event}(XZX_1362,d_CLK_d_0,NilHomoTypeValue when CLK_stable)
          | (d_biterate,done_1247) := CostDefault{__TC__#_logical}(XZX_1351,XZX_1331,d_CLK_stable,done_1188)
          | (XZX_1379,done_1380) := CostWhen{__TC__#_real}(d_d,d_CLK_d_0,NilHomoTypeValue when CLK_d)
          | (d_mx,done_1369) := CostCell{__TC__#_real}(XZX_1379,d_CLK_stable,d_CLK_stable,done_1375)
          | (d_next_stable,done_1391) := CostLT{__TC__#_real,__TC__#_real}(d_s,d_cst_epsilon,d_CLK_stable,done_1400)
          | (XZX_1423,done_1424) := CostUMinus{__TC__#_real}(d_XZX_147,d_CLK_stable,NilHomoTypeValue when CLK_stable)
          | (XZX_1413,done_1414) := CostWhen{__TC__#_real}(XZX_1423,d_CLK_244,NilHomoTypeValue when CLK_stable)
          | (XZX_1436,done_1437) := CostWhen{__TC__#_real}(d_XZX_147,d_CLK_242,NilHomoTypeValue when CLK_stable)
          | (d_s,done_1400) := CostDefault{__TC__#_real}(XZX_1436,XZX_1413,d_CLK_stable,done_1410)
          | (d_XZX_147,done_1410) := CostMinus{__TC__#_real,__TC__#_real}(d_next_yy,d_yy,d_CLK_stable,done_1241)
          | (XZX_1470,done_1471) := CostWhen{__TC__#_real}(d_bb,d_CLK_bb,NilHomoTypeValue when CLK_bb)
          | (d_XZX_164,done_1460) := CostCell{__TC__#_real}(XZX_1470,d_CLK_XZX_164_0,d_CLK_XZX_164_0,NilHomoTypeValue when CLK_XZX_164)
          | XZX_1504 := CostConst{__TC__#_real}()
          | (XZX_1510,done_1511) := CostMinus{__TC__#_real,__TC__#_real}(d_bb_110,d_y,d_CLK_x2_0,NilHomoTypeValue when CLK_x2)
          | (XZX_1491,done_1492) := CostDivi{__TC__#_real,__TC__#_real}(XZX_1510,XZX_1504,d_CLK_x2_0,NilHomoTypeValue when CLK_x2)
          | (d_x_168,done_1482) := CostUMinus{__TC__#_real}(XZX_1491,d_CLK_x2_0,NilHomoTypeValue when CLK_x2)
          | XZX_1549 := CostConst{__TC__#_real}()
          | (XZX_1555,done_1556) := CostPlus{__TC__#_real,__TC__#_real}(d_bb_110,d_y,d_CLK_x2_0,NilHomoTypeValue when CLK_x2)
          | (XZX_1536,done_1537) := CostDivi{__TC__#_real,__TC__#_real}(XZX_1555,XZX_1549,d_CLK_x2_0,NilHomoTypeValue when CLK_x2)
          | (d_x_177,done_1527) := CostUMinus{__TC__#_real}(XZX_1536,d_CLK_x2_0,NilHomoTypeValue when CLK_x2)
          | (XZX_1579,done_1580) := CostWhen{__TC__#_real}(d_x_1,d_CLK_324,NilHomoTypeValue when CLK_x21)
          | (XZX_1591,done_1592) := CostWhen{__TC__#_real}(d_x_177,d_CLK_x2_0,NilHomoTypeValue when CLK_x21)
          | (d_x21,done_1006) := CostDefault{__TC__#_real}(XZX_1591,XZX_1579,d_CLK_x21_0,done)
          | (d_cc_213,done_1050) := CostWhen{__TC__#_real}(d_cc_2,d_CLK_x_0,NilHomoTypeValue when CLK_x)
          | XZX_1632 := CostConst{__TC__#_real}()
          | (XZX_1619,done_1620) := CostNEQ{__TC__#_real,__TC__#_real}(d_cc_2,XZX_1632,d_CLK_bb_1_0,NilHomoTypeValue when CLK_bb_1)
          | (d_err2,done_1088) := CostWhen{__TC__#_logical}(XZX_1619,d_CLK_err2_0,done_1044)
          | (XZX_1648,done_1649) := CostWhen{__TC__#_logical}(d_err2,d_CLK_err2_0,NilHomoTypeValue when CLK_error)
          | XZX_1670 := CostConst{__TC__#_event}()
          | (XZX_1660,done_1661) := CostWhen{__TC__#_event}(XZX_1670,d_CLK_276,NilHomoTypeValue when CLK_error)
          | (d_err_235,done_1040) := CostDefault{__TC__#_logical}(XZX_1660,XZX_1648,d_CLK_error_0,done_1645)
          | (d_C,done_1677) := CostNot(d_biterate,d_CLK_stable,NilHomoTypeValue when CLK_stable)
          | XZX_1696 := CostConst{__TC__#_real}()
          | (d_C_328,done_1684) := CostGEQ{__TC__#_real,__TC__#_real}(d_XZX_147,XZX_1696,d_CLK_stable,NilHomoTypeValue when CLK_stable)
          | XZX_1722 := CostConst{__TC__#_real}()
          | (XZX_1709,done_1710) := CostGEQ{__TC__#_real,__TC__#_real}(d_XZX_147,XZX_1722,d_CLK_stable,NilHomoTypeValue when CLK_stable)
          | (d_C_331,done_1703) := CostNot(XZX_1709,d_CLK_stable,NilHomoTypeValue when CLK_stable)
          | (d_C_y,done_1730) := CostAnd(d_next_stable,d_biterate,d_CLK_stable,done_1391)
          | XZX_1748 := CostConst{__TC__#_real}()
          | (d_C_d,done_1737) := CostGT{__TC__#_real,__TC__#_real}(d_dd,XZX_1748,d_CLK_bb,done_1079)
          | (d_C_d_357,done_1375) := CostLeftTT(d_C_d,d_stable,d_CLK_stable,done_1033)
          | XZX_1772 := CostConst{__TC__#_real}()
          | (d_C_,done_1761) := CostEQ{__TC__#_real,__TC__#_real}(d_dd,XZX_1772,d_CLK_bb,done_1737)
          | (d_C__368,done_1779) := CostLeftTT(d_C_,d_stable,d_CLK_stable,done_1369)
          | XZX_1797 := CostConst{__TC__#_real}()
          | (d_C_373,done_1786) := CostLT{__TC__#_real,__TC__#_real}(d_dd,XZX_1797,d_CLK_bb,done_1761)
          | (d_C_376,done_1804) := CostLeftTT(d_C_373,d_OK,d_CLK_a,done_1786)
          | (d_C__416,done_1811) := CostOr(d_C_y,d_OK_344,d_CLK_stable,NilHomoTypeValue when CLK_stable)
          | (d_C_x,done_1819) := CostOr(d_C_y,d_C__368,d_CLK_stable,done_1730)
          | (d_C_err,done_1645) := CostOr(d_C_376,d_C_error_398,d_CLK_a,done_1804)
          | (d_C_x1,done_996) := CostOr(d_C_x,d_C_cc_390,d_CLK_stable,done_1819)
          | (XZX_1845,done_1846) := CostNot(d_C_y,d_CLK_stable,NilHomoTypeValue when CLK_stable)
          | (d_C_444,done_1838) := CostAnd(XZX_1845,d_C__368,d_CLK_stable,NilHomoTypeValue when CLK_stable)
          | (XZX_1861,done_1862) := CostNot(d_C_x,d_CLK_stable,NilHomoTypeValue when CLK_stable)
          | (d_C_448,done_1854) := CostAnd(XZX_1861,d_C_cc_390,d_CLK_stable,NilHomoTypeValue when CLK_stable)
          | (d_C_451,done_1194) := CostNot(d_C_d_357,d_CLK_stable,done_1779)
          |)
      %equationSolving_Cluster_1_M%; 
      process equationSolving_Cluster_2_M =
           ( ? event CLK_a, CLK_stable;
               boolean C_cc, OK;
               HomoType d_a_internal, d_stable, d_CLK_bb, d_CLK_stable, d_CLK_a;
             ! HomoType d_OK, d_aa, d_OK_344, d_C_cc, done_1958, XZX_1970, done_1977, done_1987, done_1990;
           )
         (| (| CLK_stable ^= d_stable ^= d_OK_344 ^= d_CLK_stable ^= done_1958 ^= done_1977 ^= done_1987 ^= done_1990
             | CLK_bb ^= d_aa ^= d_CLK_bb
             | CLK_a ^= C_cc ^= OK ^= d_a_internal ^= d_OK ^= d_C_cc ^= d_CLK_a ^= XZX_1970
             |)
          | XZX_1970 := CostConst{__TC__#_real}()
          | (d_OK,done_1958) := CostNEQ{__TC__#_real,__TC__#_real}(d_a_internal,XZX_1970,d_CLK_a,NilHomoTypeValue when CLK_a)
          | (d_aa,done_1977) := CostWhen{__TC__#_real}(d_a_internal,d_CLK_bb,NilHomoTypeValue when CLK_bb)
          | (d_OK_344,done_1987) := CostLeftTT(d_OK,d_stable,d_CLK_stable,done_1990)
          | (d_C_cc,done_1990) := CostNot(d_OK,d_CLK_a,done_1958)
          |)
      %equationSolving_Cluster_2_M%; 
      process equationSolving_Cluster_3_M =
           ( ? event CLK_a, CLK_bb_1, CLK_bb, CLK_stable;
               boolean C_cc_384, C_error;
               HomoType d_b_internal, d_stable, d_aa, d_C_cc, d_CLK_bb, d_CLK_bb_1_0, d_CLK_stable, d_CLK_a, d_CLK_x_0;
             ! HomoType d_bb, d_XZX_80, d_bb_212, d_bb_1, d_C_cc_384, d_C_cc_390, d_C_error, d_C_error_398, done_2018, done_2027, done_2041, done_2051, done_2061, XZX_2072, done_2079, done_2082, done_2087, XZX_2098;
           )
         (| (| CLK_stable ^= d_stable ^= d_C_cc_390 ^= d_CLK_stable ^= done_2018 ^= done_2027 ^= done_2041 ^= done_2051 ^= done_2061 ^= done_2079 ^= done_2082 ^= done_2087
             | CLK_bb ^= d_bb ^= d_aa ^= d_XZX_80 ^= d_CLK_bb
             | CLK_bb_1 ^= C_cc_384 ^= C_error ^= d_bb_1 ^= d_C_cc_384 ^= d_C_error ^= d_CLK_bb_1_0 ^= XZX_2072 ^= XZX_2098
             | CLK_a ^= d_b_internal ^= d_C_cc ^= d_C_error_398 ^= d_CLK_a
             | CLK_x ^= d_bb_212 ^= d_CLK_x_0
             |)
          | (d_bb,done_2018) := CostDivi{__TC__#_real,__TC__#_real}(d_XZX_80,d_aa,d_CLK_bb,done_2027)
          | (d_XZX_80,done_2027) := CostWhen{__TC__#_real}(d_b_internal,d_CLK_bb,NilHomoTypeValue when CLK_bb)
          | (d_bb_212,done_2041) := CostWhen{__TC__#_real}(d_bb_1,d_CLK_x_0,NilHomoTypeValue when CLK_x)
          | (d_bb_1,done_2051) := CostWhen{__TC__#_real}(d_b_internal,d_CLK_bb_1_0,NilHomoTypeValue when CLK_bb_1)
          | XZX_2072 := CostConst{__TC__#_real}()
          | (d_C_cc_384,done_2061) := CostNEQ{__TC__#_real,__TC__#_real}(d_bb_1,XZX_2072,d_CLK_bb_1_0,done_2018)
          | (d_C_cc_390,done_2079) := CostLeftTT(d_C_cc_384,d_stable,d_CLK_stable,done_2082)
          | XZX_2098 := CostConst{__TC__#_real}()
          | (d_C_error,done_2087) := CostEQ{__TC__#_real,__TC__#_real}(d_bb_1,XZX_2098,d_CLK_bb_1_0,done_2061)
          | (d_C_error_398,done_2082) := CostLeftTT(d_C_error,d_C_cc,d_CLK_a,done_2087)
          |)
      %equationSolving_Cluster_3_M%; 
      process equationSolving_Cluster_delays_M =
           ( ? event CLK_stable;
               HomoType d_next_yy, d_next_stable, d_CLK_stable;
             ! HomoType d_stable, d_pre_next_yy, done_2207, done_2218;
           )
         (| (| CLK_stable ^= d_stable ^= d_next_yy ^= d_pre_next_yy ^= d_next_stable ^= d_CLK_stable ^= done_2207 ^= done_2218 |)
          | (d_stable,done_2207) := CostDelay{__TC__#_logical}(d_next_stable,d_CLK_stable,NilHomoTypeValue when CLK_stable)
          | (d_pre_next_yy,done_2218) := CostDelay{__TC__#_real}(d_next_yy,d_CLK_stable,done_2207)
          |)
      %equationSolving_Cluster_delays_M%; 
      boolean biterate, C, C_y, OK_344, C_cc, C_d_357, C__368, C_376, C_cc_390, C_error_398, C__416, C_x, C_err, C_x1, C_444, C_448, C_451;
      HomoType d_a_internal, d_b_internal, d_c_internal, d_x2_internal, d_x1_internal, d_error_internal, d_x, d_OK, d_d, d_bb, d_cc, d_stable, d_dd, d_aa, d_XZX_80, d_XZX_84, d_x_1, d_XZX_91, d_y, d_bb_110, d_yy, d_next_yy, d_biterate, d_mx, 
               d_pre_next_yy, d_next_stable, d_s, d_XZX_147, d_XZX_164, d_x_168, d_x_177, d_x21, d_bb_212, d_cc_213, d_err2, d_bb_1, d_cc_2, d_err_235, d_C, d_C_328, d_C_331, d_C_y, d_OK_344, d_C_cc, d_C_d, d_C_d_357, d_C_, d_C__368, d_C_373, d_C_376, 
               d_C_cc_384, d_C_cc_390, d_C_error, d_C_error_398, d_C__416, d_C_x, d_C_err, d_C_x1, d_C_444, d_C_448, d_C_451, d_nlabel, d_nlabel_454, d_nlabel_455, d_nlabel_456, d_CLK_bb, d_CLK_bb_1_0, d_CLK_d_0, d_CLK_x_1_0, d_CLK_276, d_CLK_stable, 
               d_CLK_66, d_CLK_240, d_CLK_242, d_CLK_244, d_CLK_x2_0, d_CLK_a, d_CLK_x_0, d_CLK_err2_0, d_CLK_XZX_164_0, d_CLK_x21_0, d_CLK_error_0, d_CLK_x1_0, d_CLK_324, d_CLK_326, d_CLK_328, done, done_996, done_1000, done_1006, XZX, done_1010, 
               XZX_1021, done_1022, done_1033, done_1040, done_1044, done_1050, XZX_1053, done_1054, done_1069, done_1079, done_1088, XZX_1091, done_1092, XZX_1105, XZX_1112, done_1113, done_1128, XZX_1140, XZX_1146, done_1147, done_1158, done_1168, 
               done_1178, done_1188, done_1194, XZX_1197, done_1198, XZX_1209, done_1210, XZX_1219, done_1220, XZX_1232, done_1241, done_1247, XZX_1250, done_1251, XZX_1262, done_1263, XZX_1272, done_1273, XZX_1285, XZX_1291, done_1292, XZX_1304, 
               done_1305, XZX_1331, done_1332, XZX_1341, done_1342, XZX_1351, done_1352, XZX_1362, done_1369, done_1375, XZX_1379, done_1380, done_1391, done_1400, done_1410, XZX_1413, done_1414, XZX_1423, done_1424, XZX_1436, done_1437, done_1460, 
               XZX_1470, done_1471, done_1482, XZX_1491, done_1492, XZX_1504, XZX_1510, done_1511, done_1527, XZX_1536, done_1537, XZX_1549, XZX_1555, done_1556, XZX_1579, done_1580, XZX_1591, done_1592, XZX_1619, done_1620, XZX_1632, done_1645, XZX_1648, 
               done_1649, XZX_1660, done_1661, XZX_1670, done_1677, done_1684, XZX_1696, done_1703, XZX_1709, done_1710, XZX_1722, done_1730, done_1737, XZX_1748, done_1761, XZX_1772, done_1779, done_1786, XZX_1797, done_1804, done_1811, done_1819, 
               done_1838, XZX_1845, done_1846, done_1854, XZX_1861, done_1862, done_1892, done_1895, done_1898, done_1902, done_1907, done_1911, done_1915, done_1919, done_1923, done_1927, done_1931, done_1935, done_1939, done_1943, done_1947, done_1951, 
               done_1958, XZX_1970, done_1977, done_1987, done_1990, done_2003, done_2006, done_2011, done_2018, done_2027, done_2041, done_2051, done_2061, XZX_2072, done_2079, done_2082, done_2087, XZX_2098, done_2117, done_2124, done_2128, done_2132, 
               done_2136, done_2143, done_2152, done_2166, done_2188, done_2192, done_2196, done_2200, done_2207, done_2218, done_2244, done_2252, done_2260, done_2268, done_2276, done_2288, done_2296, done_2304, done_2312, done_2320, done_2328, done_2336,
               done_2344, done_2352, done_2360, done_2368, done_2376, done_2384, done_2392, done_2400, done_2410, done_2423, done_2445, done_2451, done_2457;
      end
   %equationSolving_COST%; %(| err_235 := CLK_31 default (err2 when CLK_err2)
                             | done_2238 := pack(d_next_stable,d_next_yy)
                             | (d_nlabel_470,done_2230) := CostSubGraph(done_2238,NilHomoTypeValue when CLK_stable,d_CLK_stable,NilHomoTypeValue when CLK_stable)
                             |)***war: unused signals 
   *
   %
   use Cost_Context, STD, COSTBIB; 
end %M_equationSolving_COST%; 
