process SecondDegree_sbDC_TRA =
     ( ? real a, b, c;
       ! boolean err;
         real x21, x2;
         boolean stable, C_y, C_bb, C_err, C_x;
     )
   pragmas 
      Main
      DefinedClockHierarchy
   end pragmas
   (| Tick := true
    | when Tick ^= stable ^= yy ^= mx ^= s ^= XZX_157 ^= C_y ^= C_d_312 ^= C__323 ^= C_x
    | when Tick ^= next_yy ^= biterate ^= pre_next_yy ^= next_stable ^= C ^= C_277 ^= C_280 ^= C_293 ^= C_bb_301 ^= C_ ^= C_346 ^= C_350 ^= C_356
    | when stable ^= a ^= b ^= c ^= C_bb
    | when C_bb ^= C_d ^= C__317
    | when C_bb ^= bb ^= cc ^= dd ^= aa ^= XZX ^= XZX_77 ^= C_err
    | when C_d ^= d
    | when C__317 ^= x ^= XZX_92
    | when C_err ^= err
    | nlabel_368 :: SecondDegree_Cluster_2{}
    | nlabel_368 ^= when stable
    | nlabel_369 :: SecondDegree_Cluster_3{}
    | nlabel_369 ^= when stable
    | when C_y ^= x2 ^= y ^= bb_117 ^= x_182 ^= x1
    | when C_ ^= XZX_178
    | when C_x ^= x21 ^= x_200
    | nlabel :: SecondDegree_Cluster_1{}
    | nlabel ^= when Tick
    | nlabel_370 :: SecondDegree_Cluster_4{}
    | nlabel_370 ^= when Tick
    | nlabel_393 :: SecondDegree_Cluster_delays{}
    | nlabel_393 ^= when Tick
    | nlabel_370 --> {nlabel,nlabel_368,nlabel_369}
    | nlabel_369 --> nlabel
    | nlabel_368 --> nlabel
    | {c --> x21} when C_356
    | {c --> x2} when C_293
    | c --> {nlabel,nlabel_369}
    | {b --> x21} when C_356
    | {b --> x2} when C_293
    | b --> {nlabel,nlabel_368}
    | {a --> x21} when C_356
    | {a --> x2} when C_293
    | a --> {nlabel,nlabel_368,nlabel_369,nlabel_370}
    |)
   where 
   constant real epsilon = 0.000001;
   boolean biterate, next_stable, Tick, C, C_277, C_280, C_293, C_bb_301, C_, C_d, C_d_312, C__317, C__323, C_346, C_350, C_356;
   real d, bb, cc, dd, aa, XZX, XZX_77, x, XZX_92, y, bb_117, yy, next_yy, mx, pre_next_yy, s, XZX_157, XZX_178, x_182, x1, x_200;
   label nlabel, nlabel_370, nlabel_393; 
   label nlabel_368, nlabel_369; 
   process SecondDegree_Cluster_2 =
        ( ? real b;
            boolean stable;
            real aa;
            boolean C_bb;
        )
      pragmas 
         DefinedClockHierarchy
         Cluster
      end pragmas
      (| (| (| bb := XZX/aa
             | XZX := b when C_bb
             |) |) |)
   %SecondDegree_Cluster_2%; 
   process SecondDegree_Cluster_3 =
        ( ? real c;
            boolean stable;
            real aa;
            boolean C_bb;
        )
      pragmas 
         DefinedClockHierarchy
         Cluster
      end pragmas
      (| (| (| cc := XZX_77/aa
             | XZX_77 := c when C_bb
             |) |) |)
   %SecondDegree_Cluster_3%; 
   process SecondDegree_Cluster_1 =
        ( ? real bb, cc;
            boolean stable;
            real pre_next_yy;
            boolean C_bb, C_bb_301;
          ! boolean err;
            real x21, x2;
            boolean C_y, C_err, C_x;
        )
      pragmas 
         DefinedClockHierarchy
         Cluster
      end pragmas
      (| (| (| err := true when C_err
             | biterate := (true when C_d) default ((not stable) when C_346)
             | next_stable := s<epsilon
             | C := not biterate
             | C_277 := XZX_157>=0.0
             | C_280 := not (XZX_157>=0.0)
             | C_y := next_stable and biterate
             | C_293 := C_y and stable
             | C_ := C_y or C_bb_301
             | C_d := dd>0.0
             | C_d_312 := left_tt ( C_d,stable )
             | C__317 := dd=0.0
             | C__323 := left_tt ( C__317,stable )
             | C_err := dd<0.0
             | C_x := C_y or C__323
             | C_346 := not C_d_312
             | C_350 := (not C_y) and C__323
             | C_356 := stable and C_x
             |)
          | (| x21 := x_200
             | x2 := x_182
             | d := dd when C_d
             | dd := (bb*bb)-(4.0*cc)
             | x := (-XZX_92)/2.0
             | XZX_92 := bb when C__317
             | y := yy when C_y
             | bb_117 := XZX_178 when C_y
             | yy := ((d/2.0) when C_d) default (pre_next_yy when C_346)
             | next_yy := (((yy+(mx/yy))/2.0) when biterate) default (yy when C)
             | mx := (d when C_d) cell Tick init 0.0e0
             | s := (XZX_157 when C_277) default ((-XZX_157) when C_280)
             | XZX_157 := next_yy-yy
             | XZX_178 := (bb when C_bb) cell C_ init 0.0e0
             | x_182 := -((bb_117-y)/2.0)
             | x1 := -((bb_117+y)/2.0)
             | x_200 := (x1 when C_y) default (x when C_350)
             |)
          |) |)
   %SecondDegree_Cluster_1%; 
   process SecondDegree_Cluster_4 =
        ( ? real a;
            boolean stable;
          ! boolean C_bb;
        )
      pragmas 
         DefinedClockHierarchy
         Cluster
      end pragmas
      (| (| (| C_bb := not (a=0.0)
             | C_bb_301 := left_tt ( C_bb,stable )
             |)
          | (| aa := a when C_bb |)
          |) |)
   %SecondDegree_Cluster_4%; 
   process SecondDegree_Cluster_delays =
        ( ? real next_yy;
            boolean next_stable;
          ! boolean stable;
        )
      pragmas 
         DelayCluster
         Cluster
      end pragmas
      (| (| (| stable := next_stable$1 init true |)
          | (| pre_next_yy := next_yy$1 init 1.0 |)
          |) |)
   %SecondDegree_Cluster_delays%; 
   end
%SecondDegree_sbDC_TRA%; %(| C_285 := not (next_stable and biterate)
                           | C_287 := not stable
                           | C_290 := C_y or stable
                           | C_295 := a=0.0
                           | C_d_309 := left_tt ( C_d,C_bb )
                           | C_315 := not (dd>0.0)
                           | C__320 := left_tt ( C__317,C_bb )
                           | C_326 := not (dd=0.0)
                           | C_331 := not (dd<0.0)
                           | C_334 := C__317 or C_err
                           | C_337 := C_d or C_334
                           | C_340 := C_d or C_err
                           | C_353 := biterate and C_d_312
                           |)***WARNING: unused signals 
%
%
