process TRAIN_TRA =
     ( ? boolean H, HV11, HV12, HLW1, HNW1, HV21, HV22, HLW2, HNW2, HREPARER1, HPANNE1, HDEFAILLANCE1, HREPARER2, HPANNE2, HDEFAILLANCE2;
         real V11, V12, LW1;
         integer NW1;
         real V21, V22, LW2;
         integer NW2;
     )
   pragmas 
      Main
   end pragmas
   (| (| CLK_H := ^H
       | CLK_H ^= H
       | ACT_CLK_H{}
       |) |)
   where 
   constant real DMIN = 2500.0;
   constant real XT1 = 0.0;
   constant real XT2 = 10.0;
   constant real XT3 = 2480.0;
   constant real XT4 = 2520.0;
   constant real XT5 = 5000.0;
   constant integer DEL1 = 30;
   constant integer DEL2 = 15;
   constant integer DEL3 = 13;
   constant integer DEL_BARRIERE = 5;
   constant integer YV = 140;
   constant integer SENS = 1;
   constant integer NSLIDER = 1;
   constant integer NSLIDER_1744 = 2;
   constant integer YV2 = 120;
   constant integer YV2_1920 = 120;
   constant integer YV_2035 = 370;
   constant integer SENS_2038 = -1;
   constant integer NSLIDER_2041 = 3;
   constant integer NSLIDER_3367 = 4;
   constant integer YV2_3391 = 350;
   constant integer YV2_3487 = 350;
   constant integer XBAR = 520;
   constant integer YBAR = 310;
   constant integer XBAR_3962 = 520;
   constant integer YBAR_3963 = 80;
   constant real DIST1 = XT2-XT1;
   constant real DIST2 = XT3-XT2;
   constant integer X_4726 = 170;
   constant integer Y_4729 = 220;
   constant boolean INITIAL = true;
   constant boolean INITIAL_5010 = true;
   constant integer X_5402 = 170;
   constant integer Y_5403 = 200;
   constant boolean INITIAL_5439 = true;
   constant boolean INITIAL_5663 = true;
   constant boolean INITIAL_5773 = true;
   constant integer F_5850 = 1;
   constant integer X1_5851 = 498;
   constant integer Y1_5854 = 72;
   constant integer X2_5857 = 514;
   constant integer Y2_5860 = 88;
   constant integer F_6007 = 1;
   constant integer X1_6008 = 498;
   constant integer Y1_6009 = 302;
   constant integer X2_6012 = 514;
   constant integer Y2_6013 = 318;
   constant integer F_6158 = 0;
   constant integer Y_6159 = 60;
   constant integer X1_6162 = 120;
   constant integer X2_6165 = 240;
   constant integer X3_6168 = 360;
   constant integer XX2_6184 = 220;
   constant integer YY2 = 80;
   constant integer XX2_6242 = 340;
   constant integer YY2_6245 = 80;
   constant integer XX2_6295 = 460;
   constant integer YY2_6298 = 80;
   constant integer F_6351 = 0;
   constant integer Y_6352 = 100;
   constant integer X1_6354 = 120;
   constant integer X2_6355 = 240;
   constant integer X3_6356 = 360;
   constant integer XX2_6370 = 220;
   constant integer YY2_6373 = 120;
   constant integer XX2_6427 = 340;
   constant integer YY2_6430 = 120;
   constant integer XX2_6480 = 460;
   constant integer YY2_6483 = 120;
   constant integer F_6539 = 0;
   constant integer Y_6540 = 200;
   constant integer X1_6541 = 137;
   constant integer X2_6544 = 280;
   constant integer X3_6547 = 400;
   constant integer XX2_6569 = 187;
   constant integer YY2_6573 = 220;
   constant integer XX2_6633 = 380;
   constant integer YY2_6636 = 220;
   constant integer XX2_6686 = 500;
   constant integer YY2_6689 = 220;
   constant integer F_6745 = 0;
   constant integer Y_6746 = 240;
   constant integer X1_6747 = 137;
   constant integer X2_6748 = 280;
   constant integer X3_6749 = 400;
   constant integer XX2_6769 = 187;
   constant integer YY2_6772 = 260;
   constant integer XX2_6832 = 380;
   constant integer YY2_6835 = 260;
   constant integer XX2_6885 = 500;
   constant integer YY2_6888 = 260;
   constant integer M = 100;
   constant integer M_7039 = 40;
   event CLK_H;
   process ACT_CLK_H =
        ( )
      (| CLK_H ^= ZX1 ^= ZX2 ^= ZXX1 ^= ZXX2 ^= VITESSE ^= ZVITESSE ^= VITESSE_1651 ^= ZVITESSE_1652 ^= Z_1691 ^= Z_1705 ^= Z_1719 ^= Z_1733 ^= ZX1_3152 ^= ZX2_3153 ^= ZXX1_3154 ^= ZXX2_3155 ^= VITESSE_3198 ^= ZVITESSE_3199 ^= VITESSE_3274 ^= 
         ZVITESSE_3275 ^= Z_3314 ^= Z_3328 ^= Z_3342 ^= Z_3356 ^= XZX ^= ACTIF_3792 ^= ZACTIF_1 ^= ACTIF_3827 ^= POS_THEORIQUE ^= ACTIF_3861 ^= ZACTIF_2 ^= ACTIF_3895 ^= MOUVEMENT ^= XZX_3997 ^= ACTIF_4085 ^= ZACTIF_4086 ^= ACTIF_4119 ^= ZACTIF_4120 ^= 
         ACTIF_4153 ^= ZACTIF_4154 ^= ACTIF_4187 ^= ZACTIF_4188 ^= ACTIF_4874 ^= ZACTIF_4875 ^= ACTIF_5542 ^= ZACTIF_5543 ^= N_7023 ^= ZN_7024 ^= N_7045 ^= ZN_7046
       | (| STOP1 := when (ZXX1>XT5)
          | (| RAZSLIDER(1 when STOP1) |)
          |)
       | (| CLK_825 := when ((VITESSE>0.0e0) and ((ZX1>=ZX2) or ((ZX1+DMIN)<ZXX2))) |)
       | (| CLK_833 := when (ZXX1<=XT1) |)
       | (| STOP2 := when (ZXX2>XT5)
          | (| RAZSLIDER(2 when STOP2) |)
          |)
       | (| CLK_888 := when ((VITESSE_1651>0.0e0) and ((ZX2>=ZX1) or ((ZX2+DMIN)<ZXX1))) |)
       | (| CLK_896 := when (ZXX2<=XT1) |)
       | (| STOP1_2969 := when (ZXX1_3154>XT5)
          | (| RAZSLIDER(3 when STOP1_2969) |)
          |)
       | (| CLK_1760 := when ((VITESSE_3198>0.0e0) and ((ZX1_3152>=ZX2_3153) or ((ZX1_3152+DMIN)<ZXX2_3155))) |)
       | (| CLK_1768 := when (ZXX1_3154<=XT1) |)
       | (| STOP2_2970 := when (ZXX2_3155>XT5)
          | (| RAZSLIDER(4 when STOP2_2970) |)
          |)
       | (| CLK_1823 := when ((VITESSE_3274>0.0e0) and ((ZX2_3153>=ZX1_3152) or ((ZX2_3153+DMIN)<ZXX1_3154))) |)
       | (| CLK_1831 := when (ZXX2_3155<=XT1) |)
       | (| CLK_1978 := when MOUVEMENT |)
       | (| CLK_1981 := when POS_THEORIQUE
          | CLK_1982 := when (not POS_THEORIQUE)
          |)
       | (| CLK_2118 := when (not (ZACTIF_1 or ZACTIF_2)) |)
       | (| CLK_2158 := when ZACTIF_4188 |)
       | (| CLK_2161 := when ZACTIF_4120
          | CLK_2162 := when (not ZACTIF_4120)
          |)
       | (| CLK_2288 := when (not (ZACTIF_4086 or ZACTIF_4154)) |)
       | (| COMPTER := when ACTIF_4874 |)
       | (| COMPTER_5539 := when ACTIF_5542 |)
       | (| HMOD100 := when (ZN_7024=1)
          | CLK_3807 := when (not (ZN_7024=1))
          |)
       | (| CLK_HV11 := when (ZN_7046=1)
          | CLK_HV11 ^= HV11 ^= HV12 ^= HLW1 ^= HNW1 ^= HV21 ^= HV22 ^= HLW2 ^= HNW2 ^= HREPARER1 ^= HPANNE1 ^= HDEFAILLANCE1 ^= HREPARER2 ^= HPANNE2 ^= HDEFAILLANCE2
          | ACT_CLK_HV11{}
          | CLK_3822 := when (not (ZN_7046=1))
          |)
       | (| CLK_ACTIF_2224 := STOP2_2970 ^+ CLK_1823
          | CLK_ACTIF_2224 ^= X_3040 ^= XX_3045
          | ACT_CLK_ACTIF_2224{}
          |)
       | (| CLK_L_3072 := CLK_ACTIF_2224 ^* CLK_1831
          | CLK_L_3072 ^= L_3072 ^= LWAG_3235
          | ACT_CLK_L_3072{}
          |)
       | (| CLK_ACTIF_2178 := STOP1_2969 ^+ CLK_1760
          | CLK_ACTIF_2178 ^= X_2975 ^= XX_2980
          | ACT_CLK_ACTIF_2178{}
          |)
       | (| CLK_L_3007 := CLK_ACTIF_2178 ^* CLK_1768
          | CLK_L_3007 ^= L_3007 ^= LWAG_3158
          | ACT_CLK_L_3007{}
          |)
       | (| CLK_XW0_2786 := CLK_XW0_2805 ^+ CLK_XW0_2847
          | CLK_XW0_2786 ^= XW0_2786
          | (| XW0_2786 := (XW0_2805 when CLK_XW0_2805) default (XW0_2847 when CLK_4963) |)
          |)
       | (| CLK_XW0_2626 := CLK_XW0_2645 ^+ CLK_XW0_2687
          | CLK_XW0_2626 ^= XW0_2626
          | (| XW0_2626 := (XW0_2645 when CLK_XW0_2645) default (XW0_2687 when CLK_4955) |)
          |)
       | (| CLK_XW0_2466 := CLK_XW0_2485 ^+ CLK_XW0_2527
          | CLK_XW0_2466 ^= XW0_2466
          | (| XW0_2466 := (XW0_2485 when CLK_XW0_2485) default (XW0_2527 when CLK_4947) |)
          |)
       | (| CLK_XW0_2304 := CLK_XW0_2323 ^+ CLK_XW0_2366
          | CLK_XW0_2304 ^= XW0_2304
          | (| XW0_2304 := (XW0_2323 when CLK_XW0_2323) default (XW0_2366 when CLK_4941) |)
          |)
       | (| CLK_XW0_2136 := CLK_XW0_2155 ^+ CLK_XW0_2201
          | CLK_XW0_2136 ^= XW0_2136
          | (| XW0_2136 := (XW0_2155 when CLK_XW0_2155) default (XW0_2201 when CLK_4933) |)
          |)
       | (| CLK_ACTIF_587 := STOP2 ^+ CLK_888
          | CLK_ACTIF_587 ^= X2 ^= XX2
          | ACT_CLK_ACTIF_587{}
          |)
       | (| CLK_L_1446 := CLK_ACTIF_587 ^* CLK_896
          | CLK_L_1446 ^= L_1446 ^= LWAG2
          | ACT_CLK_L_1446{}
          |)
       | (| CLK_ACTIF := STOP1 ^+ CLK_825
          | CLK_ACTIF ^= X1 ^= XX1
          | ACT_CLK_ACTIF{}
          |)
       | (| CLK_L := CLK_ACTIF ^* CLK_833
          | CLK_L ^= L ^= LWAG1
          | ACT_CLK_L{}
          |)
       | (| CLK_XW0_1157 := CLK_XW0_1176 ^+ CLK_XW0_1219
          | CLK_XW0_1157 ^= XW0_1157
          | (| XW0_1157 := (XW0_1176 when CLK_XW0_1176) default (XW0_1219 when CLK_4917) |)
          |)
       | (| CLK_XW0_996 := CLK_XW0_1015 ^+ CLK_XW0_1058
          | CLK_XW0_996 ^= XW0_996
          | (| XW0_996 := (XW0_1015 when CLK_XW0_1015) default (XW0_1058 when CLK_4909) |)
          |)
       | (| CLK_XW0_834 := CLK_XW0_853 ^+ CLK_XW0_896
          | CLK_XW0_834 ^= XW0_834
          | (| XW0_834 := (XW0_853 when CLK_XW0_853) default (XW0_896 when CLK_4901) |)
          |)
       | (| CLK_XW0_670 := CLK_XW0_689 ^+ CLK_XW0_733
          | CLK_XW0_670 ^= XW0_670
          | (| XW0_670 := (XW0_689 when CLK_XW0_689) default (XW0_733 when CLK_4895) |)
          |)
       | (| CLK_XW0 := CLK_XW0_3 ^+ CLK_XW0_6
          | CLK_XW0 ^= XW0
          | (| XW0 := (XW0_3 when CLK_XW0_3) default (XW0_6 when CLK_4887) |)
          |)
       | (| CLK_DX := CLK_DX_1 ^+ CLK_DX_4
          | CLK_DX ^= LGW ^= NXW
          | ACT_CLK_DX{}
          |)
       | (| CLK_XW := CLK_DX ^+ CLK_XW0
          | CLK_XW ^= ZXW
          | ACT_CLK_XW{}
          |)
       | (| CLK_DX_668 := CLK_DX_687 ^+ CLK_DX_731
          | CLK_DX_668 ^= LGW_669 ^= NXW_798
          | ACT_CLK_DX_668{}
          |)
       | (| CLK_XW_799 := CLK_DX_668 ^+ CLK_XW0_670
          | CLK_XW_799 ^= ZXW_800
          | ACT_CLK_XW_799{}
          |)
       | (| CLK_DX_832 := CLK_DX_851 ^+ CLK_DX_894
          | CLK_DX_832 ^= LGW_833 ^= NXW_960
          | ACT_CLK_DX_832{}
          |)
       | (| CLK_XW_961 := CLK_DX_832 ^+ CLK_XW0_834
          | CLK_XW_961 ^= ZXW_962
          | ACT_CLK_XW_961{}
          |)
       | (| CLK_DX_994 := CLK_DX_1013 ^+ CLK_DX_1056
          | CLK_DX_994 ^= LGW_995 ^= NXW_1122
          | ACT_CLK_DX_994{}
          |)
       | (| CLK_XW_1123 := CLK_DX_994 ^+ CLK_XW0_996
          | CLK_XW_1123 ^= ZXW_1124
          | ACT_CLK_XW_1123{}
          |)
       | (| CLK_DX_1155 := CLK_DX_1174 ^+ CLK_DX_1217
          | CLK_DX_1155 ^= LGW_1156 ^= NXW_1283
          | ACT_CLK_DX_1155{}
          |)
       | (| CLK_XW_1284 := CLK_DX_1155 ^+ CLK_XW0_1157
          | CLK_XW_1284 ^= ZXW_1285
          | ACT_CLK_XW_1284{}
          |)
       | (| CLK_DX_2134 := CLK_DX_2153 ^+ CLK_DX_2199
          | CLK_DX_2134 ^= LGW_2135 ^= NXW_2269
          | ACT_CLK_DX_2134{}
          |)
       | (| CLK_XW_2270 := CLK_DX_2134 ^+ CLK_XW0_2136
          | CLK_XW_2270 ^= ZXW_2271
          | ACT_CLK_XW_2270{}
          |)
       | (| CLK_DX_2302 := CLK_DX_2321 ^+ CLK_DX_2364
          | CLK_DX_2302 ^= LGW_2303 ^= NXW_2431
          | ACT_CLK_DX_2302{}
          |)
       | (| CLK_XW_2432 := CLK_DX_2302 ^+ CLK_XW0_2304
          | CLK_XW_2432 ^= ZXW_2433
          | ACT_CLK_XW_2432{}
          |)
       | (| CLK_DX_2464 := CLK_DX_2483 ^+ CLK_DX_2525
          | CLK_DX_2464 ^= LGW_2465 ^= NXW_2591
          | ACT_CLK_DX_2464{}
          |)
       | (| CLK_XW_2592 := CLK_DX_2464 ^+ CLK_XW0_2466
          | CLK_XW_2592 ^= ZXW_2593
          | ACT_CLK_XW_2592{}
          |)
       | (| CLK_DX_2624 := CLK_DX_2643 ^+ CLK_DX_2685
          | CLK_DX_2624 ^= LGW_2625 ^= NXW_2751
          | ACT_CLK_DX_2624{}
          |)
       | (| CLK_XW_2752 := CLK_DX_2624 ^+ CLK_XW0_2626
          | CLK_XW_2752 ^= ZXW_2753
          | ACT_CLK_XW_2752{}
          |)
       | (| CLK_DX_2784 := CLK_DX_2803 ^+ CLK_DX_2845
          | CLK_DX_2784 ^= LGW_2785 ^= NXW_2911
          | ACT_CLK_DX_2784{}
          |)
       | (| CLK_XW_2912 := CLK_DX_2784 ^+ CLK_XW0_2786
          | CLK_XW_2912 ^= ZXW_2913
          | ACT_CLK_XW_2912{}
          |)
       | (| CLK_4389 := STOP1 ^+ CLK_V11 |)
       | (| CLK_4395 := STOP2 ^+ CLK_V12 |)
       | (| CLK_L_1576 := CLK_L ^+ CLK_LW1
          | CLK_L_1576 ^= L_1576
          | (| L_1576 := (LW1 when CLK_LW1) cell CLK_L_1576 init 10.0e0 |)
          |)
       | (| CLK_L_1653 := CLK_L_1446 ^+ CLK_LW1
          | CLK_L_1653 ^= L_1653
          | (| L_1653 := (LW1 when CLK_LW1) cell CLK_L_1653 init 10.0e0 |)
          |)
       | (| CLK_N := CLK_L ^+ CLK_NW1
          | CLK_N ^= N
          | (| N := (NW1 when CLK_NW1) cell CLK_N init 10 |)
          |)
       | (| CLK_N_1650 := CLK_L_1446 ^+ CLK_NW1
          | CLK_N_1650 ^= N_1650
          | (| N_1650 := (NW1 when CLK_NW1) cell CLK_N_1650 init 10 |)
          |)
       | (| CLK_4425 := STOP1_2969 ^+ CLK_V21 |)
       | (| CLK_4427 := STOP2_2970 ^+ CLK_V22 |)
       | (| CLK_L_3200 := CLK_L_3007 ^+ CLK_LW2
          | CLK_L_3200 ^= L_3200
          | (| L_3200 := (LW2 when CLK_LW2) cell CLK_L_3200 init 10.0e0 |)
          |)
       | (| CLK_L_3276 := CLK_L_3072 ^+ CLK_LW2
          | CLK_L_3276 ^= L_3276
          | (| L_3276 := (LW2 when CLK_LW2) cell CLK_L_3276 init 10.0e0 |)
          |)
       | (| CLK_N_3197 := CLK_L_3007 ^+ CLK_NW2
          | CLK_N_3197 ^= N_3197
          | (| N_3197 := (NW2 when CLK_NW2) cell CLK_N_3197 init 10 |)
          |)
       | (| CLK_N_3273 := CLK_L_3072 ^+ CLK_NW2
          | CLK_N_3273 ^= N_3273
          | (| N_3273 := (NW2 when CLK_NW2) cell CLK_N_3273 init 10 |)
          |)
       | (| CLK_4479 := T1S40 ^* T1S30 |)
       | (| CLK_4481 := T1S30 ^* T1S20 |)
       | (| CLK_4483 := T1S20 ^* T1S10 |)
       | (| CLK_4485 := T2S10 ^* T2S20 |)
       | (| CLK_4487 := T2S20 ^* T2S30 |)
       | (| CLK_4489 := T2S30 ^* T2S40 |)
       | (| CLK_4491 := CLK_XW0 ^+ T1S40 |)
       | (| CLK_N_4421 := T1S40 ^+ T1S30
          | ACT_CLK_N_4421{}
          |)
       | (| CLK_4495 := CLK_XW0_670 ^+ T1S41 |)
       | (| CLK_N_5468 := HMOD100 ^+ T1S41
          | ACT_CLK_N_5468{}
          |)
       | (| CLK_4499 := CLK_XW0_834 ^+ T1S30 |)
       | (| CLK_N_4449 := T1S30 ^+ T1S20
          | ACT_CLK_N_4449{}
          |)
       | (| CLK_4503 := CLK_XW0_996 ^+ T1S20 |)
       | (| CLK_N_4477 := T1S20 ^+ T1S10
          | ACT_CLK_N_4477{}
          |)
       | (| CLK_4507 := CLK_XW0_1157 ^+ T1S10 |)
       | (| CLK_4509 := CLK_XW0_2136 ^+ T2S10 |)
       | (| CLK_N_4536 := T2S10 ^+ T2S20
          | ACT_CLK_N_4536{}
          |)
       | (| CLK_4513 := CLK_XW0_2304 ^+ T2S11 |)
       | (| CLK_N_4796 := HMOD100 ^+ T2S11
          | ACT_CLK_N_4796{}
          |)
       | (| CLK_4517 := CLK_XW0_2466 ^+ T2S20 |)
       | (| CLK_N_4564 := T2S20 ^+ T2S30
          | ACT_CLK_N_4564{}
          |)
       | (| CLK_4521 := CLK_XW0_2626 ^+ T2S30 |)
       | (| CLK_N_4592 := T2S30 ^+ T2S40
          | ACT_CLK_N_4592{}
          |)
       | (| CLK_4525 := CLK_XW0_2786 ^+ T2S40 |)
       | (| TOP := HMOD100 ^* CLK_2619 |)
       | (| TOP_5429 := HMOD100 ^* CLK_3110 |)
       | (| CLK_PASSANT_5447 := TOP_5429 ^+ T1S40
          | ACT_CLK_PASSANT_5447{}
          |)
       | (| CLK_PASSANT_5671 := TOP_5429 ^+ T1S41
          | ACT_CLK_PASSANT_5671{}
          |)
       | (| CLK_PASSANT := TOP ^+ T2S10
          | ACT_CLK_PASSANT{}
          |)
       | (| CLK_PASSANT_5018 := TOP ^+ T2S11
          | ACT_CLK_PASSANT_5018{}
          |)
       | (| CLK_DUREE_5523 := T1S41 ^* CLK_3233
          | ACT_CLK_DUREE_5523{}
          |)
       | (| SORTIE_1_5430 := T1S40 ^* CLK_3079 |)
       | (| CLK_DUREE := T2S11 ^* CLK_2746
          | ACT_CLK_DUREE{}
          |)
       | (| SORTIE_1 := T2S10 ^* CLK_2588 |)
       | (| CLK_4602 := CLK_DUREE ^+ SORTIE_1 |)
       | (| CLK_4615 := CLK_DUREE_5523 ^+ SORTIE_1_5430 |)
       | (| CLK_N_5572 := COMPTER_5539 ^+ CLK_4615
          | CLK_N_5572 ^= N_5572
          | ACT_CLK_N_5572{}
          |)
       | (| CLK_N_4904 := COMPTER ^+ CLK_4602
          | CLK_N_4904 ^= N_4904
          | ACT_CLK_N_4904{}
          |)
       | (| CLK_4636 := T1S41 ^+ CLK_3096 |)
       | (| CLK_4638 := T2S11 ^+ CLK_2605 |)
       | (| CLK_N_4853 := HMOD100 ^+ CLK_N0_4919
          | ACT_CLK_N_4853{}
          |)
       | (| CLK_N_5522 := HMOD100 ^+ CLK_N0_5587
          | ACT_CLK_N_5522{}
          |)
       | (| TOP_4920 := HMOD100 ^* CLK_2700 |)
       | (| TOP_5588 := HMOD100 ^* CLK_3191 |)
       | (| DESCENDRE_6 := TOP_5588 ^+ CLK_3207 |)
       | (| DESCENDRE_3 := TOP_4920 ^+ CLK_2716 |)
       | (| F := DESCENDRE_3 ^+ DESCENDRE_6 |)
       | (| CLK_4693 := CLK_N0_4919 ^+ CLK_2686 |)
       | (| T_2 := CLK_2707 ^+ CLK_2710 |)
       | (| CLK_4697 := CLK_N0_5587 ^+ CLK_3177 |)
       | (| T_5 := CLK_3198 ^+ CLK_3201 |)
       | (| CLK_4717 := T_2 ^+ T_5 |)
       | (| CLK_4734 := CLK_4717 ^+ MONTER_4 |)
       | (| CLK_DN1 := CLK_4734 ^+ MONTER_1
          | ACT_CLK_DN1{}
          |)
       | (| CLK_PASSANT_5781 := F ^+ OUVRIR
          | ACT_CLK_PASSANT_5781{}
          |)
       | (| FERMER := F ^* CLK_3324 |)
       | (| CLK_4761 := CLK_DN1 ^- T_5 |)
       | (| CLK_4763 := CLK_DN1 ^- T_2 |)
       | (| CLK_4765 := CLK_DN1 ^- MONTER_4 |)
       | (| CLK_4767 := CLK_DN1 ^- MONTER_1 |)
       | (| CLK_4771 := F ^- OUVRIR |)
       | (| CLK_4779 := CLK_N_4853 ^- CLK_4693 |)
       | (| CLK_4781 := CLK_N_5522 ^- CLK_4697 |)
       | (| CLK_4783 := CLK_N_4904 ^- SORTIE_1 |)
       | (| CLK_4787 := CLK_N_5572 ^- SORTIE_1_5430 |)
       | (| CLK_4791 := CLK_DUREE_5523 ^- SORTIE_1_5430 |)
       | (| CLK_4793 := CLK_DUREE ^- SORTIE_1 |)
       | (| CLK_4795 := CLK_N_5468 ^- CLK_4636 |)
       | (| CLK_4797 := CLK_N_4796 ^- CLK_4638 |)
       | (| CLK_4799 := CLK_H ^- CLK_4466 |)
       | (| CLK_4801 := CLK_H ^- CLK_4389 |)
       | (| CLK_4803 := CLK_H ^- CLK_4395 |)
       | (| CLK_4805 := CLK_H ^- CLK_ACTIF |)
       | (| CLK_4807 := CLK_H ^- CLK_ACTIF_587 |)
       | (| CLK_4809 := CLK_H ^- CLK_4425 |)
       | (| CLK_4811 := CLK_H ^- CLK_4427 |)
       | (| CLK_4813 := CLK_H ^- CLK_ACTIF_2178 |)
       | (| CLK_4815 := CLK_H ^- CLK_ACTIF_2224 |)
       | (| CLK_4817 := CLK_H ^- CLK_4602 |)
       | (| CLK_4819 := CLK_H ^- CLK_4615 |)
       | (| CLK_4823 := CLK_H ^- CLK_4459 |)
       | (| CLK_4833 := CLK_V22 ^- STOP2_2970 |)
       | (| CLK_4835 := CLK_V21 ^- STOP1_2969 |)
       | (| CLK_4837 := CLK_V12 ^- STOP2 |)
       | (| CLK_4839 := CLK_V11 ^- STOP1 |)
       | (| CLK_4847 := CLK_DX_2784 ^- CLK_4525 |)
       | (| CLK_4849 := CLK_DX_2845 ^- CLK_DX_2803 |)
       | (| CLK_4851 := CLK_DX_2624 ^- CLK_4521 |)
       | (| CLK_4853 := CLK_DX_2685 ^- CLK_DX_2643 |)
       | (| CLK_4855 := CLK_DX_2464 ^- CLK_4517 |)
       | (| CLK_4857 := CLK_DX_2525 ^- CLK_DX_2483 |)
       | (| CLK_4859 := CLK_DX_2302 ^- CLK_4513 |)
       | (| CLK_4861 := CLK_DX_2364 ^- CLK_DX_2321 |)
       | (| CLK_4863 := CLK_DX_2134 ^- CLK_4509 |)
       | (| CLK_4865 := CLK_DX_2199 ^- CLK_DX_2153 |)
       | (| CLK_4867 := CLK_DX_1155 ^- CLK_4507 |)
       | (| CLK_4869 := CLK_DX_1217 ^- CLK_DX_1174 |)
       | (| CLK_4871 := CLK_DX_994 ^- CLK_4503 |)
       | (| CLK_4873 := CLK_DX_1056 ^- CLK_DX_1013 |)
       | (| CLK_4875 := CLK_DX_832 ^- CLK_4499 |)
       | (| CLK_4877 := CLK_DX_894 ^- CLK_DX_851 |)
       | (| CLK_4879 := CLK_DX_668 ^- CLK_4495 |)
       | (| CLK_4881 := CLK_DX_731 ^- CLK_DX_687 |)
       | (| CLK_4883 := CLK_DX ^- CLK_4491 |)
       | (| CLK_4885 := CLK_DX_4 ^- CLK_DX_1 |)
       | (| CLK_4887 := CLK_XW0_6 ^- CLK_XW0_3 |)
       | (| CLK_4889 := T1S40 ^- CLK_XW0 |)
       | (| CLK_4891 := T1S40 ^- CLK_4479 |)
       | (| CLK_4893 := T1S40 ^- TOP_5429 |)
       | (| CLK_4895 := CLK_XW0_733 ^- CLK_XW0_689 |)
       | (| CLK_4897 := T1S41 ^- CLK_XW0_670 |)
       | (| CLK_4899 := T1S41 ^- TOP_5429 |)
       | (| CLK_4901 := CLK_XW0_896 ^- CLK_XW0_853 |)
       | (| CLK_4903 := T1S30 ^- CLK_XW0_834 |)
       | (| CLK_4905 := T1S30 ^- T1S40 |)
       | (| CLK_4907 := T1S30 ^- CLK_4481 |)
       | (| CLK_4909 := CLK_XW0_1058 ^- CLK_XW0_1015 |)
       | (| CLK_4911 := T1S20 ^- CLK_XW0_996 |)
       | (| CLK_4913 := T1S20 ^- T1S30 |)
       | (| CLK_4915 := T1S20 ^- CLK_4483 |)
       | (| CLK_4917 := CLK_XW0_1219 ^- CLK_XW0_1176 |)
       | (| CLK_4919 := T1S10 ^- CLK_XW0_1157 |)
       | (| CLK_4921 := T1S10 ^- T1S20 |)
       | (| CLK_4923 := CLK_ACTIF ^- CLK_L |)
       | (| CLK_4925 := CLK_ACTIF ^- STOP1 |)
       | (| CLK_4928 := CLK_ACTIF_587 ^- CLK_L_1446 |)
       | (| CLK_4930 := CLK_ACTIF_587 ^- STOP2 |)
       | (| CLK_4933 := CLK_XW0_2201 ^- CLK_XW0_2155 |)
       | (| CLK_4935 := T2S10 ^- CLK_XW0_2136 |)
       | (| CLK_4937 := T2S10 ^- CLK_4485 |)
       | (| CLK_4939 := T2S10 ^- TOP |)
       | (| CLK_4941 := CLK_XW0_2366 ^- CLK_XW0_2323 |)
       | (| CLK_4943 := T2S11 ^- CLK_XW0_2304 |)
       | (| CLK_4945 := T2S11 ^- TOP |)
       | (| CLK_4947 := CLK_XW0_2527 ^- CLK_XW0_2485 |)
       | (| CLK_4949 := T2S20 ^- CLK_XW0_2466 |)
       | (| CLK_4951 := T2S20 ^- T2S10 |)
       | (| CLK_4953 := T2S20 ^- CLK_4487 |)
       | (| CLK_4955 := CLK_XW0_2687 ^- CLK_XW0_2645 |)
       | (| CLK_4957 := T2S30 ^- CLK_XW0_2626 |)
       | (| CLK_4959 := T2S30 ^- T2S20 |)
       | (| CLK_4961 := T2S30 ^- CLK_4489 |)
       | (| CLK_4963 := CLK_XW0_2847 ^- CLK_XW0_2805 |)
       | (| CLK_4965 := T2S40 ^- CLK_XW0_2786 |)
       | (| CLK_4967 := T2S40 ^- T2S30 |)
       | (| CLK_4969 := CLK_ACTIF_2178 ^- CLK_L_3007 |)
       | (| CLK_4971 := CLK_ACTIF_2178 ^- STOP1_2969 |)
       | (| CLK_4974 := CLK_ACTIF_2224 ^- CLK_L_3072 |)
       | (| CLK_4976 := CLK_ACTIF_2224 ^- STOP2_2970 |)
       | (| CLK_5003 := CLK_2605 ^- T2S11 |)
       | (| CLK_5005 := CLK_2686 ^- CLK_N0_4919 |)
       | (| CLK_5009 := CLK_3096 ^- T1S41 |)
       | (| CLK_5011 := CLK_3177 ^- CLK_N0_5587 |)
       | (| CLK_5105 := HMOD100 ^+ OUVRIR |)
       | (| CLK_5109 := HMOD100 ^+ FERMER |)
       | (| CLK_5165 := CLK_HV11 ^+ FERMER |)
       | (| CLK_DP_3993 := CLK_2158 ^* CLK_HV11
          | ACT_CLK_DP_3993{}
          |)
       | (| CLK_DP := CLK_1978 ^* CLK_HV11
          | ACT_CLK_DP{}
          |)
       | (| L1CS := FERMER ^+ B1SD |)
       | (| L2CS := FERMER ^+ B2SD |)
       | (| CLK_5208 := L2CO ^+ CLK_4469 |)
       | (| CLK_5210 := L1CO ^+ CLK_4462 |)
       | (| CLK_N_5287 := CLK_5105 ^+ L2CO
          | ACT_CLK_N_5287{}
          |)
       | (| CLK_5216 := L2CO ^+ OUVRIR |)
       | (| CLK_N_5361 := CLK_5109 ^+ B2SD
          | ACT_CLK_N_5361{}
          |)
       | (| CLK_N_5108 := CLK_5105 ^+ L1CO
          | ACT_CLK_N_5108{}
          |)
       | (| CLK_5222 := L1CO ^+ OUVRIR |)
       | (| CLK_N_5184 := CLK_5109 ^+ B1SD
          | ACT_CLK_N_5184{}
          |)
       | (| CLK_N_5324 := HMOD100 ^+ B2SD
          | ACT_CLK_N_5324{}
          |)
       | (| CLK_N_5146 := HMOD100 ^+ B1SD
          | ACT_CLK_N_5146{}
          |)
       | (| FIN_MV_4081 := CLK_5210 ^+ B1SD |)
       | (| FIN_MV := CLK_5208 ^+ B2SD |)
       | (| CLK_5251 := L2CS ^+ L2CO |)
       | (| CLK_5253 := L2CS ^+ CLK_3026 |)
       | (| CLK_5257 := L1CS ^+ CLK_2882 |)
       | (| EB1U := HMOD100 ^* CLK_2824 |)
       | (| L1CH := HMOD100 ^* CLK_2860 |)
       | (| EB1D := HMOD100 ^* CLK_2893 |)
       | (| EB2U := HMOD100 ^* CLK_2968 |)
       | (| L2CH := HMOD100 ^* CLK_3004 |)
       | (| EB2D := HMOD100 ^* CLK_3037 |)
       | (| B2CD := EB2D ^+ FERMER |)
       | (| CLK_T2_6766 := EB2D ^+ CLK_SB2
          | ACT_CLK_T2_6766{}
          |)
       | (| CLK_5278 := EB2D ^+ B2SD |)
       | (| CLK_5280 := CLK_5278 ^+ CLK_2993 |)
       | (| CLK_5291 := L2CH ^+ CLK_5251 |)
       | (| CLK_TSTABLE_6039 := L2CH ^+ L2CO
          | CLK_TSTABLE_6039 ^= TSTABLE_6039
          | (| TSTABLE_6039 := L2CH default (not CLK_5689) |)
          |)
       | (| CLK_ACTIF_6036 := L2CH ^+ CLK_5165
          | ACT_CLK_ACTIF_6036{}
          |)
       | (| CLK_T1_6765 := EB2U ^+ CLK_SB2
          | ACT_CLK_T1_6765{}
          |)
       | (| B2CU := EB2U ^+ OUVRIR |)
       | (| COMMANDE := B2CU ^+ B2CD |)
       | (| FIN_DEF := COMMANDE ^+ REPARER2 |)
       | (| CLK_5342 := COMMANDE ^* CLK_2118 |)
       | (| DEB_MV := CLK_5342 ^+ REPARER2 |)
       | (| CLK_5352 := DEB_MV ^+ FIN_MV |)
       | (| CLK_5357 := FIN_DEF ^+ DEFAILLANCE2 |)
       | (| B1CD := EB1D ^+ FERMER |)
       | (| CLK_T2_6566 := EB1D ^+ CLK_SB
          | ACT_CLK_T2_6566{}
          |)
       | (| CLK_5399 := EB1D ^+ B1SD |)
       | (| CLK_5401 := CLK_5399 ^+ CLK_2849 |)
       | (| CLK_TSTABLE := L1CH ^+ L1CO
          | CLK_TSTABLE ^= TSTABLE
          | (| TSTABLE := L1CH default (not CLK_5673) |)
          |)
       | (| CLK_ACTIF_5883 := L1CH ^+ CLK_5165
          | ACT_CLK_ACTIF_5883{}
          |)
       | (| CLK_5430 := CLK_TSTABLE ^+ L1CS |)
       | (| CLK_T1_6565 := EB1U ^+ CLK_SB
          | ACT_CLK_T1_6565{}
          |)
       | (| B1CU := EB1U ^+ OUVRIR |)
       | (| COMMANDE_4222 := B1CU ^+ B1CD |)
       | (| FIN_DEF_4079 := COMMANDE_4222 ^+ REPARER1 |)
       | (| CLK_5481 := COMMANDE_4222 ^* CLK_2288 |)
       | (| DEB_MV_4080 := CLK_5481 ^+ REPARER1 |)
       | (| CLK_5491 := DEB_MV_4080 ^+ FIN_MV_4081 |)
       | (| CLK_5496 := FIN_DEF_4079 ^+ DEFAILLANCE1 |)
       | (| CLK_TCLIGNO_6041 := CLK_HV11 ^* CLK_3438
          | CLK_TCLIGNO_6041 ^= TCLIGNO_6041
          | ACT_CLK_TCLIGNO_6041{}
          |)
       | (| CLK_TCLIGNO := CLK_HV11 ^* CLK_3371
          | CLK_TCLIGNO ^= TCLIGNO
          | ACT_CLK_TCLIGNO{}
          |)
       | (| CLK_T_5885 := CLK_TCLIGNO ^+ CLK_TSTABLE
          | ACT_CLK_T_5885{}
          |)
       | (| CLK_T_6038 := CLK_TCLIGNO_6041 ^+ CLK_TSTABLE_6039
          | ACT_CLK_T_6038{}
          |)
       | (| CLK_5587 := CLK_5216 ^+ CLK_2957 |)
       | (| CLK_5589 := CLK_5222 ^+ CLK_2813 |)
       | (| CLK_5591 := CLK_TCLIGNO_6041 ^- CLK_TSTABLE_6039 |)
       | (| CLK_5593 := CLK_TCLIGNO ^- CLK_TSTABLE |)
       | (| CLK_5595 := FIN_DEF_4079 ^- DEFAILLANCE1 |)
       | (| CLK_5603 := CLK_TSTABLE ^- L1CS |)
       | (| CLK_5605 := B1CD ^- B1CU |)
       | (| CLK_5609 := FIN_DEF ^- DEFAILLANCE2 |)
       | (| CLK_5617 := CLK_TSTABLE_6039 ^- L2CS |)
       | (| CLK_5619 := B2CD ^- B2CU |)
       | (| CLK_5623 := FIN_MV ^- DEB_MV |)
       | (| CLK_5625 := FIN_MV_4081 ^- DEB_MV_4080 |)
       | (| CLK_5627 := CLK_N_5287 ^- CLK_5587 |)
       | (| CLK_5629 := CLK_N_5108 ^- CLK_5589 |)
       | (| CLK_5631 := CLK_N_5361 ^- CLK_5253 |)
       | (| CLK_5633 := CLK_N_5324 ^- CLK_5280 |)
       | (| CLK_5635 := CLK_N_5184 ^- CLK_5257 |)
       | (| CLK_5637 := CLK_N_5146 ^- CLK_5401 |)
       | (| CLK_5639 := CLK_HV11 ^- CLK_5430 |)
       | (| CLK_5641 := CLK_HV11 ^- CLK_5291 |)
       | (| CLK_5655 := CLK_3026 ^- L2CS |)
       | (| CLK_5657 := CLK_2993 ^- CLK_5278 |)
       | (| CLK_5659 := CLK_2957 ^- CLK_5216 |)
       | (| CLK_5661 := CLK_2882 ^- L1CS |)
       | (| CLK_5663 := CLK_2849 ^- CLK_5399 |)
       | (| CLK_5665 := CLK_2813 ^- CLK_5222 |)
       | (| CLK_5667 := B1SD ^- EB1D |)
       | (| CLK_5669 := B1SD ^- FERMER |)
       | (| CLK_5673 := L1CO ^- L1CH |)
       | (| CLK_5675 := L1CO ^- OUVRIR |)
       | (| CLK_5679 := CLK_SB ^- EB1D |)
       | (| CLK_5681 := CLK_SB ^- EB1U |)
       | (| CLK_5683 := B2SD ^- EB2D |)
       | (| CLK_5685 := B2SD ^- FERMER |)
       | (| CLK_5689 := L2CO ^- L2CH |)
       | (| CLK_5691 := L2CO ^- OUVRIR |)
       | (| CLK_5695 := CLK_SB2 ^- EB2D |)
       | (| CLK_5697 := CLK_SB2 ^- EB2U |)
       | (| CLK_5699 := CLK_H ^- CLK_5357 |)
       | (| CLK_5701 := CLK_H ^- COMMANDE |)
       | (| CLK_5703 := CLK_H ^- CLK_5352 |)
       | (| CLK_5705 := CLK_H ^- COMMANDE_4222 |)
       | (| CLK_5707 := CLK_H ^- CLK_5491 |)
       | (| CLK_5709 := CLK_H ^- CLK_5496 |)
       | (| ZX1 := Z_1691$1 init XT1
          | ZX2 := Z_1705$1 init XT1
          | ZXX1 := Z_1719$1 init XT1
          | ZXX2 := Z_1733$1 init XT1
          | VITESSE := (0.0e0 when STOP1) default (V11 when CLK_4839) default (ZVITESSE when CLK_4801)
          | ZVITESSE := VITESSE$1 init 0.0e0
          | VITESSE_1651 := (0.0e0 when STOP2) default (V12 when CLK_4837) default (ZVITESSE_1652 when CLK_4803)
          | ZVITESSE_1652 := VITESSE_1651$1 init 0.0e0
          | Z_1691 := (X1 when CLK_ACTIF) default (ZX1 when CLK_4805)
          | Z_1705 := (X2 when CLK_ACTIF_587) default (ZX2 when CLK_4807)
          | Z_1719 := (XX1 when CLK_ACTIF) default (ZXX1 when CLK_4805)
          | Z_1733 := (XX2 when CLK_ACTIF_587) default (ZXX2 when CLK_4807)
          | ZX1_3152 := Z_3314$1 init XT1
          | ZX2_3153 := Z_3328$1 init XT1
          | ZXX1_3154 := Z_3342$1 init XT1
          | ZXX2_3155 := Z_3356$1 init XT1
          | VITESSE_3198 := (0.0e0 when STOP1_2969) default (V21 when CLK_4835) default (ZVITESSE_3199 when CLK_4809)
          | ZVITESSE_3199 := VITESSE_3198$1 init 0.0e0
          | VITESSE_3274 := (0.0e0 when STOP2_2970) default (V22 when CLK_4833) default (ZVITESSE_3275 when CLK_4811)
          | ZVITESSE_3275 := VITESSE_3274$1 init 0.0e0
          | Z_3314 := (X_2975 when CLK_ACTIF_2178) default (ZX1_3152 when CLK_4813)
          | Z_3328 := (X_3040 when CLK_ACTIF_2224) default (ZX2_3153 when CLK_4815)
          | Z_3342 := (XX_2980 when CLK_ACTIF_2178) default (ZXX1_3154 when CLK_4813)
          | Z_3356 := (XX_3045 when CLK_ACTIF_2224) default (ZXX2_3155 when CLK_4815)
          | XZX := (1 when CLK_1981) default ((-1) when CLK_1982)
          | ACTIF_3792 := PANNE2 default (not CLK_4827) default (ZACTIF_1 when CLK_4799)
          | ZACTIF_1 := ACTIF_3792$1 init false
          | ACTIF_3827 := B2CU default (not CLK_5619) default (POS_THEORIQUE when CLK_5701)
          | POS_THEORIQUE := ACTIF_3827$1 init true
          | ACTIF_3861 := DEFAILLANCE2 default (not CLK_5609) default (ZACTIF_2 when CLK_5699)
          | ZACTIF_2 := ACTIF_3861$1 init false
          | ACTIF_3895 := DEB_MV default (not CLK_5623) default (MOUVEMENT when CLK_5703)
          | MOUVEMENT := ACTIF_3895$1 init false
          | XZX_3997 := (1 when CLK_2161) default ((-1) when CLK_2162)
          | ACTIF_4085 := PANNE1 default (not CLK_4831) default (ZACTIF_4086 when CLK_4823)
          | ZACTIF_4086 := ACTIF_4085$1 init false
          | ACTIF_4119 := B1CU default (not CLK_5605) default (ZACTIF_4120 when CLK_5705)
          | ZACTIF_4120 := ACTIF_4119$1 init true
          | ACTIF_4153 := DEFAILLANCE1 default (not CLK_5595) default (ZACTIF_4154 when CLK_5709)
          | ZACTIF_4154 := ACTIF_4153$1 init false
          | ACTIF_4187 := DEB_MV_4080 default (not CLK_5625) default (ZACTIF_4188 when CLK_5707)
          | ZACTIF_4188 := ACTIF_4187$1 init false
          | ACTIF_4874 := SORTIE_1 default (not CLK_4793) default (ZACTIF_4875 when CLK_4817)
          | ZACTIF_4875 := ACTIF_4874$1 init false
          | ACTIF_5542 := SORTIE_1_5430 default (not CLK_4791) default (ZACTIF_5543 when CLK_4819)
          | ZACTIF_5543 := ACTIF_5542$1 init false
          | N_7023 := (100 when HMOD100) default ((ZN_7024-1) when CLK_3807)
          | ZN_7024 := N_7023$1 init 1
          | N_7045 := (40 when CLK_HV11) default ((ZN_7046-1) when CLK_3822)
          | ZN_7046 := N_7045$1 init 1
          |)
       |)
      where 
      event CLK_5709, CLK_5707, CLK_5705, CLK_5703, CLK_5701, CLK_5699, CLK_5697, CLK_5695, CLK_5691, CLK_5689, CLK_5685, CLK_5683, CLK_5681, CLK_5679, CLK_5675, CLK_5673, CLK_5669, CLK_5667, CLK_5665, CLK_5663, CLK_5661, CLK_5659, CLK_5657, CLK_5655, 
           CLK_5641, CLK_5639, CLK_5637, CLK_5635, CLK_5633, CLK_5631, CLK_5629, CLK_5627, CLK_5625, CLK_5623, CLK_5619, CLK_5617, CLK_5609, CLK_5605, CLK_5603, CLK_5595, CLK_5593, CLK_5591, CLK_5589, CLK_5587, CLK_T_6038, CLK_T_5885, CLK_TCLIGNO, 
           CLK_TCLIGNO_6041, CLK_5496, CLK_5491, DEB_MV_4080, CLK_5481, FIN_DEF_4079, COMMANDE_4222, B1CU, CLK_T1_6565, CLK_5430, CLK_ACTIF_5883, CLK_TSTABLE, CLK_5401, CLK_5399, CLK_T2_6566, B1CD, CLK_5357, CLK_5352, DEB_MV, CLK_5342, FIN_DEF, COMMANDE, 
           B2CU, CLK_T1_6765, CLK_ACTIF_6036, CLK_TSTABLE_6039, CLK_5291, CLK_5280, CLK_5278, CLK_T2_6766, B2CD, EB2D, L2CH, EB2U, EB1D, L1CH, EB1U, CLK_5257, CLK_5253, CLK_5251, FIN_MV, FIN_MV_4081, CLK_N_5146, CLK_N_5324, CLK_N_5184, CLK_5222, 
           CLK_N_5108, CLK_N_5361, CLK_5216, CLK_N_5287, CLK_5210, CLK_5208, L2CS, L1CS, CLK_DP, CLK_DP_3993, CLK_5165, CLK_5109, CLK_5105, CLK_5011, CLK_5009, CLK_5005, CLK_5003, CLK_4976, CLK_4974, CLK_4971, CLK_4969, CLK_4967, CLK_4965, CLK_4963, 
           CLK_4961, CLK_4959, CLK_4957, CLK_4955, CLK_4953, CLK_4951, CLK_4949, CLK_4947, CLK_4945, CLK_4943, CLK_4941, CLK_4939, CLK_4937, CLK_4935, CLK_4933, CLK_4930, CLK_4928, CLK_4925, CLK_4923, CLK_4921, CLK_4919, CLK_4917, CLK_4915, CLK_4913, 
           CLK_4911, CLK_4909, CLK_4907, CLK_4905, CLK_4903, CLK_4901, CLK_4899, CLK_4897, CLK_4895, CLK_4893, CLK_4891, CLK_4889, CLK_4887, CLK_4885, CLK_4883, CLK_4881, CLK_4879, CLK_4877, CLK_4875, CLK_4873, CLK_4871, CLK_4869, CLK_4867, CLK_4865, 
           CLK_4863, CLK_4861, CLK_4859, CLK_4857, CLK_4855, CLK_4853, CLK_4851, CLK_4849, CLK_4847, CLK_4839, CLK_4837, CLK_4835, CLK_4833, CLK_4831, CLK_4827, CLK_4823, CLK_4819, CLK_4817, CLK_4815, CLK_4813, CLK_4811, CLK_4809, CLK_4807, CLK_4805, 
           CLK_4803, CLK_4801, CLK_4799, CLK_4797, CLK_4795, CLK_4793, CLK_4791, CLK_4787, CLK_4783, CLK_4781, CLK_4779, CLK_4771, CLK_4767, CLK_4765, CLK_4763, CLK_4761, FERMER, CLK_PASSANT_5781, CLK_DN1, CLK_4734, CLK_4717, T_5, CLK_4697, T_2, CLK_4693, 
           F, DESCENDRE_3, DESCENDRE_6, TOP_5588, TOP_4920, CLK_N_5522, CLK_N_4853, CLK_4638, CLK_4636, CLK_N_4904, CLK_N_5572, CLK_4615, CLK_4602, SORTIE_1, CLK_DUREE, SORTIE_1_5430, CLK_DUREE_5523, CLK_PASSANT_5018, CLK_PASSANT, CLK_PASSANT_5671, 
           CLK_PASSANT_5447, TOP_5429, TOP, CLK_4525, CLK_N_4592, CLK_4521, CLK_N_4564, CLK_4517, CLK_N_4796, CLK_4513, CLK_N_4536, CLK_4509, CLK_4507, CLK_N_4477, CLK_4503, CLK_N_4449, CLK_4499, CLK_N_5468, CLK_4495, CLK_N_4421, CLK_4491, CLK_4489, 
           CLK_4487, CLK_4485, CLK_4483, CLK_4481, CLK_4479, CLK_4469, CLK_4466, CLK_4462, CLK_4459, CLK_N_3273, CLK_N_3197, CLK_L_3276, CLK_L_3200, CLK_4427, CLK_4425, CLK_N_1650, CLK_N, CLK_L_1653, CLK_L_1576, CLK_4395, CLK_4389, CLK_XW_2912, 
           CLK_DX_2784, CLK_XW_2752, CLK_DX_2624, CLK_XW_2592, CLK_DX_2464, CLK_XW_2432, CLK_DX_2302, CLK_XW_2270, CLK_DX_2134, CLK_XW_1284, CLK_DX_1155, CLK_XW_1123, CLK_DX_994, CLK_XW_961, CLK_DX_832, CLK_XW_799, CLK_DX_668, CLK_XW, CLK_DX, CLK_XW0, 
           CLK_XW0_670, CLK_XW0_834, CLK_XW0_996, CLK_XW0_1157, CLK_L, CLK_ACTIF, CLK_L_1446, CLK_ACTIF_587, CLK_XW0_2136, CLK_XW0_2304, CLK_XW0_2466, CLK_XW0_2626, CLK_XW0_2786, CLK_L_3007, CLK_ACTIF_2178, CLK_L_3072, CLK_ACTIF_2224, CLK_SB2, CLK_SB, 
           DEFAILLANCE2, PANNE2, REPARER2, DEFAILLANCE1, PANNE1, REPARER1, CLK_NW2, CLK_LW2, CLK_V22, CLK_V21, CLK_NW1, CLK_LW1, CLK_V12, CLK_V11, CLK_3822, CLK_HV11, CLK_3807, HMOD100, CLK_3438, CLK_3371, CLK_3324, OUVRIR, MONTER_4, CLK_3233, CLK_3207, 
           CLK_3201, CLK_3198, CLK_3191, CLK_3177, CLK_N0_5587, COMPTER_5539, CLK_3110, CLK_3096, CLK_3079, CLK_3037, CLK_3026, CLK_3004, CLK_2993, CLK_2968, CLK_2957, CLK_2893, CLK_2882, CLK_2860, CLK_2849, CLK_2824, CLK_2813, MONTER_1, CLK_2746, 
           CLK_2716, CLK_2710, CLK_2707, CLK_2700, CLK_2686, CLK_N0_4919, COMPTER, CLK_2619, CLK_2605, CLK_2588, CLK_2288, B1SD, L1CO, CLK_2162, CLK_2161, CLK_2158, CLK_2118, B2SD, L2CO, CLK_1982, CLK_1981, CLK_1978, CLK_1831, CLK_1823, STOP2_2970, 
           CLK_1768, CLK_1760, STOP1_2969, T2S40, CLK_DX_2845, CLK_XW0_2847, CLK_DX_2803, CLK_XW0_2805, T2S30, CLK_DX_2685, CLK_XW0_2687, CLK_DX_2643, CLK_XW0_2645, T2S20, CLK_DX_2525, CLK_XW0_2527, CLK_DX_2483, CLK_XW0_2485, T2S11, CLK_DX_2364, 
           CLK_XW0_2366, CLK_DX_2321, CLK_XW0_2323, T2S10, CLK_DX_2199, CLK_XW0_2201, CLK_DX_2153, CLK_XW0_2155, CLK_896, CLK_888, STOP2, CLK_833, CLK_825, STOP1, T1S10, CLK_DX_1217, CLK_XW0_1219, CLK_DX_1174, CLK_XW0_1176, T1S20, CLK_DX_1056, 
           CLK_XW0_1058, CLK_DX_1013, CLK_XW0_1015, T1S30, CLK_DX_894, CLK_XW0_896, CLK_DX_851, CLK_XW0_853, T1S41, CLK_DX_731, CLK_XW0_733, CLK_DX_687, CLK_XW0_689, T1S40, CLK_DX_4, CLK_XW0_6, CLK_DX_1, CLK_XW0_3;
      boolean ACTIF_3792, ZACTIF_1, ACTIF_3827, POS_THEORIQUE, ACTIF_3861, ZACTIF_2, ACTIF_3895, MOUVEMENT, ACTIF_4085, ZACTIF_4086, ACTIF_4119, ZACTIF_4120, ACTIF_4153, ZACTIF_4154, ACTIF_4187, ZACTIF_4188, ACTIF_4874, ZACTIF_4875, ACTIF_5542, 
             ZACTIF_5543, TSTABLE, TCLIGNO, TSTABLE_6039, TCLIGNO_6041;
      integer N, N_1650, N_3197, N_3273, XZX% value = [-1,1]
             %, XZX_3997% value = [-1,1]
             %, N_4904, N0_4919, N_5572, N0_5587, N_7023, ZN_7024, N_7045, ZN_7046;
      real LGW, XW0, DX_1, LGW_2, XW0_3, DX_4, LGW_5, XW0_6, NXW, ZXW, LGW_669, XW0_670, DX_687, LGW_688, XW0_689, DX_731, LGW_732, XW0_733, NXW_798, ZXW_800, LGW_833, XW0_834, DX_851, LGW_852, XW0_853, DX_894, LGW_895, XW0_896, NXW_960, ZXW_962, LGW_995, 
          XW0_996, DX_1013, LGW_1014, XW0_1015, DX_1056, LGW_1057, XW0_1058, NXW_1122, ZXW_1124, LGW_1156, XW0_1157, DX_1174, LGW_1175, XW0_1176, DX_1217, LGW_1218, XW0_1219, NXW_1283, ZXW_1285, X1, XX1, L, X2, XX2, L_1446, ZX1, ZX2, ZXX1, ZXX2, LWAG1, 
          VITESSE, ZVITESSE, L_1576, LWAG2, VITESSE_1651, ZVITESSE_1652, L_1653, Z_1691, Z_1705, Z_1719, Z_1733, LGW_2135, XW0_2136, DX_2153, LGW_2154, XW0_2155, DX_2199, LGW_2200, XW0_2201, NXW_2269, ZXW_2271, LGW_2303, XW0_2304, DX_2321, LGW_2322, 
          XW0_2323, DX_2364, LGW_2365, XW0_2366, NXW_2431, ZXW_2433, LGW_2465, XW0_2466, DX_2483, LGW_2484, XW0_2485, DX_2525, LGW_2526, XW0_2527, NXW_2591, ZXW_2593, LGW_2625, XW0_2626, DX_2643, LGW_2644, XW0_2645, DX_2685, LGW_2686, XW0_2687, NXW_2751, 
          ZXW_2753, LGW_2785, XW0_2786, DX_2803, LGW_2804, XW0_2805, DX_2845, LGW_2846, XW0_2847, NXW_2911, ZXW_2913, X_2975, XX_2980, L_3007, X_3040, XX_3045, L_3072, ZX1_3152, ZX2_3153, ZXX1_3154, ZXX2_3155, LWAG_3158, VITESSE_3198, ZVITESSE_3199, 
          L_3200, LWAG_3235, VITESSE_3274, ZVITESSE_3275, L_3276, Z_3314, Z_3328, Z_3342, Z_3356;
      process ACT_CLK_HV11 =
           ( )
         (| (| CLK_V11 := when HV11
             | CLK_V11 ^= V11
             |)
          | (| CLK_V12 := when HV12
             | CLK_V12 ^= V12
             |)
          | (| CLK_LW1 := when HLW1
             | CLK_LW1 ^= LW1
             |)
          | (| CLK_NW1 := when HNW1
             | CLK_NW1 ^= NW1
             |)
          | (| CLK_V21 := when HV21
             | CLK_V21 ^= V21
             |)
          | (| CLK_V22 := when HV22
             | CLK_V22 ^= V22
             |)
          | (| CLK_LW2 := when HLW2
             | CLK_LW2 ^= LW2
             |)
          | (| CLK_NW2 := when HNW2
             | CLK_NW2 ^= NW2
             |)
          | (| REPARER1 := when HREPARER1 |)
          | (| PANNE1 := when HPANNE1 |)
          | (| DEFAILLANCE1 := when HDEFAILLANCE1 |)
          | (| REPARER2 := when HREPARER2 |)
          | (| PANNE2 := when HPANNE2 |)
          | (| DEFAILLANCE2 := when HDEFAILLANCE2 |)
          | (| CLK_4459 := REPARER1 ^+ PANNE1 |)
          | (| CLK_4462 := PANNE1 ^+ DEFAILLANCE1 |)
          | (| CLK_4466 := REPARER2 ^+ PANNE2 |)
          | (| CLK_4469 := PANNE2 ^+ DEFAILLANCE2 |)
          | (| CLK_4827 := REPARER2 ^- PANNE2 |)
          | (| CLK_4831 := REPARER1 ^- PANNE1 |)
          |)
      %ACT_CLK_HV11%; 
      process ACT_CLK_ACTIF_2224 =
           ( )
         (| CLK_ACTIF_2224 ^= ACTIF_2224 ^= ZACTIF_2225 ^= ACTIF_2386 ^= ZACTIF_2387 ^= ACTIF_2546 ^= ZACTIF_2547 ^= ACTIF_2706 ^= ZACTIF_2707 ^= ACTIF_2866 ^= ZACTIF_2867 ^= LWAGONS_3046 ^= ZX_3071 ^= LTRAIN_3073 ^= ZLTRAIN_3074 ^= ZLWAGONS_3075 ^= 
            V_3234 ^= X1_3507 ^= X2_3508 ^= ZX1_3510 ^= ZX2_3511 ^= ZX3_3515 ^= X3_3516
          | (| CLK_XW0_2201 := when (ACTIF_2224 and (not ZACTIF_2225))
             | CLK_XW0_2201 ^= XW0_2201
             | (| XW0_2201 := (X_3040-XT1) when CLK_XW0_2201 |)
             |)
          | (| CLK_DX_2199 := when ZACTIF_2225
             | CLK_DX_2199 ^= DX_2199 ^= LGW_2200
             | ACT_CLK_DX_2199{}
             |)
          | (| CLK_XW0_2366 := when (ACTIF_2386 and (not ZACTIF_2387))
             | CLK_XW0_2366 ^= XW0_2366
             | (| XW0_2366 := (X_3040-XT2) when CLK_XW0_2366 |)
             |)
          | (| CLK_DX_2364 := when ZACTIF_2387
             | CLK_DX_2364 ^= DX_2364 ^= LGW_2365
             | ACT_CLK_DX_2364{}
             |)
          | (| CLK_XW0_2527 := when (ACTIF_2546 and (not ZACTIF_2547))
             | CLK_XW0_2527 ^= XW0_2527
             | (| XW0_2527 := (X_3040-XT3) when CLK_XW0_2527 |)
             |)
          | (| CLK_DX_2525 := when ZACTIF_2547
             | CLK_DX_2525 ^= DX_2525 ^= LGW_2526
             | ACT_CLK_DX_2525{}
             |)
          | (| CLK_XW0_2687 := when (ACTIF_2706 and (not ZACTIF_2707))
             | CLK_XW0_2687 ^= XW0_2687
             | (| XW0_2687 := (X_3040-XT4) when CLK_XW0_2687 |)
             |)
          | (| CLK_DX_2685 := when ZACTIF_2707
             | CLK_DX_2685 ^= DX_2685 ^= LGW_2686
             | ACT_CLK_DX_2685{}
             |)
          | (| CLK_XW0_2847 := when (ACTIF_2866 and (not ZACTIF_2867))
             | CLK_XW0_2847 ^= XW0_2847
             | (| XW0_2847 := (X_3040-XT5) when CLK_XW0_2847 |)
             |)
          | (| CLK_DX_2845 := when ZACTIF_2867
             | CLK_DX_2845 ^= DX_2845 ^= LGW_2846
             | ACT_CLK_DX_2845{}
             |)
          | (| ACTIF_2224 := (X_3040>XT1) and (XX_3045<=(XT1+1.0))
             | ZACTIF_2225 := ACTIF_2224$1 init false
             | ACTIF_2386 := (X_3040>XT2) and (XX_3045<=(XT2+1.0))
             | ZACTIF_2387 := ACTIF_2386$1 init false
             | ACTIF_2546 := (X_3040>XT3) and (XX_3045<=(XT3+1.0))
             | ZACTIF_2547 := ACTIF_2546$1 init false
             | ACTIF_2706 := (X_3040>XT4) and (XX_3045<=(XT4+1.0))
             | ZACTIF_2707 := ACTIF_2706$1 init false
             | ACTIF_2866 := (X_3040>XT5) and (XX_3045<=(XT5+1.0))
             | ZACTIF_2867 := ACTIF_2866$1 init false
             | X_3040 := (XT1 when STOP2_2970) default ((ZX_3071+V_3234) when CLK_4976)
             | XX_3045 := X_3040-LTRAIN_3073
             | LWAGONS_3046 := (LWAG_3235 when CLK_L_3072) default (ZLWAGONS_3075 when CLK_4974)
             | ZX_3071 := X_3040$1 init XT1
             | LTRAIN_3073 := (L_3072 when CLK_L_3072) default (ZLTRAIN_3074 when CLK_4974)
             | ZLTRAIN_3074 := LTRAIN_3073$1 init 100.0e0
             | ZLWAGONS_3075 := LWAGONS_3046$1 init 10.0e0
             | V_3234 := VITESSE_3274 when CLK_ACTIF_2224
             | ZX1_3510 := X1_3507$1 init 0
             | ZX2_3511 := X2_3508$1 init 0
             | ZX3_3515 := X3_3516$1 init 0
             | (X1_3507,X2_3508,X3_3516) := DESSINERTRAIN(X_3040,XX_3045,LWAGONS_3046,370 when CLK_ACTIF_2224,350 when CLK_ACTIF_2224,ZX1_3510,ZX2_3511,ZX3_3515,(-1) when CLK_ACTIF_2224)
             |)
          |)
         where 
         integer X1_3507, X2_3508, ZX1_3510, ZX2_3511, ZX3_3515, X3_3516;
         real LWAGONS_3046, ZX_3071, LTRAIN_3073, ZLTRAIN_3074, ZLWAGONS_3075, V_3234;
         boolean ACTIF_2224, ZACTIF_2225, ACTIF_2386, ZACTIF_2387, ACTIF_2546, ZACTIF_2547, ACTIF_2706, ZACTIF_2707, ACTIF_2866, ZACTIF_2867;
         process ACT_CLK_DX_2199 =
              ( )
            (| (| DX_2199 := V_3234 when CLK_DX_2199
                | LGW_2200 := LWAGONS_3046 when CLK_DX_2199
                |) |)
         %ACT_CLK_DX_2199%; 
         process ACT_CLK_DX_2364 =
              ( )
            (| (| DX_2364 := V_3234 when CLK_DX_2364
                | LGW_2365 := LWAGONS_3046 when CLK_DX_2364
                |) |)
         %ACT_CLK_DX_2364%; 
         process ACT_CLK_DX_2525 =
              ( )
            (| (| DX_2525 := V_3234 when CLK_DX_2525
                | LGW_2526 := LWAGONS_3046 when CLK_DX_2525
                |) |)
         %ACT_CLK_DX_2525%; 
         process ACT_CLK_DX_2685 =
              ( )
            (| (| DX_2685 := V_3234 when CLK_DX_2685
                | LGW_2686 := LWAGONS_3046 when CLK_DX_2685
                |) |)
         %ACT_CLK_DX_2685%; 
         process ACT_CLK_DX_2845 =
              ( )
            (| (| DX_2845 := V_3234 when CLK_DX_2845
                | LGW_2846 := LWAGONS_3046 when CLK_DX_2845
                |) |)
         %ACT_CLK_DX_2845%; 
         end
      %ACT_CLK_ACTIF_2224%; 
      process ACT_CLK_L_3072 =
           ( )
         (| CLK_L_3072 ^= NWAG_3236
          | (| L_3072 := LWAG_3235*real(NWAG_3236)
             | LWAG_3235 := L_3276 when CLK_L_3072
             | NWAG_3236 := N_3273 when CLK_L_3072
             |)
          |)
         where 
         integer NWAG_3236;
         end
      %ACT_CLK_L_3072%; 
      process ACT_CLK_ACTIF_2178 =
           ( )
         (| CLK_ACTIF_2178 ^= ACTIF_2178 ^= ZACTIF_2179 ^= ACTIF_2343 ^= ZACTIF_2344 ^= ACTIF_2504 ^= ZACTIF_2505 ^= ACTIF_2664 ^= ZACTIF_2665 ^= ACTIF_2824 ^= ZACTIF_2825 ^= LWAGONS_2981 ^= ZX_3006 ^= LTRAIN_3008 ^= ZLTRAIN_3009 ^= ZLWAGONS_3010 ^= 
            V_3157 ^= X1_3414 ^= X2_3415 ^= ZX1_3417 ^= ZX2_3418 ^= ZX3_3422 ^= X3_3423
          | (| CLK_XW0_2155 := when (ACTIF_2178 and (not ZACTIF_2179))
             | CLK_XW0_2155 ^= XW0_2155
             | (| XW0_2155 := (X_2975-XT1) when CLK_XW0_2155 |)
             |)
          | (| CLK_DX_2153 := when ZACTIF_2179
             | CLK_DX_2153 ^= DX_2153 ^= LGW_2154
             | ACT_CLK_DX_2153{}
             |)
          | (| CLK_XW0_2323 := when (ACTIF_2343 and (not ZACTIF_2344))
             | CLK_XW0_2323 ^= XW0_2323
             | (| XW0_2323 := (X_2975-XT2) when CLK_XW0_2323 |)
             |)
          | (| CLK_DX_2321 := when ZACTIF_2344
             | CLK_DX_2321 ^= DX_2321 ^= LGW_2322
             | ACT_CLK_DX_2321{}
             |)
          | (| CLK_XW0_2485 := when (ACTIF_2504 and (not ZACTIF_2505))
             | CLK_XW0_2485 ^= XW0_2485
             | (| XW0_2485 := (X_2975-XT3) when CLK_XW0_2485 |)
             |)
          | (| CLK_DX_2483 := when ZACTIF_2505
             | CLK_DX_2483 ^= DX_2483 ^= LGW_2484
             | ACT_CLK_DX_2483{}
             |)
          | (| CLK_XW0_2645 := when (ACTIF_2664 and (not ZACTIF_2665))
             | CLK_XW0_2645 ^= XW0_2645
             | (| XW0_2645 := (X_2975-XT4) when CLK_XW0_2645 |)
             |)
          | (| CLK_DX_2643 := when ZACTIF_2665
             | CLK_DX_2643 ^= DX_2643 ^= LGW_2644
             | ACT_CLK_DX_2643{}
             |)
          | (| CLK_XW0_2805 := when (ACTIF_2824 and (not ZACTIF_2825))
             | CLK_XW0_2805 ^= XW0_2805
             | (| XW0_2805 := (X_2975-XT5) when CLK_XW0_2805 |)
             |)
          | (| CLK_DX_2803 := when ZACTIF_2825
             | CLK_DX_2803 ^= DX_2803 ^= LGW_2804
             | ACT_CLK_DX_2803{}
             |)
          | (| ACTIF_2178 := (X_2975>XT1) and (XX_2980<=(XT1+1.0))
             | ZACTIF_2179 := ACTIF_2178$1 init false
             | ACTIF_2343 := (X_2975>XT2) and (XX_2980<=(XT2+1.0))
             | ZACTIF_2344 := ACTIF_2343$1 init false
             | ACTIF_2504 := (X_2975>XT3) and (XX_2980<=(XT3+1.0))
             | ZACTIF_2505 := ACTIF_2504$1 init false
             | ACTIF_2664 := (X_2975>XT4) and (XX_2980<=(XT4+1.0))
             | ZACTIF_2665 := ACTIF_2664$1 init false
             | ACTIF_2824 := (X_2975>XT5) and (XX_2980<=(XT5+1.0))
             | ZACTIF_2825 := ACTIF_2824$1 init false
             | X_2975 := (XT1 when STOP1_2969) default ((ZX_3006+V_3157) when CLK_4971)
             | XX_2980 := X_2975-LTRAIN_3008
             | LWAGONS_2981 := (LWAG_3158 when CLK_L_3007) default (ZLWAGONS_3010 when CLK_4969)
             | ZX_3006 := X_2975$1 init XT1
             | LTRAIN_3008 := (L_3007 when CLK_L_3007) default (ZLTRAIN_3009 when CLK_4969)
             | ZLTRAIN_3009 := LTRAIN_3008$1 init 100.0e0
             | ZLWAGONS_3010 := LWAGONS_2981$1 init 10.0e0
             | V_3157 := VITESSE_3198 when CLK_ACTIF_2178
             | ZX1_3417 := X1_3414$1 init 0
             | ZX2_3418 := X2_3415$1 init 0
             | ZX3_3422 := X3_3423$1 init 0
             | (X1_3414,X2_3415,X3_3423) := DESSINERTRAIN(X_2975,XX_2980,LWAGONS_2981,370 when CLK_ACTIF_2178,350 when CLK_ACTIF_2178,ZX1_3417,ZX2_3418,ZX3_3422,(-1) when CLK_ACTIF_2178)
             |)
          |)
         where 
         integer X1_3414, X2_3415, ZX1_3417, ZX2_3418, ZX3_3422, X3_3423;
         real LWAGONS_2981, ZX_3006, LTRAIN_3008, ZLTRAIN_3009, ZLWAGONS_3010, V_3157;
         boolean ACTIF_2178, ZACTIF_2179, ACTIF_2343, ZACTIF_2344, ACTIF_2504, ZACTIF_2505, ACTIF_2664, ZACTIF_2665, ACTIF_2824, ZACTIF_2825;
         process ACT_CLK_DX_2153 =
              ( )
            (| (| DX_2153 := V_3157 when CLK_DX_2153
                | LGW_2154 := LWAGONS_2981 when CLK_DX_2153
                |) |)
         %ACT_CLK_DX_2153%; 
         process ACT_CLK_DX_2321 =
              ( )
            (| (| DX_2321 := V_3157 when CLK_DX_2321
                | LGW_2322 := LWAGONS_2981 when CLK_DX_2321
                |) |)
         %ACT_CLK_DX_2321%; 
         process ACT_CLK_DX_2483 =
              ( )
            (| (| DX_2483 := V_3157 when CLK_DX_2483
                | LGW_2484 := LWAGONS_2981 when CLK_DX_2483
                |) |)
         %ACT_CLK_DX_2483%; 
         process ACT_CLK_DX_2643 =
              ( )
            (| (| DX_2643 := V_3157 when CLK_DX_2643
                | LGW_2644 := LWAGONS_2981 when CLK_DX_2643
                |) |)
         %ACT_CLK_DX_2643%; 
         process ACT_CLK_DX_2803 =
              ( )
            (| (| DX_2803 := V_3157 when CLK_DX_2803
                | LGW_2804 := LWAGONS_2981 when CLK_DX_2803
                |) |)
         %ACT_CLK_DX_2803%; 
         end
      %ACT_CLK_ACTIF_2178%; 
      process ACT_CLK_L_3007 =
           ( )
         (| CLK_L_3007 ^= NWAG_3159
          | (| L_3007 := LWAG_3158*real(NWAG_3159)
             | LWAG_3158 := L_3200 when CLK_L_3007
             | NWAG_3159 := N_3197 when CLK_L_3007
             |)
          |)
         where 
         integer NWAG_3159;
         end
      %ACT_CLK_L_3007%; 
      process ACT_CLK_ACTIF_587 =
           ( )
         (| CLK_ACTIF_587 ^= ACTIF_587 ^= ZACTIF_588 ^= ACTIF_753 ^= ZACTIF_754 ^= ACTIF_915 ^= ZACTIF_916 ^= ACTIF_1077 ^= ZACTIF_1078 ^= ACTIF_1238 ^= ZACTIF_1239 ^= LWAGONS_1420 ^= ZX_1445 ^= LTRAIN_1447 ^= ZLTRAIN_1448 ^= ZLWAGONS_1449 ^= VIT2 ^= 
            X1_1940 ^= X2_1941 ^= ZX1_1943 ^= ZX2_1944 ^= ZX3_1948 ^= X3_1949
          | (| CLK_XW0_6 := when (ACTIF_587 and (not ZACTIF_588))
             | CLK_XW0_6 ^= XW0_6
             | (| XW0_6 := (X2-XT1) when CLK_XW0_6 |)
             |)
          | (| CLK_DX_4 := when ZACTIF_588
             | CLK_DX_4 ^= DX_4 ^= LGW_5
             | ACT_CLK_DX_4{}
             |)
          | (| CLK_XW0_733 := when (ACTIF_753 and (not ZACTIF_754))
             | CLK_XW0_733 ^= XW0_733
             | (| XW0_733 := (X2-XT2) when CLK_XW0_733 |)
             |)
          | (| CLK_DX_731 := when ZACTIF_754
             | CLK_DX_731 ^= DX_731 ^= LGW_732
             | ACT_CLK_DX_731{}
             |)
          | (| CLK_XW0_896 := when (ACTIF_915 and (not ZACTIF_916))
             | CLK_XW0_896 ^= XW0_896
             | (| XW0_896 := (X2-XT3) when CLK_XW0_896 |)
             |)
          | (| CLK_DX_894 := when ZACTIF_916
             | CLK_DX_894 ^= DX_894 ^= LGW_895
             | ACT_CLK_DX_894{}
             |)
          | (| CLK_XW0_1058 := when (ACTIF_1077 and (not ZACTIF_1078))
             | CLK_XW0_1058 ^= XW0_1058
             | (| XW0_1058 := (X2-XT4) when CLK_XW0_1058 |)
             |)
          | (| CLK_DX_1056 := when ZACTIF_1078
             | CLK_DX_1056 ^= DX_1056 ^= LGW_1057
             | ACT_CLK_DX_1056{}
             |)
          | (| CLK_XW0_1219 := when (ACTIF_1238 and (not ZACTIF_1239))
             | CLK_XW0_1219 ^= XW0_1219
             | (| XW0_1219 := (X2-XT5) when CLK_XW0_1219 |)
             |)
          | (| CLK_DX_1217 := when ZACTIF_1239
             | CLK_DX_1217 ^= DX_1217 ^= LGW_1218
             | ACT_CLK_DX_1217{}
             |)
          | (| ACTIF_587 := (X2>XT1) and (XX2<=(XT1+1.0))
             | ZACTIF_588 := ACTIF_587$1 init false
             | ACTIF_753 := (X2>XT2) and (XX2<=(XT2+1.0))
             | ZACTIF_754 := ACTIF_753$1 init false
             | ACTIF_915 := (X2>XT3) and (XX2<=(XT3+1.0))
             | ZACTIF_916 := ACTIF_915$1 init false
             | ACTIF_1077 := (X2>XT4) and (XX2<=(XT4+1.0))
             | ZACTIF_1078 := ACTIF_1077$1 init false
             | ACTIF_1238 := (X2>XT5) and (XX2<=(XT5+1.0))
             | ZACTIF_1239 := ACTIF_1238$1 init false
             | X2 := (XT1 when STOP2) default ((ZX_1445+VIT2) when CLK_4930)
             | XX2 := X2-LTRAIN_1447
             | LWAGONS_1420 := (LWAG2 when CLK_L_1446) default (ZLWAGONS_1449 when CLK_4928)
             | ZX_1445 := X2$1 init XT1
             | LTRAIN_1447 := (L_1446 when CLK_L_1446) default (ZLTRAIN_1448 when CLK_4928)
             | ZLTRAIN_1448 := LTRAIN_1447$1 init 100.0e0
             | ZLWAGONS_1449 := LWAGONS_1420$1 init 10.0e0
             | VIT2 := VITESSE_1651 when CLK_ACTIF_587
             | ZX1_1943 := X1_1940$1 init 0
             | ZX2_1944 := X2_1941$1 init 0
             | ZX3_1948 := X3_1949$1 init 0
             | (X1_1940,X2_1941,X3_1949) := DESSINERTRAIN(X2,XX2,LWAGONS_1420,140 when CLK_ACTIF_587,120 when CLK_ACTIF_587,ZX1_1943,ZX2_1944,ZX3_1948,1 when CLK_ACTIF_587)
             |)
          |)
         where 
         integer X1_1940, X2_1941, ZX1_1943, ZX2_1944, ZX3_1948, X3_1949;
         real LWAGONS_1420, ZX_1445, LTRAIN_1447, ZLTRAIN_1448, ZLWAGONS_1449, VIT2;
         boolean ACTIF_587, ZACTIF_588, ACTIF_753, ZACTIF_754, ACTIF_915, ZACTIF_916, ACTIF_1077, ZACTIF_1078, ACTIF_1238, ZACTIF_1239;
         process ACT_CLK_DX_4 =
              ( )
            (| (| DX_4 := VIT2 when CLK_DX_4
                | LGW_5 := LWAGONS_1420 when CLK_DX_4
                |) |)
         %ACT_CLK_DX_4%; 
         process ACT_CLK_DX_731 =
              ( )
            (| (| DX_731 := VIT2 when CLK_DX_731
                | LGW_732 := LWAGONS_1420 when CLK_DX_731
                |) |)
         %ACT_CLK_DX_731%; 
         process ACT_CLK_DX_894 =
              ( )
            (| (| DX_894 := VIT2 when CLK_DX_894
                | LGW_895 := LWAGONS_1420 when CLK_DX_894
                |) |)
         %ACT_CLK_DX_894%; 
         process ACT_CLK_DX_1056 =
              ( )
            (| (| DX_1056 := VIT2 when CLK_DX_1056
                | LGW_1057 := LWAGONS_1420 when CLK_DX_1056
                |) |)
         %ACT_CLK_DX_1056%; 
         process ACT_CLK_DX_1217 =
              ( )
            (| (| DX_1217 := VIT2 when CLK_DX_1217
                | LGW_1218 := LWAGONS_1420 when CLK_DX_1217
                |) |)
         %ACT_CLK_DX_1217%; 
         end
      %ACT_CLK_ACTIF_587%; 
      process ACT_CLK_L_1446 =
           ( )
         (| CLK_L_1446 ^= NWAG2
          | (| L_1446 := LWAG2*real(NWAG2)
             | LWAG2 := L_1653 when CLK_L_1446
             | NWAG2 := N_1650 when CLK_L_1446
             |)
          |)
         where 
         integer NWAG2;
         end
      %ACT_CLK_L_1446%; 
      process ACT_CLK_ACTIF =
           ( )
         (| CLK_ACTIF ^= ACTIF ^= ZACTIF ^= ACTIF_709 ^= ZACTIF_710 ^= ACTIF_872 ^= ZACTIF_873 ^= ACTIF_1034 ^= ZACTIF_1035 ^= ACTIF_1195 ^= ZACTIF_1196 ^= LWAGONS ^= ZX ^= LTRAIN ^= ZLTRAIN ^= ZLWAGONS ^= VIT1 ^= X1_1798 ^= X2_1799 ^= ZX1_1801 ^= 
            ZX2_1802 ^= ZX3 ^= X3
          | (| CLK_XW0_3 := when (ACTIF and (not ZACTIF))
             | CLK_XW0_3 ^= XW0_3
             | (| XW0_3 := (X1-XT1) when CLK_XW0_3 |)
             |)
          | (| CLK_DX_1 := when ZACTIF
             | CLK_DX_1 ^= DX_1 ^= LGW_2
             | ACT_CLK_DX_1{}
             |)
          | (| CLK_XW0_689 := when (ACTIF_709 and (not ZACTIF_710))
             | CLK_XW0_689 ^= XW0_689
             | (| XW0_689 := (X1-XT2) when CLK_XW0_689 |)
             |)
          | (| CLK_DX_687 := when ZACTIF_710
             | CLK_DX_687 ^= DX_687 ^= LGW_688
             | ACT_CLK_DX_687{}
             |)
          | (| CLK_XW0_853 := when (ACTIF_872 and (not ZACTIF_873))
             | CLK_XW0_853 ^= XW0_853
             | (| XW0_853 := (X1-XT3) when CLK_XW0_853 |)
             |)
          | (| CLK_DX_851 := when ZACTIF_873
             | CLK_DX_851 ^= DX_851 ^= LGW_852
             | ACT_CLK_DX_851{}
             |)
          | (| CLK_XW0_1015 := when (ACTIF_1034 and (not ZACTIF_1035))
             | CLK_XW0_1015 ^= XW0_1015
             | (| XW0_1015 := (X1-XT4) when CLK_XW0_1015 |)
             |)
          | (| CLK_DX_1013 := when ZACTIF_1035
             | CLK_DX_1013 ^= DX_1013 ^= LGW_1014
             | ACT_CLK_DX_1013{}
             |)
          | (| CLK_XW0_1176 := when (ACTIF_1195 and (not ZACTIF_1196))
             | CLK_XW0_1176 ^= XW0_1176
             | (| XW0_1176 := (X1-XT5) when CLK_XW0_1176 |)
             |)
          | (| CLK_DX_1174 := when ZACTIF_1196
             | CLK_DX_1174 ^= DX_1174 ^= LGW_1175
             | ACT_CLK_DX_1174{}
             |)
          | (| ACTIF := (X1>XT1) and (XX1<=(XT1+1.0))
             | ZACTIF := ACTIF$1 init false
             | ACTIF_709 := (X1>XT2) and (XX1<=(XT2+1.0))
             | ZACTIF_710 := ACTIF_709$1 init false
             | ACTIF_872 := (X1>XT3) and (XX1<=(XT3+1.0))
             | ZACTIF_873 := ACTIF_872$1 init false
             | ACTIF_1034 := (X1>XT4) and (XX1<=(XT4+1.0))
             | ZACTIF_1035 := ACTIF_1034$1 init false
             | ACTIF_1195 := (X1>XT5) and (XX1<=(XT5+1.0))
             | ZACTIF_1196 := ACTIF_1195$1 init false
             | X1 := (XT1 when STOP1) default ((ZX+VIT1) when CLK_4925)
             | XX1 := X1-LTRAIN
             | LWAGONS := (LWAG1 when CLK_L) default (ZLWAGONS when CLK_4923)
             | ZX := X1$1 init XT1
             | LTRAIN := (L when CLK_L) default (ZLTRAIN when CLK_4923)
             | ZLTRAIN := LTRAIN$1 init 100.0e0
             | ZLWAGONS := LWAGONS$1 init 10.0e0
             | VIT1 := VITESSE when CLK_ACTIF
             | ZX1_1801 := X1_1798$1 init 0
             | ZX2_1802 := X2_1799$1 init 0
             | ZX3 := X3$1 init 0
             | (X1_1798,X2_1799,X3) := DESSINERTRAIN(X1,XX1,LWAGONS,140 when CLK_ACTIF,120 when CLK_ACTIF,ZX1_1801,ZX2_1802,ZX3,1 when CLK_ACTIF)
             |)
          |)
         where 
         integer X1_1798, X2_1799, ZX1_1801, ZX2_1802, ZX3, X3;
         real LWAGONS, ZX, LTRAIN, ZLTRAIN, ZLWAGONS, VIT1;
         boolean ACTIF, ZACTIF, ACTIF_709, ZACTIF_710, ACTIF_872, ZACTIF_873, ACTIF_1034, ZACTIF_1035, ACTIF_1195, ZACTIF_1196;
         process ACT_CLK_DX_1 =
              ( )
            (| (| DX_1 := VIT1 when CLK_DX_1
                | LGW_2 := LWAGONS when CLK_DX_1
                |) |)
         %ACT_CLK_DX_1%; 
         process ACT_CLK_DX_687 =
              ( )
            (| (| DX_687 := VIT1 when CLK_DX_687
                | LGW_688 := LWAGONS when CLK_DX_687
                |) |)
         %ACT_CLK_DX_687%; 
         process ACT_CLK_DX_851 =
              ( )
            (| (| DX_851 := VIT1 when CLK_DX_851
                | LGW_852 := LWAGONS when CLK_DX_851
                |) |)
         %ACT_CLK_DX_851%; 
         process ACT_CLK_DX_1013 =
              ( )
            (| (| DX_1013 := VIT1 when CLK_DX_1013
                | LGW_1014 := LWAGONS when CLK_DX_1013
                |) |)
         %ACT_CLK_DX_1013%; 
         process ACT_CLK_DX_1174 =
              ( )
            (| (| DX_1174 := VIT1 when CLK_DX_1174
                | LGW_1175 := LWAGONS when CLK_DX_1174
                |) |)
         %ACT_CLK_DX_1174%; 
         end
      %ACT_CLK_ACTIF%; 
      process ACT_CLK_L =
           ( )
         (| CLK_L ^= NWAG1
          | (| L := LWAG1*real(NWAG1)
             | LWAG1 := L_1576 when CLK_L
             | NWAG1 := N when CLK_L
             |)
          |)
         where 
         integer NWAG1;
         end
      %ACT_CLK_L%; 
      process ACT_CLK_DX =
           ( )
         (| CLK_DX ^= DX ^= Z
          | (| T1S40 := when (NXW>=LGW) |)
          | (| DX := (DX_1 when CLK_DX_1) default (DX_4 when CLK_4885)
             | LGW := (LGW_2 when CLK_DX_1) default (LGW_5 when CLK_4885)
             | Z := ZXW when CLK_DX
             | NXW := Z+DX
             |)
          |)
         where 
         real DX, Z;
         end
      %ACT_CLK_DX%; 
      process ACT_CLK_XW =
           ( )
         (| CLK_XW ^= XW
          | (| XW := (XW0 when CLK_XW0) default ((NXW-LGW) when CLK_4889) default (NXW when CLK_4883)
             | ZXW := XW$1 init 0e0
             |)
          |)
         where 
         real XW;
         end
      %ACT_CLK_XW%; 
      process ACT_CLK_DX_668 =
           ( )
         (| CLK_DX_668 ^= DX_668 ^= Z_797
          | (| T1S41 := when (NXW_798>=LGW_669) |)
          | (| DX_668 := (DX_687 when CLK_DX_687) default (DX_731 when CLK_4881)
             | LGW_669 := (LGW_688 when CLK_DX_687) default (LGW_732 when CLK_4881)
             | Z_797 := ZXW_800 when CLK_DX_668
             | NXW_798 := Z_797+DX_668
             |)
          |)
         where 
         real DX_668, Z_797;
         end
      %ACT_CLK_DX_668%; 
      process ACT_CLK_XW_799 =
           ( )
         (| CLK_XW_799 ^= XW_799
          | (| XW_799 := (XW0_670 when CLK_XW0_670) default ((NXW_798-LGW_669) when CLK_4897) default (NXW_798 when CLK_4879)
             | ZXW_800 := XW_799$1 init 0e0
             |)
          |)
         where 
         real XW_799;
         end
      %ACT_CLK_XW_799%; 
      process ACT_CLK_DX_832 =
           ( )
         (| CLK_DX_832 ^= DX_832 ^= Z_959
          | (| T1S30 := when (NXW_960>=LGW_833) |)
          | (| DX_832 := (DX_851 when CLK_DX_851) default (DX_894 when CLK_4877)
             | LGW_833 := (LGW_852 when CLK_DX_851) default (LGW_895 when CLK_4877)
             | Z_959 := ZXW_962 when CLK_DX_832
             | NXW_960 := Z_959+DX_832
             |)
          |)
         where 
         real DX_832, Z_959;
         end
      %ACT_CLK_DX_832%; 
      process ACT_CLK_XW_961 =
           ( )
         (| CLK_XW_961 ^= XW_961
          | (| XW_961 := (XW0_834 when CLK_XW0_834) default ((NXW_960-LGW_833) when CLK_4903) default (NXW_960 when CLK_4875)
             | ZXW_962 := XW_961$1 init 0e0
             |)
          |)
         where 
         real XW_961;
         end
      %ACT_CLK_XW_961%; 
      process ACT_CLK_DX_994 =
           ( )
         (| CLK_DX_994 ^= DX_994 ^= Z_1121
          | (| T1S20 := when (NXW_1122>=LGW_995) |)
          | (| DX_994 := (DX_1013 when CLK_DX_1013) default (DX_1056 when CLK_4873)
             | LGW_995 := (LGW_1014 when CLK_DX_1013) default (LGW_1057 when CLK_4873)
             | Z_1121 := ZXW_1124 when CLK_DX_994
             | NXW_1122 := Z_1121+DX_994
             |)
          |)
         where 
         real DX_994, Z_1121;
         end
      %ACT_CLK_DX_994%; 
      process ACT_CLK_XW_1123 =
           ( )
         (| CLK_XW_1123 ^= XW_1123
          | (| XW_1123 := (XW0_996 when CLK_XW0_996) default ((NXW_1122-LGW_995) when CLK_4911) default (NXW_1122 when CLK_4871)
             | ZXW_1124 := XW_1123$1 init 0e0
             |)
          |)
         where 
         real XW_1123;
         end
      %ACT_CLK_XW_1123%; 
      process ACT_CLK_DX_1155 =
           ( )
         (| CLK_DX_1155 ^= DX_1155 ^= Z_1282
          | (| T1S10 := when (NXW_1283>=LGW_1156) |)
          | (| DX_1155 := (DX_1174 when CLK_DX_1174) default (DX_1217 when CLK_4869)
             | LGW_1156 := (LGW_1175 when CLK_DX_1174) default (LGW_1218 when CLK_4869)
             | Z_1282 := ZXW_1285 when CLK_DX_1155
             | NXW_1283 := Z_1282+DX_1155
             |)
          |)
         where 
         real DX_1155, Z_1282;
         end
      %ACT_CLK_DX_1155%; 
      process ACT_CLK_XW_1284 =
           ( )
         (| CLK_XW_1284 ^= XW_1284
          | (| XW_1284 := (XW0_1157 when CLK_XW0_1157) default ((NXW_1283-LGW_1156) when CLK_4919) default (NXW_1283 when CLK_4867)
             | ZXW_1285 := XW_1284$1 init 0e0
             |)
          |)
         where 
         real XW_1284;
         end
      %ACT_CLK_XW_1284%; 
      process ACT_CLK_DX_2134 =
           ( )
         (| CLK_DX_2134 ^= DX_2134 ^= Z_2268
          | (| T2S10 := when (NXW_2269>=LGW_2135) |)
          | (| DX_2134 := (DX_2153 when CLK_DX_2153) default (DX_2199 when CLK_4865)
             | LGW_2135 := (LGW_2154 when CLK_DX_2153) default (LGW_2200 when CLK_4865)
             | Z_2268 := ZXW_2271 when CLK_DX_2134
             | NXW_2269 := Z_2268+DX_2134
             |)
          |)
         where 
         real DX_2134, Z_2268;
         end
      %ACT_CLK_DX_2134%; 
      process ACT_CLK_XW_2270 =
           ( )
         (| CLK_XW_2270 ^= XW_2270
          | (| XW_2270 := (XW0_2136 when CLK_XW0_2136) default ((NXW_2269-LGW_2135) when CLK_4935) default (NXW_2269 when CLK_4863)
             | ZXW_2271 := XW_2270$1 init 0e0
             |)
          |)
         where 
         real XW_2270;
         end
      %ACT_CLK_XW_2270%; 
      process ACT_CLK_DX_2302 =
           ( )
         (| CLK_DX_2302 ^= DX_2302 ^= Z_2430
          | (| T2S11 := when (NXW_2431>=LGW_2303) |)
          | (| DX_2302 := (DX_2321 when CLK_DX_2321) default (DX_2364 when CLK_4861)
             | LGW_2303 := (LGW_2322 when CLK_DX_2321) default (LGW_2365 when CLK_4861)
             | Z_2430 := ZXW_2433 when CLK_DX_2302
             | NXW_2431 := Z_2430+DX_2302
             |)
          |)
         where 
         real DX_2302, Z_2430;
         end
      %ACT_CLK_DX_2302%; 
      process ACT_CLK_XW_2432 =
           ( )
         (| CLK_XW_2432 ^= XW_2432
          | (| XW_2432 := (XW0_2304 when CLK_XW0_2304) default ((NXW_2431-LGW_2303) when CLK_4943) default (NXW_2431 when CLK_4859)
             | ZXW_2433 := XW_2432$1 init 0e0
             |)
          |)
         where 
         real XW_2432;
         end
      %ACT_CLK_XW_2432%; 
      process ACT_CLK_DX_2464 =
           ( )
         (| CLK_DX_2464 ^= DX_2464 ^= Z_2590
          | (| T2S20 := when (NXW_2591>=LGW_2465) |)
          | (| DX_2464 := (DX_2483 when CLK_DX_2483) default (DX_2525 when CLK_4857)
             | LGW_2465 := (LGW_2484 when CLK_DX_2483) default (LGW_2526 when CLK_4857)
             | Z_2590 := ZXW_2593 when CLK_DX_2464
             | NXW_2591 := Z_2590+DX_2464
             |)
          |)
         where 
         real DX_2464, Z_2590;
         end
      %ACT_CLK_DX_2464%; 
      process ACT_CLK_XW_2592 =
           ( )
         (| CLK_XW_2592 ^= XW_2592
          | (| XW_2592 := (XW0_2466 when CLK_XW0_2466) default ((NXW_2591-LGW_2465) when CLK_4949) default (NXW_2591 when CLK_4855)
             | ZXW_2593 := XW_2592$1 init 0e0
             |)
          |)
         where 
         real XW_2592;
         end
      %ACT_CLK_XW_2592%; 
      process ACT_CLK_DX_2624 =
           ( )
         (| CLK_DX_2624 ^= DX_2624 ^= Z_2750
          | (| T2S30 := when (NXW_2751>=LGW_2625) |)
          | (| DX_2624 := (DX_2643 when CLK_DX_2643) default (DX_2685 when CLK_4853)
             | LGW_2625 := (LGW_2644 when CLK_DX_2643) default (LGW_2686 when CLK_4853)
             | Z_2750 := ZXW_2753 when CLK_DX_2624
             | NXW_2751 := Z_2750+DX_2624
             |)
          |)
         where 
         real DX_2624, Z_2750;
         end
      %ACT_CLK_DX_2624%; 
      process ACT_CLK_XW_2752 =
           ( )
         (| CLK_XW_2752 ^= XW_2752
          | (| XW_2752 := (XW0_2626 when CLK_XW0_2626) default ((NXW_2751-LGW_2625) when CLK_4957) default (NXW_2751 when CLK_4851)
             | ZXW_2753 := XW_2752$1 init 0e0
             |)
          |)
         where 
         real XW_2752;
         end
      %ACT_CLK_XW_2752%; 
      process ACT_CLK_DX_2784 =
           ( )
         (| CLK_DX_2784 ^= DX_2784 ^= Z_2910
          | (| T2S40 := when (NXW_2911>=LGW_2785) |)
          | (| DX_2784 := (DX_2803 when CLK_DX_2803) default (DX_2845 when CLK_4849)
             | LGW_2785 := (LGW_2804 when CLK_DX_2803) default (LGW_2846 when CLK_4849)
             | Z_2910 := ZXW_2913 when CLK_DX_2784
             | NXW_2911 := Z_2910+DX_2784
             |)
          |)
         where 
         real DX_2784, Z_2910;
         end
      %ACT_CLK_DX_2784%; 
      process ACT_CLK_XW_2912 =
           ( )
         (| CLK_XW_2912 ^= XW_2912
          | (| XW_2912 := (XW0_2786 when CLK_XW0_2786) default ((NXW_2911-LGW_2785) when CLK_4965) default (NXW_2911 when CLK_4847)
             | ZXW_2913 := XW_2912$1 init 0e0
             |)
          |)
         where 
         real XW_2912;
         end
      %ACT_CLK_XW_2912%; 
      process ACT_CLK_N_4421 =
           ( )
         (| CLK_N_4421 ^= N_4421 ^= ZN ^= DN
          | (| CLK_2369 := when (ZN=0) |)
          | (| CLK_2372 := when (N_4421=0) |)
          | (| CLK_OCCUPE := CLK_2369 ^+ CLK_2372
             | ACT_CLK_OCCUPE{}
             |)
          | (| CLK_4986 := CLK_2372 ^- CLK_2369 |)
          | (| N_4421 := ZN+DN
             | ZN := N_4421$1 init 0
             | DN := (0 when CLK_4479) default (1 when CLK_4891) default ((-1) when CLK_4905)
             |)
          |)
         where 
         event CLK_4986, CLK_OCCUPE, CLK_2372, CLK_2369;
         integer N_4421, ZN, DN% value = [-1,1]
                %;
         process ACT_CLK_OCCUPE =
              ( )
            (| CLK_OCCUPE ^= OCCUPE ^= COULEUR_6208
             | (| CLK_3484 := when OCCUPE
                | CLK_3485 := when (not OCCUPE)
                |)
             | (| OCCUPE := CLK_2369 default (not CLK_4986)
                | COULEUR_6208 := (1 when CLK_3484) default (0 when CLK_3485)
                | RECTANGLE(0 when CLK_OCCUPE,120 when CLK_OCCUPE,60 when CLK_OCCUPE,220 when CLK_OCCUPE,80 when CLK_OCCUPE,COULEUR_6208)
                |)
             |)
            where 
            event CLK_3485, CLK_3484;
            integer COULEUR_6208% value = [0,1]
                   %;
            boolean OCCUPE;
            end
         %ACT_CLK_OCCUPE%; 
         end
      %ACT_CLK_N_4421%; 
      process ACT_CLK_N_5468 =
           ( )
         (| CLK_N_5468 ^= N_5468 ^= ZN_5480
          | (| CLK_3096 := when (ZN_5480>0) |)
          | (| CLK_3110 := when (ZN_5480=1) |)
          | (| N_5468 := (13 when T1S41) default ((ZN_5480-1) when CLK_5009) default (ZN_5480 when CLK_4795)
             | ZN_5480 := N_5468$1 init 0
             |)
          |)
         where 
         integer N_5468, ZN_5480;
         end
      %ACT_CLK_N_5468%; 
      process ACT_CLK_N_4449 =
           ( )
         (| CLK_N_4449 ^= N_4449 ^= ZN_4450 ^= DN_4451
          | (| CLK_2399 := when (ZN_4450=0) |)
          | (| CLK_2402 := when (N_4449=0) |)
          | (| CLK_CENTRE := CLK_2399 ^+ CLK_2402
             | ACT_CLK_CENTRE{}
             |)
          | (| CLK_4989 := CLK_2402 ^- CLK_2399 |)
          | (| N_4449 := ZN_4450+DN_4451
             | ZN_4450 := N_4449$1 init 0
             | DN_4451 := (0 when CLK_4481) default (1 when CLK_4907) default ((-1) when CLK_4913)
             |)
          |)
         where 
         event CLK_4989, CLK_CENTRE, CLK_2402, CLK_2399;
         integer N_4449, ZN_4450, DN_4451% value = [-1,1]
                %;
         process ACT_CLK_CENTRE =
              ( )
            (| CLK_CENTRE ^= CENTRE ^= COULEUR_6263
             | (| CLK_3242 := when CENTRE
                | MONTER_4 := when (not CENTRE)
                |)
             | (| CENTRE := CLK_2399 default (not CLK_4989)
                | COULEUR_6263 := (1 when CLK_3242) default (0 when MONTER_4)
                | RECTANGLE(0 when CLK_CENTRE,240 when CLK_CENTRE,60 when CLK_CENTRE,340 when CLK_CENTRE,80 when CLK_CENTRE,COULEUR_6263)
                |)
             |)
            where 
            event CLK_3242;
            integer COULEUR_6263% value = [0,1]
                   %;
            boolean CENTRE;
            end
         %ACT_CLK_CENTRE%; 
         end
      %ACT_CLK_N_4449%; 
      process ACT_CLK_N_4477 =
           ( )
         (| CLK_N_4477 ^= N_4477 ^= ZN_4478 ^= DN_4479
          | (| CLK_2429 := when (ZN_4478=0) |)
          | (| CLK_2432 := when (N_4477=0) |)
          | (| CLK_EST := CLK_2429 ^+ CLK_2432
             | ACT_CLK_EST{}
             |)
          | (| CLK_4992 := CLK_2432 ^- CLK_2429 |)
          | (| N_4477 := ZN_4478+DN_4479
             | ZN_4478 := N_4477$1 init 0
             | DN_4479 := (0 when CLK_4483) default (1 when CLK_4915) default ((-1) when CLK_4921)
             |)
          |)
         where 
         event CLK_4992, CLK_EST, CLK_2432, CLK_2429;
         integer N_4477, ZN_4478, DN_4479% value = [-1,1]
                %;
         process ACT_CLK_EST =
              ( )
            (| CLK_EST ^= EST ^= COULEUR_6316
             | (| CLK_3528 := when EST
                | CLK_3529 := when (not EST)
                |)
             | (| EST := CLK_2429 default (not CLK_4992)
                | COULEUR_6316 := (1 when CLK_3528) default (0 when CLK_3529)
                | RECTANGLE(0 when CLK_EST,360 when CLK_EST,60 when CLK_EST,460 when CLK_EST,80 when CLK_EST,COULEUR_6316)
                |)
             |)
            where 
            event CLK_3529, CLK_3528;
            integer COULEUR_6316% value = [0,1]
                   %;
            boolean EST;
            end
         %ACT_CLK_EST%; 
         end
      %ACT_CLK_N_4477%; 
      process ACT_CLK_N_4536 =
           ( )
         (| CLK_N_4536 ^= N_4536 ^= ZN_4537 ^= DN_4538
          | (| CLK_2475 := when (ZN_4537=0) |)
          | (| CLK_2478 := when (N_4536=0) |)
          | (| CLK_TS2W := CLK_2475 ^+ CLK_2478
             | ACT_CLK_TS2W{}
             |)
          | (| CLK_4995 := CLK_2478 ^- CLK_2475 |)
          | (| N_4536 := ZN_4537+DN_4538
             | ZN_4537 := N_4536$1 init 0
             | DN_4538 := (0 when CLK_4485) default (1 when CLK_4937) default ((-1) when CLK_4951)
             |)
          |)
         where 
         event CLK_4995, CLK_TS2W, CLK_2478, CLK_2475;
         integer N_4536, ZN_4537, DN_4538% value = [-1,1]
                %;
         process ACT_CLK_TS2W =
              ( )
            (| CLK_TS2W ^= TS2W ^= COULEUR_6501
             | (| CLK_3600 := when TS2W
                | CLK_3601 := when (not TS2W)
                |)
             | (| TS2W := CLK_2475 default (not CLK_4995)
                | COULEUR_6501 := (1 when CLK_3600) default (0 when CLK_3601)
                | RECTANGLE(0 when CLK_TS2W,360 when CLK_TS2W,100 when CLK_TS2W,460 when CLK_TS2W,120 when CLK_TS2W,COULEUR_6501)
                |)
             |)
            where 
            event CLK_3601, CLK_3600;
            integer COULEUR_6501% value = [0,1]
                   %;
            boolean TS2W;
            end
         %ACT_CLK_TS2W%; 
         end
      %ACT_CLK_N_4536%; 
      process ACT_CLK_N_4796 =
           ( )
         (| CLK_N_4796 ^= N_4796 ^= ZN_4809
          | (| CLK_2605 := when (ZN_4809>0) |)
          | (| CLK_2619 := when (ZN_4809=1) |)
          | (| N_4796 := (13 when T2S11) default ((ZN_4809-1) when CLK_5003) default (ZN_4809 when CLK_4797)
             | ZN_4809 := N_4796$1 init 0
             |)
          |)
         where 
         integer N_4796, ZN_4809;
         end
      %ACT_CLK_N_4796%; 
      process ACT_CLK_N_4564 =
           ( )
         (| CLK_N_4564 ^= N_4564 ^= ZN_4565 ^= DN_4566
          | (| CLK_2505 := when (ZN_4565=0) |)
          | (| CLK_2508 := when (N_4564=0) |)
          | (| CLK_TS2C := CLK_2505 ^+ CLK_2508
             | ACT_CLK_TS2C{}
             |)
          | (| CLK_4998 := CLK_2508 ^- CLK_2505 |)
          | (| N_4564 := ZN_4565+DN_4566
             | ZN_4565 := N_4564$1 init 0
             | DN_4566 := (0 when CLK_4487) default (1 when CLK_4953) default ((-1) when CLK_4959)
             |)
          |)
         where 
         event CLK_4998, CLK_TS2C, CLK_2508, CLK_2505;
         integer N_4564, ZN_4565, DN_4566% value = [-1,1]
                %;
         process ACT_CLK_TS2C =
              ( )
            (| CLK_TS2C ^= TS2C ^= COULEUR_6448
             | (| CLK_2755 := when TS2C
                | MONTER_1 := when (not TS2C)
                |)
             | (| TS2C := CLK_2505 default (not CLK_4998)
                | COULEUR_6448 := (1 when CLK_2755) default (0 when MONTER_1)
                | RECTANGLE(0 when CLK_TS2C,240 when CLK_TS2C,100 when CLK_TS2C,340 when CLK_TS2C,120 when CLK_TS2C,COULEUR_6448)
                |)
             |)
            where 
            event CLK_2755;
            integer COULEUR_6448% value = [0,1]
                   %;
            boolean TS2C;
            end
         %ACT_CLK_TS2C%; 
         end
      %ACT_CLK_N_4564%; 
      process ACT_CLK_N_4592 =
           ( )
         (| CLK_N_4592 ^= N_4592 ^= ZN_4593 ^= DN_4594
          | (| CLK_2535 := when (ZN_4593=0) |)
          | (| CLK_2538 := when (N_4592=0) |)
          | (| CLK_TS2E := CLK_2535 ^+ CLK_2538
             | ACT_CLK_TS2E{}
             |)
          | (| CLK_5001 := CLK_2538 ^- CLK_2535 |)
          | (| N_4592 := ZN_4593+DN_4594
             | ZN_4593 := N_4592$1 init 0
             | DN_4594 := (0 when CLK_4489) default (1 when CLK_4961) default ((-1) when CLK_4967)
             |)
          |)
         where 
         event CLK_5001, CLK_TS2E, CLK_2538, CLK_2535;
         integer N_4592, ZN_4593, DN_4594% value = [-1,1]
                %;
         process ACT_CLK_TS2E =
              ( )
            (| CLK_TS2E ^= TS2E ^= COULEUR_6393
             | (| CLK_3556 := when TS2E
                | CLK_3557 := when (not TS2E)
                |)
             | (| TS2E := CLK_2535 default (not CLK_5001)
                | COULEUR_6393 := (1 when CLK_3556) default (0 when CLK_3557)
                | RECTANGLE(0 when CLK_TS2E,120 when CLK_TS2E,100 when CLK_TS2E,220 when CLK_TS2E,120 when CLK_TS2E,COULEUR_6393)
                |)
             |)
            where 
            event CLK_3557, CLK_3556;
            integer COULEUR_6393% value = [0,1]
                   %;
            boolean TS2E;
            end
         %ACT_CLK_TS2E%; 
         end
      %ACT_CLK_N_4592%; 
      process ACT_CLK_PASSANT_5447 =
           ( )
         (| CLK_PASSANT_5447 ^= PASSANT_5447 ^= ZPASSANT_5448
          | (| CLK_3079 := when ZPASSANT_5448 |)
          | (| PASSANT_5447 := TOP_5429 default (not CLK_4893)
             | ZPASSANT_5448 := PASSANT_5447$1 init INITIAL_5439
             |)
          |)
         where 
         boolean PASSANT_5447, ZPASSANT_5448;
         end
      %ACT_CLK_PASSANT_5447%; 
      process ACT_CLK_PASSANT_5671 =
           ( )
         (| CLK_PASSANT_5671 ^= PASSANT_5671 ^= ZPASSANT_5672
          | (| CLK_3233 := when ZPASSANT_5672 |)
          | (| PASSANT_5671 := TOP_5429 default (not CLK_4899)
             | ZPASSANT_5672 := PASSANT_5671$1 init INITIAL_5663
             |)
          |)
         where 
         boolean PASSANT_5671, ZPASSANT_5672;
         end
      %ACT_CLK_PASSANT_5671%; 
      process ACT_CLK_PASSANT =
           ( )
         (| CLK_PASSANT ^= PASSANT ^= ZPASSANT
          | (| CLK_2588 := when ZPASSANT |)
          | (| PASSANT := TOP default (not CLK_4939)
             | ZPASSANT := PASSANT$1 init INITIAL
             |)
          |)
         where 
         boolean PASSANT, ZPASSANT;
         end
      %ACT_CLK_PASSANT%; 
      process ACT_CLK_PASSANT_5018 =
           ( )
         (| CLK_PASSANT_5018 ^= PASSANT_5018 ^= ZPASSANT_5019
          | (| CLK_2746 := when ZPASSANT_5019 |)
          | (| PASSANT_5018 := TOP default (not CLK_4945)
             | ZPASSANT_5019 := PASSANT_5018$1 init INITIAL_5010
             |)
          |)
         where 
         boolean PASSANT_5018, ZPASSANT_5019;
         end
      %ACT_CLK_PASSANT_5018%; 
      process ACT_CLK_DUREE_5523 =
           ( )
         (| CLK_DUREE_5523 ^= DUREE_5523 ^= ATTENTE_5589 ^= XZX_5590
          | (| CLK_N0_5587 := when (ATTENTE_5589>0)
             | CLK_N0_5587 ^= N0_5587
             | (| N0_5587 := ATTENTE_5589 when CLK_N0_5587 |)
             |)
          | (| CLK_3198 := when (ATTENTE_5589<=15) |)
          | (| CLK_3207 := when (ATTENTE_5589<=0) |)
          | (| DUREE_5523 := N_5572 when CLK_DUREE_5523
             | ATTENTE_5589 := (integer(XZX_5590)-30) when CLK_DUREE_5523
             | XZX_5590 := ((real(DUREE_5523)*(DIST2/DIST1))/100.0) when CLK_DUREE_5523
             |)
          |)
         where 
         real XZX_5590;
         integer DUREE_5523, ATTENTE_5589;
         end
      %ACT_CLK_DUREE_5523%; 
      process ACT_CLK_DUREE =
           ( )
         (| CLK_DUREE ^= DUREE ^= ATTENTE ^= XZX_4922
          | (| CLK_N0_4919 := when (ATTENTE>0)
             | CLK_N0_4919 ^= N0_4919
             | (| N0_4919 := ATTENTE when CLK_N0_4919 |)
             |)
          | (| CLK_2707 := when (ATTENTE<=15) |)
          | (| CLK_2716 := when (ATTENTE<=0) |)
          | (| DUREE := N_4904 when CLK_DUREE
             | ATTENTE := (integer(XZX_4922)-30) when CLK_DUREE
             | XZX_4922 := ((real(DUREE)*(DIST2/DIST1))/100.0) when CLK_DUREE
             |)
          |)
         where 
         real XZX_4922;
         integer DUREE, ATTENTE;
         end
      %ACT_CLK_DUREE%; 
      process ACT_CLK_N_5572 =
           ( )
         (| CLK_N_5572 ^= ZN_5573
          | (| N_5572 := (0 when SORTIE_1_5430) default ((ZN_5573+1) when CLK_4787)
             | ZN_5573 := N_5572$1 init 0
             |)
          |)
         where 
         integer ZN_5573;
         end
      %ACT_CLK_N_5572%; 
      process ACT_CLK_N_4904 =
           ( )
         (| CLK_N_4904 ^= ZN_4905
          | (| N_4904 := (0 when SORTIE_1) default ((ZN_4905+1) when CLK_4783)
             | ZN_4905 := N_4904$1 init 0
             |)
          |)
         where 
         integer ZN_4905;
         end
      %ACT_CLK_N_4904%; 
      process ACT_CLK_N_4853 =
           ( )
         (| CLK_N_4853 ^= N_4853 ^= ZN_4948
          | (| CLK_2686 := when (ZN_4948>0) |)
          | (| CLK_2700 := when (ZN_4948=1) |)
          | (| CLK_2710 := when (N_4853=15) |)
          | (| N_4853 := (N0_4919 when CLK_N0_4919) default ((ZN_4948-1) when CLK_5005) default (ZN_4948 when CLK_4779)
             | ZN_4948 := N_4853$1 init 0
             | AFFENTIER(N_4853,170 when CLK_N_4853,220 when CLK_N_4853)
             |)
          |)
         where 
         integer N_4853, ZN_4948;
         end
      %ACT_CLK_N_4853%; 
      process ACT_CLK_N_5522 =
           ( )
         (| CLK_N_5522 ^= N_5522 ^= ZN_5614
          | (| CLK_3177 := when (ZN_5614>0) |)
          | (| CLK_3191 := when (ZN_5614=1) |)
          | (| CLK_3201 := when (N_5522=15) |)
          | (| N_5522 := (N0_5587 when CLK_N0_5587) default ((ZN_5614-1) when CLK_5011) default (ZN_5614 when CLK_4781)
             | ZN_5614 := N_5522$1 init 0
             | AFFENTIER(N_5522,170 when CLK_N_5522,200 when CLK_N_5522)
             |)
          |)
         where 
         integer N_5522, ZN_5614;
         end
      %ACT_CLK_N_5522%; 
      process ACT_CLK_DN1 =
           ( )
         (| CLK_DN1 ^= DN1 ^= DN2 ^= DN3 ^= DN4 ^= N_5729 ^= ZN_5730
          | (| OUVRIR := when (N_5729=0) |)
          | (| ERREUR := when (N_5729<0)
             | (| ALERTE(ERREUR) |)
             |)
          | (| DN1 := (1 when T_5) default (0 when CLK_4761)
             | DN2 := (1 when T_2) default (0 when CLK_4763)
             | DN3 := ((-1) when MONTER_4) default (0 when CLK_4765)
             | DN4 := ((-1) when MONTER_1) default (0 when CLK_4767)
             | N_5729 := ZN_5730+DN1+DN2+DN3+DN4
             | ZN_5730 := N_5729$1 init 0
             |)
          |)
         where 
         event ERREUR;
         integer DN1% value = [0,1]
                %, DN2% value = [0,1]
                %, DN3% value = [-1,0]
                %, DN4% value = [-1,0]
                %, N_5729, ZN_5730;
         end
      %ACT_CLK_DN1%; 
      process ACT_CLK_PASSANT_5781 =
           ( )
         (| CLK_PASSANT_5781 ^= PASSANT_5781 ^= ZPASSANT_5782
          | (| CLK_3324 := when ZPASSANT_5782 |)
          | (| PASSANT_5781 := OUVRIR default (not CLK_4771)
             | ZPASSANT_5782 := PASSANT_5781$1 init INITIAL_5773
             |)
          |)
         where 
         boolean PASSANT_5781, ZPASSANT_5782;
         end
      %ACT_CLK_PASSANT_5781%; 
      process ACT_CLK_DP_3993 =
           ( )
         (| CLK_DP_3993 ^= DP_3993 ^= NP_3994 ^= P_3995 ^= ZP_3996 ^= EFFACE_4024
          | (| L1CO := when (NP_3994>=9) |)
          | (| B1SD := when (NP_3994<=0) |)
          | (| CLK_SB := L1CO ^+ B1SD
             | ACT_CLK_SB{}
             |)
          | (| CLK_4983 := B1SD ^- L1CO |)
          | (| CLK_5029 := CLK_DP_3993 ^- CLK_SB |)
          | (| DP_3993 := XZX_3997 when CLK_DP_3993
             | NP_3994 := ZP_3996+DP_3993
             | P_3995 := (9 when L1CO) default (0 when CLK_4983) default (NP_3994 when CLK_5029)
             | ZP_3996 := P_3995$1 init 9
             | EFFACE_4024 := EFFACE_BARRIERE(520 when CLK_DP_3993,80 when CLK_DP_3993,ZP_3996)
             | TRACE_BARRIERE(520 when CLK_DP_3993,80 when CLK_DP_3993,P_3995,EFFACE_4024)
             |)
          |)
         where 
         event CLK_5029, CLK_4983;
         boolean EFFACE_4024;
         integer DP_3993% value = [-1,1]
                %, NP_3994, P_3995, ZP_3996;
         process ACT_CLK_SB =
              ( )
            (| CLK_SB ^= SB ^= COULEUR_6593
             | (| CLK_3631 := when SB
                | CLK_3632 := when (not SB)
                |)
             | (| SB := L1CO default (not CLK_4983)
                | COULEUR_6593 := (1 when CLK_3631) default (0 when CLK_3632)
                | RECTANGLE(0 when CLK_SB,137 when CLK_SB,200 when CLK_SB,187 when CLK_SB,220 when CLK_SB,COULEUR_6593)
                |)
             |)
            where 
            event CLK_3632, CLK_3631;
            integer COULEUR_6593% value = [0,1]
                   %;
            boolean SB;
            end
         %ACT_CLK_SB%; 
         end
      %ACT_CLK_DP_3993%; 
      process ACT_CLK_DP =
           ( )
         (| CLK_DP ^= DP ^= NP ^= P ^= ZP ^= EFFACE
          | (| L2CO := when (NP>=9) |)
          | (| B2SD := when (NP<=0) |)
          | (| CLK_SB2 := L2CO ^+ B2SD
             | ACT_CLK_SB2{}
             |)
          | (| CLK_4980 := B2SD ^- L2CO |)
          | (| CLK_5031 := CLK_DP ^- CLK_SB2 |)
          | (| DP := XZX when CLK_DP
             | NP := ZP+DP
             | P := (9 when L2CO) default (0 when CLK_4980) default (NP when CLK_5031)
             | ZP := P$1 init 9
             | EFFACE := EFFACE_BARRIERE(520 when CLK_DP,310 when CLK_DP,ZP)
             | TRACE_BARRIERE(520 when CLK_DP,310 when CLK_DP,P,EFFACE)
             |)
          |)
         where 
         event CLK_5031, CLK_4980;
         boolean EFFACE;
         integer DP% value = [-1,1]
                %, NP, P, ZP;
         process ACT_CLK_SB2 =
              ( )
            (| CLK_SB2 ^= SB2 ^= COULEUR_6792
             | (| CLK_3713 := when SB2
                | CLK_3714 := when (not SB2)
                |)
             | (| SB2 := L2CO default (not CLK_4980)
                | COULEUR_6792 := (1 when CLK_3713) default (0 when CLK_3714)
                | RECTANGLE(0 when CLK_SB2,137 when CLK_SB2,240 when CLK_SB2,187 when CLK_SB2,260 when CLK_SB2,COULEUR_6792)
                |)
             |)
            where 
            event CLK_3714, CLK_3713;
            integer COULEUR_6792% value = [0,1]
                   %;
            boolean SB2;
            end
         %ACT_CLK_SB2%; 
         end
      %ACT_CLK_DP%; 
      process ACT_CLK_N_5287 =
           ( )
         (| CLK_N_5287 ^= N_5287 ^= ZN_5288
          | (| CLK_2957 := when (ZN_5288>0) |)
          | (| CLK_2968 := when (ZN_5288=1) |)
          | (| N_5287 := (5 when OUVRIR) default (0 when CLK_5691) default ((ZN_5288-1) when CLK_5659) default (ZN_5288 when CLK_5627)
             | ZN_5288 := N_5287$1 init 0
             |)
          |)
         where 
         integer N_5287, ZN_5288;
         end
      %ACT_CLK_N_5287%; 
      process ACT_CLK_N_5361 =
           ( )
         (| CLK_N_5361 ^= N_5361 ^= ZN_5362
          | (| CLK_3026 := when (ZN_5362>0) |)
          | (| CLK_3037 := when (ZN_5362=1) |)
          | (| N_5361 := (5 when FERMER) default (0 when CLK_5685) default ((ZN_5362-1) when CLK_5655) default (ZN_5362 when CLK_5631)
             | ZN_5362 := N_5361$1 init 0
             |)
          |)
         where 
         integer N_5361, ZN_5362;
         end
      %ACT_CLK_N_5361%; 
      process ACT_CLK_N_5108 =
           ( )
         (| CLK_N_5108 ^= N_5108 ^= ZN_5109
          | (| CLK_2813 := when (ZN_5109>0) |)
          | (| CLK_2824 := when (ZN_5109=1) |)
          | (| N_5108 := (5 when OUVRIR) default (0 when CLK_5675) default ((ZN_5109-1) when CLK_5665) default (ZN_5109 when CLK_5629)
             | ZN_5109 := N_5108$1 init 0
             |)
          |)
         where 
         integer N_5108, ZN_5109;
         end
      %ACT_CLK_N_5108%; 
      process ACT_CLK_N_5184 =
           ( )
         (| CLK_N_5184 ^= N_5184 ^= ZN_5185
          | (| CLK_2882 := when (ZN_5185>0) |)
          | (| CLK_2893 := when (ZN_5185=1) |)
          | (| N_5184 := (5 when FERMER) default (0 when CLK_5669) default ((ZN_5185-1) when CLK_5661) default (ZN_5185 when CLK_5635)
             | ZN_5185 := N_5184$1 init 0
             |)
          |)
         where 
         integer N_5184, ZN_5185;
         end
      %ACT_CLK_N_5184%; 
      process ACT_CLK_N_5324 =
           ( )
         (| CLK_N_5324 ^= N_5324 ^= ZN_5325
          | (| CLK_2993 := when (ZN_5325>0) |)
          | (| CLK_3004 := when (ZN_5325=1) |)
          | (| N_5324 := (5 when EB2D) default (0 when CLK_5683) default ((ZN_5325-1) when CLK_5657) default (ZN_5325 when CLK_5633)
             | ZN_5325 := N_5324$1 init 0
             |)
          |)
         where 
         integer N_5324, ZN_5325;
         end
      %ACT_CLK_N_5324%; 
      process ACT_CLK_N_5146 =
           ( )
         (| CLK_N_5146 ^= N_5146 ^= ZN_5147
          | (| CLK_2849 := when (ZN_5147>0) |)
          | (| CLK_2860 := when (ZN_5147=1) |)
          | (| N_5146 := (5 when EB1D) default (0 when CLK_5667) default ((ZN_5147-1) when CLK_5663) default (ZN_5147 when CLK_5637)
             | ZN_5147 := N_5146$1 init 0
             |)
          |)
         where 
         integer N_5146, ZN_5147;
         end
      %ACT_CLK_N_5146%; 
      process ACT_CLK_T2_6766 =
           ( )
         (| CLK_T2_6766 ^= T2_6766 ^= COULEUR_6906
          | (| CLK_3764 := when T2_6766
             | CLK_3765 := when (not T2_6766)
             |)
          | (| T2_6766 := EB2D default (not CLK_5695)
             | COULEUR_6906 := (1 when CLK_3764) default (0 when CLK_3765)
             | RECTANGLE(0 when CLK_T2_6766,400 when CLK_T2_6766,240 when CLK_T2_6766,500 when CLK_T2_6766,260 when CLK_T2_6766,COULEUR_6906)
             |)
          |)
         where 
         event CLK_3765, CLK_3764;
         integer COULEUR_6906% value = [0,1]
                %;
         boolean T2_6766;
         end
      %ACT_CLK_T2_6766%; 
      process ACT_CLK_ACTIF_6036 =
           ( )
         (| CLK_ACTIF_6036 ^= ACTIF_6036 ^= ZACTIF_6037
          | (| CLK_3438 := when ACTIF_6036 |)
          | (| ACTIF_6036 := L2CS default (not CLK_5617) default (ZACTIF_6037 when CLK_5641)
             | ZACTIF_6037 := ACTIF_6036$1 init false
             |)
          |)
         where 
         boolean ACTIF_6036, ZACTIF_6037;
         end
      %ACT_CLK_ACTIF_6036%; 
      process ACT_CLK_T1_6765 =
           ( )
         (| CLK_T1_6765 ^= T1_6765 ^= COULEUR_6853
          | (| CLK_3742 := when T1_6765
             | CLK_3743 := when (not T1_6765)
             |)
          | (| T1_6765 := EB2U default (not CLK_5697)
             | COULEUR_6853 := (1 when CLK_3742) default (0 when CLK_3743)
             | RECTANGLE(0 when CLK_T1_6765,280 when CLK_T1_6765,240 when CLK_T1_6765,380 when CLK_T1_6765,260 when CLK_T1_6765,COULEUR_6853)
             |)
          |)
         where 
         event CLK_3743, CLK_3742;
         integer COULEUR_6853% value = [0,1]
                %;
         boolean T1_6765;
         end
      %ACT_CLK_T1_6765%; 
      process ACT_CLK_T2_6566 =
           ( )
         (| CLK_T2_6566 ^= T2_6566 ^= COULEUR_6707
          | (| CLK_3682 := when T2_6566
             | CLK_3683 := when (not T2_6566)
             |)
          | (| T2_6566 := EB1D default (not CLK_5679)
             | COULEUR_6707 := (1 when CLK_3682) default (0 when CLK_3683)
             | RECTANGLE(0 when CLK_T2_6566,400 when CLK_T2_6566,200 when CLK_T2_6566,500 when CLK_T2_6566,220 when CLK_T2_6566,COULEUR_6707)
             |)
          |)
         where 
         event CLK_3683, CLK_3682;
         integer COULEUR_6707% value = [0,1]
                %;
         boolean T2_6566;
         end
      %ACT_CLK_T2_6566%; 
      process ACT_CLK_ACTIF_5883 =
           ( )
         (| CLK_ACTIF_5883 ^= ACTIF_5883 ^= ZACTIF_5884
          | (| CLK_3371 := when ACTIF_5883 |)
          | (| ACTIF_5883 := L1CS default (not CLK_5603) default (ZACTIF_5884 when CLK_5639)
             | ZACTIF_5884 := ACTIF_5883$1 init false
             |)
          |)
         where 
         boolean ACTIF_5883, ZACTIF_5884;
         end
      %ACT_CLK_ACTIF_5883%; 
      process ACT_CLK_T1_6565 =
           ( )
         (| CLK_T1_6565 ^= T1_6565 ^= COULEUR_6654
          | (| CLK_3660 := when T1_6565
             | CLK_3661 := when (not T1_6565)
             |)
          | (| T1_6565 := EB1U default (not CLK_5681)
             | COULEUR_6654 := (1 when CLK_3660) default (0 when CLK_3661)
             | RECTANGLE(0 when CLK_T1_6565,280 when CLK_T1_6565,200 when CLK_T1_6565,380 when CLK_T1_6565,220 when CLK_T1_6565,COULEUR_6654)
             |)
          |)
         where 
         event CLK_3661, CLK_3660;
         integer COULEUR_6654% value = [0,1]
                %;
         boolean T1_6565;
         end
      %ACT_CLK_T1_6565%; 
      process ACT_CLK_TCLIGNO_6041 =
           ( )
         (| CLK_TCLIGNO_6041 ^= ZTCLIGNO_6042
          | (| TCLIGNO_6041 := not ZTCLIGNO_6042
             | ZTCLIGNO_6042 := TCLIGNO_6041$1 init false
             |)
          |)
         where 
         boolean ZTCLIGNO_6042;
         end
      %ACT_CLK_TCLIGNO_6041%; 
      process ACT_CLK_TCLIGNO =
           ( )
         (| CLK_TCLIGNO ^= ZTCLIGNO
          | (| TCLIGNO := not ZTCLIGNO
             | ZTCLIGNO := TCLIGNO$1 init false
             |)
          |)
         where 
         boolean ZTCLIGNO;
         end
      %ACT_CLK_TCLIGNO%; 
      process ACT_CLK_T_5885 =
           ( )
         (| CLK_T_5885 ^= T_5885 ^= COULEUR
          | (| CLK_3382 := when T_5885
             | CLK_3383 := when (not T_5885)
             |)
          | (| T_5885 := (TSTABLE when CLK_TSTABLE) default (TCLIGNO when CLK_5593)
             | COULEUR := (1 when CLK_3382) default (0 when CLK_3383)
             | RECTANGLE(1 when CLK_T_5885,498 when CLK_T_5885,72 when CLK_T_5885,514 when CLK_T_5885,88 when CLK_T_5885,COULEUR)
             |)
          |)
         where 
         event CLK_3383, CLK_3382;
         integer COULEUR% value = [0,1]
                %;
         boolean T_5885;
         end
      %ACT_CLK_T_5885%; 
      process ACT_CLK_T_6038 =
           ( )
         (| CLK_T_6038 ^= T_6038 ^= COULEUR_6095
          | (| CLK_3449 := when T_6038
             | CLK_3450 := when (not T_6038)
             |)
          | (| T_6038 := (TSTABLE_6039 when CLK_TSTABLE_6039) default (TCLIGNO_6041 when CLK_5591)
             | COULEUR_6095 := (1 when CLK_3449) default (0 when CLK_3450)
             | RECTANGLE(1 when CLK_T_6038,498 when CLK_T_6038,302 when CLK_T_6038,514 when CLK_T_6038,318 when CLK_T_6038,COULEUR_6095)
             |)
          |)
         where 
         event CLK_3450, CLK_3449;
         integer COULEUR_6095% value = [0,1]
                %;
         boolean T_6038;
         end
      %ACT_CLK_T_6038%; 
      end
   %ACT_CLK_H%; 
   process RAZSLIDER =
        ( ? integer NS;
        )
   
   %RAZSLIDER%; 
   process DESSINERTRAIN =
        ( ? real XDEB, XFIN, L;
            integer Y1, Y2, ZX1, ZX2, ZX3, S;
          ! integer X1, X2, X3;
        )
        spec (| XDEB ^= XFIN ^= L ^= Y1 ^= Y2 ^= ZX1 ^= ZX2 ^= ZX3 ^= S ^= X1 ^= X2 ^= X3 |)
   
   %DESSINERTRAIN%; 
   process RECTANGLE =
        ( ? integer FEN;
            integer X1, Y1, X2, Y2, COULEUR;
        )
        spec (| FEN ^= X1 ^= Y1 ^= X2 ^= Y2 ^= COULEUR |)
   
   %RECTANGLE%; 
   process AFFENTIER =
        ( ? integer N, X1, Y1;
        )
        spec (| N ^= X1 ^= Y1 |)
   
   %AFFENTIER%; 
   process ALERTE =
        ( ? boolean ERREUR;
        )
   
   %ALERTE%; 
   process EFFACE_BARRIERE =
        ( ? integer X, Y, ZP;
          ! boolean EFFACE;
        )
        spec (| X ^= Y ^= ZP ^= EFFACE |)
   
   %EFFACE_BARRIERE%; 
   process TRACE_BARRIERE =
        ( ? integer X, Y, P;
            boolean EFFACE;
        )
        spec (| X ^= Y ^= P ^= EFFACE |)
   
   %TRACE_BARRIERE%; 
   end
%TRAIN_TRA%; 
