process BUSACCELERATION = {type A} ( ? A written ! A read)
   (| (Y,CW):= ACCELERATE {A} (written)
    | B := COMMUTATOR (CW)
    | CR := TRIGGER (B)
    | read := SAMPLE {A} (Y,CR)
    |)  
  where
     boolean CW, CR, B; A Y;
    process ACCELERATE = {type A} ( ? A written ! A read; boolean C)
       (| read := written cell ^read
        | C := ^written default false when ^read
        |) ; 
    process COMMUTATOR = ( ? boolean C ! boolean B)
       (| B := (not ZB when C) default ZB
        | ZB := B$1 init false
        | C^=B
        |) 
      where boolean ZB;
    end ; 
    process TRIGGER = ( ? boolean B ! boolean C)
       (| C := true when (B and (not ZB)) default (true when ((not B) and ZB)) default (false when ^ZB)
        | ZB := B$1 init false
        |)
      where boolean ZB;
    end ; 
    process SAMPLE = {type A} ( ? A written; boolean C ! A read)
       (| read := written when C
        | C ^= written
        |) ; 
end;