process DESYNCHRONIZEDRW = {type RWtype} ( ? RWtype XW ! RWtype XR)
   (| XDW := TWOSTEP{RWtype}(XW)
    | (Y,CW):= ACCELERATE {RWtype} (XDW)
    | B := COMMUTATOR (CW)
    | CR := TRIGGER (B)
    | XDR := SAMPLE {RWtype} (Y,CR)
    | XR := TWOSTEP{RWtype}(XDR)                 
    |)  
  where
     boolean CW, CR, B; RWtype  XDW, XDR, Y;
    process ACCELERATE = {type A} ( ? A written ! A read; boolean C)
       (| read := written cell ^read
        | C := ^written default false when ^read
        |) ; 
    process COMMUTATOR = ( ? boolean C ! boolean B)
       (| B := (not ZB when C) default ZB
        | ZB := B$1 init false
        | C^=B
        |) 
      where boolean ZB;
    end ; 
    process TRIGGER = ( ? boolean B ! boolean C)
       (| C := true when (B and (not ZB)) default (true when ((not B) and ZB)) default (false when ^ZB)
        | ZB := B$1 init false
        |)
      where boolean ZB;
    end ; 
    process SAMPLE = {type A} ( ? A written; boolean C ! A read)
       (| read := written when C
        | C ^= written
        |) ; 
    process TWOSTEP = {type A} ( ? A received ! A sent )
       (| ALTERNATE {A} ( received, sent )
        | sent := MEMORYCELL {A} ( received ) |)
      where 
        process ALTERNATE = {type A} ( ? A first, second; ! )
           (| first ^= when firstAllowed
            | second ^= when firstAllowed
            | firstAllowed := (not firstAllowed $1 init false)
            |)
          where boolean firstAllowed;
        end ; 
        process MEMORYCELL = {type A} ( ? A written ! A read )
           (| read := written cell ^read when ^read |) ; 
    end ; 
end;