process lttaFifo2_TRA =
     ( ? boolean xw;
         event cw, cb, cr;
       ! boolean xr, inv;
     )
   pragmas 
      Main
      Sigali "&o1: &n(S,&i1);"
      Comment "Will compute the set of states where boolean A is true"
      Sigali "&n(S,&i1);"
      Comment "invariant(SYSTEM, SET) -> BOOLEAN : invariant(syst, p) is True whenever"
              " the  set of  states,  solution of  the  polynomial p  is invariant  with."
              " It is apply on all the states (reachable or not). See also AG()."
      Sigali ""
      Comment "In case of verification the E expression  will be evaluated by the sigali tool."
              "In case of synthesis, the sigali tool will produce the controlled system according to the E expression."
              "In case of controllable, the E input variable will be considered as controllable."
              "In case of simulation, see Simul comment."
   end pragmas
   (| (| CLK_XZX_81 := ^CLK_XZX_81
       | ACT_CLK_XZX_81{}
       |)
    | (| CLK_XZX_162 := ^CLK_XZX_162
       | ACT_CLK_XZX_162{}
       |)
    | (| CLK_XZX_196 := CLK_sbb ^+ cr
       | CLK_XZX_196 ^= XZX_196 ^= XZX_200
       | ACT_CLK_XZX_196{}
       |)
    | (| CLK_76 ^+ cr ^= cr
       | cr ^= cr
       | ACT_cr{}
       |)
    | (| CLK_b_257 := ^CLK_b_257
       | ACT_CLK_b_257{}
       |)
    | (| CLK_XZX_275 := ^XZX_275
       | CLK_XZX_275 ^= XZX_275
       | ACT_CLK_XZX_275{}
       |)
    | (| CLK_110 := CLK_inv ^- CLK_101 |)
    | (| CLK_RESULT := ^RESULT
       | CLK_RESULT ^= RESULT
       | (| Sigali(RESULT) |)
       |)
    | (| CLK_118 := CLK_RESULT ^+ CLK_inv
       | (| RESULT := Always(PROP) |)
       |)
    | (| CLK_XZX_251 := CLK_88 ^+ CLK_100
       | CLK_XZX_251 ^= XZX_251
       | (| XZX_251 := (xw when cw) cell CLK_XZX_251 init false |)
       |)
    | (| CLK_inv := CLK_101 ^+ CLK_inv
       | CLK_inv ^= inv ^= PROP
       | ACT_CLK_inv{}
       |)
    | (| (| CLK_157 := CLK_sbw ^+ cb
          | cb ^= CLK_157
          |)
       | (| CLK_xr ^= CLK_101 |)
       | (| CLK_sx_243 ^= CLK_100 |)
       | (| cw ^= CLK_88 |)
       |)%**WARNING: Clocks constraints
      %
    |)
   where 
   type setOfStates = boolean;
   event CLK_157, CLK_inv, CLK_XZX_251, CLK_118, CLK_RESULT, CLK_110, CLK_101, CLK_100, CLK_XZX_275, CLK_sx_243, CLK_88, CLK_b_257, CLK_76, CLK_xr, CLK_XZX_196, CLK_sbb, CLK_XZX_162, CLK_sbw, CLK_XZX_81;
   setOfStates PROP;
   boolean sbw, sbb, xok, sx, sx_146, XZX_196, XZX_200, sx_243, XZX_251, XZX_275, RESULT;
   process ACT_CLK_XZX_81 =
        ( )
      (| CLK_XZX_81 ^= XZX_81 ^= XZX_85 ^= b ^= pre_b
       | (| when b ^= cw
          | cw ^= xw ^= cw ^= bw
          | ACT_cw{}
          | CLK_sbw := when (not b)
          | CLK_sbw ^= sbw ^= sx
          | ACT_CLK_sbw{}
          |)
       | (| XZX_81 := (xw when cw) cell CLK_XZX_81 init false
          | XZX_85 := (bw when cw) cell CLK_XZX_81 init true
          | b := not pre_b
          | pre_b := b$1 init false
          |)
       |)
      where 
      boolean bw, XZX_81, XZX_85, b, pre_b;
      process ACT_cw =
           ( )
         (| cw ^= pre_bw
          | (| bw := not pre_bw
             | pre_bw := bw$1 init true
             |)
          |)
         where 
         boolean pre_bw;
         end
      %ACT_cw%; 
      process ACT_CLK_sbw =
           ( )
         (| (| sbw := XZX_85 when CLK_sbw
             | sx := XZX_81 when CLK_sbw
             |) |)
      %ACT_CLK_sbw%; 
      end
   %ACT_CLK_XZX_81%; 
   process ACT_CLK_XZX_162 =
        ( )
      (| CLK_XZX_162 ^= XZX_162 ^= XZX_166 ^= b_174 ^= pre_b_182
       | (| when b_174 ^= cb
          | cb ^= cb ^= xb ^= bb
          | ACT_cb{}
          | CLK_sbb := when (not b_174)
          | CLK_sbb ^= sbb ^= sx_146
          | ACT_CLK_sbb{}
          |)
       | (| XZX_162 := (xb when cb) cell CLK_XZX_162 init false
          | XZX_166 := (bb when cb) cell CLK_XZX_162 init true
          | b_174 := not pre_b_182
          | pre_b_182 := b_174$1 init false
          |)
       |)
      where 
      boolean xb, bb, XZX_162, XZX_166, b_174, pre_b_182;
      process ACT_cb =
           ( )
         (| (| xb := (sx when CLK_sbw) cell cb init false
             | bb := (sbw when CLK_sbw) cell cb init true
             |) |)
      %ACT_cb%; 
      process ACT_CLK_sbb =
           ( )
         (| CLK_sbb ^= c_223 ^= zb_226
          | (| CLK_76 := when c_223 |)
          | (| sbb := XZX_166 when CLK_sbb
             | sx_146 := XZX_162 when CLK_sbb
             | c_223 := (sbb and (not zb_226)) or ((not sbb) and zb_226)
             | zb_226 := sbb$1 init true
             |)
          |)
         where 
         boolean c_223, zb_226;
         end
      %ACT_CLK_sbb%; 
      end
   %ACT_CLK_XZX_162%; 
   process ACT_CLK_XZX_196 =
        ( )
      (| (| XZX_196 := (sx_146 when CLK_sbb) cell CLK_XZX_196 init false
          | XZX_200 := (sbb when CLK_sbb) cell CLK_XZX_196 init true
          |) |)
   %ACT_CLK_XZX_196%; 
   process ACT_cr =
        ( )
      (| cr ^= br ^= yr ^= c ^= zb
       | (| CLK_xr := when c
          | CLK_xr ^= xr ^= xok
          | ACT_CLK_xr{}
          |)
       | (| br := XZX_200 when cr
          | yr := XZX_196 when cr
          | c := (br and (not zb)) or ((not br) and zb)
          | zb := br$1 init true
          |)
       |)
      where 
      boolean br, yr, c, zb;
      process ACT_CLK_xr =
           ( )
         (| (| xr := yr when CLK_101
             | xok := XZX_275 when CLK_101
             |) |)
      %ACT_CLK_xr%; 
      end
   %ACT_cr%; 
   process ACT_CLK_b_257 =
        ( )
      (| CLK_b_257 ^= b_257 ^= pre_b_265
       | (| CLK_88 := when b_257
          | CLK_sx_243 := when (not b_257)
          | CLK_sx_243 ^= sx_243
          | (| sx_243 := XZX_251 when CLK_sx_243 |)
          |)
       | (| b_257 := not pre_b_265
          | pre_b_265 := b_257$1 init false
          |)
       |)
      where 
      boolean b_257, pre_b_265;
      end
   %ACT_CLK_b_257%; 
   process ACT_CLK_XZX_275 =
        ( )
      (| CLK_XZX_275 ^= b_281 ^= pre_b_289
       | (| CLK_100 := when b_281
          | CLK_101 := when (not b_281)
          |)
       | (| XZX_275 := (sx_243 when CLK_sx_243) cell CLK_XZX_275 init false
          | b_281 := not pre_b_289
          | pre_b_289 := b_281$1 init false
          |)
       |)
      where 
      boolean b_281, pre_b_289;
      end
   %ACT_CLK_XZX_275%; 
   process ACT_CLK_inv =
        ( )
      (| CLK_inv ^= i
       | (| inv := (((xok and xr) or ((not xok) and (not xr))) when CLK_101) default (i when CLK_110)
          | i := inv$1 init true
          | PROP := B_True(inv)
          |)
       |)
      where 
      boolean i;
      end
   %ACT_CLK_inv%; 
   process Sigali =
        ( ? boolean E;
        )
      pragmas 
         Sigali ""
         Comment "In case of verification the E expression  will be evaluated by the sigali tool."
                 "In case of synthesis, the sigali tool will produce the controlled system according to the E expression."
                 "In case of controllable, the E input variable will be considered as controllable."
                 "In case of simulation, see Simul comment."
      end pragmas
   
   %Sigali%; 
   process Always =
        ( ? setOfStates PROP;
          ! boolean RESULT;
        )
      pragmas 
         Sigali "&n(S,&i1);"
         Comment "invariant(SYSTEM, SET) -> BOOLEAN : invariant(syst, p) is True whenever"
                 " the  set of  states,  solution of  the  polynomial p  is invariant  with."
                 " It is apply on all the states (reachable or not). See also AG()."
      end pragmas
   
   %Always%; 
   function B_True =
        ( ? boolean inv;
          ! setOfStates PROP;
        )
      pragmas 
         Sigali "&o1: &n(S,&i1);"
         Comment "Will compute the set of states where boolean A is true"
      end pragmas
      external
   %B_True%; 
   end
%lttaFifo2_TRA%; 
