process lttaFifo3_TRA =
     ( ? boolean xw;
         event cw, cb, cr;
       ! boolean xr, inv;
     )
   pragmas 
      Main
      Sigali "&o1: &n(S,&i1);"
      Comment "Will compute the set of states where boolean A is true"
      Sigali "&n(S,&i1);"
      Comment "invariant(SYSTEM, SET) -> BOOLEAN : invariant(syst, p) is True whenever"
              " the  set of  states,  solution of  the  polynomial p  is invariant  with."
              " It is apply on all the states (reachable or not). See also AG()."
      Sigali ""
      Comment "In case of verification the E expression  will be evaluated by the sigali tool."
              "In case of synthesis, the sigali tool will produce the controlled system according to the E expression."
              "In case of controllable, the E input variable will be considered as controllable."
              "In case of simulation, see Simul comment."
   end pragmas
   (| (| ^cr ^= cr
       | cr ^= cr
       | ACT_cr{}
       |)
    | (| CLK_XZX_115 := CLK_sbw ^+ cb
       | CLK_XZX_115 ^= XZX_115 ^= XZX_119
       | ACT_CLK_XZX_115{}
       |)
    | (| CLK_XZX_81 := ^CLK_XZX_81
       | ACT_CLK_XZX_81{}
       |)
    | (| CLK_XZX_162 := ^CLK_XZX_162
       | ACT_CLK_XZX_162{}
       |)
    | (| CLK_XZX_196 := cr ^+ CLK_sbb
       | CLK_XZX_196 ^= XZX_196 ^= XZX_200
       | ACT_CLK_XZX_196{}
       |)
    | (| CLK_b_236 := ^CLK_b_236
       | ACT_CLK_b_236{}
       |)
    | (| CLK_b_261 := ^CLK_b_261
       | ACT_CLK_b_261{}
       |)
    | (| CLK_XZX_279 := ^XZX_279
       | CLK_XZX_279 ^= XZX_279
       | ACT_CLK_XZX_279{}
       |)
    | (| CLK_112 := CLK_inv ^- CLK_103 |)
    | (| CLK_RESULT := ^RESULT
       | CLK_RESULT ^= RESULT
       | (| Sigali(RESULT) |)
       |)
    | (| CLK_120 := CLK_RESULT ^+ CLK_inv
       | (| RESULT := Always(PROP) |)
       |)
    | (| CLK_XZX_230 := CLK_77 ^+ CLK_90
       | CLK_XZX_230 ^= XZX_230
       | (| XZX_230 := (xw when cw) cell CLK_XZX_230 init false |)
       |)
    | (| CLK_XZX_255 := CLK_90 ^+ CLK_102
       | CLK_XZX_255 ^= XZX_255
       | (| XZX_255 := (sx_222 when CLK_sx_222) cell CLK_XZX_255 init false |)
       |)
    | (| CLK_inv := CLK_103 ^+ CLK_inv
       | CLK_inv ^= inv ^= PROP
       | ACT_CLK_inv{}
       |)
    | (| (| CLK_xr ^= CLK_103 |)
       | (| CLK_sx_220 ^= CLK_102 |)
       | (| CLK_sx_222 ^= CLK_90 |)
       | (| cw ^= CLK_77 |)
       |)%**WARNING: Clocks constraints
      %
    |)
   where 
   type setOfStates = boolean;
   event CLK_inv, CLK_XZX_255, CLK_XZX_230, CLK_120, CLK_RESULT, CLK_112, CLK_103, CLK_102, CLK_XZX_279, CLK_sx_220, CLK_90, CLK_b_261, CLK_sx_222, CLK_77, CLK_b_236, CLK_xr, CLK_XZX_196, CLK_sbb, CLK_XZX_162, CLK_sbw, CLK_XZX_81, CLK_XZX_115;
   setOfStates PROP;
   boolean sbw, sbb, xok, sx, XZX_115, XZX_119, sx_146, XZX_196, XZX_200, sx_220, sx_222, XZX_230, XZX_255, XZX_279, RESULT;
   process ACT_cr =
        ( )
      (| cr ^= br ^= yr ^= c ^= zb
       | (| CLK_xr := when c
          | CLK_xr ^= xr ^= xok
          | ACT_CLK_xr{}
          |)
       | (| br := XZX_200 when cr
          | yr := XZX_196 when cr
          | c := (br and (not zb)) or ((not br) and zb)
          | zb := br$1 init true
          |)
       |)
      where 
      boolean br, yr, c, zb;
      process ACT_CLK_xr =
           ( )
         (| (| xr := yr when CLK_103
             | xok := XZX_279 when CLK_103
             |) |)
      %ACT_CLK_xr%; 
      end
   %ACT_cr%; 
   process ACT_CLK_XZX_115 =
        ( )
      (| (| XZX_115 := (sx when CLK_sbw) cell CLK_XZX_115 init false
          | XZX_119 := (sbw when CLK_sbw) cell CLK_XZX_115 init true
          |) |)
   %ACT_CLK_XZX_115%; 
   process ACT_CLK_XZX_81 =
        ( )
      (| CLK_XZX_81 ^= XZX_81 ^= XZX_85 ^= b ^= pre_b
       | (| when b ^= cw
          | cw ^= xw ^= cw ^= bw
          | ACT_cw{}
          | CLK_sbw := when (not b)
          | CLK_sbw ^= sbw ^= sx
          | ACT_CLK_sbw{}
          |)
       | (| XZX_81 := (xw when cw) cell CLK_XZX_81 init false
          | XZX_85 := (bw when cw) cell CLK_XZX_81 init true
          | b := not pre_b
          | pre_b := b$1 init false
          |)
       |)
      where 
      boolean bw, XZX_81, XZX_85, b, pre_b;
      process ACT_cw =
           ( )
         (| cw ^= pre_bw
          | (| bw := not pre_bw
             | pre_bw := bw$1 init true
             |)
          |)
         where 
         boolean pre_bw;
         end
      %ACT_cw%; 
      process ACT_CLK_sbw =
           ( )
         (| (| sbw := XZX_85 when CLK_sbw
             | sx := XZX_81 when CLK_sbw
             |) |)
      %ACT_CLK_sbw%; 
      end
   %ACT_CLK_XZX_81%; 
   process ACT_CLK_XZX_162 =
        ( )
      (| CLK_XZX_162 ^= XZX_162 ^= XZX_166 ^= b_174 ^= pre_b_182
       | (| when b_174 ^= cb
          | cb ^= cb ^= xb ^= bb
          | ACT_cb{}
          | CLK_sbb := when (not b_174)
          | CLK_sbb ^= sbb ^= sx_146
          | ACT_CLK_sbb{}
          |)
       | (| XZX_162 := (xb when cb) cell CLK_XZX_162 init false
          | XZX_166 := (bb when cb) cell CLK_XZX_162 init true
          | b_174 := not pre_b_182
          | pre_b_182 := b_174$1 init false
          |)
       |)
      where 
      boolean xb, bb, XZX_162, XZX_166, b_174, pre_b_182;
      process ACT_cb =
           ( )
         (| (| xb := XZX_115 when cb
             | bb := XZX_119 when cb
             |) |)
      %ACT_cb%; 
      process ACT_CLK_sbb =
           ( )
         (| (| sbb := XZX_166 when CLK_sbb
             | sx_146 := XZX_162 when CLK_sbb
             |) |)
      %ACT_CLK_sbb%; 
      end
   %ACT_CLK_XZX_162%; 
   process ACT_CLK_XZX_196 =
        ( )
      (| (| XZX_196 := (sx_146 when CLK_sbb) cell CLK_XZX_196 init false
          | XZX_200 := (sbb when CLK_sbb) cell CLK_XZX_196 init true
          |) |)
   %ACT_CLK_XZX_196%; 
   process ACT_CLK_b_236 =
        ( )
      (| CLK_b_236 ^= b_236 ^= pre_b_244
       | (| CLK_77 := when b_236
          | CLK_sx_222 := when (not b_236)
          | CLK_sx_222 ^= sx_222
          | (| sx_222 := XZX_230 when CLK_sx_222 |)
          |)
       | (| b_236 := not pre_b_244
          | pre_b_244 := b_236$1 init false
          |)
       |)
      where 
      boolean b_236, pre_b_244;
      end
   %ACT_CLK_b_236%; 
   process ACT_CLK_b_261 =
        ( )
      (| CLK_b_261 ^= b_261 ^= pre_b_269
       | (| CLK_90 := when b_261
          | CLK_sx_220 := when (not b_261)
          | CLK_sx_220 ^= sx_220
          | (| sx_220 := XZX_255 when CLK_sx_220 |)
          |)
       | (| b_261 := not pre_b_269
          | pre_b_269 := b_261$1 init false
          |)
       |)
      where 
      boolean b_261, pre_b_269;
      end
   %ACT_CLK_b_261%; 
   process ACT_CLK_XZX_279 =
        ( )
      (| CLK_XZX_279 ^= b_285 ^= pre_b_293
       | (| CLK_102 := when b_285
          | CLK_103 := when (not b_285)
          |)
       | (| XZX_279 := (sx_220 when CLK_sx_220) cell CLK_XZX_279 init false
          | b_285 := not pre_b_293
          | pre_b_293 := b_285$1 init false
          |)
       |)
      where 
      boolean b_285, pre_b_293;
      end
   %ACT_CLK_XZX_279%; 
   process ACT_CLK_inv =
        ( )
      (| CLK_inv ^= i
       | (| inv := (((xok and xr) or ((not xok) and (not xr))) when CLK_103) default (i when CLK_112)
          | i := inv$1 init true
          | PROP := B_True(inv)
          |)
       |)
      where 
      boolean i;
      end
   %ACT_CLK_inv%; 
   process Sigali =
        ( ? boolean E;
        )
      pragmas 
         Sigali ""
         Comment "In case of verification the E expression  will be evaluated by the sigali tool."
                 "In case of synthesis, the sigali tool will produce the controlled system according to the E expression."
                 "In case of controllable, the E input variable will be considered as controllable."
                 "In case of simulation, see Simul comment."
      end pragmas
   
   %Sigali%; 
   process Always =
        ( ? setOfStates PROP;
          ! boolean RESULT;
        )
      pragmas 
         Sigali "&n(S,&i1);"
         Comment "invariant(SYSTEM, SET) -> BOOLEAN : invariant(syst, p) is True whenever"
                 " the  set of  states,  solution of  the  polynomial p  is invariant  with."
                 " It is apply on all the states (reachable or not). See also AG()."
      end pragmas
   
   %Always%; 
   function B_True =
        ( ? boolean inv;
          ! setOfStates PROP;
        )
      pragmas 
         Sigali "&o1: &n(S,&i1);"
         Comment "Will compute the set of states where boolean A is true"
      end pragmas
      external
   %B_True%; 
   end
%lttaFifo3_TRA%; 
