process lttaFifo3C1_TRA =
     ( ? boolean xw;
         event cw, cb, cr;
       ! boolean xr, inv;
     )
   pragmas 
      Main
      Sigali "&o1: &n(S,&i1);"
      Comment "Will compute the set of states where boolean A is true"
      Sigali "&n(S,&i1);"
      Comment "invariant(SYSTEM, SET) -> BOOLEAN : invariant(syst, p) is True whenever"
              " the  set of  states,  solution of  the  polynomial p  is invariant  with."
              " It is apply on all the states (reachable or not). See also AG()."
      Sigali ""
      Comment "In case of verification the E expression  will be evaluated by the sigali tool."
              "In case of synthesis, the sigali tool will produce the controlled system according to the E expression."
              "In case of controllable, the E input variable will be considered as controllable."
              "In case of simulation, see Simul comment."
   end pragmas
   (| (| ^cr ^= cr
       | cr ^= cr
       | ACT_cr{}
       |)
    | (| CLK_XZX_81 := ^CLK_XZX_81
       | ACT_CLK_XZX_81{}
       |)
    | (| CLK_XZX_162 := ^CLK_XZX_162
       | ACT_CLK_XZX_162{}
       |)
    | (| CLK_XZX_196 := cr ^+ CLK_sbb
       | CLK_XZX_196 ^= XZX_196 ^= XZX_200
       | ACT_CLK_XZX_196{}
       |)
    | (| CLK_b_241 := ^CLK_b_241
       | ACT_CLK_b_241{}
       |)
    | (| CLK_b_266 := ^CLK_b_266
       | ACT_CLK_b_266{}
       |)
    | (| CLK_XZX_284 := ^XZX_284
       | CLK_XZX_284 ^= XZX_284
       | ACT_CLK_XZX_284{}
       |)
    | (| CLK_115 := CLK_inv ^- CLK_106 |)
    | (| CLK_RESULT := ^RESULT
       | CLK_RESULT ^= RESULT
       | (| Sigali(RESULT) |)
       |)
    | (| CLK_123 := CLK_RESULT ^+ CLK_inv
       | (| RESULT := Always(PROP) |)
       |)
    | (| CLK_XZX_235 := CLK_80 ^+ CLK_93
       | CLK_XZX_235 ^= XZX_235
       | (| XZX_235 := (xw when cw) cell CLK_XZX_235 init false |)
       |)
    | (| CLK_XZX_260 := CLK_93 ^+ CLK_105
       | CLK_XZX_260 ^= XZX_260
       | (| XZX_260 := (sx_227 when CLK_sx_227) cell CLK_XZX_260 init false |)
       |)
    | (| CLK_inv := CLK_106 ^+ CLK_inv
       | CLK_inv ^= inv ^= PROP
       | ACT_CLK_inv{}
       |)
    | (| (| CLK_163 := CLK_sbw ^+ cb
          | cb ^= CLK_163
          |)
       | (| CLK_xr ^= CLK_106 |)
       | (| CLK_sx_225 ^= CLK_105 |)
       | (| CLK_sx_227 ^= CLK_93 |)
       | (| cw ^= CLK_80 |)
       |)%**WARNING: Clocks constraints
      %
    |)
   where 
   type setOfStates = boolean;
   event CLK_163, CLK_inv, CLK_XZX_260, CLK_XZX_235, CLK_123, CLK_RESULT, CLK_115, CLK_106, CLK_105, CLK_XZX_284, CLK_sx_225, CLK_93, CLK_b_266, CLK_sx_227, CLK_80, CLK_b_241, CLK_xr, CLK_XZX_196, CLK_sbb, CLK_XZX_162, CLK_sbw, CLK_XZX_81;
   setOfStates PROP;
   boolean sbw, sbb, xok, sx, sx_146, XZX_196, XZX_200, sx_225, sx_227, XZX_235, XZX_260, XZX_284, RESULT;
   process ACT_cr =
        ( )
      (| cr ^= br ^= yr ^= c ^= zb
       | (| CLK_xr := when c
          | CLK_xr ^= xr ^= xok
          | ACT_CLK_xr{}
          |)
       | (| br := XZX_200 when cr
          | yr := XZX_196 when cr
          | c := (br and (not zb)) or ((not br) and zb)
          | zb := br$1 init true
          |)
       |)
      where 
      boolean br, yr, c, zb;
      process ACT_CLK_xr =
           ( )
         (| (| xr := yr when CLK_106
             | xok := XZX_284 when CLK_106
             |) |)
      %ACT_CLK_xr%; 
      end
   %ACT_cr%; 
   process ACT_CLK_XZX_81 =
        ( )
      (| CLK_XZX_81 ^= XZX_81 ^= XZX_85 ^= b ^= pre_b
       | (| when b ^= cw
          | cw ^= xw ^= cw ^= bw
          | ACT_cw{}
          | CLK_sbw := when (not b)
          | CLK_sbw ^= sbw ^= sx
          | ACT_CLK_sbw{}
          |)
       | (| XZX_81 := (xw when cw) cell CLK_XZX_81 init false
          | XZX_85 := (bw when cw) cell CLK_XZX_81 init true
          | b := not pre_b
          | pre_b := b$1 init false
          |)
       |)
      where 
      boolean bw, XZX_81, XZX_85, b, pre_b;
      process ACT_cw =
           ( )
         (| cw ^= pre_bw
          | (| bw := not pre_bw
             | pre_bw := bw$1 init true
             |)
          |)
         where 
         boolean pre_bw;
         end
      %ACT_cw%; 
      process ACT_CLK_sbw =
           ( )
         (| (| sbw := XZX_85 when CLK_sbw
             | sx := XZX_81 when CLK_sbw
             |) |)
      %ACT_CLK_sbw%; 
      end
   %ACT_CLK_XZX_81%; 
   process ACT_CLK_XZX_162 =
        ( )
      (| CLK_XZX_162 ^= XZX_162 ^= XZX_166 ^= b_174 ^= pre_b_182
       | (| when b_174 ^= cb
          | cb ^= cb ^= xb ^= bb
          | ACT_cb{}
          | CLK_sbb := when (not b_174)
          | CLK_sbb ^= sbb ^= sx_146
          | ACT_CLK_sbb{}
          |)
       | (| XZX_162 := (xb when cb) cell CLK_XZX_162 init false
          | XZX_166 := (bb when cb) cell CLK_XZX_162 init true
          | b_174 := not pre_b_182
          | pre_b_182 := b_174$1 init false
          |)
       |)
      where 
      boolean xb, bb, XZX_162, XZX_166, b_174, pre_b_182;
      process ACT_cb =
           ( )
         (| (| xb := (sx when CLK_sbw) cell cb init false
             | bb := (sbw when CLK_sbw) cell cb init true
             |) |)
      %ACT_cb%; 
      process ACT_CLK_sbb =
           ( )
         (| (| sbb := XZX_166 when CLK_sbb
             | sx_146 := XZX_162 when CLK_sbb
             |) |)
      %ACT_CLK_sbb%; 
      end
   %ACT_CLK_XZX_162%; 
   process ACT_CLK_XZX_196 =
        ( )
      (| (| XZX_196 := (sx_146 when CLK_sbb) cell CLK_XZX_196 init false
          | XZX_200 := (sbb when CLK_sbb) cell CLK_XZX_196 init true
          |) |)
   %ACT_CLK_XZX_196%; 
   process ACT_CLK_b_241 =
        ( )
      (| CLK_b_241 ^= b_241 ^= pre_b_249
       | (| CLK_80 := when b_241
          | CLK_sx_227 := when (not b_241)
          | CLK_sx_227 ^= sx_227
          | (| sx_227 := XZX_235 when CLK_sx_227 |)
          |)
       | (| b_241 := not pre_b_249
          | pre_b_249 := b_241$1 init false
          |)
       |)
      where 
      boolean b_241, pre_b_249;
      end
   %ACT_CLK_b_241%; 
   process ACT_CLK_b_266 =
        ( )
      (| CLK_b_266 ^= b_266 ^= pre_b_274
       | (| CLK_93 := when b_266
          | CLK_sx_225 := when (not b_266)
          | CLK_sx_225 ^= sx_225
          | (| sx_225 := XZX_260 when CLK_sx_225 |)
          |)
       | (| b_266 := not pre_b_274
          | pre_b_274 := b_266$1 init false
          |)
       |)
      where 
      boolean b_266, pre_b_274;
      end
   %ACT_CLK_b_266%; 
   process ACT_CLK_XZX_284 =
        ( )
      (| CLK_XZX_284 ^= b_290 ^= pre_b_298
       | (| CLK_105 := when b_290
          | CLK_106 := when (not b_290)
          |)
       | (| XZX_284 := (sx_225 when CLK_sx_225) cell CLK_XZX_284 init false
          | b_290 := not pre_b_298
          | pre_b_298 := b_290$1 init false
          |)
       |)
      where 
      boolean b_290, pre_b_298;
      end
   %ACT_CLK_XZX_284%; 
   process ACT_CLK_inv =
        ( )
      (| CLK_inv ^= i
       | (| inv := (((xok and xr) or ((not xok) and (not xr))) when CLK_106) default (i when CLK_115)
          | i := inv$1 init true
          | PROP := B_True(inv)
          |)
       |)
      where 
      boolean i;
      end
   %ACT_CLK_inv%; 
   process Sigali =
        ( ? boolean E;
        )
      pragmas 
         Sigali ""
         Comment "In case of verification the E expression  will be evaluated by the sigali tool."
                 "In case of synthesis, the sigali tool will produce the controlled system according to the E expression."
                 "In case of controllable, the E input variable will be considered as controllable."
                 "In case of simulation, see Simul comment."
      end pragmas
   
   %Sigali%; 
   process Always =
        ( ? setOfStates PROP;
          ! boolean RESULT;
        )
      pragmas 
         Sigali "&n(S,&i1);"
         Comment "invariant(SYSTEM, SET) -> BOOLEAN : invariant(syst, p) is True whenever"
                 " the  set of  states,  solution of  the  polynomial p  is invariant  with."
                 " It is apply on all the states (reachable or not). See also AG()."
      end pragmas
   
   %Always%; 
   function B_True =
        ( ? boolean inv;
          ! setOfStates PROP;
        )
      pragmas 
         Sigali "&o1: &n(S,&i1);"
         Comment "Will compute the set of states where boolean A is true"
      end pragmas
      external
   %B_True%; 
   end
%lttaFifo3C1_TRA%; 
