 process WATCHDOG =
 % emits an ALARM if an ORDER is not DONE within some DELAY %
 { integer DELAY;}
 ( ? integer ORDER;
     event DONE, TICK;
 ! integer ALARM; )

(| CNT ^= TICK ^+ ORDER ^+ DONE
 | ZCNT := CNT $ init (-1)
 | CNT := DELAY when ^ORDER default -1 when DONE default ZCNT - 1 when ZCNT >= 0 default -1
 | ALARM := HOUR when (CNT=0)
 | HOUR ^= TICK 
 | HOUR := (HOUR $ init 0) + 1
 |)
where
  integer HOUR, CNT, ZCNT;
end;

 

