process MACHINE_BOOL_TRA =
     ( ? boolean BUTTON;
       ! boolean BUSY;
     )
   pragmas 
      Main
      Comments "A unique button, activating an event signal named BUTTON, is used to start or stop"
               "a machine. Write a process emitting a boolean BUSY, with the clock of BUTTON,"
               "and whose value reflects the state of the machine after pushing the button."
      DefinedClockHierarchy
   end pragmas
   (| (| Tick := true
       | when Tick ^= BUTTON ^= BUSY
       | ACT_Tick{}
       |) |)
   where 
   boolean Tick;
   process ACT_Tick =
        ( )
      (| when Tick ^= pre_BUSY
       | (| BUSY := not pre_BUSY
          | pre_BUSY := BUSY$1 init false
          |)
       |)
      where 
      boolean pre_BUSY;
      end
   %ACT_Tick%; 
   end
%MACHINE_BOOL_TRA%; %(| Tick := true when Tick |)**WARNING: unused signals 

%
