process MAXVAL_TRA =
     ( ? integer A;
       ! integer MAX;
     )
   pragmas 
      Main
      Comments " 4. Let A be an integer positive signal. Produce at the same clock as A a signal MAX"
               "    equal to the greatest value of A encountered until now."
   end pragmas
   (| (| CLK_A := ^A
       | CLK_A ^= A ^= MAX
       | ACT_CLK_A{}
       |) |)
   where 
   event CLK_A;
   process ACT_CLK_A =
        ( )
      (| CLK_A ^= ZMAX
       | (| CLK := when (A>ZMAX)
          | CLK_8 := when (not (A>ZMAX))
          |)
       | (| MAX := (A when CLK) default (ZMAX when CLK_8)
          | ZMAX := MAX$1 init 0
          |)
       |)
      where 
      event CLK_8, CLK;
      integer ZMAX;
      end
   %ACT_CLK_A%; 
   end
%MAXVAL_TRA%; 
