% Monochronous operators: Exercices 2, 3, 4 %
process MEANS = 
{integer N;}
( ? real A;
  ! real S, MEAN, MEAN_N; )
  pragmas
    Comments " 2. Produce for each value of an input signal A, of type real, the SUM of all values entered until now."
             " 3. Produce on each A the MEAN of these values. To be divided, the counter must be converted to real by real(CNT)"
             " 4. Produce on each A the mean of the N last values (N : constant identifier). All N previous values have not to be written!"
             "    A$N and A are sufficient, with the previous sum."
  end pragmas
  (| S := (S$ init 0.0) + A % synchronizes S and A %
   | CNT := (CNT$ init 0) + 1
   | MEAN := S / real(CNT) % synchronizes CNT and S (and also A) %
   | SN := (SN$ init 0.0) - (A $ N init [ {to N}: 0.0 ]) + A
   | MEAN_N := SN / real(N)
   |)
  where
    integer CNT;
    real SN;
  end % MEANS %;
