process MEANS_SEQ_TRA =
     ( ? real A;
       ! real S, MEAN, MEAN_N;
     )
   pragmas 
      Main
      Comments " 2. Produce for each value of an input signal A, of type real, the SUM of all values entered until now."
               " 3. Produce on each A the MEAN of these values. To be divided, the counter must be converted to real by real(CNT)"
               " 4. Produce on each A the mean of the N last values (N : constant identifier). All N previous values have not to be written!"
               "    A$N and A are sufficient, with the previous sum."
      DefinedClockHierarchy
   end pragmas
   (| (| Tick := true
       | when Tick ^= A ^= S ^= MEAN ^= MEAN_N
       | ACT_Tick{}
       |) |)
   where 
   constant integer N = 3;
   boolean Tick;
   process ACT_Tick =
        ( )
      (| when Tick ^= CNT ^= SN ^= pre_S ^= pre_CNT ^= pre_SN ^= pre_A
       | (| S := pre_S+A
          | MEAN := S/real(CNT)
          | MEAN_N := SN/real(3)
          | CNT := pre_CNT+1
          | SN := (pre_SN-pre_A)+A
          | pre_S := S$1 init 0.0
          | pre_CNT := CNT$1 init 0
          | pre_SN := SN$1 init 0.0
          | pre_A := A$3 init [{_I in 0 to 3 step 1}:0.0]
          |)
       |)
      where 
      real SN, pre_S, pre_SN, pre_A;
      integer CNT, pre_CNT;
      end
   %ACT_Tick%; 
   end
%MEANS_SEQ_TRA%; %(| Tick := true when Tick |)**WARNING: unused signals 

%
