process PRESENTS_EXTENDED_SPECIFICATION_TRA =
     ( ? event I, O;
         boolean C_I, C_O;
       ! integer PRESENTS;
     )
   pragmas 
      Main
      Comments " 6. Keep updated an integer signal PRESENTS counting a number of items in a room,"
               "    according to 2 event signals IN and OUT. IN or OUT signals can occur at the same instant."
   end pragmas
   (| (| CLK_C_I := ^C_I
       | CLK_C_I ^= C_I ^= C_O
       | ACT_CLK_C_I{}
       |) |)
   where 
   event CLK_25, CLK_PRESENTS, CLK_14, CLK;
   process ACT_CLK_C_I =
        ( )
      (| (| when C_I ^= I
          | I ^= I
          | CLK_31 := when (not C_I)
          |)
       | (| when C_O ^= O
          | O ^= O
          | CLK_33 := when (not C_O)
          |)
       | (| CLK_35 := I ^* O |)
       | (| CLK_PRESENTS_0 := I ^+ O
          | CLK_PRESENTS_0 ^= PRESENTS ^= ZPRESENTS
          | ACT_CLK_PRESENTS_0{}
          |)
       | (| CLK_39 := O ^- I |)
       | (| CLK_41 := I ^- CLK_35 |)
       |)
      where 
      process ACT_CLK_PRESENTS_0 =
           ( )
         (| (| PRESENTS := (ZPRESENTS when CLK_35) default ((ZPRESENTS+1) when CLK_41) default ((ZPRESENTS-1) when CLK_39)
             | ZPRESENTS := PRESENTS$1 init 0
             |) |)
      %ACT_CLK_PRESENTS_0%; 
      end
   %ACT_CLK_C_I%; 
   end
%PRESENTS_EXTENDED_SPECIFICATION_TRA%; 
