process PRESENTS_TRA =
     ( ? event I, O;
       ! integer PRESENTS;
     )
   pragmas 
      Main
      Comments " 6. Keep updated an integer signal PRESENTS counting a number of items in a room,"
               "    according to 2 event signals IN and OUT. IN or OUT signals can occur at the same instant."
   end pragmas
   (| (| ^I ^= I
       | I ^= I
       |)
    | (| ^O ^= O
       | O ^= O
       |)
    | (| CLK := I ^* O |)
    | (| CLK_14 := I ^- CLK |)
    | (| CLK_PRESENTS := I ^+ O
       | CLK_PRESENTS ^= PRESENTS
       | ACT_CLK_PRESENTS{}
       |)
    | (| CLK_25 := O ^- I |)
    |)
   where 
   event CLK_25, CLK_PRESENTS, CLK_14, CLK;
   process ACT_CLK_PRESENTS =
        ( )
      (| CLK_PRESENTS ^= ZPRESENTS
       | (| PRESENTS := (ZPRESENTS when CLK) default ((ZPRESENTS+1) when CLK_14) default ((ZPRESENTS-1) when CLK_25)
          | ZPRESENTS := PRESENTS$1 init 0
          |)
       |)
      where 
      integer ZPRESENTS;
      end
   %ACT_CLK_PRESENTS%; 
   end
%PRESENTS_TRA%; 
