process SUMMIT2_TRA =
     ( ? integer A;
       ! event SUMMIT;
         integer LOCALMAX;
     )
   pragmas 
      Main
      Comments " 2. Let A be a positive integer signal; produce values of A which are local maximum"
               "    values. See in the SUMMIT.SIG file how to detect these maxima."
   end pragmas
   (| (| CLK_A := ^A
       | CLK_A ^= A
       | ACT_CLK_A{}
       |) |)
   where 
   event CLK_A;
   process ACT_CLK_A =
        ( )
      (| CLK_A ^= ZA ^= UP ^= ZUP ^= pre_A
       | (| SUMMIT := when (ZUP and (not UP))
          | SUMMIT ^= SUMMIT ^= LOCALMAX
          | (| LOCALMAX := pre_A when SUMMIT |)
          |)
       | (| ZA := A$1 init 0
          | UP := (A>ZA) or ((A=ZA) and ZUP)
          | ZUP := UP$1 init true
          | pre_A := A$1 init 0
          |)
       |)
      where 
      boolean UP, ZUP;
      integer ZA, pre_A;
      end
   %ACT_CLK_A%; 
   end
%SUMMIT2_TRA%; 
