process UP_SEQ_TRA =
     ( ? integer A;
       ! boolean UP;
     )
   pragmas 
      Main
      Comments " Let A be an input signal, made of positive integers. Produce an UP event signal for "
               " each A greater than previous one. For initialization, assume the value before the first A is 0."
      DefinedClockHierarchy
   end pragmas
   (| (| Tick := true
       | when Tick ^= A
       | ACT_Tick{}
       |) |)
   where 
   boolean Tick;
   process ACT_Tick =
        ( )
      (| when Tick ^= ZA ^= C_UP
       | (| when C_UP ^= UP
          | (| UP := true when C_UP |)
          |)
       | (| ZA := A$1 init 0
          | C_UP := A>ZA
          |)
       |)
      where 
      boolean C_UP;
      integer ZA;
      end
   %ACT_Tick%; 
   end
%UP_SEQ_TRA%; %(| Tick := true when Tick
                | C_CLK := not (A>ZA)
                |)**WARNING: unused signals 

%
