process UP_TRA =
     ( ? integer A;
       ! event UP;
     )
   pragmas 
      Main
      Comments " Let A be an input signal, made of positive integers. Produce an UP event signal for "
               " each A greater than previous one. For initialization, assume the value before the first A is 0."
   end pragmas
   (| (| CLK_A := ^A
       | CLK_A ^= A
       | ACT_CLK_A{}
       |) |)
   where 
   event CLK_A;
   process ACT_CLK_A =
        ( )
      (| CLK_A ^= ZA
       | (| UP := when (A>ZA)
          | UP ^= UP
          |)
       | (| ZA := A$1 init 0 |)
       |)
      where 
      integer ZA;
      end
   %ACT_CLK_A%; 
   end
%UP_TRA%; 
