
%  Cell operator: exercice 1 %
process PICTURE =
  {integer NL, NC;} % size of the picture %
  ( ? boolean PIXEL;
    ! integer LINE, COLUMN;)
  pragmas
    Comments " 1. Pixels from a sequence of pictures are given as boolean input, line after line, and for"
    " each line, by column. A picture has NL lines and NC columns (constant parameters)."
    " The last pixel of a picture is followed by the first one of the next picture. Produce for each pixel its LINE and COLUMN number."
  end pragmas
  (| PIXEL ^= COLUMN
   | COLUMN := (COLUMN$ init 0) modulo NC + 1
   | LINE := (((LINE$ init 0) modulo NL + 1) when COLUMN=1) cell ^PIXEL
   |)
