
% 4.3 oversampling Exercice 2 %
process N_INTER = % N intermediate events after input N %
  ( ? integer N;
    ! event I;)
  pragmas
    Comments  "Let N be a positive or null integer signal. Produce after each N, and before the next"
    "N, a sequence of N events. Use a decreasing counter, and synchronizes input N on"
    "some value of the delayed counter (to avoid circularities)."
    "N   : - 4 --------------- 1 ------ 0 --- 2 ----------"
    "CNT : --4--3--2--1--0-----1--0-----0-----2--1--0-----"
    "CNT$: --0--4--3--2--1-----0--1-----0-----0--2--1-----"
    "S   : -----*--*--*--*--------*--------------*--*-----"
  end pragmas
  (| CNT := N default ZCNT - 1
   | ZCNT := CNT$ init 0
   | N ^= when ZCNT = 0
   | I := when ZCNT > 0
   |)
  where
    integer CNT, ZCNT;
  end % N_INTER %;
    
