process INTER_IN_OUT_TRA =
     ( ? event START, FINISH, S;
       ! boolean IN_INTERVAL;
     )
   pragmas 
      Main
      Comment "Is S present between START and FINISH ?"
              " S on START is IN the interval, a S on FINISH is OUT"
   end pragmas
   (| (| ^START ^= START
       | START ^= START
       |)
    | (| ^FINISH ^= FINISH
       | FINISH ^= FINISH
       |)
    | (| ^S ^= S
       | S ^= S ^= IN_INTERVAL
       | (| IN_INTERVAL := MEM when S |)
       |)
    | (| CLK := START ^+ FINISH |)
    | (| CLK_10 := S ^- CLK |)
    | (| CLK_MEM := S ^+ CLK
       | CLK_MEM ^= MEM
       | ACT_CLK_MEM{}
       |)
    | (| CLK_14 := FINISH ^- START |)
    |)
   where 
   event CLK_14, CLK_MEM, CLK_10, CLK;
   boolean MEM;
   process ACT_CLK_MEM =
        ( )
      (| CLK_MEM ^= ZMEM
       | (| MEM := (START when START) default (not CLK_14) default (ZMEM when CLK_10)
          | ZMEM := MEM$1 init false
          |)
       |)
      where 
      boolean ZMEM;
      end
   %ACT_CLK_MEM%; 
   end
%INTER_IN_OUT_TRA%; 
