process INTER_OUT_IN_EXTENDED_SPECIFICATION_TRA =
     ( ? event START, FINISH, S;
         boolean C_START, C_FINISH, C_S;
       ! boolean IN_INTERVAL;
     )
   pragmas 
      Main
      Comment "Is S present between START and FINISH ?"
              " S on START is not IN the interval, a S on FINISH is IN "
   end pragmas
   (| (| CLK_C_START := ^C_START
       | CLK_C_START ^= C_START ^= C_FINISH ^= C_S
       | ACT_CLK_C_START{}
       |) |)
   where 
   event CLK_14, CLK_MEM, CLK_10, CLK;
   boolean ZMEM;
   process ACT_CLK_C_START =
        ( )
      (| (| when C_START ^= START
          | START ^= START
          | CLK_27 := when (not C_START)
          |)
       | (| when C_FINISH ^= FINISH
          | FINISH ^= FINISH
          | CLK_29 := when (not C_FINISH)
          |)
       | (| CLK_31 := START ^+ FINISH |)
       | (| CLK_33 := FINISH ^- START |)
       | (| when C_S ^= S
          | S ^= S ^= IN_INTERVAL
          | (| IN_INTERVAL := ZMEM when S |)
          | CLK_35 := when (not C_S)
          |)
       | (| CLK_MEM_0 := CLK_31 ^+ S
          | CLK_MEM_0 ^= MEM ^= ZMEM
          | ACT_CLK_MEM_0{}
          |)
       | (| CLK_39 := S ^- CLK_31 |)
       |)
      where 
      process ACT_CLK_MEM_0 =
           ( )
         (| (| MEM := (START when START) default (not CLK_33) default (ZMEM when CLK_39)
             | ZMEM := MEM$1 init false
             |) |)
      %ACT_CLK_MEM_0%; 
      end
   %ACT_CLK_C_START%; 
   end
%INTER_OUT_IN_EXTENDED_SPECIFICATION_TRA%; 
