process RAILROADCROSSING=
     ( ? integer FINPN
       ! integer EV
     )
   (| (ETA,ETB,FERMER):= PN(A1,A2,A3,B1,B2,B3,PRESENT)
    | C:= ZC+1
    | ZC:= C $ 1
    | B:= not ZB
    | ZB:= B $ 1
    | C^=B
    | PRESENT:= (((C>=1500) and (C<=1720)) or ((C>=2600) and (C<=2640))) when B
    | A1:= when ((C>=1) and (C<=40))
    | A2:= when ((C>=31) and (C<=70))
    | A3:= when (C=1840)
    | B1:= when ((C=500) or (C=1601))
    | B2:= when ((C=520) or (C=1620))
    | B3:= when ((C=1520) or (C=2620))
    | D^=PRESENT
    | D:= ZD+1
    | ZD:= D $ 1
    | AFETA:= (ETA cell B) when B
    | AFETB:= (ETB cell B) when B
    | ZAFETA:= AFETA $ 1
    | ZAFETB:= AFETB $ 1
    | ZSIGN:= SIGN $ 1
    | CSIGN:= (((-1) when FERMER) default (1 when (not FERMER))) cell B
    | SIGN:= CSIGN when B
    | EV:= (((AFETA *  100000 ) + (10000*AFETB)+D) * SIGN) when ((AFETA/=ZAFETA) or (AFETB/=ZAFETB) or (SIGN/=ZSIGN))
    | FINPN^=when (C=2700)
    |)
   where 
      event A1,A2,A3,B1,B2,B3;
      boolean FERMER,PRESENT,B,ZB init false;
      integer C,ZC init 0,D,ZD init 0,AFETA,AFETB,ZAFETA init 0,ZAFETB init 0, SIGN init 1,CSIGN init 1,ZSIGN init 1 ; 
      integer ETA,ETB;
   process PN=
        ( ? event A1,A2,A3,B1,B2,B3;
            boolean PRESENT
          ! integer ETA,ETB;
            boolean FERMER
        )
      (| ETA:= VOIE(A1,A2,A3,^ PRESENT)
       | ETB:= VOIE(B1,B2,B3,^ PRESENT)
       | FERMER:= BARRIERE(PRESENT,ETA,ETB)
       |)
      where 
      process VOIE=
           ( ? event P1,P2,P3,H
             ! integer HETAT
           )
         (| TOP1:= P1 when (ZETAT=1)
          | TOP2:= P2 when (ZETAT=2)
          | TOP3:= P3 when (ZETAT=5)
          | ETAT ^= P1 default P2 default P3 default H
          | CPT ^= TOP1 default TOP2 default H
          | CPT:= (-1 when TOP1) default (( -49 * ZCPT ) when TOP2) default (( ZCPT-1) when (ZCPT/=0)) default 0
          | ZCPT:= CPT $ 1
          | ETAT:= (2 when TOP1) default (3 when TOP2) 
                    default (4 when (ZETAT=3) when (CPT<=450))
                    default (5 when (ZETAT=4) when (CPT<=300)) 
                    default (1 when TOP3) default ZETAT
          | ZETAT:= ETAT $ 1
          | HETAT:= ETAT when H
          |)
         where 
            event TOP1,TOP2,TOP3;
            integer ETAT,ZETAT init 1,CPT,ZCPT init 0 ; 
         end %VOIE%;
      process BARRIERE=
           ( ? boolean PRESENT;
               integer ET1,ET2
             ! boolean FERMER
           )
         (| EST_FERME:= PRESENT or (ET1=5) or (ET2=5) or (ZEST_FERME and ((ET1=4) or (ET2=4)))
          | ZEST_FERME:= EST_FERME $ 1
          | FERMER:= EST_FERME when (EST_FERME/=ZEST_FERME)
          |)
         where 
            boolean EST_FERME,ZEST_FERME init false ; 
         end %BARRIERE% ; 
      end %PN% ; 
   end %TESTPN%
