process PICTURE_ANALYSIS_SEQ_TRA =
     ( ? boolean PIXEL;
       ! integer LINE, COLUMN, L_INTO, C_INTO;
         boolean MOVED;
         integer L_LAST, C_LAST, L_OBJECT, C_OBJECT, NUM_OBJECT;
     )
   pragmas 
      Main
      DefinedClockHierarchy
   end pragmas
   (| (| Tick := true
       | when Tick ^= PIXEL ^= LINE ^= COLUMN
       | ACT_Tick{}
       |) |)
   where 
   constant integer NL = 2;
   constant integer NC = 3;
   boolean Tick;
   process ACT_Tick =
        ( )
      (| when Tick ^= INTO ^= NEW ^= FIRST ^= LAST ^= pre_COLUMN ^= pre_LINE ^= pre_PIXEL ^= pre_PIXEL_69 ^= pre_PIXEL_72 ^= pre_PIXEL_76 ^= pre_LINE_81 ^= pre_COLUMN_85 ^= pre_INTO ^= pre_PIXEL_96 ^= pre_PIXEL_102 ^= pre_LINE_109 ^= pre_COLUMN_112 ^= 
         pre_PIXEL_116 ^= pre_NEW ^= pre_NEW_126 ^= pre_LINE_128 ^= pre_COLUMN_130 ^= C_CLK ^= C_MOVED ^= C_C_OBJECT
       | (| when INTO ^= L_INTO ^= C_INTO
          | ACT_INTO{}
          |)
       | (| when LAST ^= L_LAST ^= C_LAST
          | ACT_LAST{}
          |)
       | (| when C_MOVED ^= MOVED
          | (| MOVED := true when C_MOVED |)
          |)
       | (| when C_C_OBJECT ^= L_OBJECT ^= C_OBJECT ^= NUM_OBJECT
          | ACT_C_C_OBJECT{}
          |)
       | (| LINE := (((pre_LINE modulo 2)+1) when C_CLK) cell Tick init 0
          | COLUMN := (pre_COLUMN modulo 3)+1
          | INTO := (LINE>2) and (COLUMN>1) and (COLUMN<3) and PIXEL and pre_PIXEL and pre_PIXEL_69 and pre_PIXEL_72 and pre_PIXEL_76
          | NEW := PIXEL and ((LINE=1) or ((not pre_PIXEL_116) and (FIRST or pre_NEW)))
          | FIRST := PIXEL and ((COLUMN=1) or (not pre_PIXEL_96))
          | LAST := pre_PIXEL_102 and ((COLUMN=1) or (not PIXEL))
          | pre_COLUMN := COLUMN$1 init 0
          | pre_LINE := LINE$1 init 0
          | pre_PIXEL := PIXEL$2 init [{_I_149 in 0 to 1 step 1}:false]
          | pre_PIXEL_69 := PIXEL$3 init [{_I_0_158 in 0 to 2 step 1}:false]
          | pre_PIXEL_72 := PIXEL$4 init [{_I_1_166 in 0 to 3 step 1}:false]
          | pre_PIXEL_76 := PIXEL$6 init [{_I_2_175 in 0 to 5 step 1}:false]
          | pre_LINE_81 := LINE$3 init [{_I_3_183 in 0 to 2 step 1}:0]
          | pre_COLUMN_85 := COLUMN$3 init [{_I_4_190 in 0 to 2 step 1}:0]
          | pre_INTO := INTO$6 init [{_I_5_197 in 0 to 5 step 1}:false]
          | pre_PIXEL_96 := PIXEL$1 init false
          | pre_PIXEL_102 := PIXEL$1 init false
          | pre_LINE_109 := LINE$1 init 0
          | pre_COLUMN_112 := COLUMN$1 init 0
          | pre_PIXEL_116 := PIXEL$3 init [{_I_6_204 in 0 to 2 step 1}:false]
          | pre_NEW := NEW$1 init false
          | pre_NEW_126 := NEW$1 init false
          | pre_LINE_128 := LINE$1 init 0
          | pre_COLUMN_130 := COLUMN$1 init 0
          | C_CLK := COLUMN=1
          | C_MOVED := not (INTO=pre_INTO)
          | C_C_OBJECT := LAST and pre_NEW_126
          |)
       |)
      where 
      integer pre_COLUMN, pre_LINE, pre_LINE_81, pre_COLUMN_85, pre_LINE_109, pre_COLUMN_112, pre_LINE_128, pre_COLUMN_130;
      boolean INTO, NEW, FIRST, LAST, pre_PIXEL, pre_PIXEL_69, pre_PIXEL_72, pre_PIXEL_76, pre_INTO, pre_PIXEL_96, pre_PIXEL_102, pre_PIXEL_116, pre_NEW, pre_NEW_126, C_CLK, C_MOVED, C_C_OBJECT;
      process ACT_INTO =
           ( )
         (| (| L_INTO := pre_LINE_81 when INTO
             | C_INTO := pre_COLUMN_85 when INTO
             |) |)
      %ACT_INTO%; 
      process ACT_LAST =
           ( )
         (| (| L_LAST := pre_LINE_109 when LAST
             | C_LAST := pre_COLUMN_112 when LAST
             |) |)
      %ACT_LAST%; 
      process ACT_C_C_OBJECT =
           ( )
         (| when C_C_OBJECT ^= pre_NUM_OBJECT
          | (| L_OBJECT := pre_LINE_128 when C_C_OBJECT
             | C_OBJECT := pre_COLUMN_130 when C_C_OBJECT
             | NUM_OBJECT := 1+pre_NUM_OBJECT
             | pre_NUM_OBJECT := NUM_OBJECT$1 init 0
             |)
          |)
         where 
         integer pre_NUM_OBJECT;
         end
      %ACT_C_C_OBJECT%; 
      end
   %ACT_Tick%; 
   end
%PICTURE_ANALYSIS_SEQ_TRA%; %(| Tick := true when Tick
                              | C_CLK_8 := not (COLUMN=1)
                              | C_CLK_17 := not INTO
                              | C_CLK_23 := INTO=pre_INTO
                              | C_CLK_32 := not LAST
                              | C_CLK_42 := not (LAST and pre_NEW_126)
                              |)**WARNING: unused signals 

%
