process PETERSON_EXTENDED_SPECIFICATION_TRA =
     ( ? event R1, R2, L1, L2;
         boolean C_ZX, C_ZX_187;
       ! event A1, A2;
         boolean CS1, CS2;
     )
   pragmas 
      Main
   end pragmas
   (| (| CLK_C_ZX := ^C_ZX
       | CLK_C_ZX ^= C_ZX ^= C_ZX_187
       | ACT_CLK_C_ZX{}
       |) |)
   where 
   event CLK_CS1, CLK_D1, CLK_179, CLK_170, CLK_144, CLK_142, CLK_137, CLK_135, CLK_122, CLK_119, CLK_118, CLK_115, CLK_112, CLK_111, CLK_95, CLK_93, CLK_90, CLK_88, CLK_83, CLK_81, CLK_80, CLK_79, CLK_76, CLK_74, CLK_73, CLK_72, CLK_70, CLK_69, C, CLK_67,
        CLK_63, CLK_56, CLK_52, CLK_49, CLK_45, CLK_38, CLK, CLK_X_44, CLK_X;
   process ACT_CLK_C_ZX =
        ( )
      (| (| CLK_X_0 := when C_ZX
          | CLK_X_0 ^= X ^= ZX
          | ACT_CLK_X_0{}
          | CLK_204 := when (not C_ZX)
          |)
       | (| CLK_X_44_0 := when C_ZX_187
          | CLK_X_44_0 ^= X_44 ^= ZX_45
          | ACT_CLK_X_44_0{}
          | CLK_207 := when (not C_ZX_187)
          |)
       | (| CLK_209 := R1 ^* R2 |)
       | (| CLK_211 := R2 ^+ CLK_135 |)
       | (| CLK_D1_0 := CLK_211 ^+ L2
          | CLK_D1_0 ^= D1 ^= ZD1 ^= D2 ^= ZD2 ^= P ^= ZP
          | ACT_CLK_D1_0{}
          |)
       | (| C := CLK_209 ^* CLK_63 |)
       | (| CLK_217 := R1 ^* CLK_70 |)
       | (| CLK_219 := L1 ^* CLK_69 |)
       | (| CLK_221 := R2 ^* CLK_81 |)
       | (| CLK_223 := L2 ^* CLK_80 |)
       | (| CLK_225 := C ^* CLK_74 |)
       | (| CLK_227 := C ^* CLK_73 |)
       | (| CLK_229 := CLK_227 ^+ CLK_217 |)
       | (| A1 := CLK_229 ^+ CLK_223
          | A1 ^= A1
          |)
       | (| CLK_233 := A1 ^+ L1 |)
       | (| CLK_235 := CLK_225 ^+ CLK_221 |)
       | (| CLK_237 := CLK_235 ^+ CLK_229 |)
       | (| A2 := CLK_235 ^+ CLK_219
          | A2 ^= A2
          |)
       | (| CLK_241 := A2 ^+ A1 |)
       | (| CLK_243 := A2 ^+ L2 |)
       | (| CLK_245 := CLK_237 ^+ L1 |)
       | (| CLK_CS1_0 := CLK_245 ^+ L2
          | CLK_CS1_0 ^= CS1 ^= CS2 ^= ZCS1 ^= ZCS2
          | ACT_CLK_CS1_0{}
          |)
       | (| CLK_249 := CLK_CS1_0 ^- CLK_233 |)
       | (| CLK_251 := CLK_245 ^- CLK_243 |)
       | (| CLK_253 := A2 ^- A1 |)
       | (| CLK_255 := CLK_D1_0 ^- CLK_241 |)
       | (| CLK_257 := CLK_135 ^- CLK_137 |)
       | (| CLK_259 := CLK_137 ^- CLK_135 |)
       | (| CLK_261 := L1 ^- A1 |)
       | (| CLK_263 := L2 ^- A2 |)
       |)
      where 
      process ACT_CLK_X_0 =
           ( )
         (| (| when X ^= R1
             | R1 ^= R1
             |)
          | (| when ZX ^= L1
             | L1 ^= L1
             |)
          | (| CLK_135 := R1 ^+ L1 |)
          | (| CLK_144 := L1 ^- R1 |)
          | (| X := not ZX
             | ZX := X$1 init false
             |)
          |)
      %ACT_CLK_X_0%; 
      process ACT_CLK_X_44_0 =
           ( )
         (| (| when X_44 ^= R2
             | R2 ^= R2
             |)
          | (| when ZX_45 ^= L2
             | L2 ^= L2
             |)
          | (| CLK_137 := R2 ^+ L2 |)
          | (| CLK_142 := L2 ^- R2 |)
          | (| X_44 := not ZX_45
             | ZX_45 := X_44$1 init false
             |)
          |)
      %ACT_CLK_X_44_0%; 
      process ACT_CLK_D1_0 =
           ( )
         (| (| CLK_63 := when ((not ZD1) and (not ZD2))
             | CLK_64 := when (not ((not ZD1) and (not ZD2)))
             |)
          | (| CLK_69 := when D2
             | CLK_70 := when (not D2)
             |)
          | (| CLK_73 := when ZP
             | CLK_74 := when (not ZP)
             |)
          | (| CLK_80 := when D1
             | CLK_81 := when (not D1)
             |)
          | (| D1 := (R1 when R1) default (not CLK_144) default (ZD1 when CLK_259)
             | ZD1 := D1$1 init false
             | D2 := (R2 when R2) default (not CLK_142) default (ZD2 when CLK_257)
             | ZD2 := D2$1 init false
             | P := (not A1) default (A2 when CLK_253) default (ZP when CLK_255)
             | ZP := P$1 init false
             |)
          |)
      %ACT_CLK_D1_0%; 
      process ACT_CLK_CS1_0 =
           ( )
         (| (| CS1 := (A1 when A1) default (not CLK_261) default (ZCS1 when CLK_249)
             | CS2 := (A2 when A2) default (not CLK_263) default (ZCS2 when CLK_251)
             | ZCS1 := CS1$1 init false
             | ZCS2 := CS2$1 init false
             |) |)
      %ACT_CLK_CS1_0%; 
      end
   %ACT_CLK_C_ZX%; 
   end
%PETERSON_EXTENDED_SPECIFICATION_TRA%; 
