
# SynDEx-6.8.0 (C) INRIA 2002-2005, 2005-09-07 15:04:21

# Makefile for application ADD

# $(M4) must be the GNU macroprocessor m4
# $(Macros_Path) must be the path to the generic *.m4? macro-files
# $(VPATH) is searched by make for dependent files not found in $(PWD)
VPATH = $(Macros_Path)

.PHONY: ADD.all ADD.run clean
ADD.run : ADD.all # load and run ADD:
       # (command args = processors in loading order)
	./$(ADD.root)



# processor root type=C:
ADD.all : root
ADD.root += root
root : root.c $(root.libs)
	$(CC) $(CFLAGS) $^ -lm -o $@
root.c : root.m4 syndex.m4x C.m4x ADD.m4x
	$(M4) $< >$@
clean ::
	$(RM) root root.c




