
# SynDEx-6.8.0 (C) INRIA 2002-2005, 2005-09-07 15:09:29

# Makefile for application PAND

# $(M4) must be the GNU macroprocessor m4
# $(Macros_Path) must be the path to the generic *.m4? macro-files
# $(VPATH) is searched by make for dependent files not found in $(PWD)
VPATH = $(Macros_Path)

.PHONY: PAND.all PAND.run clean
PAND.run : PAND.all # load and run PAND:
       # (command args = processors in loading order)
	./$(PAND.root)



# processor root type=C:
PAND.all : root
PAND.root += root
root : root.c $(root.libs)
	$(CC) $(CFLAGS) $^ -lm -o $@
root.c : root.m4 syndex.m4x C.m4x PAND.m4x
	$(M4) $< >$@
clean ::
	$(RM) root root.c




