
# SynDEx-6.8.0 (C) INRIA 2002-2005, 2005-09-07 15:53:19

# Makefile for application RAILROADCROSSING

# $(M4) must be the GNU macroprocessor m4
# $(Macros_Path) must be the path to the generic *.m4? macro-files
# $(VPATH) is searched by make for dependent files not found in $(PWD)
VPATH = $(Macros_Path)

.PHONY: RAILROADCROSSING.all RAILROADCROSSING.run clean
RAILROADCROSSING.run : RAILROADCROSSING.all # load and run RAILROADCROSSING:
       # (command args = processors in loading order)
	./$(RAILROADCROSSING.root)




# processor root type=U:
RAILROADCROSSING.all : root
RAILROADCROSSING.root += root
RAILROADCROSSING.root += =langis.irisa.fr
root : root.root.o $(root.libs)
	S=`$(Macros_Path)/rshcd langis.irisa.fr "uname -sr"` ;\
	case $$S in *SunOS*5.*) L='-lsocket -lnsl' ;; esac ;\
	$(Macros_Path)/rshcd langis.irisa.fr $(CC) $(CFLAGS) $^ $$L -lm -o $@
root.%.o : %.c
	$(Macros_Path)/rshcd langis.irisa.fr \
	$(CC) $(CFLAGS) -c $< -o $@ -- $^
root.c : root.m4 syndex.m4x U.m4x C.m4x RAILROADCROSSING.m4x TCP.m4x 
	$(M4) $< >$@
clean ::
	test -x langis.irisa.fr.mnt && ./langis.irisa.fr.mnt ||\
	$(Macros_Path)/rshcd langis.irisa.fr "\
	$(RM) root root.c root.root.o langis.irisa.fr.mnt"
	$(RM) root root.c root.root.o langis.irisa.fr.mnt


# processor pc1 type=U:
RAILROADCROSSING.all : pc1
RAILROADCROSSING.root += pc1
RAILROADCROSSING.root += =langis
pc1 : pc1.pc1.o $(pc1.libs)
	S=`$(Macros_Path)/rshcd langis "uname -sr"` ;\
	case $$S in *SunOS*5.*) L='-lsocket -lnsl' ;; esac ;\
	$(Macros_Path)/rshcd langis $(CC) $(CFLAGS) $^ $$L -lm -o $@
pc1.%.o : %.c
	$(Macros_Path)/rshcd langis \
	$(CC) $(CFLAGS) -c $< -o $@ -- $^
pc1.c : pc1.m4 syndex.m4x U.m4x C.m4x RAILROADCROSSING.m4x TCP.m4x 
	$(M4) $< >$@
clean ::
	test -x langis.mnt && ./langis.mnt ||\
	$(Macros_Path)/rshcd langis "\
	$(RM) pc1 pc1.c pc1.pc1.o langis.mnt"
	$(RM) pc1 pc1.c pc1.pc1.o langis.mnt





