
# SynDEx-6.8.0 (C) INRIA 2002-2005, 2005-09-07 12:12:42

# Makefile for application equationSolving

# $(M4) must be the GNU macroprocessor m4
# $(Macros_Path) must be the path to the generic *.m4? macro-files
# $(VPATH) is searched by make for dependent files not found in $(PWD)
VPATH = $(Macros_Path)

.PHONY: equationSolving.all equationSolving.run clean
equationSolving.run : equationSolving.all # load and run equationSolving:
       # (command args = processors in loading order)
	./$(equationSolving.root)



# processor root type=C:
equationSolving.all : root
equationSolving.root += root
root : root.c $(root.libs)
	$(CC) $(CFLAGS) $^ -lm -o $@
root.c : root.m4 syndex.m4x C.m4x equationSolving.m4x
	$(M4) $< >$@
clean ::
	$(RM) root root.c




