/* 
   Authors: Loïc Besnard, Patricia Bournai, Thierry Gautier, Paul Le Guernic.
   Copyright (C) by INRIA-CNRS - developed by Espresso project - GPL v2 License - 2010.

   Contact: polychronycontact@listes.irisa.fr 

   This file is part of Polychrony Signal Toolbox (http://www.irisa.fr/espresso/polychrony).

   Polychrony  Signal Toolbox is free software; you can redistribute it and/or modify it under
   the terms of the GNU General Public License Version 2 as published by the Free
   Software Foundation.

   Polychrony Signal Toolbox is distributed in the hope that it will be useful, but WITHOUT ANY
   WARRANTY; without even the implied warranty of MERCHANTABILITY or
   FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License Version 2
   for more details.

   You should have received a copy of the GNU General Public License Version 2
   along with Polychrony Signal Toolbox; see the file COPYING. If not, consult the url 
    http://www.gnu.org/licenses/gpl-2.0.html, or write to the Free
   Software Foundation, 51 Franklin Street, Fifth Floor, Boston, MA
   02110-1301, USA. 
*/
#include "common_type.h"
#include "opersignal.h"
#include "C_string.h"
#include "stringmemStr_type.h"
#include "GHDC_type.h"
#include "elemTableGenCode_type.h"
#include "messignal_3.h"
#include "phylaSignal.h"
/* @End_import_type@ */
#include "atclocklist_g.h"
#include "markServer_g.h"
#include "NameManager.h"
#include "NodeManager.h"
#include "sysfile_g.h"
#include "inteprintc.h"
#include "atfg_g.h"
#include "DCG_sch.h"
#include "atInodesList_g.h"
#include "atlinstances_g.h"
#include "atsigtreeInstid_g.h"
#include "atDelayTree_g.h"
#include "messenger.h"
#include "ident_g.h"
#include "stringmemStr_g.h"
#include "StrScanner.h"
#include "cGenerator.h"
#include "ExprManager.h"
#include "ClockManagerExport.h"
#include "atsigtreeInstid_g.h"
#include "Pragmas_g.h"
#include "PragmasTrees_g.h"
#include "eTypes.h"
#include "atmark_g.h"
#include "atinterfaceGet_g.h"
#include "tree_api.h"
#include "signal_treeGet_g.h"
#include "signal_treeTest_g.h"
#include "predefSignalNames_g.h"
#include "TraceabilityManager.h"
#include "sigparse_g.h"

/* @Begin_prog@ */
#include "cGenerator_m.c"
#include "cGeneratorSimulator_i.c"
#include "cGeneratorParametrizedCode_i.c"
#include "cGeneratorPrefixManagment_i.c"
#include "cGeneratorHeaderBody_i.c"
#include "cGeneratorExternFile_i.c"
#include "cGeneratorIO_i.c"
#include "cGeneratorTypes_i.c"
#include "cGeneratorExpr_i.c"
#include "cGeneratorClock_i.c"
#include "cGeneratorDeclaration_i.c"
#include "cGeneratorInit_i.c"
#include "cGeneratorNode_i.c"
#include "cGeneratorSpatialProcessing_i.c"
#include "cGeneratorCmp_i.c"
#include "cGenerator_g.c"
