/* 
   Authors: Loic Besnard, Patricia Bournai, Thierry Gautier, Paul Le Guernic.
   Copyright (C) by INRIA-CNRS - developed by Espresso project - GPL v2 License - 2010.

   Contact: polychronycontact@listes.irisa.fr 

   This file is part of Polychrony Signal Toolbox (http://www.irisa.fr/espresso/polychrony).

   Polychrony  Signal Toolbox is free software; you can redistribute it and/or modify it under
   the terms of the GNU General Public License Version 2 as published by the Free
   Software Foundation.

   Polychrony Signal Toolbox is distributed in the hope that it will be useful, but WITHOUT ANY
   WARRANTY; without even the implied warranty of MERCHANTABILITY or
   FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License Version 2
   for more details.

   You should have received a copy of the GNU General Public License Version 2
   along with Polychrony Signal Toolbox; see the file COPYING. If not, consult the url 
    http://www.gnu.org/licenses/gpl-2.0.html, or write to the Free
   Software Foundation, 51 Franklin Street, Fifth Floor, Boston, MA
   02110-1301, USA. 
*/

_PUBLIC_
/**   
   Constructor.\n
   It is a specialisation of the Colouring() class.
   \see ColouringAbstraction::apply() for more explanation.
*/
ColouringAbstraction::ColouringAbstraction (ptDCG g):Colouring (g)
{
}

/**
   Destructor.
*/
ColouringAbstraction::~ColouringAbstraction ()
{
}


/**
   -- TEST. Not fully documented.--\n
   It marks, using a mark (m), the objects (clock/signals) useful for the abstraction of the graph.
   \see ColouringAbstraction::colouring().
*/
void
ColouringAbstraction::apply (typeMark m)
{
  aMark = m;
  colouring ();
}
