/* 
   Authors: Loïc Besnard, Patricia Bournai, Thierry Gautier, Paul Le Guernic.
   Copyright (C) by INRIA-CNRS - developed by Espresso project - GPL v2 License - 2010.

   Contact: polychronycontact@listes.irisa.fr 

   This file is part of Polychrony Signal Toolbox (http://www.irisa.fr/espresso/polychrony).

   Polychrony  Signal Toolbox is free software; you can redistribute it and/or modify it under
   the terms of the GNU General Public License Version 2 as published by the Free
   Software Foundation.

   Polychrony Signal Toolbox is distributed in the hope that it will be useful, but WITHOUT ANY
   WARRANTY; without even the implied warranty of MERCHANTABILITY or
   FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License Version 2
   for more details.

   You should have received a copy of the GNU General Public License Version 2
   along with Polychrony Signal Toolbox; see the file COPYING. If not, consult the url 
    http://www.gnu.org/licenses/gpl-2.0.html, or write to the Free
   Software Foundation, 51 Franklin Street, Fifth Floor, Boston, MA
   02110-1301, USA. 
*/
#include "ClockManagerCommonImport.h"
#include "opersignal.h"
#include "sign_type.h"
#include "stringmemStr_type.h"
#include "stringmemRegister_type.h"
#include "Pragmas_type.h"
#include "buffer_type.h"
#include "BDDformula_type.h"
#include "BDD_StdTypes.h"
#include "BDDPackApi_type.h"
#include "BDDlist_type.h"
#include "BDDclockExportType.h"
#include "AffineClockExportType.h"
#include "AffineClockType.h"
#include "TraceabilityManagerExportType.h"
/* @End_import_type@ */
#include "markServer_g.h"
#include "atformula_clock_g.h"
#include "atclockgraph_g.h"
#include "atlinstances_g.h"
#include "atclocklist_g.h"
#include "messenger.h"
#include "condition.h"
#include "ident_g.h"
#include "stringmemStr_g.h"
#include "affinerelations_g.h"
#include "Pragmas_g.h"
#include "ClockSystemDecl.h"
#include "NameManagerExport.h"
#include "TypeManager_type.h"
#include "ExprManager.h"

/* @Begin_prog@ */
#include "ClockSystem_m.c"
#include "ClockSystemOrder_m.c"
#include "ClockSystemDebug_i.c"
#include "ClockSystemAffineClock_m.c"
#include "ClockSystemGet_g.c"
#include "ClockSystemSet_g.c"
#include "ClockSystemMake_g.c"
#include "ClockSystemAffineClock_g.c"
#include "ClockSystem_g.c"
#include "ClockSystemOrder_g.c"
#include "ClockSystemHierarchy_g.c"
