
_PUBLIC_ extern boolean
CH2BDD_findparent (ptinsth h, ptinsth h1, ptinsth h2, int op, ptinsth * already, clock_type * associated)
{
  return findparent (h, h1, h2, op, already, associated);
}

extern boolean
CH2BDD_clone (ptinsth h, ptinsth hc, ptinsth fhc)
{
  return bdd_clone (h, hc, fhc);
}

/** ClockHierarchy2BDD is initialized from clocktreefront
    It initializes BDDHierarchy
    @param aClockSystem is assumed to be initialized with the null clock defined
 */
extern void
ClockHierarchy2BDD_init (ptClockSystem aClockSystem)
{
  BDDhierarchy_init (aClockSystem);
}

extern form_type
CH2BDD_ck_get_form (clock_type ck)
{
  return ck_get_form (ck);
}

extern ptinsth
CH2BDD_ck_get_horl (clock_type ck)
{
  return ck_get_horl (ck);
}

extern clock_type
CH2BDD_ck_get_parent (clock_type ck)
{
  return ck_get_parent (ck);
}

extern void
CH2BDD_ck_update_horl (clock_type ck, ptinsth h)
{
  ck_update_horl (ck, h);
}

extern void
CH2BDD_form_get_args (form_type form, form_type * form1, form_type * form2)
{
  form_get_args (form, form1, form2);
}

extern literal_type
CH2BDD_form_get_literal (form_type form)
{
  return form_get_literal (form);
}

extern op_type
CH2BDD_form_get_op (form_type form)
{
  return form_get_op (form);
}

extern form_type
CH2BDD_form_one ()
{
  return form_one ();
}

extern boolean
CH2BDD_remove (ptinsth h)
{
  return bdd_remove (h);
}
