
PRINT("DIRECTORY: ${GraphVM_GraphDef}")
SET(PREFIX GraphDef_)
SET(DIRS 
  Common
  ClockManager
  ExprManager
  NodeManager
  TypeManager
  TraceabilityManager
)

SETVARIABLES("${DIRS}" ${GraphVM_GraphDef} ${PREFIX} GraphVM_GraphDef )
DECLARECOMPONENTS("${DIRS}" ${PREFIX})

SET(GraphDef_incl ${ClockManager_incl} ${NodeManager_incl} 
  ${ExprManager_incl} ${TypeManager_incl} 
  ${GraphDefCommon_incl} ${TraceabilityManager_incl}
  )
