/* 
   Authors: Loic Besnard, Patricia Bournai, Thierry Gautier, Paul Le Guernic.
   Copyright (C) by INRIA-CNRS - developed by Espresso project - GPL v2 License - 2010.

   Contact: polychronycontact@listes.irisa.fr 

   This file is part of Polychrony Signal Toolbox (http://www.irisa.fr/espresso/polychrony).

   Polychrony  Signal Toolbox is free software; you can redistribute it and/or modify it under
   the terms of the GNU General Public License Version 2 as published by the Free
   Software Foundation.

   Polychrony Signal Toolbox is distributed in the hope that it will be useful, but WITHOUT ANY
   WARRANTY; without even the implied warranty of MERCHANTABILITY or
   FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License Version 2
   for more details.

   You should have received a copy of the GNU General Public License Version 2
   along with Polychrony Signal Toolbox; see the file COPYING. If not, consult the url 
    http://www.gnu.org/licenses/gpl-2.0.html, or write to the Free
   Software Foundation, 51 Franklin Street, Fifth Floor, Boston, MA
   02110-1301, USA. 
*/

// Type Coding ; Used to define an enumeration  type (one value by types of the application) 
#define H_TYPECODING_CST "__TC__"

// Used for the translation of SIGNAL operators
#define H_IDENT "_IDENT_" /* opdecsig */
#define H_TYPE "_TYPE_"  /*optype */
#define H_DEPENDENCE "_DEPENDENCE_"  /*opdepd */
#define H_CONSTANT "_CONSTANT_" /* opcstent */
#define H_EXTERNALCALL "_EXTERNALCALL_" /* opappe */
#define H_RENAME "_RENAME_"
#define H_LABEL "_LABEL_"
#define H_READ "_READ_"
#define H_WRITE "_WRITE_"
#define H_ELEMACCESS "_ELEMACCESS_"
#define H_ENUMVALUEACCESS "_ENUMVALUEACCESS_"

#define H_LELEVEC "_LELEVEC_"
#define H_ENSVEC "_ENSVEC_"
#define H_FIELDACCESS "_FIELDACCESS_"
#define H_TUPLE_ASS "_TUPLE_ASS_"
