/* 
   Authors: Loic Besnard, Patricia Bournai, Thierry Gautier, Paul Le Guernic.
   Copyright (C) by INRIA-CNRS - developed by Espresso project - GPL v2 License - 2010.

   Contact: polychronycontact@listes.irisa.fr 

   This file is part of Polychrony Signal Toolbox (http://www.irisa.fr/espresso/polychrony).

   Polychrony  Signal Toolbox is free software; you can redistribute it and/or modify it under
   the terms of the GNU General Public License Version 2 as published by the Free
   Software Foundation.

   Polychrony Signal Toolbox is distributed in the hope that it will be useful, but WITHOUT ANY
   WARRANTY; without even the implied warranty of MERCHANTABILITY or
   FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License Version 2
   for more details.

   You should have received a copy of the GNU General Public License Version 2
   along with Polychrony Signal Toolbox; see the file COPYING. If not, consult the url 
    http://www.gnu.org/licenses/gpl-2.0.html, or write to the Free
   Software Foundation, 51 Franklin Street, Fifth Floor, Boston, MA
   02110-1301, USA. 
*/
#ifndef __separate_selected_others_H__
#define __separate_selected_others_H__

typedef class  separate_selected_others* ptseparate_selected_others;
class  separate_selected_others : public RunOnMark
{
#include "separate_selected_others_m.h"
#include "separate_selected_others_g.h"
protected:
  integer SelectedMark; ///< mark used for selected objects.
  integer OtherMark; ///< mark used for the unselected objects.
    ptrepstr pragmaValueSelectedPart;
    ptrepstr pragmaValueOtherPart;
};

#endif // __separate_selected_others_H__


