/* 
   Authors: Loic Besnard, Patricia Bournai, Thierry Gautier, Paul Le Guernic.
   Copyright (C) by INRIA-CNRS - developed by Espresso project - GPL v2 License - 2010.

   Contact: polychronycontact@listes.irisa.fr 

   This file is part of Polychrony Signal Toolbox (http://www.irisa.fr/espresso/polychrony).

   Polychrony  Signal Toolbox is free software; you can redistribute it and/or modify it under
   the terms of the GNU General Public License Version 2 as published by the Free
   Software Foundation.

   Polychrony Signal Toolbox is distributed in the hope that it will be useful, but WITHOUT ANY
   WARRANTY; without even the implied warranty of MERCHANTABILITY or
   FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License Version 2
   for more details.

   You should have received a copy of the GNU General Public License Version 2
   along with Polychrony Signal Toolbox; see the file COPYING. If not, consult the url 
    http://www.gnu.org/licenses/gpl-2.0.html, or write to the Free
   Software Foundation, 51 Franklin Street, Fifth Floor, Boston, MA
   02110-1301, USA. 
*/
#ifndef __INTER_IGRAPHTYPE_H__
#define __INTER_IGRAPHTYPE_H__

typedef ptlPointer ptlDCG;
#define NILLDCG (ptlDCG) pK_NIL

typedef class DCG * ptDCG;
#define NILDCG (ptDCG)pK_NIL

typedef class DCG_basic * ptDCG_basic;
#define NILDCG_BASIC (ptDCG_basic)pK_NIL

typedef class DCG_poly * ptDCG_poly;
#define NILDCG_POLY (ptDCG_poly)pK_NIL

typedef class DCG_endo * ptDCG_endo;
#define NILDCG_ENDO (ptDCG_endo)pK_NIL

typedef class DCG_bool * ptDCG_bool;
#define NILDCG_BOOL (ptDCG_bool)pK_NIL

typedef class DCG_sch * ptDCG_sch;
#define NILDCG_SCH (ptDCG_sch)pK_NIL

typedef class DCG_flat * ptDCG_flat;
#define NILDCG_FLAT (ptDCG_flat)pK_NIL


#endif // __INTER_IGRAPHTYPE_H__
