/* 
   Authors: Loic Besnard, Patricia Bournai, Thierry Gautier, Paul Le Guernic.
   Copyright (C) by INRIA-CNRS - developed by Espresso project - GPL v2 License - 2010.

   Contact: polychronycontact@listes.irisa.fr 

   This file is part of Polychrony Signal Toolbox (http://www.irisa.fr/espresso/polychrony).

   Polychrony  Signal Toolbox is free software; you can redistribute it and/or modify it under
   the terms of the GNU General Public License Version 2 as published by the Free
   Software Foundation.

   Polychrony Signal Toolbox is distributed in the hope that it will be useful, but WITHOUT ANY
   WARRANTY; without even the implied warranty of MERCHANTABILITY or
   FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License Version 2
   for more details.

   You should have received a copy of the GNU General Public License Version 2
   along with Polychrony Signal Toolbox; see the file COPYING. If not, consult the url 
    http://www.gnu.org/licenses/gpl-2.0.html, or write to the Free
   Software Foundation, 51 Franklin Street, Fifth Floor, Boston, MA
   02110-1301, USA. 
*/

#define SME_BASIC_ATTRIBUTENUMBER 200

// Attributes assigned to trees for for the XMI translator.
#define SME_StartATTRIBUTENUMBER (0 + SME_BASIC_ATTRIBUTENUMBER)
#define SME_DeclATTRIBUTENUMBER  (1 + SME_BASIC_ATTRIBUTENUMBER)
#define SME_ConnectionATTRIBUTENUMBER (2 + SME_BASIC_ATTRIBUTENUMBER)
#define SME_ATTRIBUTENUMBER (3+ SME_BASIC_ATTRIBUTENUMBER)
#define SME_idATTRIBUTENUMBER  (4+ SME_BASIC_ATTRIBUTENUMBER)
#define SME_idoperandATTRIBUTENUMBER (5 + SME_BASIC_ATTRIBUTENUMBER)
#define SME_OPortsATTRIBUTENUMBER (6 + SME_BASIC_ATTRIBUTENUMBER)
#define SME_FlagATTRIBUTENUMBER (7 + SME_BASIC_ATTRIBUTENUMBER)
#define SME_BackAnnotationATTRIBUTENUMBER (8 + SME_BASIC_ATTRIBUTENUMBER)
#define SME_ReferencedModuleATTRIBUTENUMBER (9 + SME_BASIC_ATTRIBUTENUMBER)
#define SME_PragmaATTRIBUTENUMBER (10 + SME_BASIC_ATTRIBUTENUMBER)
#define SME_AlreadyPrintedATTRIBUTENUMBER (11 + SME_BASIC_ATTRIBUTENUMBER)
#define SME_ModuleATTRIBUTENUMBER (12 + SME_BASIC_ATTRIBUTENUMBER)
#define SME_ImportATTRIBUTENUMBER (13 + SME_BASIC_ATTRIBUTENUMBER)
// PLG Unused #define SMEModuleLinkAttribute (14 + SME_BASIC_ATTRIBUTENUMBER)
#define SME_ReferenceDeclATTRIBUTENUMBER (15 + SME_BASIC_ATTRIBUTENUMBER)
#define SME_ReferencesATTRIBUTENUMBER (16 + SME_BASIC_ATTRIBUTENUMBER)

#define SME_LAST_ATTRIBUTENUMBER (17 + SME_BASIC_ATTRIBUTENUMBER)


#define OTHER_BASIC_ATTRIBUTENUMBER (SME_LAST_ATTRIBUTENUMBER+1)
#define TreeCompilerPrint_ATTRIBUTENUMBER (1+OTHER_BASIC_ATTRIBUTENUMBER)
#define Traceability_ATTRIBUTENUMBER (1+TreeCompilerPrint_ATTRIBUTENUMBER)
#define SyndexService_ATTRIBUTENUMBER (1+Traceability_ATTRIBUTENUMBER)

// ---------

