/* 
   Authors: Loïc Besnard, Patricia Bournai, Thierry Gautier, Paul Le Guernic.
   Copyright (C) by INRIA-CNRS - developed by Espresso project - GPL v2 License - 2010.

   Contact: polychronycontact@listes.irisa.fr 

   This file is part of Polychrony Signal Toolbox (http://www.irisa.fr/espresso/polychrony).

   Polychrony  Signal Toolbox is free software; you can redistribute it and/or modify it under
   the terms of the GNU General Public License Version 2 as published by the Free
   Software Foundation.

   Polychrony Signal Toolbox is distributed in the hope that it will be useful, but WITHOUT ANY
   WARRANTY; without even the implied warranty of MERCHANTABILITY or
   FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License Version 2
   for more details.

   You should have received a copy of the GNU General Public License Version 2
   along with Polychrony Signal Toolbox; see the file COPYING. If not, consult the url 
    http://www.gnu.org/licenses/gpl-2.0.html, or write to the Free
   Software Foundation, 51 Franklin Street, Fifth Floor, Boston, MA
   02110-1301, USA. 
*/
#include "pKio.h"
#include "common_type.h"
#include "stringmemStr_type.h"
#include "stringmemRegister_type.h"
#include "GHDC_type.h"
#include "kernel_type.h"
#include "polychronyExitStatus.h"
#include "polychronyOptions.h"
#include "opersignal.h"
#include "tksignal.h"
#include "sysfile_type.h"
#include "phylaSignal.h"
#include "buffer_type.h"
#include "messignalTables.h"
#include "messignal_0.h"
/* @End_import_type@ */
#include "buffer.h"
#include "messenger.h"
#include "NodeManager.h"
#include "string.h"
#include "stringmemStr_g.h"
#include "stringmemSet_g.h"
#include "stringStd_g.h"
#include "sysfile_g.h"
#include "predefSignalNames_g.h"
#include "ident_g.h"
#include "tree_api.h"
#include "atInodesList_g.h"
#include "decsig_g.h"
#include "signal_tree.h"
#include "Pragmas_g.h"
#include "DCG.h"
#include "kernel2graph.h"
#include "TypeManager_g.h"
#include "IdentifierTable.h"
#include "sigparse_g.h"
#include "intePrinter.h"
#include "OptionManager.h"
#include "pKServicesAPImkGraph.h"
#include "pKServicesAPI.h"
#include "BatchCompiler.h"
#include "atlist_g.h"
#include "DCG2SignalTree.h"
#include "SignalPrinter.h"
#include "PragmasTrees_g.h"
#include "DCG.h"
#include "DCG_basic.h"
#include "DCG_poly.h"
#include "DCG_endo.h"
#include "DCG_bool.h"
#include "DCG_sch.h"
#include "DCG_flat.h"
#include "CodeGenerator.h"
#include "CCodeGenerator.h"
#include "CPPCodeGenerator.h"
#include "JavaCodeGenerator.h"

/* @Begin_prog@ */
#include "BatchCompiler_m.c"
#include "BatchCompilerCommandAnalysis_i.c"
#include "BatchCompilerWizard_i.c"
#include "BatchCompiler_g.c"
