/* 
   Authors: Loïc Besnard, Patricia Bournai, Thierry Gautier, Paul Le Guernic.
   Copyright (C) by INRIA-CNRS - developed by Espresso project - GPL v2 License - 2010.

   Contact: polychronycontact@listes.irisa.fr 

   This file is part of Polychrony Signal Toolbox (http://www.irisa.fr/espresso/polychrony).

   Polychrony  Signal Toolbox is free software; you can redistribute it and/or modify it under
   the terms of the GNU General Public License Version 2 as published by the Free
   Software Foundation.

   Polychrony Signal Toolbox is distributed in the hope that it will be useful, but WITHOUT ANY
   WARRANTY; without even the implied warranty of MERCHANTABILITY or
   FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License Version 2
   for more details.

   You should have received a copy of the GNU General Public License Version 2
   along with Polychrony Signal Toolbox; see the file COPYING. If not, consult the url 
    http://www.gnu.org/licenses/gpl-2.0.html, or write to the Free
   Software Foundation, 51 Franklin Street, Fifth Floor, Boston, MA
   02110-1301, USA. 
*/
#include "common_type.h"
#include "opersignal.h"
#include "tksignal.h"
#include "stringmemStr_type.h"
#include "atpile_type.h"
#include "buffer_type.h"
#include "SignalEnvPragmas.h"
#include "tkSME.h"
#include "tabtools_type.h"
#include "operSME.h"
#include "TreesAttributes.h"
/* @End_import_type@ */
#include "inteprint_g.h"
#include "intePrinter.h"
#include "tree_api.h"
#include "inteattr_g.h"
#include "ident_g.h"
#include "SignalPrinter.h"
#include "SME_Printer.h"
#include "stringStd_g.h"
#include "stringmemStr_g.h"
#include "messenger.h"
#include "signal_treeGet_g.h"
#include "signal_treeSet_g.h"
#include "signal_treeTest_g.h"
#include "PragmasTrees_g.h"
#include "tabtools_g.h"
#include "stringmemTable_g.h"

/* @Begin_prog@ */
#include "SME_Printer_m.c"
#include "SME_Printer_g.c"
