/* 
   Authors: Loïc Besnard, Patricia Bournai, Thierry Gautier, Paul Le Guernic.
   Copyright (C) by INRIA-CNRS - developed by Espresso project - GPL v2 License - 2010.

   Contact: polychronycontact@listes.irisa.fr 

   This file is part of Polychrony Signal Toolbox (http://www.irisa.fr/espresso/polychrony).

   Polychrony  Signal Toolbox is free software; you can redistribute it and/or modify it under
   the terms of the GNU General Public License Version 2 as published by the Free
   Software Foundation.

   Polychrony Signal Toolbox is distributed in the hope that it will be useful, but WITHOUT ANY
   WARRANTY; without even the implied warranty of MERCHANTABILITY or
   FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License Version 2
   for more details.

   You should have received a copy of the GNU General Public License Version 2
   along with Polychrony Signal Toolbox; see the file COPYING. If not, consult the url 
    http://www.gnu.org/licenses/gpl-2.0.html, or write to the Free
   Software Foundation, 51 Franklin Street, Fifth Floor, Boston, MA
   02110-1301, USA. 
*/
#include "pKio.h"
#include "pKServicesAPImkGraph_ImportedTypes.h"
#include "common_type.h"
#include "sign_type.h"
#include "atlist_type.h"
#include "stringmemStr_type.h"
#include "stringmemRegister_type.h"
#include "SignalEnvPragmas.h"
#include "Pragmas_type.h"
#include "typeTypes.h"
#include "atAttributes_type.h"
#include "kernel_type.h"
#include "polychronyExitStatus.h"
#include "opersignal.h"
#include "tksignal.h"
#include "sysfile_type.h"
#include "phylaSignal.h"
#include "buffer_type.h"
#include "atlist_type.h"
#include "messignalTables.h"
#include "messignal_0.h"
#include "SyndexTree_type.h"
#include "messignal_3.h"
#include "IdentifierTableType.h"
#include "TraceabilityManagerExportType.h"
/* @End_import_type@ */
#include "ident_g.h"
#include "inteprintc.h"
#include "inteprintcpp.h"
#include "atlist_g.h"
#include "TreesAttributes.h"
#include "Pragmas_g.h"
#include "PragmasTrees_g.h"
#include "atmark_g.h"
#include "atListAttributes_g.h"
#include "stringmemStr_g.h"
#include "tree_api.h"
#include "intetreesGarbage_g.h"
#include "signal_tree.h"
#include "decsig_g.h"
#include "predefSignalNames_g.h"
#include "messenger.h"
#include "GraphManager.h"
#include "buffer.h"
#include "messenger.h"
#include "predefSignalNames_g.h"
#include "ident_g.h"
#include "string.h"
#include "stringmemStr_g.h"
#include "stringmemSet_g.h"
#include "stringStd_g.h"
#include "atlist_g.h"
#include "sysfile_g.h"
#include "Trees2Kernel.h"
#include "pKServicesAPImkGraph.h"
#include "atlrepid_g.h"
#include "TypeManager_g.h"
#include "TypeGarbage_g.h"
#include "IdentifierTable.h"
#include "atpileIni_g.h"
#include "atrepfiGet_g.h"
#include "sigparse_g.h"
#include "SignalPrinter.h"
#include "SME_Printer.h"
#include "SSME_Printer.h"
#include "inteattr_g.h"
#include "morphismPredefinedNames.h"
#include "kernel2graph.h"

/* @Begin_prog@ */
#include "pKServicesAPImkGraph_m.c"
#include "pKServicesAPImkGraph_g.c"
#include "pKServicesAPITrees_g.c"
