/*
 * Revision Control Information
 *
 * $Source: /vol/opua/opua2/sis/sis-1.1/common/src/sis/array/RCS/array.h,v $
 * $Author: sis $
 * $Revision: 1.2 $
 * $Date: 1992/05/06 18:50:03 $
 *
 */
#ifndef ARRAY_H
#define ARRAY_H



struct __array_t {
    char *space;
    Integer num;		/* number of array elements */
    Integer n_size;		/* size of 'data' array (in objects) */
    Integer obj_size;	/* size of each array object */
}array_t;
#define ALLOC_ARRAY_T ((array_t_pointer) malloc(sizeof(array_t)))


/* extern Integer array_i; */
Integer array_i;


#define array_alloc(type, number)		\
    array_do_alloc(sizeof(type), number)

#define array_insert(type, a, i, datum)		\
    (array_i = (i),				\
      array_i < 0 ? array_abort(0) : 0,		\
      sizeof(type) != (a)->obj_size ? array_abort(1) : 0,\
      array_i >= (a)->n_size ? array_resize(a, array_i + 1) : 0,\
      array_i >= (a)->num ? (a)->num = array_i + 1 : 0,\
      *((type *) ((a)->space + array_i * (a)->obj_size)) = datum)

#define array_fetch(type, a, i)			\
    (array_i = (i),				\
      (array_i < 0 || array_i >= (a)->num) ? array_abort(0) : 0,\
      *((type *) ((a)->space + array_i * (a)->obj_size)))

#define array_fetch_p(type, a, i)                       \
    (array_i = (i),                             \
      (array_i < 0 || array_i >= (a)->num) ? array_abort(0) : 0,\
      ((type *) ((a)->space + array_i * (a)->obj_size)))

#define array_insert_last(type, array, datum)	\
    array_insert(type, array, (array)->num, datum)

#define array_fetch_last(type, array)		\
    array_fetch(type, array, ((array)->num)-1)

#define array_n(array)				\
    (array)->num

#define array_data(type, array)			\
    (type *) array_do_data(array)

#endif
