/*
 * Revision Control Information
 *
 * $Source: /vol/opua/opua2/sis/sis-1.1/common/src/sis/st/RCS/st.h,v $
 * $Author: sis $
 * $Revision: 1.2 $
 * $Date: 1992/05/06 19:02:54 $
 *
 */
/* requires bdd_export.h */
/* LINTLIBRARY */

/* $Header: /vol/opua/opua2/sis/sis-1.1/common/src/sis/st/RCS/st.h,v 1.2 1992/05/06 19:02:54 sis Exp $ */

#ifndef ST_INCLUDED
#define ST_INCLUDED

typedef struct st_table_entry st_table_entry;
#define NIL_st_table_entry (st_table_entry*)NULL
#define NIL_st_table_entry_star (st_table_entry **)NULL

struct st_table_entry {
    char *key;
    char *record;
    st_table_entry *next;
};

struct __st_table {
  Integer (*compare)();
  Integer (*hash)();
    Integer num_bins;
    Integer num_entries;
    Integer max_density;
    Integer reorder_flag;
    double grow_factor;
    st_table_entry **bins;
}st_table;
#define ALLOC_ST_TABLE ((st_table_pointer) malloc(sizeof(st_table)))
typedef struct st_generator st_generator;
struct st_generator {
    st_table_pointer table;
    st_table_entry *entry;
    Integer index;
};

#define st_is_member(table,key) st_lookup(table,key,(char **) 0)
#define st_count(table) ((table)->num_entries)

enum st_retval {ST_CONTINUE, ST_STOP, ST_DELETE};

typedef enum st_retval (*ST_PFSR)();
typedef Integer (*ST_PFI)();

#define ST_DEFAULT_MAX_DENSITY 5
#define ST_DEFAULT_INIT_TABLE_SIZE 11
#define ST_DEFAULT_GROW_FACTOR 2.0
#define ST_DEFAULT_REORDER_FLAG 0

#define st_foreach_item(table, gen, key, value) \
    for(gen=st_init_gen(table); st_gen(gen,key,value) || (st_free_gen(gen),0);)


#endif /* ST_INCLUDED */
