/* 
   Authors: Loïc Besnard, Patricia Bournai, Thierry Gautier, Paul Le Guernic.
   Copyright (C) by INRIA-CNRS - developed by Espresso project - GPL v2 License - 2010.

   Contact: polychronycontact@listes.irisa.fr 

   This file is part of Polychrony Signal Toolbox (http://www.irisa.fr/espresso/polychrony).

   Polychrony  Signal Toolbox is free software; you can redistribute it and/or modify it under
   the terms of the GNU General Public License Version 2 as published by the Free
   Software Foundation.

   Polychrony Signal Toolbox is distributed in the hope that it will be useful, but WITHOUT ANY
   WARRANTY; without even the implied warranty of MERCHANTABILITY or
   FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License Version 2
   for more details.

   You should have received a copy of the GNU General Public License Version 2
   along with Polychrony Signal Toolbox; see the file COPYING. If not, consult the url 
    http://www.gnu.org/licenses/gpl-2.0.html, or write to the Free
   Software Foundation, 51 Franklin Street, Fifth Floor, Boston, MA
   02110-1301, USA. 
*/
#ifndef __LI_ATTI__
#define __LI_ATTI__

EXTERN boolean getCondTM_typedAttribute (ptnode aNode, short tagAttribute, short attributeType, ptattribute * attributeRes);
EXTERN boolean getCondTM_taggedAttribute( ptnode aNode, short tagAttribute, ptattribute *attrRes);
EXTERN ptattribute attachTM_newAttribute0(ptnode aNode, short LTAType, untypedValueType value);
EXTERN ptattribute insertTM_newFirstAttribute(ptnode aNode, short tagAttribute);
EXTERN ptattribute insertTM_newAttributeAfter(ptattribute attrPred, short tagAttribute);
EXTERN void attachTM_treeAttribute(ptattribute newAttr, ptfilsd aSon);
EXTERN void detachTM_attribute(ptnode nodeContainer, ptattribute attr_removed);
EXTERN ptattribute getOrCreateTM_attribute(trees aSubtree, short tagAttribute);

#endif
