/* 
   Authors: Loïc Besnard, Patricia Bournai, Thierry Gautier, Paul Le Guernic.
   Copyright (C) by INRIA-CNRS - developed by Espresso project - GPL v2 License - 2010.

   Contact: polychronycontact@listes.irisa.fr 

   This file is part of Polychrony Signal Toolbox (http://www.irisa.fr/espresso/polychrony).

   Polychrony  Signal Toolbox is free software; you can redistribute it and/or modify it under
   the terms of the GNU General Public License Version 2 as published by the Free
   Software Foundation.

   Polychrony Signal Toolbox is distributed in the hope that it will be useful, but WITHOUT ANY
   WARRANTY; without even the implied warranty of MERCHANTABILITY or
   FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License Version 2
   for more details.

   You should have received a copy of the GNU General Public License Version 2
   along with Polychrony Signal Toolbox; see the file COPYING. If not, consult the url 
    http://www.gnu.org/licenses/gpl-2.0.html, or write to the Free
   Software Foundation, 51 Franklin Street, Fifth Floor, Boston, MA
   02110-1301, USA. 
*/
#ifndef __LTA_CBAS__
#define __LTA_CBAS__

EXTERN ptrepere newTM_repere(void);
EXTERN ptnode newTM_fixSizeNode(short);
EXTERN ptnode newTM_listNode(void);
EXTERN ptfilslist newTM_filslist(void);
EXTERN ptattribute newTM_attribute(short tagAttribute);
EXTERN ptfilsd newTM_fixSonRoot_emptyTree(void);
EXTERN void linkTM_filsd_describedNode(ptfilsd aFilsd, ptnode itsNode, short innercop);
EXTERN void linkTM_filslist_describedNode(ptfilslist aFilslist, ptnode itsNode, short innercop);
EXTERN void linkTM_filsAny_describedNode(ptfilsAny filsAnyParam, ptnode aNode, short innercodop);
EXTERN ptnode newTM_userFixeTreeTop(short, short);
EXTERN ptnode cleanTM_filsAny(ptfilsAny destroyedFilsAny, short * destroyedOpCode, untypedValueType * otherValue) ;
EXTERN ptnode unlinkTM_listElement(ptfilslist destroyedFilsList, short * destroyedOpCode, untypedValueType * otherValue);
#endif



