/* 
   Authors: Loïc Besnard, Patricia Bournai, Thierry Gautier, Paul Le Guernic.
   Copyright (C) by INRIA-CNRS - developed by Espresso project - GPL v2 License - 2010.

   Contact: polychronycontact@listes.irisa.fr 

   This file is part of Polychrony Signal Toolbox (http://www.irisa.fr/espresso/polychrony).

   Polychrony  Signal Toolbox is free software; you can redistribute it and/or modify it under
   the terms of the GNU General Public License Version 2 as published by the Free
   Software Foundation.

   Polychrony Signal Toolbox is distributed in the hope that it will be useful, but WITHOUT ANY
   WARRANTY; without even the implied warranty of MERCHANTABILITY or
   FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License Version 2
   for more details.

   You should have received a copy of the GNU General Public License Version 2
   along with Polychrony Signal Toolbox; see the file COPYING. If not, consult the url 
    http://www.gnu.org/licenses/gpl-2.0.html, or write to the Free
   Software Foundation, 51 Franklin Street, Fifth Floor, Boston, MA
   02110-1301, USA. 
*/
#ifndef __SIG_MEM__
#define __SIG_MEM__


EXTERN void * INITFSCMEM(size_t size);
EXTERN void * ALLOCFSCMEM(size_t size);
EXTERN void FREEFSCMEM(void *);
EXTERN void DONEFSCMEM();

EXTERN void * INITPARSEMEM(size_t size);
EXTERN void * ALLOCPARSEMEM(size_t size);
EXTERN void FREEPARSEMEM(void *);
EXTERN void DONEPARSEMEM();

EXTERN void * INITSIGMEM(size_t size);
EXTERN void * ALLOCSIGMEM(size_t size);
EXTERN void FREESIGMEM(void *);
EXTERN void DONESIGMEM();

EXTERN void * INITGOMEM(size_t size);
EXTERN void * ALLOCGOMEM(size_t size);
EXTERN void FREEGOMEM(void *);
EXTERN void DONEGOMEM();

EXTERN void DONEMEM();

#endif
