class FileAnalyzer
{
#include "FileAnalyzer_m.h"
#include "FileAnalyzer_g.h"
protected:
  /* file input buffer */
  LGString this_fileRegister;
  char *this_fileBuffer; /* buffer used to get chars from this_file */
  int this_fileBufferSize; /* maximal number of chars that can be loaded at once in this_fileBuffer */

  /* line analyzer */
  ref2LineAnalyzer this_lineAnalyzer;

  /* file */
  const char *this_fileName;
  FILE *this_file;

  boolean fileReading_OK; /* true iff file is correctly open, not completed, not close 
			     and has a not empty this_fileBuffer. this_fileBufferSize > 0 */
  boolean fileReading_Close, fileReading_Errored;
  int this_lineCounter;
};
