/* 
 * call to "string" function
 * ArgumentFunctionCall defines 
 *                 boolean this_isIterated;
 *                 int this_scope; (this parameter list scope)
 *                 char * this_functionName;
 *                 ref2ArgumentList these_actualParameters; 
 *                 int this_type; (this resulting type)
 *                 ref2Argument this_expandedArgument; /* used as an accelerator
 *         
 */
class StringFunctionCall :public ArgumentFunctionCall
{
#include "StringFunctionCall_g.h"
protected:
  char * this_CString_expanded; /* when these_actualParameters is static and not iterated 
				         HostValFunctionCall is static, this_CString_expanded is its string host value 
					 StringValFunctionCall is Dynamic, this_CString_expanded is the expanded identifier label, that remains to be linked
					 StringFunctionCall is static, this_CString_expanded is its expanded value 
				  in UserStringFunctionCall, this_CString_expanded holds the most recent computed value (constnat if this is static)
				*/

};
