/* TODO 
 */
_PUBLIC_
/* ========== Attributes
 */
/* ========== Log
 */
  _VIRTUAL_ void
CommandAncestor::logDebug_header (int level)
{
  log_subTitle_ln (level, "header is the following function call");
  this_functionCall->logExtendedDebug_formula_ln (level + 1);
  LOG_LN ();
}

/* ========== Printer
 */

_VIRTUAL_ void
CommandAncestor::print_ActualHeader (ref2Lexical printingContext, ref2IntePrinter outBuffer, int depth)
{
  this_functionCall->print_actualFormula (printingContext, outBuffer, depth);
  outBuffer->line ();
}

_VIRTUAL_ void
CommandAncestor::print_header (ref2Lexical printingContext, ref2IntePrinter outBuffer)
{
  // fprintf(stderr, "DEBUG CommandAncestor::print_header\n");
  this_functionCall->print_formula (printingContext, outBuffer);
  outBuffer->line ();
}

/* ========== Grapher
 */

/* ========== Generator
 */

/* generates a ancestor list from this
 * <callingContext> is not NIL (not checked)
 * success: generated ancestors are returned in <ancestorList_res>
 *              <ancestorList_res> may be empty
 * failure: this is not a correct ancestor generator
 *               error message is printed
 */
_VIRTUAL_ boolean
CommandAncestor::build_ancestors (ref2Context callingContext, ref2AncestorList * ancestorList_res)
{
  // logDEBUG_in("build_ancestors");
  return this_functionCall->call (callingContext, ancestorList_res);
}

/* ========== Reader
 */

/* ========== Builder
 */
/* 
 * Empty ancestor list creation
 */
CommandAncestor::CommandAncestor (ref2AncestorFunctionCall ancestorFunctionCall, ref2ArgumentList ancestorAction):GenericAncestor (ancestorAction)
{
  this_functionCall = ancestorFunctionCall;
}
