/* 
   Authors: Loïc Besnard, Patricia Bournai, Thierry Gautier, Paul Le Guernic.
   Copyright (C) by INRIA-CNRS - developed by Espresso project - GPL v2 License - 2010.

   Contact: polychronycontact@listes.irisa.fr 

   This file is part of Polychrony Signal Toolbox (http://www.irisa.fr/espresso/polychrony).

   Polychrony  Signal Toolbox is free software; you can redistribute it and/or modify it under
   the terms of the GNU General Public License Version 2 as published by the Free
   Software Foundation.

   Polychrony Signal Toolbox is distributed in the hope that it will be useful, but WITHOUT ANY
   WARRANTY; without even the implied warranty of MERCHANTABILITY or
   FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License Version 2
   for more details.

   You should have received a copy of the GNU General Public License Version 2
   along with Polychrony Signal Toolbox; see the file COPYING. If not, consult the url 
    http://www.gnu.org/licenses/gpl-2.0.html, or write to the Free
   Software Foundation, 51 Franklin Street, Fifth Floor, Boston, MA
   02110-1301, USA. 
*/

/* ---------------------------------------------------------------------
   Documentation : file logPrinterDecl 
   -------------------------------------------------------------------- */
#define logOutChr(c) ( fputc(c, stdout))
#define logOutStr(str) ( fputs(str, stdout))
#define logPrintChr(c) ( logOutChr(c), wcc = wcc + 1 )
#define logPrintSpace() ( fputc(' ', stdout), wcc = wcc + 1)
#define logPrintEol() ( fputc('\n', stdout), fflush(stdout), wcl = wcl + 1, wcc = 0)
#define logPrintEop() ( fputc(12, stdout), fflush(stdout,  wcc = 0))
#define logPrintStr(str,n) ( fputs(str, stdout), wcc = wcc + n )
#define logPrintForm(format,val,n) ( n = fprintf(stdout, format, val), wcc = wcc + n )
#define logPrintnForm(format,val,n) ( fprintf(stdout, format, val), wcc = wcc + n )

#define maximbric 7

int wcc, wcl, wccMin = 0;
int indent;


