
process example_affine_sample =
  { integer n1, n2, n3, phi1, phi2, phi3; }
  ( ? integer e;
    ! integer s;
      )
  pragmas COMMENT " parameters : n1=6, n2=2, n3=3, phi1=4, phi2=2, phi3=1 "
                  ""
                  "    e1 e2  e3 e4   e5  e6 e7  e8 e9 e10  e11 e12"
                  "e  -|---|--|---|---|----|--|--|---|--|----|---|----"
                  "s1 ----------------|----------------------|--------"
                  "s2 --------|-------|-------|------|-------|--------"
                  "s3 ----------------|----------------------|--------"
                  "s  ----------------|----------------------|--------" 
                  ""
                  "s1 starts at the 5th value(phi1=4), e5 of e, then takes the e11, e17,...values of e (period= 6)"
                  "s2 starts at the 3th value(phi2=2), e3 of e, then takes the e5, e7,...values of e (period= 2)"
                  "s3 starts at the 2th value(phi3=1) of s2, then takes the 5th, 8th,...values of s2 (period= 3)"
                  "With such values for the parameters, s1 and s3 are synchronous signals."
  end pragmas

  (| s1 := affine_sample {phi1, n1} (e)
   | s2 := affine_sample {phi2, n2} (e)
   | s3 := affine_sample {phi3, n3} (s2)
   | s := s1 + s3
   |)
  where
    integer s1, s2, s3;
  end;
    
