module P_statechart_TRA =
   type P_states = enum (Q, R, S);
   type Q1_states = enum (U, V);
   type Q2_states = enum (X, Y, Z);
   process P_chart =
        ( ? event Tick, a, b, i, j, m, n;
          ! P_states P_currentState;
            Q1_states Q1_currentState;
            Q2_states Q2_currentState;
        )
      (| (| ^a ^= a
          | a ^= a
          |)
       | (| ^b ^= b
          | b ^= b
          |)
       | (| ^i ^= i
          | i ^= i
          |)
       | (| ^j ^= j
          | j ^= j
          |)
       | (| ^m ^= m
          | m ^= m
          |)
       | (| ^n ^= n
          | n ^= n
          |)
       | (| b_0 := b ^* CLK_Q1_currentState |)
       | (| a_0 := a ^* CLK_Q1_currentState
          | (| P_nextState ::= P_states#R when a_0 |)
          |)
       | (| CLK := b_0 ^- a_0 |)
       | (| CLK_22 := CLK_Q1_currentState ^* CLK
          | (| P_nextState ::= P_states#S when CLK_22 |)
          |)
       | (| CLK_23 := b_0 ^+ a_0 |)
       | (| b_1 := b ^* CLK_155
          | (| P_nextState ::= P_states#S when b_1 |)
          |)
       | (| a_1 := a ^* CLK_171
          | (| P_nextState ::= P_states#Q when a_1 |)
          |)
       | (| i_0 := i ^* CLK_48
          | (| Q1_newState ::= Q1_states#V when i_0 |)
          |)
       | (| j_0 := j ^* CLK_151
          | (| Q1_newState ::= Q1_states#U when j_0 |)
          |)
       | (| m_0 := m ^* CLK_72
          | (| Q2_newState ::= Q2_states#Y when m_0 |)
          |)
       | (| n_0 := n ^* CLK_143
          | (| Q2_newState ::= Q2_states#Z when n_0 |)
          |)
       | (| j_1 := j ^* CLK_147
          | (| Q2_newState ::= Q2_states#X when j_1 |)
          |)
       | (| CLK_XZX_217 := a_0 ^* CLK_22
          | ACT_CLK_XZX_217{}
          |)
       | (| CLK_XZX_237 := b_1 ^* a_1
          | ACT_CLK_XZX_237{}
          |)
       | (| CLK_113 := CLK_23 ^+ b_1 |)
       | (| CLK_114 := a_1 ^+ CLK_113 |)
       | (| ^Tick ^= Tick
          | Tick ^= Tick ^= P_currentState
          | ACT_Tick{}
          |)
       | (| CLK_117 := Tick ^- CLK_114
          | (| P_nextState ::= defaultvalue P_currentState when CLK_117 |)
          |)
       | (| CLK_122 := i_0 ^+ j_0 |)
       | (| CLK_125 := CLK_Q1_State ^- CLK_122
          | (| Q1_newState ::= defaultvalue Q1_State when CLK_125 |)
          |)
       | (| CLK_XZX_259 := n_0 ^* j_1
          | ACT_CLK_XZX_259{}
          |)
       | (| CLK_136 := m_0 ^+ n_0 |)
       | (| CLK_137 := j_1 ^+ CLK_136 |)
       | (| CLK_140 := CLK_Q1_State ^- CLK_137
          | (| Q2_newState ::= defaultvalue Q2_State when CLK_140 |)
          |)
       | (| (| CLK_XZX_259 ^= CLK_134 |)
          | (| CLK_XZX_237 ^= CLK_111 |)
          | (| CLK_XZX_217 ^= CLK_98 |)
          |)%**WARNING: Clocks constraints
         %
       |)
      where 
      event CLK_171, CLK_Q1_State, CLK_155, CLK_151, CLK_147, CLK_143, CLK_140, CLK_137, CLK_136, CLK_XZX_259, CLK_125, CLK_122, CLK_117, CLK_114, CLK_113, CLK_XZX_237, CLK_XZX_217, j_1, n_0, m_0, CLK_72, j_0, i_0, CLK_48, a_1, b_1, CLK_23, CLK_22, CLK, 
           a_0, b_0, CLK_Q1_currentState;
      Q2_states Q2_State;
      Q1_states Q1_State;
      process ACT_CLK_XZX_217 =
           ( )
         (| CLK_XZX_217 ^= XZX_217 ^= XZX_219
          | (| CLK_98 := when (XZX_217==XZX_219) |)
          | (| XZX_217 := P_states#R when a_0 when CLK_XZX_217
             | XZX_219 := P_states#S when CLK_22 when CLK_XZX_217
             |)
          |)
         where 
         event CLK_98;
         P_states XZX_217, XZX_219;
         end
      %ACT_CLK_XZX_217%; 
      process ACT_CLK_XZX_237 =
           ( )
         (| CLK_XZX_237 ^= XZX_237 ^= XZX_239
          | (| CLK_111 := when (XZX_237==XZX_239) |)
          | (| XZX_237 := P_states#S when b_1 when CLK_XZX_237
             | XZX_239 := P_states#Q when a_1 when CLK_XZX_237
             |)
          |)
         where 
         event CLK_111;
         P_states XZX_237, XZX_239;
         end
      %ACT_CLK_XZX_237%; 
      process ACT_Tick =
           ( )
         (| Tick ^= P_nextState
          | (| CLK_Q1_currentState := when (P_currentState==P_states#Q)
             | CLK_Q1_currentState ^= Q1_currentState ^= Q2_currentState
             | ACT_CLK_Q1_currentState{}
             | CLK_14 := when (not (P_currentState==P_states#Q))
             |)
          | (| CLK_24 := when (P_currentState==P_states#R)
             | CLK_25 := when (not (P_currentState==P_states#R))
             |)
          | (| CLK_30 := when (P_currentState==P_states#S) |)
          | (| CLK_39 := when (P_nextState==P_states#Q) |)
          | (| CLK_155 := CLK_14 ^* CLK_24 |)
          | (| CLK_157 := CLK_14 ^* CLK_25 |)
          | (| start_Q_chart := CLK_14 ^* CLK_39 |)
          | (| CLK_Q1_State := start_Q_chart ^+ CLK_Q1_currentState
             | CLK_Q1_State ^= Q1_State ^= Q2_State
             | ACT_CLK_Q1_State{}
             |)
          | (| CLK_171 := CLK_157 ^* CLK_30 |)
          | (| P_currentState := P_nextState$1 init P_states#Q |)
          |)
         where 
         event start_Q_chart, CLK_157, CLK_39, CLK_30, CLK_25, CLK_24, CLK_14;
         P_states P_nextState;
         process ACT_CLK_Q1_currentState =
              ( )
            (| (| Q1_currentState := Q1_State when CLK_Q1_currentState
                | Q2_currentState := Q2_State when CLK_Q1_currentState
                |) |)
         %ACT_CLK_Q1_currentState%; 
         process ACT_CLK_Q1_State =
              ( )
            (| CLK_Q1_State ^= Q1_newState ^= Q1_nextState ^= Q2_newState ^= Q2_nextState
             | (| CLK_48 := when (Q1_State==Q1_states#U)
                | CLK_49 := when (not (Q1_State==Q1_states#U))
                |)
             | (| CLK_53 := when (Q1_State==Q1_states#V) |)
             | (| CLK_72 := when (Q2_State==Q2_states#X)
                | CLK_73 := when (not (Q2_State==Q2_states#X))
                |)
             | (| CLK_77 := when (Q2_State==Q2_states#Y)
                | CLK_78 := when (not (Q2_State==Q2_states#Y))
                |)
             | (| CLK_83 := when (Q2_State==Q2_states#Z) |)
             | (| CLK_143 := CLK_73 ^* CLK_77 |)
             | (| CLK_145 := CLK_73 ^* CLK_78 |)
             | (| CLK_147 := CLK_145 ^* CLK_83 |)
             | (| CLK_151 := CLK_49 ^* CLK_53 |)
             | (| Q1_State := Q1_nextState$1 init Q1_states#U
                | Q1_nextState := (Q1_states#U when start_Q_chart) default (Q1_newState when CLK_Q1_currentState)
                | Q2_State := Q2_nextState$1 init Q2_states#X
                | Q2_nextState := (Q2_states#X when start_Q_chart) default (Q2_newState when CLK_Q1_currentState)
                |)
             |)
            where 
            event CLK_145, CLK_83, CLK_78, CLK_77, CLK_73, CLK_53, CLK_49;
            Q2_states Q2_newState, Q2_nextState;
            Q1_states Q1_newState, Q1_nextState;
            end
         %ACT_CLK_Q1_State%; 
         end
      %ACT_Tick%; 
      process ACT_CLK_XZX_259 =
           ( )
         (| CLK_XZX_259 ^= XZX_259 ^= XZX_261
          | (| CLK_134 := when (XZX_259==XZX_261) |)
          | (| XZX_259 := Q2_states#Z when n_0 when CLK_XZX_259
             | XZX_261 := Q2_states#X when j_1 when CLK_XZX_259
             |)
          |)
         where 
         event CLK_134;
         Q2_states XZX_259, XZX_261;
         end
      %ACT_CLK_XZX_259%; 
      end
   %P_chart%; 
end %P_statechart_TRA%; 
