process TOPMOD_EXTENDED_SPECIFICATION_TRA =
     ( ? event HRESET;
         boolean C_HRESET, C_CLK, C_INCR;
       ! integer V;
         event OEV;
     )
   pragmas 
      Main
   end pragmas
   (| (| CLK_C_HRESET := ^C_HRESET
       | CLK_C_HRESET ^= C_HRESET ^= C_CLK ^= C_INCR
       | ACT_CLK_C_HRESET{}
       |)
    | (| (| CLK_24 ^= CLK_36 |)
       | (| CLK_V_0 ^= CLK_33 |)
       |)%**WARNING: Clocks constraints
      %
    |)
   where 
   constant integer V0 = 20;
   event CLK_V, CLK;
   process ACT_CLK_C_HRESET =
        ( )
      (| (| when C_HRESET ^= HRESET
          | HRESET ^= HRESET
          | CLK_23 := when (not C_HRESET)
          |)
       | (| CLK_24 := when C_CLK
          | CLK_25 := when (not C_CLK)
          |)
       | (| CLK_V_0 := when C_INCR
          | CLK_V_0 ^= V ^= INCR ^= ZV
          | ACT_CLK_V_0{}
          | CLK_29 := when (not C_INCR)
          |)
       | (| CLK_33 := HRESET ^+ CLK_V_0 |)
       | (| CLK_36 := CLK_V_0 ^- HRESET |)
       |)
      where 
      process ACT_CLK_V_0 =
           ( )
         (| (| OEV := when (ZV>=20)
             | OEV ^= OEV
             |)
          | (| V := (0 when HRESET) default (INCR when CLK_24)
             | INCR := ZV+1
             | ZV := V$1 init 20
             |)
          |)
      %ACT_CLK_V_0%; 
      end
   %ACT_CLK_C_HRESET%; 
   end
%TOPMOD_EXTENDED_SPECIFICATION_TRA%; 
