node nodepart =
     ( ? integer I, J;
       ! integer K, L;
     )
     spec (| I ^= J ^= K ^= L |)
   pragmas 
      Comment " Using node, Separate pragma, and distribution code."
      RunOn "1"
      RunOn {LA} "1"
      RunOn {LB} "2"
      RunOn {LC} "2"
   end pragmas
   (| LA :: (K, AC) := AA(I)
    | LC :: L := CC(AC, CB)
    | LB :: CB := BB(J)
    | LA --> LB
    | AC ^= CB ^= K ^= LA ^= LB
    |)
   where 
   integer AC, CB;
   label LA, LB, LC; 
   node AA =
        ( ? integer x;
          ! integer y, z;
        )
      pragmas 
         Separate
      end pragmas
      (| y := x+2
       | z := x*3
       |)
   %AA%; 
   node BB =
        ( ? integer x;
          ! integer y;
        )
      pragmas 
         Separate
      end pragmas
      (| y := -x |)
   %BB%; 
   node CC =
        ( ? integer x, y;
          ! integer z;
        )
      pragmas 
         Separate
      end pragmas
      (| z := x*y |)
   %CC%; 
   end
%nodepart%; 
