
PRINT("DIRECTORY: ${pK_Examples}")
SET(PREFIX ex_)

# The variable G_EXPORTED_EXAMPLES is referenced in the pKCPack.cmake (packaging)
SET(G_EXPORTED_EXAMPLES apex assertions domApplianceCircuit drink elementary
  equationSolving  levelCrossing memories modem mouse oscillo productionCell
  speechRecognition usingGraphicalLibrary watch distribution)

SET(DIRS  
  ${G_EXPORTED_EXAMPLES}
  doc
  affines
  drumRegulator
  fifos
  levelCrossing
  manualExercises
  peterson
  syndex 
  usingVCD
  ltta
  benchmark
  )

SETVARIABLES("${DIRS}" ${pK_Examples} ${PREFIX}  pK_Examples)
DECLARECOMPONENTS("${DIRS}" ${PREFIX})

# IF(NOT DEFINED BIN_INSTALL)
#  GEN_CONFIG_EXAMPLES(pK_Examples Examples Examples_ ${ex_doc_html})
# ENDIF(NOT DEFINED BIN_INSTALL)

IF(PKCONFIG)
  INCLUDE(${CMakeModules_combin}/genTestCmds.cmake)
ENDIF(PKCONFIG)
