process VTCCBallon =
     { integer NUL_CODE, LIN_CODE, TICK_NUMBER, FRONT_NUMBER, TICK_HEIGHT, DELTA, TICK_WIDTH, ESP_HEIGHT, STRING_HEIGHT, MIN_A, MAX_A, L_C, H_C, L_R, H_R, ABS, ORD, NBP_ORD, NBP_ABS; }
     ( )
   (| (| (| time := cms
          | main_Regulator{}
          |) where event time; end
       | CONTEXT{NUL_CODE, LIN_CODE, MIN_A, MAX_A}
       | SCREEN{TICK_NUMBER, FRONT_NUMBER, TICK_HEIGHT, DELTA, TICK_WIDTH, ESP_HEIGHT, STRING_HEIGHT, MIN_A, MAX_A, ABS, ORD}
       | BACK{}
       |)/ V2, V1, C1, HE, evt_consigne, cms, Tick, canvas, NBC, NB_out |)
   where 
   use libGraphics; 
   TWindow canvas; 
   TWindow sliderNBC; 
   event H_0, HE, Tick, cms, evt_consigne; 
   statevar dreal niveauBallon, debitVapeur init 0.0; 
   statevar dreal consigneNiveau; 
   statevar dreal debitAlim, NB init 0.0; 
   process BACK =
        ( ? dreal NB_out; 
            dreal NBC;
          ! event HE; 
            boolean C1; 
            dreal V1; 
            dreal V2;
        )
      (| HE := ^NBC
       | C1 := HE
       | V1 := NBC
       | V2 := NB_out
       |)
   ; 
   process CONTEXT =
        { integer NUL_CODE, LIN_CODE; 
          integer MIN_A, MAX_A; }
        ( ! event H_0; 
            event Tick; 
            event cms; 
            event evt_consigne; 
            TWindow sliderNBC; 
            TWindow canvas;
        )
      (| (| PACE_MAKER{}
          | (| H := HES
             | SCAN{}
             |) where event H; end
          | createWindows{}
          | HE := readClock()
          |)/ HE, B1, frame, HES |)
      where 
      process SCAN =
           ( ? event H; 
               TWindow B1;
             ! event Tick; 
               event cms; 
               event evt_consigne;
           )
         (| Tick := H
          | cms := H
          | Bconsigne := readButton(B1 when H)
          | evt_consigne := [:Bconsigne]
          |)
         where 
         boolean Bconsigne;
         end
      ; 
      function readClock =
           ( ! event HE;
           )
         (| HE := true |)
      ; 
      process createWindows =
           ( ? TWindow frame; 
               event H_0; 
               event HE;
             ! TWindow sliderNBC; 
               TWindow B1; 
               TWindow canvas;
           )
         (| fr := frame when H_0
          | P1 := createPanel(fr, #horiz)
          | P11 := createPanel(P1, #vertic)
          | L1 := createLabel(P11)
          | border := createBorder(P11, 40, 50)
          | canvas := createCanvas(P11, L_C, H_C) cell HE
          | createRepere{ABS, ORD, H_C, NBP_ORD, L_C, NBP_ABS, (L_C-(2*ABS))/(NBP_ABS+1), (H_C-(2*ORD))/(NBP_ORD+1)}(canvas)
          | sliderNBC := createSlider(fr, MIN_A, MAX_A, 0, L_R, H_R, 10) cell HE
          | B1 := createButton(P11) cell HE
          | L1 --> canvas
          | P1 --> canvas
          | canvas --> B1
          | canvas --> sliderNBC
          |)
         where 
         TWindow P1, P11, L1, fr; 
         integer border; 
         process createRepere =
              { ABS, ORD, H_C, NBP_ORD, L_C, NBP_ABS, SCALE_ABS, SCALE_ORD; }
              ( ? TWindow canvas;
              )
            (| drawVertScale{SCALE_ORD, NBP_ORD, ABS, ORD, ABS, H_C-(2*ORD)}(canvas)
             | drawHorScale{NBP_ABS, ABS, H_C-(2*ABS), L_C}(canvas)
             |)
            where 
            process drawVertScale =
                 { integer a; 
                   integer nb; 
                   integer x1; 
                   integer y1; 
                   integer x2; 
                   integer y2; }
                 ( ? integer numCanvas;
                 )
               (| I := 0..nb
                | I ^= numCanvas
                | drawLine(numCanvas, x1, y1, x2, y2, red)
                | iterate I
                  of (| drawInteger(numCanvas, v2[?], x1-19, v[?]+2)
                      | drawHorLine(numCanvas, x1-2, v[?], x1+2, red)
                      | v := v[?]+a
                      | v2 := v2[?]-20
                      |)
                  with (| v := x1
                        | v2 := 100
                        |)
                  end 
                |)
               where 
               [nb+1]integer I; 
               integer v2, v;
               end
            ; 
            process drawHorScale =
                 { nb, x1, y1, x2; }
                 ( ? integer numCanvas;
                 )
               (| I := 0..nb
                | I ^= numCanvas
                | drawLine(numCanvas, x1, y1, x2, y1, red)
                | istep := (x2-x1)/nb
                | iterate I
                  of (| drawReal(numCanvas, v2[?], v[?]-5, y1+15)
                      | drawVertLine(numCanvas, v[?], y1-2, y1+2, red)
                      | v := v[?]+istep
                      | v2 := v2[?]+0.5
                      |)
                  with (| v := x1
                        | v2 := 0.0
                        |)
                  end 
                |)
               where 
               [nb+1]integer I; 
               real v2; 
               integer v, istep;
               end
            ;
            end
         ;
         end
      ; 
      event HES, HE; 
      TWindow frame, B1;
      end
   ; 
   process SCREEN =
        { integer TICK_NUMBER, FRONT_NUMBER, TICK_HEIGHT, DELTA, TICK_WIDTH, ESP_HEIGHT, STRING_HEIGHT, MIN_A, MAX_A, ABS, ORD; }
        ( ? event HE; 
            boolean C1; 
            dreal V1; 
            dreal V2; 
            TWindow canvas;
        )
      (| (| X := WSET{TICK_NUMBER, FRONT_NUMBER, H_C, DELTA+DELTA+TICK_WIDTH}(canvas, HE)
          | (| DrawCurve1{ABS, ORD, (H_C-(2*ORD))/(NBP_ORD+1)}(canvas, X, V1) |)
          | (| DrawCurve2{ABS, ORD, (H_C-(2*ORD))/(NBP_ORD+1)}(canvas, X, V2) |)
          |)/ X |)
      where 
      process WSET =
           { integer XN, FN, DY, TS; }
           ( ? TWindow canvas; 
               boolean HE;
             ! integer V;
           )
         pragmas 
            Comment "renvoie la position où sera affiché le résultat"
         end pragmas
         (| (| V := ACCU_MOD{TS, L_C-(2*ORD), TS*(FN-1)}(HE)
             | clearCanvas(canvas when (^V), V+ABS, TS, DY)
             |)/ V
          | V := ACCU_MOD{TS, L_C-(2*ORD), TS*(XN-1)}(HE)
          |)
         where 
         process ACCU_MOD =
              { integer V_INC, V_BOUND, V_INIT; }
              ( ? boolean HE;
                ! integer V;
              )
            pragmas 
               Comment "Calcule la position (V) dans le canvas"
                       "où sera écrite la prochaine valeur (résultat)"
            end pragmas
            (| V ^= HE
             | ZV := V$ init V_INIT
             | V1 := ZV+V_INC
             | V := (0 when (V1>=V_BOUND)) default V1
             |)
            where 
            integer V1, ZV;
            end
         ;
         end
      ; 
      process DrawCurve1 =
           { integer ABS, ORD, SCALE_ORD; }
           ( ? TWindow canvas; 
               integer X; 
               dreal C;
           )
         (| H := ^C
          | ECRAN := canvas when H
          | Y1_REL := ORD+(5*SCALE_ORD)
          | Y1 := Y1_REL-integer((C/dreal(ORD))*dreal(SCALE_ORD))
          | Y2 := Y1_REL-integer(((C$)/dreal(ORD))*dreal(SCALE_ORD))
          | X2 := X
          | drawLine(ECRAN, X+ABS, Y1, X2+ABS, Y2, myColor)
          |)
         where 
         constant integer myColor = getColor(0, 100, 0, false); 
         event H; 
         TWindow ECRAN; 
         integer X2, Y1, Y2, Y1_REL;
         end
      ; 
      process DrawCurve2 =
           { integer ABS, ORD, SCALE_ORD; }
           ( ? TWindow canvas; 
               integer X; 
               dreal C;
           )
         (| H := ^C
          | ECRAN := canvas when H
          | Y1_REL := ORD+(5*SCALE_ORD)
          | Y1 := Y1_REL-integer((C/dreal(ORD))*dreal(SCALE_ORD))
          | X2 := X+1
          | drawHorLine(ECRAN, X+ABS, Y1, X2+ABS, blue)
          |)
         where 
         event H; 
         TWindow ECRAN; 
         integer X2, Y1, Y1_REL;
         end
      ; 
      integer X;
      end
   ; 
   process main_Regulator =
        ( ? event Tick; 
            event time; 
            event evt_consigne;
          ! dreal NB_out; 
            dreal NBC;
        )
      (| Regulator_chart %**ERROR: Process Regulator_chart not declared% (Tick, time, evt_consigne)
       | acquerirDebit(time)
       | acquerirNiveau(time)
       | (counter, clk_procBallon) := topmod{1}()
       | counter ^= time
       | procBallon{-1.7426, 0.7429, -0.0003, 0.0319, 0.0447, 0.0011, -1.7426, 0.7429, -0.0003, -2.8206, 2.526, 0.3724}(clk_procBallon)
       | NB_out := (NB?) when Tick
       | NBC := (consigneNiveau?) when Tick
       |)
      where 
      integer counter; 
      event clk_procBallon; 
      use interface; 
      use debitVapeur; 
      use niveauBallon; 
      use general; 
      use loideCommande; 
      use regulateur; 
      use processusBallon;
      end
   ; 
   dreal NB_out, NBC, V1, V2; 
   boolean C1;
   end
; 
