module interface =
   process getConsigne =
        ( ? event evt_consigne;
          ! dreal valeurConsigne;
        )
        spec (| evt_consigne ^= valeurConsigne |)
      (| valeurConsigne := dreal(GETRSIG(evt_consigne, readSlider%**ERROR: Process readSlider not declared%
                                         (sliderNBC when evt_consigne))%**ERROR: Conflicting number of input signals%
                           ) |)
      where 
      use libGraphics; 
      dreal C;
      process GETRSIG =
           ( ? event H;
               integer V_ON;
             ! integer ON;
           )
         (| H ^= V_ON
          | ON := V_ON
          |)
      %GETRSIG%; 
      end
   %getConsigne%; 
   process getDebitCapteur =
        ( ? event clk_debit;
          ! dreal debit;
        )
        spec (| clk_debit ^= debit |)
      (| debit := 0.0 |)
   %getDebitCapteur%; 
   process getNiveauCapteur =
        ( ? event clk_niveau;
          ! dreal niveau;
        )
        spec (| clk_niveau ^= niveau |)
      (| niveau := NB? |)
   %getNiveauCapteur%; 
   process fixerDebitEau =
        ( ? event clk_fixerDebitEau;
            dreal QEA;
        )
        spec (| clk_fixerDebitEau ^= QEA |)
      (| debitAlim ::= QEA |)
   %fixerDebitEau%; 
end %interface%; 
