module interface =
   process getConsigne =
        ( ? event evt_consigne;
          ! dreal valeurConsigne;
        )
        spec (| evt_consigne ^= valeurConsigne |)
      (| valeurConsigne := dreal(GETISIG(evt_consigne, readSlider(sliderNBC when evt_consigne))) |)
      where 
      process GETISIG =
           ( ? event H; 
               integer V_ON;
             ! integer _ON_;
           )
         (| H ^= V_ON
          | _ON_ := V_ON
          |)
      ;
      end
   ; 
   process getDebitCapteur =
        ( ? event clk_debit;
          ! dreal debit;
        )
        spec (| clk_debit ^= debit |)
      (| debit := 0.0 |)
   ; 
   process getNiveauCapteur =
        ( ? event clk_niveau;
          ! dreal niveau;
        )
        spec (| clk_niveau ^= niveau |)
      (| niveau := NB? |)
   ; 
   process fixerDebitEau =
        ( ? event clk_fixerDebitEau; 
            dreal QEA;
        )
        spec (| clk_fixerDebitEau ^= QEA |)
      (| debitAlim ::= QEA |)
   ;
end %interface%; 
