process P =
  ( ? integer a10;
    ! integer a50; )
  (| b10 := processor10(a10)
%   | (b50, req50) := processor50(a50)%
   | (a50,OK_write,OK_read) := safe_FIFO{integer, 3, 0}(b10, req50)
   |)
  where
    integer b50;
    integer b10, % a50, %msg_out, msg_in, zcnt;
    event get_msg, req10, req50, h;
    boolean bb0, bb1, bb2, bb3, OK_write,OK_read;
    process safe_FIFO =
      { type message_type;
        integer fifo_size;
        message_type default_msg; }
      ( ? message_type msg_in; event get_mess;
        ! message_type msg_out;
          boolean OK_write, OK_read; )
      (| access_clk := msg_in ^+ get_mess
       | new_msg_in := msg_in when OK_write 
       | msg_out ^= get_mess when OK_read 
       | (msg_out, nbmsg, OK_write, OK_read) := basic_FIFO{message_type, fifo_size, default_msg} (new_msg_in, access_clk)   
       |)
      where
        integer nbmsg; message_type new_msg_in; event access_clk;
        process basic_FIFO =
          { type message_type;
            integer fifo_size;
            message_type default_msg; }
          ( ? message_type msg_in; event access_clk;
            ! message_type msg_out; integer nbmsg;
              boolean OK_write, OK_read;  )
          (| prev_nbmsg := nbmsg$1 init 0 
           | OK_write := prev_nbmsg<fifo_size 
           | OK_read := prev_nbmsg>0 
           | nbmsg := ((prev_nbmsg+1) when (^msg_in) when OK_write) default ((prev_nbmsg-1) when (^msg_out) when OK_read) default prev_nbmsg 
           | nbmsg ^= access_clk 
           | queue := (msg_in window fifo_size) cell (^access_clk) 
           | msg_out := prev_msg_out when (not OK_read) when (^msg_out) default queue[fifo_size - prev_nbmsg] when (^msg_out) 
           | prev_msg_out := msg_out $ 1 init default_msg                                   |)
          where
            integer prev_nbmsg; [fifo_size]message_type queue;
            message_type prev_msg_out;
          end;%basic_FIFO%
      end;%safe_FIFO% 
    process processor10 =
      ( ? integer a;
        ! integer b; )
      (| cnt := (9 when (zcnt = 0)) default (zcnt - 1)
       | zcnt := cnt $ init 0
       | a ^= when (zcnt = 4) default when (zcnt = 6) default when (zcnt = 8)
       | b := -99 when (zcnt >= 6)
       | req := when (zcnt = 4) default when (zcnt = 6) default when (zcnt = 8)
       |)
      where
        integer cnt, zcnt;  event req;
      end;
    process processor50 =
      ( ? integer a;
        ! integer b; event req;)
      (| cnt := (49 when (zcnt = 0)) default (zcnt - 1)
       | zcnt := cnt $ init 0
       | a ^= when (zcnt = 10) default when (zcnt = 20) default when (zcnt = 30)
       | b := -5555 when (zcnt >= 13)
       | req := when (zcnt = 10) default when (zcnt = 20) default when (zcnt = 30)
       |)
      where
        integer cnt, zcnt;
      end;
  end;
