process READERBUFFER = {integer AA; boolean B_0} ( ? integer Y ; boolean B ! integer XR )
   (| B ^= Y
    | YR := Y when ( B /= (B $1 init B_0) )
    | XR := TWOSTEP {A} ( YR )
    |)
  where
    type A = integer;   
    integer YR;

    process TWOSTEP = {type A} ( ? A received ! A sent )
       (| ALTERNATE {A} ( received, sent )
        | sent := MEMORYCELL {A} ( received ) |)
      where 
        process ALTERNATE = {type A} ( ? A first, second; ! )
           (| first ^= when firstAllowed
            | second ^= when firstAllowed
            | firstAllowed := (not firstAllowed $1 init false)
            |)
          where boolean firstAllowed;
        end ; 
        process MEMORYCELL = {type A} ( ? A written ! A read )
           (| read := written cell ^read when ^read |) ; 
    end ; 
    process COMMUTwhen = {type A; boolean B_0} ( ? A received ! boolean B)
       (| B := (not B $1 init B_0)
        | received ^= B |) ; 
end ; 
