process TWOSTEP = {type A} ( ? A received ! A sent )
   (| ALTERNATE {A} ( received, sent )
    | sent := MEMORYCELL {A} ( received ) |)
  where 
    process ALTERNATE = {type A} ( ? A first, second; ! )
       (| first ^= when firstAllowed
        | second ^= when firstAllowed
        | firstAllowed := (not firstAllowed $1 init false)
        |)
      where boolean firstAllowed;
    end ; 
    process MEMORYCELL = {type A} ( ? A written ! A read )
       (| read := written cell ^read when ^read |) ; 
end ; 