<<<<<<<<<<<<<<<<<<<<<<<<<<<<<>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
Programme d' origine LTTA1.SIG
==========================================================
process LTTA1 = {type RWtype} ( ? RWtype XW ! RWtype XR) 
   (| % WRITER time acceleration % 
      (| Y := XW cell ^Y % Writer extracted from (Y, CW) := ACCELERATE(XW)%
       | CW := (true when ^XW) default (false when ^Y) % Writer extracted from (Y, CW) := ACCELERATE(XW)%
       |)
    | % BUS to READER: WRITER time acceleration reversing % 
      (| XR := SAMPLE(Y,CW) % Reader specification % 
       |)
    |)  
  where
    RWtype Y;
    boolean CW;
    process SAMPLE = ( ? written; boolean C ! read)
       (| read := written when C
        | C ^= written
        |) ; 
end;
<<<<<<<<<<<<<<<<<<<<<<<<<<<<<>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
compile avec sig LTTA1.SIG -tra
==========================================================
process LTTA1_TRA =
     { type RWtype; }
     ( ? RWtype XW;
       ! RWtype XR;
     )
   pragmas 
      main ""
   end pragmas
   (| (| CLK_XW := ^XW
       | CLK_XW ^= XW
       |)
    | (| CLK_Y := CLK_XW ^+ CLK_Y
       | ACT_CLK_Y{}
       |)
    | (| CLK := CLK_Y ^- CLK_XW |)
    |)
   where 
   event CLK, CLK_Y, CLK_XW;
   process ACT_CLK_Y =
        ( )
      (| CLK_Y ^= Y ^= CW
       | (| CLK_XR := when CW
          | CLK_XR ^= XR
          | XR := Y when CLK_XR
          |)
       | (| Y := (XW when CLK_XW) cell CLK_Y
          | CW := CLK_XW default (not CLK)
          |)
       |)
      where 
      event CLK_XR;
      boolean CW;
      RWtype Y;
      end
   %ACT_CLK_Y%; 
   end
%LTTA1_TRA%; 
<<<<<<<<<<<<<<<<<<<<<<<<<<<<<>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
compile avec sig LTTA1.SIG -us -tra
==========================================================
process LTTA1_TRA =
     { type RWtype; }
     ( ? RWtype XW;
       ! RWtype XR;
     )
   pragmas 
      main ""
   end pragmas
   (| (| CLK_XW := ^XW
       | CLK_XW ^= XW
       |)
    | (| CLK_Y := CLK_XW ^+ CLK_Y
       | ACT_CLK_Y{}
       |)
    | (| CLK := CLK_Y ^- CLK_XW |)
    |)
   where 
   event CLK, CLK_Y, CLK_XW;
   process ACT_CLK_Y =
        ( )
      (| CLK_Y ^= Y ^= CW
       | (| CLK_XR := when CW
          | CLK_XR ^= XR
          | XR := Y when CLK_XR
          |)
       | (| Y := (XW when CLK_XW) cell CLK_Y
          | CW := CLK_XW default (not CLK)
          |)
       |)
      where 
      event CLK_XR;
      boolean CW;
      RWtype Y;
      end
   %ACT_CLK_Y%; 
   end
%LTTA1_TRA%; 
<<<<<<<<<<<<<<<<<<<<<<<<<<<<<>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
compile avec sig LTTA1.SIG -crew -tra
compile avec sig LTTA1.SIG -crew -us -tra
==========================================================
process LTTA1_TRA =
     { type RWtype; }
     ( ? RWtype XW;
       ! RWtype XR;
     )
   pragmas 
      main ""
   end pragmas
   (| (| CLK_XW := ^XW
       | CLK_XW ^= XW ^= XR
       | XR := Y when CLK_XW
       |)
    | (| CLK_Y := CLK_XW ^+ CLK_Y
       | CLK_Y ^= Y
       | Y := (XW when CLK_XW) cell CLK_Y
       |)
    |)
   where 
   event CLK_Y, CLK_XW;
   RWtype Y;
   end
%LTTA1_TRA%; 
<<<<<<<<<<<<<<<<<<<<<<<<<<<<<>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
Modification du TRA compile avec sig LTTA1.SIG -crew -tra
==========================================================
Suppression des variables horloges inutiles
CLK_XW --> ^XW
CLK_Y --> ^Y
-------------------------------------------
process LTTA1_TRA =
     { type RWtype; }
     ( ? RWtype XW;
       ! RWtype XR;
     )
   pragmas 
      main ""
   end pragmas
   (| (| XW ^= XR
       | XR := Y when ^XW
       |)
    | (| Y ^= ^XW ^+ ^Y
       | Y := (XW when ^XW) cell ^Y
       |)
    |)
   where 
   RWtype Y;
   end
%LTTA1_TRA%; 
==========================================================
Recherche des horloges majorantes
Y ^= ^XW ^+ ^Y --> ^XW ^= ^XW ^* ^Y 
-------------------------------------------
process LTTA1_TRA =
     { type RWtype; }
     ( ? RWtype XW;
       ! RWtype XR;
     )
   pragmas 
      main ""
   end pragmas
   (| % ^Y is a maximal clock % 
      Y := (XW when ^XW) cell ^Y
    | (| XW ^= XR ^= ^XW ^* ^Y
       | XR := Y when ^XW
       |)
    |)
   where 
   RWtype Y;
   end
%LTTA1_TRA%; 
==========================================================
Production de spec
-------------------------------------------
process LTTA1_TRA =
     { type RWtype; }
     ( ? RWtype XW;
       ! RWtype XR;
     )
   spec (| XW ^= XR % has an internal faster clock %  |)
   pragmas 
      main ""
   end pragmas
   (| % ^Y is a maximal clock % 
      Y := (XW when ^XW) cell ^Y
    | (| XW ^= ^XW ^* ^Y
       | XR := Y when ^XW
       |)
    |)
   where 
   RWtype Y;
   end
%LTTA1_TRA%; 
==========================================================
Action normalization
-------------------------------------------
process LTTA1_TRA =
     { type RWtype; }
     ( ? RWtype XW;
       ! RWtype XR;
     )
   spec (| XW ^= XR % has an internal faster clock %  |)
   pragmas 
      main ""
   end pragmas
   (| % ^Y is a maximal clock % 
      Y :: = XW when ^XW
    | Y :: = MEM_Y when ( ^Y ^- ^XW )
    | MEM_Y := Y$1
    | (| XW ^= ^XW ^* ^Y
       | XR := Y when ^XW
       |)
    |)
   where 
   RWtype Y;
   end
%LTTA1_TRA%; 
==========================================================
CLK_out calculus: rules
-----------------------------------------------------------
	Hu! (a,!a) = H(a)
	Hu! (a, x::=f(a)) = Hu!(x) * H(a)
	Hu! (a, x::= a when c) = Hu!(x) * H(a) * when c
	Hu! (c, x::= a when c) = Hu!(x) * H(a) * H(c) ???
	Hu! (a, b:= a$i) = 0
	Hu! (a) = somme des Hu!(a, Ei)

==========================================================
CLK_used calculus: initial definitions
-----------------------------------------------------------
% ! RWtype XR % 
   CLK_out_XR_1 ^= ^XW
% Y :: = (XW when ^XW) % 
   CLK_out_XW_1 ^= CLK_out_Y ^* ^XW
% Y :: = MEM_Y when ( ^Y ^- ^XW ) % 
   CLK_out_MEM_Y_1 ^= CLK_out_Y ^* ( ^Y ^- ^XW )
% MEM_Y := Y$1% 
   CLK_out_Y_1 ^= ^0
% XR := Y when ^XW% 
   CLK_out_Y_2 ^= CLK_out_XR ^* ^XW

   CLK_out_XR ^= CLK_out_XR_1
   CLK_out_XW ^= CLK_out_XW_1
   CLK_out_MEM_Y ^= CLK_out_MEM_Y_1
   CLK_out_Y ^= CLK_out_Y_1 ^+ CLK_out_Y_2 

==========================================================
CLK_used calculus: substitutions and elimination of unused definitions
---------------------------------------------------
   CLK_out_XR ^= ^XW
   CLK_out_XW ^= CLK_out_Y ^* ^XW
   CLK_out_MEM_Y ^= CLK_out_Y ^* ( ^Y ^- ^XW )
   CLK_out_Y ^= CLK_out_XR ^* ^XW 
---------------------------------------------------
   CLK_out_XR ^= ^XW
   CLK_out_XW ^= ^XW
   CLK_out_MEM_Y ^= ^0
   CLK_out_Y ^= ^XW  pas bon car masque que c'est un alias de XW a cette horloge

==========================================================
CLK_mem calculus: rules (comme out mais vers mem)
-----------------------------------------------------------
   Hu$ (a,!a) = 0
   Hu$ (a, x::=f(a)) = Hu$(x) * H(a)
   Hu$ (a, x::= a when c) = Hu$(x) * H(a) * when c
   Hu$ (a, b:= a$i) = H(a)
   Hu$ (a) = somme des Hu$(a, Ei)

==========================================================
CLK_mem calculus: initial definitions
-----------------------------------------------------------
% ! RWtype XR % 
   CLK_mem_XR_1 ^= ^0
% Y :: = (XW when ^XW) % 
   CLK_mem_XW_1 ^= CLK_mem_Y ^* ^XW
% Y :: = MEM_Y when ( ^Y ^- ^XW ) % 
   CLK_mem_MEM_Y_1 ^= CLK_mem_Y * ( ^Y ^- ^XW )
% MEM_Y := Y$1% 
   CLK_mem_Y_1 ^= ^Y
% XR := Y when ^XW% 
   CLK_mem_Y_2 ^= CLK_mem_XR ^* ^XW

   CLK_mem_XR ^= CLK_mem_XR_1
   CLK_mem_XW ^= CLK_mem_XW_1
   CLK_mem_MEM_Y ^= CLK_mem_MEM_Y_1
   CLK_mem_Y ^= CLK_mem_Y_1 ^+ CLK_mem_Y_2 

==========================================================
CLK_mem calculus: substitutions and elimination of unused definitions
-----------------------------------------------------------
   CLK_mem_XR ^= ^0
   CLK_mem_XW ^= CLK_mem_Y ^* ^XW
   CLK_mem_MEM_Y ^= CLK_mem_Y * ( ^Y ^- ^XW )
   CLK_mem_Y ^= ^Y ^+ CLK_mem_XR ^* ^XW 
-----------------------------------------------------------
   CLK_mem_XR ^= ^0
   CLK_mem_XW ^= CLK_mem_Y ^* ^XW
   CLK_mem_MEM_Y ^= CLK_mem_Y * ( ^Y ^- ^XW )
   CLK_mem_Y ^= ^Y
-----------------------------------------------------------
   CLK_mem_XR ^= ^0
   CLK_mem_XW ^= ^XW
   CLK_mem_MEM_Y ^= ( ^Y ^- ^XW ) pas bon car masque que cela ne sert qu'a lui-meme
   CLK_mem_Y ^= ^Y

======> les regles indiquees ne fonctionnent pas 

Il faudrait donc faire ce travail quand les alias sont reconnus comme tels et en oubliant les circuits zx:=x$1 | x::= zx when H


==> si on a une instruction x::=y when h, on remplace toute equation z::=f(x,...) (et donc pas z:= x$i) par la paire z::=f(y when h,...) | z::=f(x when (^x^-h),...)
==============> risque d' explosion


