process LTTA2 = {type RWtype} ( ? RWtype XW ! RWtype XRS)
   (| % WRITER time acceleration % 
      (| Y := XW cell ^Y % Writer extracted from (Y, CW) := ACCELERATE(XW)%
       | CW := (true when ^XW) default (false when ^Y) % Writer extracted from (Y, CW) := ACCELERATE(XW)%
       |)
    | % WRITER boolean commutation %  
      (| B := COMMUTATOR (CW) % Writer%
       |)
    | % BUS to READER: WRITER boolean commutation reversing % 
      (| C_RS := TRIGGER(B)  % Reader % 
       |)
    | % BUS to READER: WRITER time acceleration reversing % 
      (| XRS := SAMPLE(Y,C_RS)  % Reader % 
       |)
    |)  
  where
    RWtype Y;
    boolean CW, B, C_RS;
    process COMMUTATOR = ( ? boolean C ! boolean B)
       (| B := (not ZB when C) default ZB
        | ZB := B$1 init false
        | C^=B
        |) 
      where boolean ZB;
    end ; 
    process TRIGGER = ( ? boolean B ! boolean C)
       (| C := true when (B and (not ZB)) default (true when ((not B) and ZB)) default (false when ^ZB)
        | ZB := B$1 init false
        |)
      where boolean ZB;
    end ; 
    process SAMPLE = ( ? written; boolean C ! read)
       (| read := written when C
        | C ^= written
        |) ; 
end;