process READER = {type RWtype} ( ? RWtype Y; boolean B ! RWtype XR)
   (| CR := TRIGGER (B)
    | XDR := SAMPLE {RWtype} (Y,CR)
    | XR := TWOSTEP{RWtype}(XDR)                 
    |)  
  where
     boolean CR; RWtype  XDR;
    process TRIGGER = ( ? boolean B ! boolean C)
       (| C := true when (B and (not ZB)) default (true when ((not B) and ZB)) default (false when ^ZB)
        | ZB := B$1 init false
        |)
      where boolean ZB;
    end ; 
    process SAMPLE = {type A} ( ? A written; boolean C ! A read)
       (| read := written when C
        | C ^= written
        |) ; 
    process TWOSTEP = {type A} ( ? A received ! A sent )
       (| ALTERNATE {A} ( received, sent )
        | sent := MEMORYCELL {A} ( received ) |)
      where 
        process ALTERNATE = {type A} ( ? A first, second; ! )
           (| first ^= when firstAllowed
            | second ^= when firstAllowed
            | firstAllowed := (not firstAllowed $1 init false)
            |)
          where boolean firstAllowed;
        end ; 
        process MEMORYCELL = {type A} ( ? A written ! A read )
           (| read := written cell ^read when ^read |) ; 
    end ; 
end;