process DESYNCHRONIZEDRW = {type RWtype} ( ? RWtype XW ! RWtype Y; boolean B)
   (| XDW := TWOSTEP{RWtype}(XW)
    | (Y,CW):= ACCELERATE {RWtype} (XDW)
    | B := COMMUTATOR (CW)
    |)  
  where
     boolean CW; RWtype  XDW;
    process ACCELERATE = {type A} ( ? A written ! A read; boolean C)
       (| read := written cell ^read
        | C := ^written default false when ^read
        |) ; 
    process COMMUTATOR = ( ? boolean C ! boolean B)
       (| B := (not ZB when C) default ZB
        | ZB := B$1 init false
        | C^=B
        |) 
      where boolean ZB;
    end ; 
    process TWOSTEP = {type A} ( ? A received ! A sent )
       (| ALTERNATE {A} ( received, sent )
        | sent := MEMORYCELL {A} ( received ) |)
      where 
        process ALTERNATE = {type A} ( ? A first, second; ! )
           (| first ^= when firstAllowed
            | second ^= when firstAllowed
            | firstAllowed := (not firstAllowed $1 init false)
            |)
          where boolean firstAllowed;
        end ; 
        process MEMORYCELL = {type A} ( ? A written ! A read )
           (| read := written cell ^read when ^read |) ; 
    end ; 
end;