process MACHINE_EXTENDED_SPECIFICATION_TRA =
     ( ? event BUTTON;
         boolean C_BUTTON, C_BUSY;
       ! boolean BUSY;
     )
   pragmas 
      Main
      Comments "A unique button, activating an event signal named BUTTON, is used to start or stop"
               "a machine. Write a process emitting a boolean BUSY, with the clock of BUTTON,"
   end pragmas
   (| (| CLK_C_BUTTON := ^C_BUTTON
       | CLK_C_BUTTON ^= C_BUTTON ^= C_BUSY
       | ACT_CLK_C_BUTTON{}
       |) |)
   where 
   event CLK_BUSY;
   process ACT_CLK_C_BUTTON =
        ( )
      (| (| when C_BUTTON ^= BUTTON
          | BUTTON ^= BUTTON
          | CLK := when (not C_BUTTON)
          |)
       | (| CLK_BUSY_0 := when C_BUSY
          | CLK_BUSY_0 ^= BUSY
          | CLK_10 := when (not C_BUSY)
          |)
       |)
   %ACT_CLK_C_BUTTON%; 
   end
%MACHINE_EXTENDED_SPECIFICATION_TRA%; 
