process MACHINE_TRA =
     ( ? event BUTTON;
       ! boolean BUSY;
     )
   pragmas 
      Main
      Comments "A unique button, activating an event signal named BUTTON, is used to start or stop"
               "a machine. Write a process emitting a boolean BUSY, with the clock of BUTTON,"
               "and whose value reflects the state of the machine after pushing the button."
   end pragmas
   (| (| ^BUTTON ^= BUTTON
       | BUTTON ^= BUTTON ^= BUSY
       | ACT_BUTTON{}
       |) |)
   where 
   process ACT_BUTTON =
        ( )
      (| BUTTON ^= pre_BUSY
       | (| BUSY := not pre_BUSY
          | pre_BUSY := BUSY$1 init false
          |)
       |)
      where 
      boolean pre_BUSY;
      end
   %ACT_BUTTON%; 
   end
%MACHINE_TRA%; 
