process MAXVAL_SEQ_TRA =
     ( ? integer A;
       ! integer MAX;
     )
   pragmas 
      Main
      Comments " 4. Let A be an integer positive signal. Produce at the same clock as A a signal MAX"
               "    equal to the greatest value of A encountered until now."
      DefinedClockHierarchy
   end pragmas
   (| (| Tick := true
       | when Tick ^= A ^= MAX
       | ACT_Tick{}
       |) |)
   where 
   boolean Tick;
   process ACT_Tick =
        ( )
      (| when Tick ^= ZMAX ^= C_CLK ^= C_CLK_8
       | (| MAX := (A when C_CLK) default (ZMAX when C_CLK_8)
          | ZMAX := MAX$1 init 0
          | C_CLK := A>ZMAX
          | C_CLK_8 := not (A>ZMAX)
          |)
       |)
      where 
      boolean C_CLK, C_CLK_8;
      integer ZMAX;
      end
   %ACT_Tick%; 
   end
%MAXVAL_SEQ_TRA%; %(| Tick := true when Tick |)**WARNING: unused signals 

%
