process PRESENTS_BOOL_TRA =
     ( ? boolean I, O;
       ! integer PRESENTS;
     )
   pragmas 
      Main
      Comments " 6. Keep updated an integer signal PRESENTS counting a number of items in a room,"
               "    according to 2 event signals IN and OUT. IN or OUT signals can occur at the same instant."
      DefinedClockHierarchy
   end pragmas
   (| (| Tick := true
       | when Tick ^= I ^= O
       | ACT_Tick{}
       |) |)
   where 
   boolean Tick;
   process ACT_Tick =
        ( )
      (| when Tick ^= C_CLK_35 ^= C_ZPRESENTS ^= C_CLK_39 ^= C_CLK_41
       | (| when C_ZPRESENTS ^= PRESENTS
          | ACT_C_ZPRESENTS{}
          |)
       | (| C_CLK_35 := I and O
          | C_ZPRESENTS := I or O
          | C_CLK_39 := (not I) and O
          | C_CLK_41 := (not C_CLK_35) and I
          |)
       |)
      where 
      boolean C_CLK_35, C_ZPRESENTS, C_CLK_39, C_CLK_41;
      process ACT_C_ZPRESENTS =
           ( )
         (| when C_ZPRESENTS ^= ZPRESENTS
          | (| PRESENTS := (ZPRESENTS when C_CLK_35) default ((ZPRESENTS+1) when C_CLK_41) default ((ZPRESENTS-1) when C_CLK_39)
             | ZPRESENTS := PRESENTS$1 init 0
             |)
          |)
         where 
         integer ZPRESENTS;
         end
      %ACT_C_ZPRESENTS%; 
      end
   %ACT_Tick%; 
   end
%PRESENTS_BOOL_TRA%; %(| Tick := true when Tick
                       | C_CLK_31 := not I
                       | C_CLK_33 := not O
                       |)**WARNING: unused signals 

%
