
%  Sampling operator: exercices 2, 3 %
process SUMMIT=
  (? integer A;
   ! event SUMMIT;
     )
  pragmas
    Comments " 2. Produce a TOP event signal each time a summit for A values has been passed. "
             "   This is possible only on the first decreasing value !"
             " 3. Suppose now that some consecutive values of A may be equal. There is a summit on"
             "    decreasing A only if A was increasing before it became flat !"
             "    Use a boolean signal  to remember the up/down status of A."
  end pragmas
  (| ZA := A $ init 0
   | UP := (A > ZA) or (A = ZA and ZUP)
    % UP takes the clock of A %
    % UP's value is kept when flat %
   | ZUP := UP $ init true
   | SUMMIT := when (ZUP and not UP)
     % we were going up, and now going down %
   |)
  where
    integer ZA;
    boolean UP, ZUP init true;
  end;

