process SUMMIT_BOOL_TRA =
     ( ? integer A;
       ! boolean SUMMIT;
     )
   pragmas 
      Main
      Comments "2. Produce a TOP event signal each time a summit for A values has been passed. "
               "   This is possible only on the first decreasing value !"
               " 3. Suppose now that some consecutive values of A may be equal. There is a summit on"
               "    decreasing A only if A was increasing before it became flat !"
               "    Use a boolean signal  to remember the up/down status of A."
      DefinedClockHierarchy
   end pragmas
   (| (| Tick := true
       | when Tick ^= A
       | ACT_Tick{}
       |) |)
   where 
   boolean Tick;
   process ACT_Tick =
        ( )
      (| when Tick ^= ZA ^= UP ^= ZUP ^= C_SUMMIT
       | (| when C_SUMMIT ^= SUMMIT
          | (| SUMMIT := true when C_SUMMIT |)
          |)
       | (| ZA := A$1 init 0
          | UP := (A>ZA) or ((A=ZA) and ZUP)
          | ZUP := UP$1 init true
          | C_SUMMIT := ZUP and (not UP)
          |)
       |)
      where 
      boolean UP, ZUP, C_SUMMIT;
      integer ZA;
      end
   %ACT_Tick%; 
   end
%SUMMIT_BOOL_TRA%; %(| Tick := true when Tick
                     | C_CLK := not (ZUP and (not UP))
                     |)**WARNING: unused signals 

%
