process SUMMIT2_SEQ_TRA =
     ( ? integer A;
       ! boolean SUMMIT;
         integer LOCALMAX;
     )
   pragmas 
      Main
      Comments " 2. Let A be a positive integer signal; produce values of A which are local maximum"
               "    values. See in the SUMMIT.SIG file how to detect these maxima."
      DefinedClockHierarchy
   end pragmas
   (| (| Tick := true
       | when Tick ^= A
       | ACT_Tick{}
       |) |)
   where 
   boolean Tick;
   process ACT_Tick =
        ( )
      (| when Tick ^= ZA ^= UP ^= ZUP ^= pre_A ^= C_LOCALMAX
       | (| when C_LOCALMAX ^= SUMMIT ^= LOCALMAX
          | ACT_C_LOCALMAX{}
          |)
       | (| ZA := A$1 init 0
          | UP := (A>ZA) or ((A=ZA) and ZUP)
          | ZUP := UP$1 init true
          | pre_A := A$1 init 0
          | C_LOCALMAX := ZUP and (not UP)
          |)
       |)
      where 
      boolean UP, ZUP, C_LOCALMAX;
      integer ZA, pre_A;
      process ACT_C_LOCALMAX =
           ( )
         (| (| SUMMIT := true when C_LOCALMAX
             | LOCALMAX := pre_A when C_LOCALMAX
             |) |)
      %ACT_C_LOCALMAX%; 
      end
   %ACT_Tick%; 
   end
%SUMMIT2_SEQ_TRA%; %(| Tick := true when Tick
                     | C_CLK := not (ZUP and (not UP))
                     |)**WARNING: unused signals 

%
