process TrueThenFalse_TRA =
     ( ? real A;
       ! boolean FIRST;
     )
   pragmas 
      Main
      Comments " 5. Produce, with the clock of some signal A, a boolean signal FIRST, true on the first"
               "    value of A, then false on following ones. Try to avoid using a counter !"
   end pragmas
   (| (| CLK_A := ^A
       | CLK_A ^= A ^= FIRST
       | (| FIRST := (false when CLK_A)$1 init true |)
       |) |)
   where 
   event CLK_A;
   end
%TrueThenFalse_TRA%; 
