
%  Cell operator: exercice 2 %
process A_NEAR_B = % Sum of A and B arriving at "close" instants %
  ( ? integer A, B;
    ! integer SUM; )
  pragmas
    Comments  " 2. To be added, integers A and B must be synchronous. Suppose they can arrive at slightly different instants ; we want nevertheless to add them !"
    " A   : -- 1 ------- 3 --- 5 ------ 7 --- 9 ---- 11 ----- 13 --"
    " B   : ----- 2 -- 4 ----- 6 --- 8 -------- 10 ---- 12 -- 14 --"
    " SUM : ----- 3 ---- 7 -- 11 ----- 15 ----- 19 ---- 23 -- 27 --"
  end pragmas
  (| SUM := AA + BB when SECOND
   | AA := A cell ^B
   | BB := B cell ^A
   | SECOND ^= A ^+ B
% SECOND is true if A and B together, or on the second one %
   | SECOND := ^A when ^B
   default not (SECOND$ init true)
   |)
  where
    integer AA, BB;
    boolean SECOND;
  end % A_NEAR_B %;
    
