
%  Cell operator: exercice 3 %
process BARRIER = % of a two-tracks railway crossing %
  ( ? boolean CLOSE1, CLOSE2; % true to close, false to allow opening %
    ! boolean CLOSE;) % effective closing/opening %
  pragmas
    Comments "3. A two-tracks railway crossing is protected by a barrier. Each track orders closing for"
              "  itself, through a boolean signal CLOSEi, true to order closing, false to allow opening."
              "  Write the barrier's controller making the synthesis between CLOSE1 and CLOSE2 signals."
              "  CLOSE1 : --T--------F-----T-----F--T--F-----"
              "  CLOSE2 : -----T--F-----T--F--T--F--T-----F--"
              "  CLOSE  : --T--------F--T--------F--T-----F--"
              " A program with counter can be written, but the cell allows a purely boolean solution. "
end pragmas
  (| STATE := (CLOSE1 cell ^CLOSE2 init false) or (CLOSE2 cell ^CLOSE1 init false)
   | CLOSE := STATE when STATE /= STATE$ init false
   |)
  where
    boolean STATE;
  end % BARRIER %;
    
