
%  Cell operator: exercice 4 %
process RESYNC = % moves A on the nearest H %
  ( ? integer A;
      event H;
    ! integer AH;)
  pragmas
    Comments "4. Resynchronizing : let A be some signal, and H be a clock, much faster than A. "
             "  To resynchronize A is to move it (without repeat) on the next tick of H. Moving is not"
             "  necessary if A is already on a tick of H."
             "  A : - 1 -------- 2 -------------- 3 --- 4 ----"
             "  H : -----*--*--*---*--*--*--*--*--*--*----*---"
             " AH : ---- 1 ------- 2 ------------ 3 ----- 4 --"
  end pragmas
  (| AH := (A cell FIRST_H) when H
   | FIRST_H := ON_A $ init false
   | ON_A := not H default ^A
   |)
  where
    boolean FIRST_H, ON_A;
  end % RESYNC %;
    
