process INTER_IN_IN_EXTENDED_SPECIFICATION_TRA =
     ( ? event START, FINISH, S;
         boolean C_START, C_FINISH, C_S;
       ! boolean IN_INTERVAL;
     )
   pragmas 
      Main
      Comment "Is S present between START and FINISH ?"
              " S on START is IN the interval, a S on FINISH is IN also"
   end pragmas
   (| (| CLK_C_START := ^C_START
       | CLK_C_START ^= C_START ^= C_FINISH ^= C_S
       | ACT_CLK_C_START{}
       |) |)
   where 
   event CLK_28, CLK_XZX_33, CLK_22, CLK_14, CLK_MEM, CLK_10, CLK;
   boolean MEM, XZX_33;
   process ACT_CLK_C_START =
        ( )
      (| (| when C_START ^= START
          | START ^= START
          | CLK_31 := when (not C_START)
          |)
       | (| when C_FINISH ^= FINISH
          | FINISH ^= FINISH
          | CLK_33 := when (not C_FINISH)
          |)
       | (| CLK_35 := START ^+ FINISH |)
       | (| CLK_37 := FINISH ^- START |)
       | (| when C_S ^= S
          | S ^= S ^= IN_INTERVAL
          | (| IN_INTERVAL := XZX_33 when S |)
          | CLK_39 := when (not C_S)
          |)
       | (| CLK_41 := START ^+ S |)
       | (| CLK_MEM_0 := CLK_35 ^+ S
          | CLK_MEM_0 ^= MEM ^= ZMEM ^= XZX_33
          | ACT_CLK_MEM_0{}
          |)
       | (| CLK_46 := CLK_41 ^- FINISH |)
       | (| CLK_48 := S ^- CLK_35 |)
       |)
      where 
      process ACT_CLK_MEM_0 =
           ( )
         (| (| MEM := (START when START) default (not CLK_37) default (ZMEM when CLK_48)
             | ZMEM := MEM$1 init false
             | XZX_33 := (FINISH when FINISH) default (MEM when CLK_46)
             |) |)
      %ACT_CLK_MEM_0%; 
      end
   %ACT_CLK_C_START%; 
   end
%INTER_IN_IN_EXTENDED_SPECIFICATION_TRA%; 
