process INTER_IN_OUT_BOOL_TRA =
     ( ? boolean START, FINISH, S;
       ! boolean IN_INTERVAL;
     )
   pragmas 
      Main
      Comment "Is S present between START and FINISH ?"
              " S on START is IN the interval, a S on FINISH is OUT"
      DefinedClockHierarchy
   end pragmas
   (| (| Tick := true
       | when Tick ^= START ^= FINISH ^= S
       | ACT_Tick{}
       |) |)
   where 
   boolean Tick;
   process ACT_Tick =
        ( )
      (| when Tick ^= C_CLK_31 ^= C_CLK_33 ^= C_ZMEM ^= C_CLK_39
       | (| when S ^= IN_INTERVAL
          | (| IN_INTERVAL := MEM when S |)
          |)
       | (| when C_ZMEM ^= MEM
          | ACT_C_ZMEM{}
          |)
       | (| C_CLK_31 := START or FINISH
          | C_CLK_33 := (not START) and FINISH
          | C_ZMEM := C_CLK_31 or S
          | C_CLK_39 := (not C_CLK_31) and S
          |)
       |)
      where 
      boolean START, MEM, C_CLK_31, C_CLK_33, C_ZMEM, C_CLK_39;
      process ACT_C_ZMEM =
           ( )
         (| when C_ZMEM ^= ZMEM
          | (| MEM := (true when START) default (false when C_CLK_33) default (ZMEM when C_CLK_39)
             | ZMEM := MEM$1 init false
             |)
          |)
         where 
         boolean ZMEM;
         end
      %ACT_C_ZMEM%; 
      end
   %ACT_Tick%; 
   end
%INTER_IN_OUT_BOOL_TRA%; %(| Tick := true when Tick
                           | C_CLK_27 := not START
                           | C_CLK_29 := not FINISH
                           | C_CLK_35 := not S
                           |)**WARNING: unused signals 

%
