process INTER_OUT_OUT_EXTENDED_SPECIFICATION_TRA =
     ( ? event START, FINISH, S;
         boolean C_START, C_FINISH, C_S;
       ! boolean IN_INTERVAL;
     )
   pragmas 
      Main
      Comment "Is S present between START and FINISH ?"
              " S on START is OUT the interval, a S on FINISH is OUT "
   end pragmas
   (| (| CLK_C_START := ^C_START
       | CLK_C_START ^= C_START ^= C_FINISH ^= C_S
       | ACT_CLK_C_START{}
       |) |)
   where 
   event CLK_27, CLK_XZX_33, CLK_21, CLK_14, CLK_MEM, CLK_10, CLK;
   boolean MEM, XZX_33;
   process ACT_CLK_C_START =
        ( )
      (| (| when C_START ^= START
          | START ^= START
          | CLK_30 := when (not C_START)
          |)
       | (| when C_FINISH ^= FINISH
          | FINISH ^= FINISH
          | CLK_32 := when (not C_FINISH)
          |)
       | (| CLK_34 := START ^+ FINISH |)
       | (| CLK_36 := FINISH ^- START |)
       | (| when C_S ^= S
          | S ^= S ^= IN_INTERVAL
          | (| IN_INTERVAL := XZX_33 when S |)
          | CLK_38 := when (not C_S)
          |)
       | (| CLK_40 := FINISH ^+ S |)
       | (| CLK_MEM_0 := CLK_34 ^+ S
          | CLK_MEM_0 ^= MEM ^= ZMEM ^= XZX_33
          | ACT_CLK_MEM_0{}
          |)
       | (| CLK_45 := CLK_40 ^- START |)
       | (| CLK_47 := S ^- CLK_34 |)
       |)
      where 
      process ACT_CLK_MEM_0 =
           ( )
         (| (| MEM := (START when START) default (not CLK_36) default (ZMEM when CLK_47)
             | ZMEM := MEM$1 init false
             | XZX_33 := (not START) default (MEM when CLK_45)
             |) |)
      %ACT_CLK_MEM_0%; 
      end
   %ACT_CLK_C_START%; 
   end
%INTER_OUT_OUT_EXTENDED_SPECIFICATION_TRA%; 
