process PICTURE_ANALYSIS_TRA =
     ( ? boolean PIXEL;
       ! integer LINE, COLUMN, L_INTO, C_INTO;
         event MOVED;
         integer L_LAST, C_LAST, L_OBJECT, C_OBJECT, NUM_OBJECT;
     )
   pragmas 
      Main
   end pragmas
   (| (| CLK_PIXEL := ^PIXEL
       | CLK_PIXEL ^= PIXEL ^= LINE ^= COLUMN
       | ACT_CLK_PIXEL{}
       |) |)
   where 
   constant integer NL = 2;
   constant integer NC = 3;
   event CLK_PIXEL;
   process ACT_CLK_PIXEL =
        ( )
      (| CLK_PIXEL ^= INTO ^= NEW ^= FIRST ^= LAST ^= pre_COLUMN ^= pre_LINE ^= pre_PIXEL ^= pre_PIXEL_69 ^= pre_PIXEL_72 ^= pre_PIXEL_76 ^= pre_LINE_81 ^= pre_COLUMN_85 ^= pre_INTO ^= pre_PIXEL_96 ^= pre_PIXEL_102 ^= pre_LINE_109 ^= pre_COLUMN_112 ^= 
         pre_PIXEL_116 ^= pre_NEW ^= pre_NEW_126 ^= pre_LINE_128 ^= pre_COLUMN_130
       | (| CLK := when (COLUMN=1) |)
       | (| CLK_L_INTO := when INTO
          | CLK_L_INTO ^= L_INTO ^= C_INTO
          | ACT_CLK_L_INTO{}
          |)
       | (| MOVED := when (not (INTO=pre_INTO))
          | MOVED ^= MOVED
          |)
       | (| CLK_L_LAST := when LAST
          | CLK_L_LAST ^= L_LAST ^= C_LAST
          | ACT_CLK_L_LAST{}
          |)
       | (| CLK_L_OBJECT := when (LAST and pre_NEW_126)
          | CLK_L_OBJECT ^= L_OBJECT ^= C_OBJECT ^= NUM_OBJECT
          | ACT_CLK_L_OBJECT{}
          |)
       | (| LINE := (((pre_LINE modulo 2)+1) when CLK) cell CLK_PIXEL init 0
          | COLUMN := (pre_COLUMN modulo 3)+1
          | INTO := (LINE>2) and (COLUMN>1) and (COLUMN<3) and PIXEL and pre_PIXEL and pre_PIXEL_69 and pre_PIXEL_72 and pre_PIXEL_76
          | NEW := PIXEL and ((LINE=1) or ((not pre_PIXEL_116) and (FIRST or pre_NEW)))
          | FIRST := PIXEL and ((COLUMN=1) or (not pre_PIXEL_96))
          | LAST := pre_PIXEL_102 and ((COLUMN=1) or (not PIXEL))
          | pre_COLUMN := COLUMN$1 init 0
          | pre_LINE := LINE$1 init 0
          | pre_PIXEL := PIXEL$2 init [{_I_149 in 0 to 1 step 1}:false]
          | pre_PIXEL_69 := PIXEL$3 init [{_I_0_158 in 0 to 2 step 1}:false]
          | pre_PIXEL_72 := PIXEL$4 init [{_I_1_166 in 0 to 3 step 1}:false]
          | pre_PIXEL_76 := PIXEL$6 init [{_I_2_175 in 0 to 5 step 1}:false]
          | pre_LINE_81 := LINE$3 init [{_I_3_183 in 0 to 2 step 1}:0]
          | pre_COLUMN_85 := COLUMN$3 init [{_I_4_190 in 0 to 2 step 1}:0]
          | pre_INTO := INTO$6 init [{_I_5_197 in 0 to 5 step 1}:false]
          | pre_PIXEL_96 := PIXEL$1 init false
          | pre_PIXEL_102 := PIXEL$1 init false
          | pre_LINE_109 := LINE$1 init 0
          | pre_COLUMN_112 := COLUMN$1 init 0
          | pre_PIXEL_116 := PIXEL$3 init [{_I_6_204 in 0 to 2 step 1}:false]
          | pre_NEW := NEW$1 init false
          | pre_NEW_126 := NEW$1 init false
          | pre_LINE_128 := LINE$1 init 0
          | pre_COLUMN_130 := COLUMN$1 init 0
          |)
       |)
      where 
      event CLK_L_OBJECT, CLK_L_LAST, CLK_L_INTO, CLK;
      integer pre_COLUMN, pre_LINE, pre_LINE_81, pre_COLUMN_85, pre_LINE_109, pre_COLUMN_112, pre_LINE_128, pre_COLUMN_130;
      boolean INTO, NEW, FIRST, LAST, pre_PIXEL, pre_PIXEL_69, pre_PIXEL_72, pre_PIXEL_76, pre_INTO, pre_PIXEL_96, pre_PIXEL_102, pre_PIXEL_116, pre_NEW, pre_NEW_126;
      process ACT_CLK_L_INTO =
           ( )
         (| (| L_INTO := pre_LINE_81 when CLK_L_INTO
             | C_INTO := pre_COLUMN_85 when CLK_L_INTO
             |) |)
      %ACT_CLK_L_INTO%; 
      process ACT_CLK_L_LAST =
           ( )
         (| (| L_LAST := pre_LINE_109 when CLK_L_LAST
             | C_LAST := pre_COLUMN_112 when CLK_L_LAST
             |) |)
      %ACT_CLK_L_LAST%; 
      process ACT_CLK_L_OBJECT =
           ( )
         (| CLK_L_OBJECT ^= pre_NUM_OBJECT
          | (| L_OBJECT := pre_LINE_128 when CLK_L_OBJECT
             | C_OBJECT := pre_COLUMN_130 when CLK_L_OBJECT
             | NUM_OBJECT := 1+pre_NUM_OBJECT
             | pre_NUM_OBJECT := NUM_OBJECT$1 init 0
             |)
          |)
         where 
         integer pre_NUM_OBJECT;
         end
      %ACT_CLK_L_OBJECT%; 
      end
   %ACT_CLK_PIXEL%; 
   end
%PICTURE_ANALYSIS_TRA%; 
