process PETERSON_TRA =
     ( ? event R1, R2, L1, L2;
       ! event A1, A2;
         boolean CS1, CS2;
     )
   pragmas 
      Main
   end pragmas
   (| (| CLK_X := ^CLK_X
       | ACT_CLK_X{}
       |)
    | (| CLK_X_44 := ^CLK_X_44
       | ACT_CLK_X_44{}
       |)
    | (| CLK := A1 ^+ A2 |)
    | (| CLK_38 := CLK_D1 ^- CLK_135 |)
    | (| CLK_45 := CLK_56 ^- CLK_137 |)
    | (| CLK_49 := A2 ^- A1 |)
    | (| CLK_52 := CLK_D1 ^- CLK |)
    | (| CLK_56 := R2 ^+ CLK_135 |)
    | (| CLK_67 := R1 ^* R2 |)
    | (| C := CLK_63 ^* CLK_67 |)
    | (| CLK_72 := R1 ^* CLK_70 |)
    | (| CLK_76 := C ^* CLK_73 |)
    | (| CLK_79 := CLK_72 ^+ CLK_76 |)
    | (| CLK_83 := L2 ^* CLK_80 |)
    | (| A1 := CLK_79 ^+ CLK_83
       | A1 ^= A1
       |)
    | (| CLK_88 := R2 ^* CLK_81 |)
    | (| CLK_90 := C ^* CLK_74 |)
    | (| CLK_93 := CLK_88 ^+ CLK_90 |)
    | (| CLK_95 := L1 ^* CLK_69 |)
    | (| A2 := CLK_93 ^+ CLK_95
       | A2 ^= A2
       |)
    | (| CLK_111 := L1 ^- A1 |)
    | (| CLK_112 := L1 ^+ A1 |)
    | (| CLK_115 := CLK_CS1 ^- CLK_112 |)
    | (| CLK_118 := L2 ^- A2 |)
    | (| CLK_119 := L2 ^+ A2 |)
    | (| CLK_122 := CLK_179 ^- CLK_119 |)
    | (| CLK_170 := CLK_79 ^+ CLK_93 |)
    | (| CLK_179 := L1 ^+ CLK_170 |)
    | (| CLK_D1 := L2 ^+ CLK_56
       | ACT_CLK_D1{}
       |)
    | (| CLK_CS1 := L2 ^+ CLK_179
       | CLK_CS1 ^= CS1 ^= CS2
       | ACT_CLK_CS1{}
       |)
    |)
   where 
   event CLK_CS1, CLK_D1, CLK_179, CLK_170, CLK_144, CLK_142, CLK_137, CLK_135, CLK_122, CLK_119, CLK_118, CLK_115, CLK_112, CLK_111, CLK_95, CLK_93, CLK_90, CLK_88, CLK_83, CLK_81, CLK_80, CLK_79, CLK_76, CLK_74, CLK_73, CLK_72, CLK_70, CLK_69, C, CLK_67,
        CLK_63, CLK_56, CLK_52, CLK_49, CLK_45, CLK_38, CLK, CLK_X_44, CLK_X;
   process ACT_CLK_X =
        ( )
      (| CLK_X ^= X ^= ZX
       | (| when X ^= R1
          | R1 ^= R1
          |)
       | (| when ZX ^= L1
          | L1 ^= L1
          |)
       | (| CLK_135 := R1 ^+ L1 |)
       | (| CLK_144 := L1 ^- R1 |)
       | (| X := not ZX
          | ZX := X$1 init false
          |)
       |)
      where 
      boolean X, ZX;
      end
   %ACT_CLK_X%; 
   process ACT_CLK_X_44 =
        ( )
      (| CLK_X_44 ^= X_44 ^= ZX_45
       | (| when X_44 ^= R2
          | R2 ^= R2
          |)
       | (| when ZX_45 ^= L2
          | L2 ^= L2
          |)
       | (| CLK_137 := R2 ^+ L2 |)
       | (| CLK_142 := L2 ^- R2 |)
       | (| X_44 := not ZX_45
          | ZX_45 := X_44$1 init false
          |)
       |)
      where 
      boolean X_44, ZX_45;
      end
   %ACT_CLK_X_44%; 
   process ACT_CLK_D1 =
        ( )
      (| CLK_D1 ^= D1 ^= ZD1 ^= D2 ^= ZD2 ^= P ^= ZP
       | (| CLK_63 := when ((not ZD1) and (not ZD2))
          | CLK_64 := when (not ((not ZD1) and (not ZD2)))
          |)
       | (| CLK_69 := when D2
          | CLK_70 := when (not D2)
          |)
       | (| CLK_73 := when ZP
          | CLK_74 := when (not ZP)
          |)
       | (| CLK_80 := when D1
          | CLK_81 := when (not D1)
          |)
       | (| D1 := (R1 when R1) default (not CLK_144) default (ZD1 when CLK_38)
          | ZD1 := D1$1 init false
          | D2 := (R2 when R2) default (not CLK_142) default (ZD2 when CLK_45)
          | ZD2 := D2$1 init false
          | P := (not A1) default (A2 when CLK_49) default (ZP when CLK_52)
          | ZP := P$1 init false
          |)
       |)
      where 
      event CLK_64;
      boolean D1, ZD1, D2, ZD2, P, ZP;
      end
   %ACT_CLK_D1%; 
   process ACT_CLK_CS1 =
        ( )
      (| CLK_CS1 ^= ZCS1 ^= ZCS2
       | (| CS1 := (A1 when A1) default (not CLK_111) default (ZCS1 when CLK_115)
          | CS2 := (A2 when A2) default (not CLK_118) default (ZCS2 when CLK_122)
          | ZCS1 := CS1$1 init false
          | ZCS2 := CS2$1 init false
          |)
       |)
      where 
      boolean ZCS1, ZCS2;
      end
   %ACT_CLK_CS1%; 
   end
%PETERSON_TRA%; 
