process VERIF_PRESS =
     ( ? event CLOSED; 
         event LOW; 
         event MIDDLE; 
         event REACT_CLOCK;
       ! event P_READY_UNLOADED; 
         event P_READY_LOAD; 
         event PRESS_STOP; 
         event PRESS_DOWNWARD; 
         event PRESS_UPWARD; 
         boolean ERROR_DOWNWWARD_LOW; 
         ERROR_UPWARD_CLOSED;
     )
   (| (| (| PRESS_LOW := P_LOW
          | PRESS_MIDDLE := P_MIDDLE
          | PRESS_CLOSED := P_CLOSED
          | P_UNLOAD := P_UNLOADED
          | PRESS{}
          |) where P_UNLOAD, PRESS_CLOSED, PRESS_MIDDLE, PRESS_LOW; end
       | (| PRESS_LOW := P_LOW
          | PRESS_CLOSED := P_CLOSED
          | PROP_PRESS{}
          | ERROR_DOWNWWARD_LOW := ERROR_DOWNWARD_LOW
          |) where boolean ERROR_DOWNWARD_LOW; 
                   PRESS_CLOSED, PRESS_LOW; end
       | ENVIRONMENT{}
       |)/ P_LOW, P_MIDDLE, P_CLOSED, P_LOADED, P_UNLOADED |)
   where 
   process PRESS =
        ( ? event PRESS_CLOSED; 
            event PRESS_MIDDLE; 
            event PRESS_LOW; 
            event REACT_CLOCK; 
            event P_LOADED; 
            event P_UNLOAD;
          ! event P_READY_LOAD; 
            event P_READY_UNLOADED; 
            event PRESS_DOWNWARD; 
            event PRESS_STOP; 
            event PRESS_UPWARD;
        )
      (| (| (| H := REACT_CLOCK
             | (| PRESS_DOWNWARD := SHIFT_EVT(PRESS_CLOSED, H)
                | P_M_STOP := PRESS_MIDDLE when PRESS_MOVING_UP
                | PRESS_STOP := PRESS_LOW default P_M_STOP default PRESS_CLOSED
                | PRESS_CAN_BE_UNLOADED := SHIFT_EVT(PRESS_LOW, H)
                | PRESS_CAN_BE_LOADED := SHIFT_EVT(P_M_STOP, H)
                |)
             | P_READY_LOAD := PRESS_CAN_BE_LOADED
             | P_READY_UNLOADED := PRESS_CAN_BE_UNLOADED
             |) where event H, PRESS_CAN_BE_LOADED, PRESS_CAN_BE_UNLOADED; end/ P_M_STOP
          | (| P_GO_LOAD := P_UNLOAD
             | P_M_LOAD := P_LOADED
             | H := REACT_CLOCK
             | (| PRESS_UPWARD := P_M_LOAD default P_GO_LOAD
                | N_PRESS_MOVING_UP := PRESS_UPWARD default (not PRESS_STOP) default PRESS_MOVING_UP
                | PRESS_MOVING_UP := N_PRESS_MOVING_UP$1
                | PRESS_MOVING_UP ^= H
                |)
             |) where event H, P_M_LOAD, P_GO_LOAD; end/ N_PRESS_MOVING_UP
          |)/ PRESS_MOVING_UP |)
      where 
      process SHIFT_EVT =
           ( ? event EVT, H;
             ! event OUT;
           )
         (| NSTATES := EVT default (not H)
          | STATES := NSTATES$1
          | OUT := [:STATES]
          |)
         where 
         boolean NSTATES, STATES init false;
         end
      ; 
      event P_M_STOP; 
      boolean PRESS_MOVING_UP init false, N_PRESS_MOVING_UP;
      end
   ; 
   process PROP_PRESS =
        ( ? event PRESS_LOW; 
            boolean PRESS_DOWNWARD; 
            event PRESS_STOP; 
            event PRESS_UPWARD; 
            event PRESS_CLOSED; 
            event REACT_CLOCK;
          ! boolean ERROR_DOWNWARD_LOW; 
            boolean ERROR_UPWARD_CLOSED;
        )
      (| (| (| ENDING_EVT := ENDING_EVT_1
             | STARTING_EVT := PRESS_DOWNWARD
             | LIMITING_EVT := PRESS_LOW
             | PROP_GENERIC{}
             | ERROR_DOWNWARD_LOW := ERROR
             |) where event LIMITING_EVT; 
                      boolean STARTING_EVT, ERROR; 
                      ENDING_EVT; end
          | (| ENDING_EVT := ENDING_EVT_2
             | LIMITING_EVT := PRESS_CLOSED
             | STARTING_EVT := PRESS_UPWARD
             | PROP_GENERIC{}
             | ERROR_UPWARD_CLOSED := ERROR
             |) where event STARTING_EVT, LIMITING_EVT; 
                      boolean ERROR; 
                      ENDING_EVT; end
          | (| ENDING_EVT := PRESS_UPWARD default PRESS_STOP
             | ENDING_EVT_1 := ENDING_EVT
             |) where ENDING_EVT; end
          | (| ENDING_EVT := PRESS_DOWNWARD default PRESS_STOP
             | ENDING_EVT_2 := ENDING_EVT
             |) where ENDING_EVT; end
          |)/ ENDING_EVT_2, ENDING_EVT_1 |)
      where 
      event H; 
      boolean PROP_NEXT_LOW init false, PROP_MOVING_DOWN init false, LOW_SENSED, DOWN_MESSAGE; 
      process PROP_GENERIC =
           ( ? event REACT_CLOCK; 
               event LIMITING_EVT; 
               event ENDING_EVT; 
               event STARTING_EVT;
             ! boolean ERROR;
           )
         (| (| AFT_LIMIT := LIMIT_REACHED$1
             | WITHIN := STARTED$1
             | ERROR := AFT_LIMIT and WITHIN
             | REACT_CLOCK ^= WITHIN ^= ERROR ^= AFT_LIMIT
             | LIMIT_REACHED := LIMITING_EVT default (not REACT_CLOCK)
             | STARTED := STARTING_EVT default (not ENDING_EVT) default WITHIN
             |)/ LIMIT_REACHED, STARTED, WITHIN, AFT_LIMIT |)
         where 
         boolean LIMIT_REACHED, STARTED, WITHIN init false, AFT_LIMIT init false;
         end
      ; 
      ENDING_EVT_1, ENDING_EVT, ENDING_EVT_2;
      end
   ; 
   process ENVIRONMENT =
        ( ? event MIDDLE; 
            event LOW; 
            event CLOSED; 
            event REACT_CLOCK;
          ! event P_CLOSED; 
            event P_MIDDLE; 
            event P_LOW; 
            event P_LOADED; 
            event P_UNLOADED;
        )
      (| (| (| LOW when CLOSED ^= [/:LOW]
             | MIDDLE when CLOSED ^= [/:LOW]
             | CLOSED when LOW ^= [/:LOW]
             | Z_S_LOW ^= Z_S_CLOSED ^= Z_S_MIDDLE ^= REACT_CLOCK
             |)
          | (| S_LOW := ((not MIDDLE) when Z_S_LOW) default (LOW when Z_S_MIDDLE) default Z_S_LOW
             | Z_S_LOW := S_LOW$1
             |)
          | (| S_CLOSED := ((not MIDDLE) when Z_S_CLOSED) default (CLOSED when Z_S_MIDDLE) default Z_S_CLOSED
             | Z_S_CLOSED := S_CLOSED$1
             |)
          | (| S_MIDDLE := ((not (LOW default CLOSED)) when Z_S_MIDDLE) default (MIDDLE when (Z_S_CLOSED default Z_S_LOW)) default Z_S_CLOSED
             | Z_S_MIDDLE := S_MIDDLE$1
             |)
          | (| P_LOW := [:S_LOW when (not Z_S_LOW)]
             | P_MIDDLE := [:S_MIDDLE when (not Z_S_MIDDLE)]
             | P_CLOSED := [:S_CLOSED when (not Z_S_CLOSED)]
             | P_LOADED := [:P_MIDDLE]
             | P_UNLOADED := [:P_LOW]
             |)
          |)/ S_LOW, Z_S_LOW, S_CLOSED, Z_S_CLOSED, S_MIDDLE, Z_S_MIDDLE |)
      where 
      boolean S_LOW, Z_S_LOW init false, S_CLOSED, Z_S_CLOSED init false, S_MIDDLE, Z_S_MIDDLE init true; 
      process FLIP_FLOP =
           ( ! boolean STATE;
           )
         (| NEXT_V := not STATE
          | STATE := NEXT_V$1
          |)
         where 
         boolean NEXT_V;
         end
      ;
      end
   ; 
   P_UNLOADED, P_LOADED, P_CLOSED, P_MIDDLE, P_LOW;
   end
; 
