/* 
   Authors: Loic Besnard, Patricia Bournai, Thierry Gautier, Paul Le Guernic.
   Copyright (C) by INRIA-CNRS - developed by Espresso project - GPL v2 License - 2010.

   Contact: polychronycontact@listes.irisa.fr 

   This file is part of Polychrony Signal Toolbox (http://www.irisa.fr/espresso/polychrony).

   Polychrony  Signal Toolbox is free software; you can redistribute it and/or modify it under
   the terms of the GNU General Public License Version 2 as published by the Free
   Software Foundation.

   Polychrony Signal Toolbox is distributed in the hope that it will be useful, but WITHOUT ANY
   WARRANTY; without even the implied warranty of MERCHANTABILITY or
   FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License Version 2
   for more details.

   You should have received a copy of the GNU General Public License Version 2
   along with Polychrony Signal Toolbox; see the file COPYING. If not, consult the url 
    http://www.gnu.org/licenses/gpl-2.0.html, or write to the Free
   Software Foundation, 51 Franklin Street, Fifth Floor, Boston, MA
   02110-1301, USA. 
*/

_PUBLIC_
/** Constructor.*/
  DotService::DotService (ptDCG_basic g)
{
  vDCG = g;
}

/** Destructor.*/
DotService::~DotService ()
{
}

/** 
    xxxx
*/
boolean DotService::translation ()
{
  return pk_true;
}

/**
   It produces the Abstract Dot tree of the current graph. It can be applied to a graph of a module.
*/
boolean DotService::produce_tree ()
{
  return pk_true;
}


/** 
    This  method can be applied to a graph of a module (set of processes) or a process.

    It can be applied to any format. It builds an external representation of the graph (clock system)
    in "dot" format. It can be visualized using "dotty" tool.
    
    \see http://www.research.att.com/sw/tools/graphviz
*/
void
DotService::print ()
{
  pK_dotPrinter->print (vDCG->getDCG ());
}
