/* 
   Authors: Loic Besnard, Patricia Bournai, Thierry Gautier, Paul Le Guernic.
   Copyright (C) by INRIA-CNRS - developed by Espresso project - GPL v2 License - 2010.

   Contact: polychronycontact@listes.irisa.fr 

   This file is part of Polychrony Signal Toolbox (http://www.irisa.fr/espresso/polychrony).

   Polychrony  Signal Toolbox is free software; you can redistribute it and/or modify it under
   the terms of the GNU General Public License Version 2 as published by the Free
   Software Foundation.

   Polychrony Signal Toolbox is distributed in the hope that it will be useful, but WITHOUT ANY
   WARRANTY; without even the implied warranty of MERCHANTABILITY or
   FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License Version 2
   for more details.

   You should have received a copy of the GNU General Public License Version 2
   along with Polychrony Signal Toolbox; see the file COPYING. If not, consult the url 
    http://www.gnu.org/licenses/gpl-2.0.html, or write to the Free
   Software Foundation, 51 Franklin Street, Fifth Floor, Boston, MA
   02110-1301, USA. 
*/

//typedef enum { constpoly, variable, somme, produit, difference, C5_default, when, por, pand, equation, when1, pnot, moins, carre } typolynomial;

typedef enum { constpoly, variable, polySum, polyMult, polyDiff, polyDefault, polyWhen, 
	       polyOr, polyAnd, equation, polyWhen1, polyNot, polyMinus, polySquare } typolynomial;

typedef struct ldefpoly    *ptldefpoly; ///< Pointer on a representation of List of definitions.
typedef struct defpoly     *ptdefpoly;  ///< Pointer on a representation of a definition
typedef struct lrepDelay   *ptlrepDelay;  ///< Pointer on a representation of the list of delays
typedef struct repDelay    *ptrepDelay;   ///< Pointer on a representation of a delay
typedef struct polynomial  *ptpolynomial; ///< Pointer on a representation of a polynomial

#define NILPOLYNOMIAL (ptpolynomial)pK_NIL
#define NILDEFPOLY (ptdefpoly)pK_NIL
#define NILREPDELAY (ptrepDelay)pK_NIL


typedef struct lpolynomial *ptlpolynomial; ///< List of polynomials
typedef struct elemlist    *ptelemlist;
#define NILELEMLIST (ptelemlist)pK_NIL
