/* 
   Authors: Loïc Besnard, Patricia Bournai, Thierry Gautier, Paul Le Guernic.
   Copyright (C) by INRIA-CNRS - developed by Espresso project - GPL v2 License - 2010.

   Contact: polychronycontact@listes.irisa.fr 

   This file is part of Polychrony Signal Toolbox (http://www.irisa.fr/espresso/polychrony).

   Polychrony  Signal Toolbox is free software; you can redistribute it and/or modify it under
   the terms of the GNU General Public License Version 2 as published by the Free
   Software Foundation.

   Polychrony Signal Toolbox is distributed in the hope that it will be useful, but WITHOUT ANY
   WARRANTY; without even the implied warranty of MERCHANTABILITY or
   FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License Version 2
   for more details.

   You should have received a copy of the GNU General Public License Version 2
   along with Polychrony Signal Toolbox; see the file COPYING. If not, consult the url 
    http://www.gnu.org/licenses/gpl-2.0.html, or write to the Free
   Software Foundation, 51 Franklin Street, Fifth Floor, Boston, MA
   02110-1301, USA. 
*/
#include "pKio.h"
#include "common_type.h"
#include "opersignal.h"
#include "stringmemStr_type.h"
#include "sysfile_type.h"
#include "tabtools_type.h"
#include "GHDC_type.h"
#include "opersyndex.h"
#include "SyndexTree_type.h"
/* @End_import_type@ */
#include "ClockManagerExport.h"
#include "atclocklist_g.h"
#include "markServer_g.h"
#include "NodeManager.h"
#include "atfg_g.h"
#include "DCG.h"
#include "atInodesList_g.h"
#include "atlinstances_g.h"
#include "atstack_g.h"
#include "atsigtree_g.h"
#include "atsigtreeInstid_g.h"
#include "messenger.h"
#include "ident_g.h"
#include "stringmemStr_g.h"
#include "StrScanner.h"
#include "SyndexAttribute.h"
#include "SyndexTreeInterface.h"
#include "DCG2Syndex.h"
#include "ExprManager.h"
#include "atsigtreeInstid_g.h"
#include "Pragmas_g.h"
#include "PragmasTrees_g.h"
#include "eTypes.h"
#include "sysfile_g.h"
#include "atmark_g.h"
#include "atinterfaceGet_g.h"
#include "tree_api.h"
#include "predefSignalNames_g.h"

/* @Begin_prog@ */
#include "DCG2Syndex_m.c"
#include "DCG2SyndexClocks_i.c"
#include "DCG2SyndexDeclarations_i.c"
#include "DCG2SyndexExpressions_i.c"
#include "DCG2SyndexExprRef_i.c"
#include "DCG2SyndexNodes_i.c"
#include "DCG2SyndexNodesRef_i.c"
#include "DCG2SyndexPartitionning_i.c"
#include "DCG2SyndexArchitecture_i.c"
#include "DCG2Syndex_g.c"
