class ClockSystem: public ClockFormula, public ClockHierarchy
{ 
#include "ClockSystemDebug_i.h"
#include "ClockSystem_m.h"
#include "ClockSystemGet_g.h"
#include "ClockSystemSet_g.h"
#include "ClockSystemMake_g.h"
#include "ClockSystemAffineClock_m.h"
#include "ClockSystemAffineClock_g.h"
#include "ClockSystem_g.h"
#include "ClockSystemHierarchy_g.h"
#include "ClockSystemOrder_m.h"
#include "ClockSystemOrder_g.h"

 private:
  ptinsth hundef, the_nullClock_CKS_copy, hinit; // Universal clocks.
  int nbConditions;

 protected: // It should be private!!!
  ptExprManager EM;

  ptlinsth lvariables, lssub, lsinfer, lssuper, lsnot;
  ptlinsth lsplaced, lsroots,  lsextract, lsinfintree, lssupintree;
  ptlinsth lterm1equ, lterm2equ, this_nullClockList, lsmodified, lsnullpl;
  ptlinsth lterm1equpl, lterm2equpl, lterm1assertpl, lterm2assertpl;
  ptlinsth lsrootsEnd, lvariablesEnd, lsplacedEnd, lssupintreeEnd, lsinfintreeEnd;

  ptlinsth ExportedClocksIOClocks, ExportedClocksOthers;   // for projection
  ptlinstances ExportedSignalsInSpec; // for projection

  boolean assumedWithoutConstraints, ModeSynchroSolving, DEBUG;  // To be cleaned(revoir le rÃŽle de assumedWithoutConstraints et ModeSynchroSolving.)
  boolean IsInSimplifyMode; // when true the elementary simplifications are applied.
  typeMark mark3;
};

