
_PUBLIC_
/**
  @return true if the formula vharg1 has the priority on vharg2 for the order built on formula 
  in normalisation step for root-formula. The arguments vharg1 and vharg2 can be:
   - placed formula but not in the same tree;
   - root-formula : monomials and variables.

   \remarks {a placed formula has always the priority on a non-placed one.}
*/
  boolean ClockSystem::isbefore (ptinsth vharg1, ptinsth vharg2)
{
  ptinsth vr1, vr2;
  int
    p;

  if (getDepth (vharg1) == 0)
    {
      if (getDepth (vharg2) == 0)
	return is_order_difftrees (vharg1, vharg2);
      return pk_false;
    }
  if (getDepth (vharg2) == 0)
    return pk_true;
  vr1 = getRoot (vharg1, &p);
  vr2 = getRoot (vharg2, &p);
  return satisfies_order_num (vr1, vr2);
}
