/* 
   Authors: Loïc Besnard, Patricia Bournai, Thierry Gautier, Paul Le Guernic.
   Copyright (C) by INRIA-CNRS - developed by Espresso project - GPL v2 License - 2010.

   Contact: polychronycontact@listes.irisa.fr 

   This file is part of Polychrony Signal Toolbox (http://www.irisa.fr/espresso/polychrony).

   Polychrony  Signal Toolbox is free software; you can redistribute it and/or modify it under
   the terms of the GNU General Public License Version 2 as published by the Free
   Software Foundation.

   Polychrony Signal Toolbox is distributed in the hope that it will be useful, but WITHOUT ANY
   WARRANTY; without even the implied warranty of MERCHANTABILITY or
   FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License Version 2
   for more details.

   You should have received a copy of the GNU General Public License Version 2
   along with Polychrony Signal Toolbox; see the file COPYING. If not, consult the url 
    http://www.gnu.org/licenses/gpl-2.0.html, or write to the Free
   Software Foundation, 51 Franklin Street, Fifth Floor, Boston, MA
   02110-1301, USA. 
*/
#include "common_type.h"
#include "opersignal.h"
#include "sign_type.h"
#include "stringmemStr_type.h"
#include "atlist_type.h"
#include "atsigtree_type.h"
#include "Pragmas_type.h"
#include "atfg_type.h"
#include "atinterface_type.h"
#include "NameManagerExport.h"
#include "ClockManagerExportType.h"
#include "NodeManagerExportType.h"
#include "TraceabilityManagerExportType.h"
#include "atinstid_type.h"
#include "DelayTreeType.h"
#include "typeTypes.h"
#include "atAttributes_type.h"
#include "ObjectCommonInfos.h"
#include "DCGAttributes.h"
#include "dependencesType.h"
#include "DCGType.h"
#include "IdentifierTableType.h"
#include "messignal_3.h"
/* @End_import_type@ */
#include "ExprManager.h"
#include "atfg_g.h"
#include "atsigtree_g.h"
#include "atsigtreeTypes_g.h"
#include "atlinstances_g.h"
#include "atsigtreeInstid_g.h"
#include "tree_api.h"
#include "ClockManagerExport.h"
#include "TraceabilityManagerExport.h"
#include "ident_g.h"
#include "predefSignalNames_g.h"
#include "stringmemStr_g.h"
#include "dependences.h"
#include "NodeManager.h"
#include "eTypes.h"
#include "atInodesList_g.h"
#include "atclocklist_g.h"
#include "messenger.h"
#include "NameManager.h"
#include "Pragmas_g.h"
#include "SignalEnvPragmas.h"
#include "atlist_g.h"
#include "sysfile_g.h"

/* @Begin_prog@ */
#include "ExprMake_m.c"
#include "TypeChecking_i.c"
#include "SpatialProcessing_i.c"
#include "mkEvaluations_i.c"
#include "ExprRewrite_i.c"
#include "ExprRewrite_g.c"
#include "ExprMake_g.c"
#include "ExprAccessGet_g.c"
#include "ExprAccessSet_g.c"
#include "ExprAttributes_g.c"
#include "SpatialProcessing_g.c"
#include "ExprMisc_g.c"
#include "TypeChecking_g.c"
#include "ExprManager_g.c"
