/* 
   Authors: Loïc Besnard, Patricia Bournai, Thierry Gautier, Paul Le Guernic.
   Copyright (C) by INRIA-CNRS - developed by Espresso project - GPL v2 License - 2010.

   Contact: polychronycontact@listes.irisa.fr 

   This file is part of Polychrony Signal Toolbox (http://www.irisa.fr/espresso/polychrony).

   Polychrony  Signal Toolbox is free software; you can redistribute it and/or modify it under
   the terms of the GNU General Public License Version 2 as published by the Free
   Software Foundation.

   Polychrony Signal Toolbox is distributed in the hope that it will be useful, but WITHOUT ANY
   WARRANTY; without even the implied warranty of MERCHANTABILITY or
   FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License Version 2
   for more details.

   You should have received a copy of the GNU General Public License Version 2
   along with Polychrony Signal Toolbox; see the file COPYING. If not, consult the url 
    http://www.gnu.org/licenses/gpl-2.0.html, or write to the Free
   Software Foundation, 51 Franklin Street, Fifth Floor, Boston, MA
   02110-1301, USA. 
*/
#include "common_type.h"
#include "opersignal.h"
#include "stringmemStr_type.h"
#include "typeTypes.h"
#include "atsigtree_type.h"
#include "stdlib.h"
/* @End_import_type@ */
#include "eTypes.h"
#include "atsigtreeTypes_g.h"
#include "stringmemStr_g.h"
#include "string.h"

/* @Begin_prog@ */
#include "TypeManager_m.c"
#include "TypeSystemInterface_i.c"
#include "TypeManagerMess_i.c"
#include "TypePredef_i.c"
#include "TypeMemoryManagerMess_i.c"
#include "TypeMemoryManagerRepr_i.c"
#include "TypeMemoryManager_i.c"
#include "NameListManager_i.c"
#include "NameListManager_g.c"
#include "TypeListManager_i.c"
#include "TypeListManager_g.c"
#include "TypePredef_g.c"
#include "ClassSimple_i.c"
#include "ClassSimple_g.c"
#include "TypeBits_i.c"
#include "TypeBits_g.c"
#include "ClassArrayMatrix_i.c"
#include "ClassArrayMatrix_g.c"
#include "ClassAbstract_i.c"
#include "ClassAbstract_g.c"
#include "ClassProduct_i.c"
#include "ClassProduct_g.c"
#include "ClassApplicationExtern_i.c"
#include "ClassApplication_i.c"
#include "ClassApplication_g.c"
#include "TypeSigPrint_i.c"
#include "TypeSigPrint_g.c"
#include "TypeSigConversions_g.c"
#include "TypeGarbage_i.c"
#include "TypeGarbage_g.c"
#include "TypeManager_i.c"
#include "TypeManager_g.c"
