/* 
   Authors: Loic Besnard, Patricia Bournai, Thierry Gautier, Paul Le Guernic.
   Copyright (C) by INRIA-CNRS - developed by Espresso project - GPL v2 License - 2010.

   Contact: polychronycontact@listes.irisa.fr 

   This file is part of Polychrony Signal Toolbox (http://www.irisa.fr/espresso/polychrony).

   Polychrony  Signal Toolbox is free software; you can redistribute it and/or modify it under
   the terms of the GNU General Public License Version 2 as published by the Free
   Software Foundation.

   Polychrony Signal Toolbox is distributed in the hope that it will be useful, but WITHOUT ANY
   WARRANTY; without even the implied warranty of MERCHANTABILITY or
   FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License Version 2
   for more details.

   You should have received a copy of the GNU General Public License Version 2
   along with Polychrony Signal Toolbox; see the file COPYING. If not, consult the url 
    http://www.gnu.org/licenses/gpl-2.0.html, or write to the Free
   Software Foundation, 51 Franklin Street, Fifth Floor, Boston, MA
   02110-1301, USA. 
*/
/***
    |**                                          File TypeMemoryManagerMess_i.c
    |**    							            **|
    |**    							            **|
    |**	      THIS FILE CONTAINS  Diagnostic Functions              **|
    |**                    of  Memory allocation for                    **|
    |**                    TYPE REPRESENTATION tables                   **|
    |**		                                                    **|
    |**	       						            **|
    |*********|*********|*********|*********|*********|*********|*********/

      /***  string.h is required !!!  ***/

/*
  #define TRACEDescriptor(Name, D) \
  {\
  macroweol(stdout); \
  macrowString(stdout,"SIGNAL SYSTEM INFORMATION -->"); \
  macrowString(stdout,"Type Table"); \
  macrowString(stdout,Name); \
  macrowString(stdout,"values:"); \
  macroweol(stdout); \
  macrowString(stdout,"=========================   "); \
  macrowString(stdout,"(adr="); \
  macrowInt(stdout, ((D)->Base) ); \
  macrowString(stdout,",MaxSize="); \
  macrowInt(stdout, ((D)->MaxSize) ); \
  macrowString(stdout,",Size="); \
  macrowInt(stdout, ((D)->Length) ); \
  macrowString(stdout,",LastIndex="); \
  macrowInt(stdout, ((D)->Next) ); \
  macrowrpar(stdout); \
  macroweol(stdout); \
  }
*/


#define TRACEDescriptor(Name, D) { }

#define ERRORDescriptor(Classe,Name, D) \
{\
   macroweol(stderr); \
   macrowString(stderr,Classe); \
   macrowString(stderr,"SYSTEM MEMORY ERROR -->"); \
   macrowString(stderr,"Type Table"); \
   macrowString(stderr,Name); \
   macrowString(stderr,"values:"); \
   macroweol(stderr); \
   macrowString(stderr,"=============================   "); \
   macrowString(stderr,"(adr="); \
   macrowInt(stderr, ((D)->Base) ); \
   macrowString(stderr,",MaxSize="); \
   macrowInt(stderr, ((D)->MaxSize) ); \
   macrowString(stderr,",Size="); \
   macrowInt(stderr, ((D)->Length) ); \
   macrowString(stderr,",LastIndex="); \
   macrowInt(stderr, ((D)->Next) ); \
   macrowrpar(stderr); \
   macroweol(stderr); \
}
