/* 
   Authors: Loic Besnard, Patricia Bournai, Thierry Gautier, Paul Le Guernic.
   Copyright (C) by INRIA-CNRS - developed by Espresso project - GPL v2 License - 2010.

   Contact: polychronycontact@listes.irisa.fr 

   This file is part of Polychrony Signal Toolbox (http://www.irisa.fr/espresso/polychrony).

   Polychrony  Signal Toolbox is free software; you can redistribute it and/or modify it under
   the terms of the GNU General Public License Version 2 as published by the Free
   Software Foundation.

   Polychrony Signal Toolbox is distributed in the hope that it will be useful, but WITHOUT ANY
   WARRANTY; without even the implied warranty of MERCHANTABILITY or
   FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License Version 2
   for more details.

   You should have received a copy of the GNU General Public License Version 2
   along with Polychrony Signal Toolbox; see the file COPYING. If not, consult the url 
    http://www.gnu.org/licenses/gpl-2.0.html, or write to the Free
   Software Foundation, 51 Franklin Street, Fifth Floor, Boston, MA
   02110-1301, USA. 
*/
/**                                            File TypeSystemInterface_i.c
					       |**					       ============================
					       |**						       	            **|
					       |**						       	            **|
					       |**						       	            **|
					       |**	      	THIS FILE CONTAINS System Interface functions       **|
					       |**		           for Type Manager                         **|
					       |**								    **|
					       |*********|*********|*********|*********|*********|*********|*********/

/************
	     |** Required: the following standard libraries are required
	     |***********
	     <stdlib.h>
	     <string.h>
	     <stdio.h>
	     *---------------------------------------------- */

typedef FILE *RefFILE;

#define macroweq(stderrorout) fprintf(stderrorout,"= ");
#define macrowddot(stderrorout) fprintf(stderrorout,": ");
#define macrowlpar(stderrorout) fprintf(stderrorout," (");
#define macrowrpar(stderrorout) fprintf(stderrorout,") ");
#define macrowlacc(stderrorout) fprintf(stderrorout," {");
#define macrowracc(stderrorout) fprintf(stderrorout,"} ");
#define macrowspace(stderrorout) fprintf(stderrorout," ");
#define macrowvirg(stderrorout) fprintf(stderrorout,", ");
#define macrowsin(stderrorout) fprintf(stderrorout,"? ");
#define macrowsout(stderrorout) fprintf(stderrorout,"! ");
#define macroweol(stderrorout) fprintf(stderrorout,"\n");

#define macrowstruct(stderrorout) fprintf(stderrorout,"Structure ");
#define macrowarray(stderrorout) fprintf(stderrorout,"Array: ");
#define macrowbits(stderrorout) fprintf(stderrorout,"Bits ");
#define macrowextern(stderrorout) fprintf(stderrorout,"Extern ");
#define macrowsubrange(stderrorout) fprintf(stderrorout,"Subrange ");
#define macrowany(stderrorout) fprintf(stderrorout,"AnyType ");
#define macrowlambda(stderrorout) fprintf(stderrorout,"LambdaType ");
#define macrowmeta(stderrorout) fprintf(stderrorout,"MetaType ");

#define macrowtype(stderrorout) fprintf(stderrorout,"Type ");

#define macrowInt(stderrorout,Index) fprintf(stderrorout,"%d", Index);
#define macrowString(stderrorout,strval) fprintf(stderrorout," %s", strval);
