#ifndef __PK_AUTOMATON_H__
#define __PK_AUTOMATON_H__


typedef ptlPointer ptlStates; 
typedef ptlPointer ptlTransitions; 
typedef pointer State; // a graph. To be completed: a state should be an automaton (hierarchical automaton).

typedef class Transition *ptTransition;

class Transition
{
#include "Transition_m.h"
#include "Transition_g.h"
 protected: 
  State Sfrom, Sto;
  ptinsth cond;
};

#include "Common_DCG_Automaton.h"
typedef class Automaton *ptAutomaton;

#define NILSTATE (State)NILPOINTER
#define NILAUTOMATON (ptAutomaton)NILPOINTER

#define NILLSTATES (ptlStates)NILLPOINTER
#define NILLTRANSITIONS (ptlTransitions)NILLPOINTER

class Automaton: public ObjectCommonInfos, public Common_DCG_Automaton
{
#include "Automaton_m.h"
#include "Automaton_g.h"
 protected:
  ptlStates States;
  ptlTransitions Transitions;
  ptexpcal CurrentStateVar; // The current state (state variable) of the automaton.
  ptident  initState; // The name of the label of the initial state.
  ptinterface Interface;
};

#endif // __PK_AUTOMATON_H__
