/* 
   Authors: Loic Besnard, Patricia Bournai, Thierry Gautier, Paul Le Guernic.
   Copyright (C) by INRIA-CNRS - developed by Espresso project - GPL v2 License - 2010.

   Contact: polychronycontact@listes.irisa.fr 

   This file is part of Polychrony Signal Toolbox (http://www.irisa.fr/espresso/polychrony).

   Polychrony  Signal Toolbox is free software; you can redistribute it and/or modify it under
   the terms of the GNU General Public License Version 2 as published by the Free
   Software Foundation.

   Polychrony Signal Toolbox is distributed in the hope that it will be useful, but WITHOUT ANY
   WARRANTY; without even the implied warranty of MERCHANTABILITY or
   FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License Version 2
   for more details.

   You should have received a copy of the GNU General Public License Version 2
   along with Polychrony Signal Toolbox; see the file COPYING. If not, consult the url 
    http://www.gnu.org/licenses/gpl-2.0.html, or write to the Free
   Software Foundation, 51 Franklin Street, Fifth Floor, Boston, MA
   02110-1301, USA. 
*/

_PUBLIC_
/** 
    @return "true" if the translation of a DCGBool (gb) to a DCGFlat (gf) succeeds, "false" otherwise.
*/
  _STATIC_ boolean DCG_flat::flattenCH (ptDCG_bool gb, ptDCG_flat * gf)
{
  gb->DCG_bool::flattenCH ();
  *gf = new DCG_flat (gb);
  return pk_true;
}

DCG_flat::DCG_flat (ptDCG_bool gb):DCG_bool (gb)
{
  gb->setFormatLevel (DCG_FLAT);
}

DCG_flat::DCG_flat ()
{
}


//===================================================================================================
// copySubgraph2Graph ===>> cloneSubgraph2Graph is a  DCG_flat function
// that generates a DCG_flat graph with CH being the subCH of the global graph (ie copySubgraph2Graph(...true)
//===================================================================================================
