/* 
   Authors: Loïc Besnard, Patricia Bournai, Thierry Gautier, Paul Le Guernic.
   Copyright (C) by INRIA-CNRS - developed by Espresso project - GPL v2 License - 2010.

   Contact: polychronycontact@listes.irisa.fr 

   This file is part of Polychrony Signal Toolbox (http://www.irisa.fr/espresso/polychrony).

   Polychrony  Signal Toolbox is free software; you can redistribute it and/or modify it under
   the terms of the GNU General Public License Version 2 as published by the Free
   Software Foundation.

   Polychrony Signal Toolbox is distributed in the hope that it will be useful, but WITHOUT ANY
   WARRANTY; without even the implied warranty of MERCHANTABILITY or
   FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License Version 2
   for more details.

   You should have received a copy of the GNU General Public License Version 2
   along with Polychrony Signal Toolbox; see the file COPYING. If not, consult the url 
    http://www.gnu.org/licenses/gpl-2.0.html, or write to the Free
   Software Foundation, 51 Franklin Street, Fifth Floor, Boston, MA
   02110-1301, USA. 
*/
#include "common_type.h"
#include "atlist_type.h"
#include "opersignal.h"
#include "sign_type.h"
#include "stringmemStr_type.h"
#include "kernel_type.h"
#include "TypeManager_type.h"
#include "atsigtree_type.h"
#include "stdlib.h"
/* @End_import_type@ */
#include "atrepproto_g.h"
#include "atreptyp_g.h"
#include "atrepfiGet_g.h"
#include "atrepfiSet_g.h"
#include "atIdentRepInstance_g.h"
#include "atstack_g.h"
#include "atpileset_g.h"
#include "atpileget_g.h"

/* @Begin_prog@ */
#include "atIdentRep_m.c"
#include "atrepproto_i.c"
#include "atrepfi_i.c"
#include "atreptyp_i.c"
#include "atrepproto_g.c"
#include "atreptyp_g.c"
#include "atrepfiSet_g.c"
#include "atrepfiGet_g.c"
#include "atIdentRepInstance_g.c"
