/* 
   Authors: Loic Besnard, Patricia Bournai, Thierry Gautier, Paul Le Guernic.
   Copyright (C) by INRIA-CNRS - developed by Espresso project - GPL v2 License - 2010.

   Contact: polychronycontact@listes.irisa.fr 

   This file is part of Polychrony Signal Toolbox (http://www.irisa.fr/espresso/polychrony).

   Polychrony  Signal Toolbox is free software; you can redistribute it and/or modify it under
   the terms of the GNU General Public License Version 2 as published by the Free
   Software Foundation.

   Polychrony Signal Toolbox is distributed in the hope that it will be useful, but WITHOUT ANY
   WARRANTY; without even the implied warranty of MERCHANTABILITY or
   FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License Version 2
   for more details.

   You should have received a copy of the GNU General Public License Version 2
   along with Polychrony Signal Toolbox; see the file COPYING. If not, consult the url 
    http://www.gnu.org/licenses/gpl-2.0.html, or write to the Free
   Software Foundation, 51 Franklin Street, Fifth Floor, Boston, MA
   02110-1301, USA. 
*/
/**
   WARNING:
           When a new definition is added in this table (example: #define ph_expr_flot 56),

	   YOU MUST 
	   * update the following definitions of the file siglex_type.h
    	      #define NBPHYLA XX
	      static char* phylaTable[NBPHYLA] =
	   
	   * modify the file signal.flex, the entrypoint must be added
	     (example:  <entrypoint>"[EXPR_FLOT]"  {BEGIN sentences; siglexreturn(EN_EXPR_FLOT);};)

*/
#define without_phylum  -1
#define ph_attr 0
#define ph_born 1
#define ph_cas 2
#define ph_chai 3
#define ph_cst_cha 4
#define ph_dec_s 5
#define ph_desc 6
#define ph_desc_modu 7
#define ph_ele_vec 8
#define ph_ent_sort 9
#define ph_i_type 10
#define ph_ident 11
#define ph_ind_mot 12
#define ph_l_cas 13
#define ph_l_cons 14
#define ph_l_e_sign 15
#define ph_l_ident 16
#define ph_l_parc 17
#define ph_l_sign 18
#define ph_modu 19
#define ph_o_spec 20
#define ph_ol_attr 21
#define ph_ol_decl 22
#define ph_ol_dec_s 23
#define ph_ol_e_para 24
#define ph_ol_opra 25
#define ph_ol_prag 26
#define ph_parc 27
#define ph_prag 28
#define ph_decl 29
#define ph_def_cons 30
#define ph_def_type 31
#define ph_e_cst 32
#define ph_enu_val 33
#define ph_ident_op 34
#define ph_inte 35
#define ph_o_chai 36
#define ph_o_ident 37
#define ph_ol_e_sign 38
#define ph_ref_pro 39
#define ph_sign 40
#define ph_e_proc 41
#define ph_type 42
#define ph_o_e_proc 43
#define ph_type_s 44
#define ph_v_proc 45
#define ph_v_type 46
#define ph_o_corp 47
#define ph_e_sign 48
#define ph_lsig 49
#define ph_d_e_sign 50
#define ph_e_para 51
#define ph_o_e_sign 52
#define ph_v_cons 53
