%{
#include "signal_bison.h"
#include "siglex_type.h"
#include "sigparse_m.c"
#include "sigscan.c"
%}
%token KW_PVIR
%token KW_VIRG
%token IDENT
%token KW_module
%token KW_EQUL
%token KW_end
%token KW_use
%token KW_external
%token KW_process
%token KW_private
%token KW_node
%token KW_function
%token KW_action
%token KW_procedure
%token KW_automaton
%token KW_operator
%token KW_BOUV
%token KW_BFER
%token KW_POUV
%token KW_PFER
%token KW_INTE
%token KW_XCLA
%token KW_safe
%token KW_deterministic
%token KW_unsafe
%token KW_spec
%token KW_pragmas
%token KW_type
%token KW_init
%token KW_event
%token KW_boolean
%token KW_short
%token KW_integer
%token KW_long
%token KW_real
%token KW_dreal
%token KW_complex
%token KW_dcomplex
%token KW_char
%token KW_string
%token KW_enum
%token KW_COUV
%token KW_CFER
%token KW_struct
%token KW_bundle
%token KW_constant
%token KW_shared
%token KW_statevar
%token KW_label
%token KW_ref
%token KW_assert
%token KW_VERT
%token KW_DPINDPIN
%token KW_on
%token KW_where
%token KW_SLAH
%token KW_array
%token KW_of
%token KW_iterate
%token KW_to
%token KW_with
%token KW_case
%token KW_in
%token KW_DPIN
%token KW_else
%token KW_COUVPOIN
%token KW_POINCFER
%token KW_DPINEQUL
%token KW_DPINDPINEQUL
%token KW_defaultvalue
%token KW_DPINEQULDPIN
%token KW_CHAPEQUL
%token KW_CHAPINFE
%token KW_CHAPSUPE
%token KW_CHAPDIES
%token KW_MINUMINUSUPE
%token KW_when
%token KW_CHAP0
%token KW_next
%token KW_default
%token KW_after
%token KW_from
%token KW_count
%token KW_CHAPPLUS
%token KW_CHAPMINU
%token KW_CHAPETOI
%token KW_COUVDPIN
%token KW_COUVSLAHDPIN
%token KW_if
%token KW_then
%token KW_POINPOIN
%token KW_step
%token KW_xor
%token KW_or
%token KW_and
%token KW_not
%token KW_EQULEQUL
%token KW_INFEINFEEQUL
%token KW_SLAHEQUL
%token KW_SUPE
%token KW_SUPEEQUL
%token KW_INFE
%token KW_INFEEQUL
%token KW_PLUS
%token KW_MINU
%token KW_VERTPLUS
%token KW_ETOI
%token KW_ETOIPOIN
%token KW_modulo
%token KW_VERTETOI
%token KW_ETOIETOI
%token KW_ARRO
%token KW_cell
%token KW_var
%token KW_DOLL
%token KW_window
%token KW_tr
%token KW_BSLABSLA
%token KW_CHAP
%token KW_POIN
%token KW_DIES
%token KW_INFEINFE
%token KW_SUPESUPE
%token KW_false
%token KW_true
%token ENTIER
%token REEL
%token DREEL
%token CAR
%token CHAINE
%token EN_ATTR
%token EN_BORN
%token EN_CAS
%token EN_CHAI
%token EN_CST_CHA
%token EN_DEC_S
%token EN_DESC
%token EN_DESC_MODU
%token EN_ELE_VEC
%token EN_ENT_SOR
%token EN_I_TYPE
%token EN_IDENT
%token EN_IND_MOT
%token EN_L_CAS
%token EN_L_CONS
%token EN_L_E_SIGN
%token EN_L_IDENT
%token EN_L_PARC
%token EN_L_SIGN
%token EN_MODU
%token EN_O_SPEC
%token EN_OL_ATTR
%token EN_OL_DECL
%token EN_OL_DEC_S
%token EN_OL_E_PARA
%token EN_OL_OPRA
%token EN_OL_PRAG
%token EN_PARC
%token EN_PRAG
%token EN_DECL
%token EN_DEF_CONS
%token EN_DEF_TYPE
%token EN_E_CST
%token EN_ENU_VAL
%token EN_IDENT_OP
%token EN_INTE
%token EN_O_CHAI
%token EN_O_IDENT
%token EN_OL_E_SIGN
%token EN_REF_PRO
%token EN_SIGN
%token EN_E_PROC
%token EN_TYPE
%token EN_O_E_PROC
%token EN_TYPE_S
%token EN_V_PROC
%token EN_V_TYPE
%token EN_O_CORP
%token EN_E_SIGN
%token EN_LSIG
%token EN_D_E_SIGN
%token EN_E_PARA
%token EN_O_E_SIGN
%token EN_V_CONS
%define api.pure

%start NT_axiome_signal
%%
NT_axiome_signal : NT_decl_processus  
    { root_signal=$1; complete_comments(root_signal,0); }
   ;
NT_axiome_signal : NT_decl_processus  KW_PVIR  
    { root_signal=$1; complete_comments(root_signal,0); }
   ;
NT_axiome_signal : NT_decl_processus  KW_PVIR  error  
    { root_signal=$1; complete_comments(root_signal,0); 
      siganaerrorpos(@3,errendinput); }
   ;
NT_axiome_signal : NT_decl_processus  error  
    { root_signal=$1; complete_comments(root_signal,0); 
      siganaerrorpos(@2,errendinput); }
   ;
NT_axiome_signal : NT_l_modules  
    { root_signal=$1; complete_comments(root_signal,0); }
   ;
NT_axiome_signal : NT_l_modules  KW_PVIR  
    { root_signal=$1; complete_comments(root_signal,0); }
   ;
NT_axiome_signal : NT_l_modules  error
    { root_signal=$1; complete_comments(root_signal,0); 
      siganaerrorpos(@2,errendinput); }
   ;
NT_axiome_signal : KW_PVIR  error
    { root_signal=LL_make_nil_atom();
      siganaerrorpos(@1,errprocmodu); }
   ;
NT_axiome_signal : KW_VIRG  error
    { root_signal=LL_make_nil_atom();
      siganaerrorpos(@1,errprocmodu); }
   ;
NT_axiome_signal : IDENT  error
    { root_signal=LL_make_nil_atom();
      siganaerrorpos(@1,errprocmodu); }
   ;
NT_axiome_signal : KW_EQUL  error
    { root_signal=LL_make_nil_atom();
      siganaerrorpos(@1,errprocmodu); }
   ;
NT_axiome_signal : KW_end  error
    { root_signal=LL_make_nil_atom();
      siganaerrorpos(@1,errprocmodu); }
   ;
NT_axiome_signal : KW_use  error
    { root_signal=LL_make_nil_atom();
      siganaerrorpos(@1,errprocmodu); }
   ;
NT_axiome_signal : KW_external  error
    { root_signal=LL_make_nil_atom();
      siganaerrorpos(@1,errprocmodu); }
   ;
NT_axiome_signal : KW_BOUV  error
    { root_signal=LL_make_nil_atom();
      siganaerrorpos(@1,errprocmodu); }
   ;
NT_axiome_signal : KW_BFER  error
    { root_signal=LL_make_nil_atom();
      siganaerrorpos(@1,errprocmodu); }
   ;
NT_axiome_signal : KW_POUV  error
    { root_signal=LL_make_nil_atom();
      siganaerrorpos(@1,errprocmodu); }
   ;
NT_axiome_signal : KW_PFER  error
    { root_signal=LL_make_nil_atom();
      siganaerrorpos(@1,errprocmodu); }
   ;
NT_axiome_signal : KW_INTE  error
    { root_signal=LL_make_nil_atom();
      siganaerrorpos(@1,errprocmodu); }
   ;
NT_axiome_signal : KW_XCLA  error
    { root_signal=LL_make_nil_atom();
      siganaerrorpos(@1,errprocmodu); }
   ;
NT_axiome_signal : KW_safe  error
    { root_signal=LL_make_nil_atom();
      siganaerrorpos(@1,errprocmodu); }
   ;
NT_axiome_signal : KW_deterministic  error
    { root_signal=LL_make_nil_atom();
      siganaerrorpos(@1,errprocmodu); }
   ;
NT_axiome_signal : KW_unsafe  error
    { root_signal=LL_make_nil_atom();
      siganaerrorpos(@1,errprocmodu); }
   ;
NT_axiome_signal : KW_spec  error
    { root_signal=LL_make_nil_atom();
      siganaerrorpos(@1,errprocmodu); }
   ;
NT_axiome_signal : KW_pragmas  error
    { root_signal=LL_make_nil_atom();
      siganaerrorpos(@1,errprocmodu); }
   ;
NT_axiome_signal : KW_type  error
    { root_signal=LL_make_nil_atom();
      siganaerrorpos(@1,errprocmodu); }
   ;
NT_axiome_signal : KW_init  error
    { root_signal=LL_make_nil_atom();
      siganaerrorpos(@1,errprocmodu); }
   ;
NT_axiome_signal : KW_event  error
    { root_signal=LL_make_nil_atom();
      siganaerrorpos(@1,errprocmodu); }
   ;
NT_axiome_signal : KW_boolean  error
    { root_signal=LL_make_nil_atom();
      siganaerrorpos(@1,errprocmodu); }
   ;
NT_axiome_signal : KW_short  error
    { root_signal=LL_make_nil_atom();
      siganaerrorpos(@1,errprocmodu); }
   ;
NT_axiome_signal : KW_integer  error
    { root_signal=LL_make_nil_atom();
      siganaerrorpos(@1,errprocmodu); }
   ;
NT_axiome_signal : KW_long  error
    { root_signal=LL_make_nil_atom();
      siganaerrorpos(@1,errprocmodu); }
   ;
NT_axiome_signal : KW_real  error
    { root_signal=LL_make_nil_atom();
      siganaerrorpos(@1,errprocmodu); }
   ;
NT_axiome_signal : KW_dreal  error
    { root_signal=LL_make_nil_atom();
      siganaerrorpos(@1,errprocmodu); }
   ;
NT_axiome_signal : KW_complex  error
    { root_signal=LL_make_nil_atom();
      siganaerrorpos(@1,errprocmodu); }
   ;
NT_axiome_signal : KW_dcomplex  error
    { root_signal=LL_make_nil_atom();
      siganaerrorpos(@1,errprocmodu); }
   ;
NT_axiome_signal : KW_char  error
    { root_signal=LL_make_nil_atom();
      siganaerrorpos(@1,errprocmodu); }
   ;
NT_axiome_signal : KW_string  error
    { root_signal=LL_make_nil_atom();
      siganaerrorpos(@1,errprocmodu); }
   ;
NT_axiome_signal : KW_enum  error
    { root_signal=LL_make_nil_atom();
      siganaerrorpos(@1,errprocmodu); }
   ;
NT_axiome_signal : KW_COUV  error
    { root_signal=LL_make_nil_atom();
      siganaerrorpos(@1,errprocmodu); }
   ;
NT_axiome_signal : KW_CFER  error
    { root_signal=LL_make_nil_atom();
      siganaerrorpos(@1,errprocmodu); }
   ;
NT_axiome_signal : KW_struct  error
    { root_signal=LL_make_nil_atom();
      siganaerrorpos(@1,errprocmodu); }
   ;
NT_axiome_signal : KW_bundle  error
    { root_signal=LL_make_nil_atom();
      siganaerrorpos(@1,errprocmodu); }
   ;
NT_axiome_signal : KW_constant  error
    { root_signal=LL_make_nil_atom();
      siganaerrorpos(@1,errprocmodu); }
   ;
NT_axiome_signal : KW_shared  error
    { root_signal=LL_make_nil_atom();
      siganaerrorpos(@1,errprocmodu); }
   ;
NT_axiome_signal : KW_statevar  error
    { root_signal=LL_make_nil_atom();
      siganaerrorpos(@1,errprocmodu); }
   ;
NT_axiome_signal : KW_label  error
    { root_signal=LL_make_nil_atom();
      siganaerrorpos(@1,errprocmodu); }
   ;
NT_axiome_signal : KW_ref  error
    { root_signal=LL_make_nil_atom();
      siganaerrorpos(@1,errprocmodu); }
   ;
NT_axiome_signal : KW_VERT  error
    { root_signal=LL_make_nil_atom();
      siganaerrorpos(@1,errprocmodu); }
   ;
NT_axiome_signal : KW_DPINDPIN  error
    { root_signal=LL_make_nil_atom();
      siganaerrorpos(@1,errprocmodu); }
   ;
NT_axiome_signal : KW_on  error
    { root_signal=LL_make_nil_atom();
      siganaerrorpos(@1,errprocmodu); }
   ;
NT_axiome_signal : KW_where  error
    { root_signal=LL_make_nil_atom();
      siganaerrorpos(@1,errprocmodu); }
   ;
NT_axiome_signal : KW_SLAH  error
    { root_signal=LL_make_nil_atom();
      siganaerrorpos(@1,errprocmodu); }
   ;
NT_axiome_signal : KW_array  error
    { root_signal=LL_make_nil_atom();
      siganaerrorpos(@1,errprocmodu); }
   ;
NT_axiome_signal : KW_of  error
    { root_signal=LL_make_nil_atom();
      siganaerrorpos(@1,errprocmodu); }
   ;
NT_axiome_signal : KW_iterate  error
    { root_signal=LL_make_nil_atom();
      siganaerrorpos(@1,errprocmodu); }
   ;
NT_axiome_signal : KW_to  error
    { root_signal=LL_make_nil_atom();
      siganaerrorpos(@1,errprocmodu); }
   ;
NT_axiome_signal : KW_with  error
    { root_signal=LL_make_nil_atom();
      siganaerrorpos(@1,errprocmodu); }
   ;
NT_axiome_signal : KW_case  error
    { root_signal=LL_make_nil_atom();
      siganaerrorpos(@1,errprocmodu); }
   ;
NT_axiome_signal : KW_in  error
    { root_signal=LL_make_nil_atom();
      siganaerrorpos(@1,errprocmodu); }
   ;
NT_axiome_signal : KW_DPIN  error
    { root_signal=LL_make_nil_atom();
      siganaerrorpos(@1,errprocmodu); }
   ;
NT_axiome_signal : KW_else  error
    { root_signal=LL_make_nil_atom();
      siganaerrorpos(@1,errprocmodu); }
   ;
NT_axiome_signal : KW_COUVPOIN  error
    { root_signal=LL_make_nil_atom();
      siganaerrorpos(@1,errprocmodu); }
   ;
NT_axiome_signal : KW_POINCFER  error
    { root_signal=LL_make_nil_atom();
      siganaerrorpos(@1,errprocmodu); }
   ;
NT_axiome_signal : KW_DPINEQUL  error
    { root_signal=LL_make_nil_atom();
      siganaerrorpos(@1,errprocmodu); }
   ;
NT_axiome_signal : KW_DPINDPINEQUL  error
    { root_signal=LL_make_nil_atom();
      siganaerrorpos(@1,errprocmodu); }
   ;
NT_axiome_signal : KW_defaultvalue  error
    { root_signal=LL_make_nil_atom();
      siganaerrorpos(@1,errprocmodu); }
   ;
NT_axiome_signal : KW_DPINEQULDPIN  error
    { root_signal=LL_make_nil_atom();
      siganaerrorpos(@1,errprocmodu); }
   ;
NT_axiome_signal : KW_CHAPEQUL  error
    { root_signal=LL_make_nil_atom();
      siganaerrorpos(@1,errprocmodu); }
   ;
NT_axiome_signal : KW_CHAPINFE  error
    { root_signal=LL_make_nil_atom();
      siganaerrorpos(@1,errprocmodu); }
   ;
NT_axiome_signal : KW_CHAPSUPE  error
    { root_signal=LL_make_nil_atom();
      siganaerrorpos(@1,errprocmodu); }
   ;
NT_axiome_signal : KW_CHAPDIES  error
    { root_signal=LL_make_nil_atom();
      siganaerrorpos(@1,errprocmodu); }
   ;
NT_axiome_signal : KW_MINUMINUSUPE  error
    { root_signal=LL_make_nil_atom();
      siganaerrorpos(@1,errprocmodu); }
   ;
NT_axiome_signal : KW_when  error
    { root_signal=LL_make_nil_atom();
      siganaerrorpos(@1,errprocmodu); }
   ;
NT_axiome_signal : KW_CHAP0  error
    { root_signal=LL_make_nil_atom();
      siganaerrorpos(@1,errprocmodu); }
   ;
NT_axiome_signal : KW_next  error
    { root_signal=LL_make_nil_atom();
      siganaerrorpos(@1,errprocmodu); }
   ;
NT_axiome_signal : KW_default  error
    { root_signal=LL_make_nil_atom();
      siganaerrorpos(@1,errprocmodu); }
   ;
NT_axiome_signal : KW_after  error
    { root_signal=LL_make_nil_atom();
      siganaerrorpos(@1,errprocmodu); }
   ;
NT_axiome_signal : KW_from  error
    { root_signal=LL_make_nil_atom();
      siganaerrorpos(@1,errprocmodu); }
   ;
NT_axiome_signal : KW_count  error
    { root_signal=LL_make_nil_atom();
      siganaerrorpos(@1,errprocmodu); }
   ;
NT_axiome_signal : KW_CHAPPLUS  error
    { root_signal=LL_make_nil_atom();
      siganaerrorpos(@1,errprocmodu); }
   ;
NT_axiome_signal : KW_CHAPMINU  error
    { root_signal=LL_make_nil_atom();
      siganaerrorpos(@1,errprocmodu); }
   ;
NT_axiome_signal : KW_CHAPETOI  error
    { root_signal=LL_make_nil_atom();
      siganaerrorpos(@1,errprocmodu); }
   ;
NT_axiome_signal : KW_COUVDPIN  error
    { root_signal=LL_make_nil_atom();
      siganaerrorpos(@1,errprocmodu); }
   ;
NT_axiome_signal : KW_COUVSLAHDPIN  error
    { root_signal=LL_make_nil_atom();
      siganaerrorpos(@1,errprocmodu); }
   ;
NT_axiome_signal : KW_if  error
    { root_signal=LL_make_nil_atom();
      siganaerrorpos(@1,errprocmodu); }
   ;
NT_axiome_signal : KW_then  error
    { root_signal=LL_make_nil_atom();
      siganaerrorpos(@1,errprocmodu); }
   ;
NT_axiome_signal : KW_POINPOIN  error
    { root_signal=LL_make_nil_atom();
      siganaerrorpos(@1,errprocmodu); }
   ;
NT_axiome_signal : KW_step  error
    { root_signal=LL_make_nil_atom();
      siganaerrorpos(@1,errprocmodu); }
   ;
NT_axiome_signal : KW_xor  error
    { root_signal=LL_make_nil_atom();
      siganaerrorpos(@1,errprocmodu); }
   ;
NT_axiome_signal : KW_or  error
    { root_signal=LL_make_nil_atom();
      siganaerrorpos(@1,errprocmodu); }
   ;
NT_axiome_signal : KW_and  error
    { root_signal=LL_make_nil_atom();
      siganaerrorpos(@1,errprocmodu); }
   ;
NT_axiome_signal : KW_not  error
    { root_signal=LL_make_nil_atom();
      siganaerrorpos(@1,errprocmodu); }
   ;
NT_axiome_signal : KW_EQULEQUL  error
    { root_signal=LL_make_nil_atom();
      siganaerrorpos(@1,errprocmodu); }
   ;
NT_axiome_signal : KW_INFEINFEEQUL  error
    { root_signal=LL_make_nil_atom();
      siganaerrorpos(@1,errprocmodu); }
   ;
NT_axiome_signal : KW_SLAHEQUL  error
    { root_signal=LL_make_nil_atom();
      siganaerrorpos(@1,errprocmodu); }
   ;
NT_axiome_signal : KW_SUPE  error
    { root_signal=LL_make_nil_atom();
      siganaerrorpos(@1,errprocmodu); }
   ;
NT_axiome_signal : KW_SUPEEQUL  error
    { root_signal=LL_make_nil_atom();
      siganaerrorpos(@1,errprocmodu); }
   ;
NT_axiome_signal : KW_INFE  error
    { root_signal=LL_make_nil_atom();
      siganaerrorpos(@1,errprocmodu); }
   ;
NT_axiome_signal : KW_INFEEQUL  error
    { root_signal=LL_make_nil_atom();
      siganaerrorpos(@1,errprocmodu); }
   ;
NT_axiome_signal : KW_PLUS  error
    { root_signal=LL_make_nil_atom();
      siganaerrorpos(@1,errprocmodu); }
   ;
NT_axiome_signal : KW_MINU  error
    { root_signal=LL_make_nil_atom();
      siganaerrorpos(@1,errprocmodu); }
   ;
NT_axiome_signal : KW_VERTPLUS  error
    { root_signal=LL_make_nil_atom();
      siganaerrorpos(@1,errprocmodu); }
   ;
NT_axiome_signal : KW_ETOI  error
    { root_signal=LL_make_nil_atom();
      siganaerrorpos(@1,errprocmodu); }
   ;
NT_axiome_signal : KW_ETOIPOIN  error
    { root_signal=LL_make_nil_atom();
      siganaerrorpos(@1,errprocmodu); }
   ;
NT_axiome_signal : KW_modulo  error
    { root_signal=LL_make_nil_atom();
      siganaerrorpos(@1,errprocmodu); }
   ;
NT_axiome_signal : KW_VERTETOI  error
    { root_signal=LL_make_nil_atom();
      siganaerrorpos(@1,errprocmodu); }
   ;
NT_axiome_signal : KW_ETOIETOI  error
    { root_signal=LL_make_nil_atom();
      siganaerrorpos(@1,errprocmodu); }
   ;
NT_axiome_signal : KW_ARRO  error
    { root_signal=LL_make_nil_atom();
      siganaerrorpos(@1,errprocmodu); }
   ;
NT_axiome_signal : KW_cell  error
    { root_signal=LL_make_nil_atom();
      siganaerrorpos(@1,errprocmodu); }
   ;
NT_axiome_signal : KW_var  error
    { root_signal=LL_make_nil_atom();
      siganaerrorpos(@1,errprocmodu); }
   ;
NT_axiome_signal : KW_DOLL  error
    { root_signal=LL_make_nil_atom();
      siganaerrorpos(@1,errprocmodu); }
   ;
NT_axiome_signal : KW_window  error
    { root_signal=LL_make_nil_atom();
      siganaerrorpos(@1,errprocmodu); }
   ;
NT_axiome_signal : KW_tr  error
    { root_signal=LL_make_nil_atom();
      siganaerrorpos(@1,errprocmodu); }
   ;
NT_axiome_signal : KW_BSLABSLA  error
    { root_signal=LL_make_nil_atom();
      siganaerrorpos(@1,errprocmodu); }
   ;
NT_axiome_signal : KW_CHAP  error
    { root_signal=LL_make_nil_atom();
      siganaerrorpos(@1,errprocmodu); }
   ;
NT_axiome_signal : KW_POIN  error
    { root_signal=LL_make_nil_atom();
      siganaerrorpos(@1,errprocmodu); }
   ;
NT_axiome_signal : KW_DIES  error
    { root_signal=LL_make_nil_atom();
      siganaerrorpos(@1,errprocmodu); }
   ;
NT_axiome_signal : KW_INFEINFE  error
    { root_signal=LL_make_nil_atom();
      siganaerrorpos(@1,errprocmodu); }
   ;
NT_axiome_signal : KW_SUPESUPE  error
    { root_signal=LL_make_nil_atom();
      siganaerrorpos(@1,errprocmodu); }
   ;
NT_axiome_signal : KW_false  error
    { root_signal=LL_make_nil_atom();
      siganaerrorpos(@1,errprocmodu); }
   ;
NT_axiome_signal : KW_true  error
    { root_signal=LL_make_nil_atom();
      siganaerrorpos(@1,errprocmodu); }
   ;
NT_axiome_signal : ENTIER  error
    { root_signal=LL_make_nil_atom();
      siganaerrorpos(@1,errprocmodu); }
   ;
NT_axiome_signal : REEL  error
    { root_signal=LL_make_nil_atom();
      siganaerrorpos(@1,errprocmodu); }
   ;
NT_axiome_signal : DREEL  error
    { root_signal=LL_make_nil_atom();
      siganaerrorpos(@1,errprocmodu); }
   ;
NT_axiome_signal : CAR  error
    { root_signal=LL_make_nil_atom();
      siganaerrorpos(@1,errprocmodu); }
   ;
NT_axiome_signal : CHAINE  error
    { root_signal=LL_make_nil_atom();
      siganaerrorpos(@1,errprocmodu); }
   ;
NT_axiome_signal : error  NT_corps  KW_PVIR
    { root_signal=LL_make_nil_atom();
      siganaerrorpos(@1,errprocmodu); }
   ;
NT_l_identificateurs : NT_identificateur  
   { $$=LL_make_lident_list($1); }
   ;
NT_l_identificateurs : NT_l_identificateurs  KW_VIRG  NT_identificateur  
   { $$=ntreeList_appendLast($1,$3); }
   ;
NT_l_identificateurs : NT_l_identificateurs  KW_VIRG  error  
   { $$=$1;
     siganaerrorpos(@3,errident); }
   ;
NT_identificateur : IDENT  
   { ptident identRes;
     $$=string2ident(yytext); }
   ;
NT_l_modules : NT_module  
   { $$=LL_make_lmodu_list($1); }
   ;
NT_l_modules : NT_l_modules  KW_PVIR  NT_module  
   { $$=ntreeList_appendLast($1,$3); }
   ;
NT_l_modules : NT_l_modules  KW_PVIR  error  
   { $$=$1;
     siganaerrorpos(@3,errmodu); }
   ;

NT_module : NT_module_ident  NT_description_module  KW_end  
   { $$=LL_make_modu_tree($1,$2); complete_comments($$,0); }
   ;
NT_module : NT_module_ident  NT_description_module  error  
   { $$=LL_make_modu_tree($1,$2); complete_comments($$,0);  
     siganaerrorpos(@3,errend); }
   ;
NT_module_ident : KW_module  NT_identificateur  KW_EQUL  
   { $$=$2; complete_comments($$,0); }
   ;
NT_module_ident : KW_module  NT_identificateur  KW_DPINEQUL  
   { $$=$2; complete_comments($$,0); }
   ;
NT_module_ident : KW_module  NT_identificateur  error  
   { $$=$2; complete_comments($$,0);  
     siganaerrorpos(@3,errequl); }
   ;
NT_module_ident : KW_module  error  
   { $$=LL_make_nil_atom(); complete_comments($$,0);  
     siganaerrorpos(@2,errmoduident); }
   ;
NT_description_module : NT_o_l_pragmas  NT_o_l_declarations
   { $$=LL_make_descmodu_tree($1,$2); }
   ;
NT_import : KW_use  NT_l_objets_importes  
   { $$=$2; complete_comments($$,0); }
   ;
NT_import : KW_use  error  
   { $$=LL_make_nil_atom(); complete_comments($$,0);
     siganaerrorpos(@2,errident); }
   ;
NT_l_objets_importes : NT_objet_importe  
   { $$=LL_make_limpo_list($1); }
   ;
NT_l_objets_importes : NT_l_objets_importes  KW_VIRG  NT_objet_importe  
   { $$=ntreeList_appendLast($1,$3); }
   ;
NT_l_objets_importes : NT_l_objets_importes  KW_VIRG  error  
   { $$=$1;
     siganaerrorpos(@3,errident); }
   ;
NT_objet_importe : NT_identificateur  
   { $$=$1; }
   ;
NT_indication_externe : KW_external  
   { $$=LL_make_exte_tree(LL_make_nil_atom()); }
   ;
NT_indication_externe : KW_external  NT_chaine  
   { $$=LL_make_exte_tree($2); }
   ;
NT_o_l_declarations : 
   { $$=LL_make_nil_atom(); }
   ;
NT_o_l_declarations : NT_l_declarations  
   { $$=$1; }
   ;
NT_o_l_declarations : NT_l_declarations  KW_PVIR  
   { $$=$1; }
   ;
NT_l_declarations : NT_declaration  
   { $$=LL_make_ldecl_list($1); }
   ;
NT_l_declarations : NT_l_declarations  KW_PVIR  NT_declaration  
   { $$=ntreeList_appendLast($1,$3); }
   ;
NT_declaration : NT_decl_processus  
    { $$=$1; }
   ;
NT_declaration : NT_decl_suites  
    { $$=$1; }
   ;
NT_declaration : NT_decl_constantes  
    { $$=$1; }
   ;
NT_declaration : NT_decl_partages  
    { $$=$1; }
   ;
NT_declaration : NT_decl_variables  
    { $$=$1; }
   ;
NT_declaration : NT_decl_etiquettes  
    { $$=$1; }
   ;
NT_declaration : NT_import  
    { $$=$1; }
   ;
NT_declaration : NT_references  
    { $$=$1; }
   ;
NT_decl_processus : NT_process_ident  NT_def_interface  NT_description  
   { $$=LL_make_process_tree($1,$2,$3); complete_comments($$,0); }
   ;
NT_decl_processus : NT_process_ident  error  
   { $$=LL_make_process_tree($1,LL_make_nil_atom(),LL_make_nil_atom()); complete_comments($$,0);  
     siganaerrorpos(@2,errinte); }
   ;
NT_process_ident : KW_process  NT_identificateur  KW_EQUL  
   { $$=$2; complete_comments($$,0); }
   ;
NT_process_ident : KW_process  NT_identificateur  KW_DPINEQUL  
   { $$=$2; complete_comments($$,0); }
   ;
NT_process_ident : KW_process  NT_identificateur  error  
   { $$=$2; complete_comments($$,0);  
     siganaerrorpos(@3,errequl); }
   ;
NT_process_ident : KW_process  error  
   { $$=LL_make_nil_atom(); complete_comments($$,0);  
     siganaerrorpos(@2,errprocident); }
   ;
NT_decl_processus : NT_private_process_ident  NT_def_interface  NT_description  
   { $$=LL_make_processp_tree($1,$2,$3); complete_comments($$,0); }
   ;
NT_decl_processus : NT_private_process_ident  error  
   { $$=LL_make_processp_tree($1,LL_make_nil_atom(),LL_make_nil_atom()); complete_comments($$,0);   
     siganaerrorpos(@2,errinte); }
   ;
NT_private_process_ident : KW_private  KW_process  NT_identificateur  KW_EQUL  
   { $$=$3; complete_comments($$,0); }
   ;
NT_private_process_ident : KW_private  KW_process  NT_identificateur  KW_DPINEQUL  
   { $$=$3; complete_comments($$,0); }
   ;
NT_private_process_ident : KW_private  KW_process  NT_identificateur  error  
   { $$=$3; complete_comments($$,0);   
     siganaerrorpos(@4,errequl); }
   ;
NT_private_process_ident : KW_private  KW_process  error  
   { $$=LL_make_nil_atom(); complete_comments($$,0);   
     siganaerrorpos(@3,errprocident); }
   ;
NT_decl_processus : NT_node_ident  NT_def_interface  NT_description  
   { $$=LL_make_node_tree($1,$2,$3); complete_comments($$,0); }
   ;
NT_decl_processus : NT_node_ident  error  
   { $$=LL_make_node_tree($1,LL_make_nil_atom(),LL_make_nil_atom()); complete_comments($$,0);  
     siganaerrorpos(@2,errinte); }
   ;
NT_node_ident : KW_node  NT_identificateur  KW_EQUL  
   { $$=$2; complete_comments($$,0); }
   ;
NT_node_ident : KW_node  NT_identificateur  KW_DPINEQUL  
   { $$=$2; complete_comments($$,0); }
   ;
NT_node_ident : KW_node  NT_identificateur  error  
   { $$=$2; complete_comments($$,0);   
     siganaerrorpos(@3,errequl); }
   ;
NT_node_ident : KW_node  error  
   { $$=LL_make_nil_atom(); complete_comments($$,0);   
     siganaerrorpos(@2,errnodeident); }
   ;
NT_decl_processus : NT_private_node_ident  NT_def_interface  NT_description  
   { $$=LL_make_nodep_tree($1,$2,$3); complete_comments($$,0); }
   ;
NT_decl_processus : NT_private_node_ident  error  
   { $$=LL_make_nodep_tree($1,LL_make_nil_atom(),LL_make_nil_atom()); complete_comments($$,0);  
     siganaerrorpos(@2,errinte); }
   ;
NT_private_node_ident : KW_private  KW_node  NT_identificateur  KW_EQUL  
   { $$=$3; complete_comments($$,0); }
   ;
NT_private_node_ident : KW_private  KW_node  NT_identificateur  KW_DPINEQUL  
   { $$=$3; complete_comments($$,0); }
   ;
NT_private_node_ident : KW_private  KW_node  NT_identificateur  error  
   { $$=$3; complete_comments($$,0);  
     siganaerrorpos(@4,errequl); }
   ;
NT_private_node_ident : KW_private  KW_node  error  
   { $$=LL_make_nil_atom(); complete_comments($$,0);  
     siganaerrorpos(@3,errnodeident); }
   ;
NT_decl_processus : NT_function_ident  NT_def_interface  NT_description  
   { $$=LL_make_func_tree($1,$2,$3); complete_comments($$,0); }
   ;
NT_decl_processus : NT_function_ident  error  
   { $$=LL_make_func_tree($1,LL_make_nil_atom(),LL_make_nil_atom()); complete_comments($$,0);  
     siganaerrorpos(@2,errinte); }
   ;
NT_function_ident : KW_function  NT_identificateur  KW_EQUL  
   { $$=$2; complete_comments($$,0); }
   ;
NT_function_ident : KW_function  NT_identificateur  KW_DPINEQUL  
   { $$=$2; complete_comments($$,0); }
   ;
NT_function_ident : KW_function  NT_identificateur  error  
   { $$=$2; complete_comments($$,0);  
     siganaerrorpos(@3,errequl); }
   ;
NT_function_ident : KW_function  error  
   { $$=LL_make_nil_atom(); complete_comments($$,0);  
     siganaerrorpos(@2,errfuncident); }
   ;
NT_decl_processus : NT_private_function_ident  NT_def_interface  NT_description  
   { $$=LL_make_funcp_tree($1,$2,$3); complete_comments($$,0); }
   ;
NT_decl_processus : NT_private_function_ident  error  
   { $$=LL_make_funcp_tree($1,LL_make_nil_atom(),LL_make_nil_atom()); complete_comments($$,0);  
     siganaerrorpos(@2,errinte); }
   ;
NT_private_function_ident : KW_private  KW_function  NT_identificateur  KW_EQUL  
   { $$=$3; complete_comments($$,0); }
   ;
NT_private_function_ident : KW_private  KW_function  NT_identificateur  KW_DPINEQUL  
   { $$=$3; complete_comments($$,0); }
   ;
NT_private_function_ident : KW_private  KW_function  NT_identificateur  error  
   { $$=$3; complete_comments($$,0);  
     siganaerrorpos(@4,errequl); }
   ;
NT_private_function_ident : KW_private  KW_function  error  
   { $$=LL_make_nil_atom(); complete_comments($$,0);  
     siganaerrorpos(@3,errfuncident); }
   ;
NT_decl_processus : NT_action_ident  NT_def_interface  NT_description  
   { $$=LL_make_act_tree($1,$2,$3); complete_comments($$,0); }
   ;
NT_decl_processus : NT_action_ident  error  
   { $$=LL_make_act_tree($1,LL_make_nil_atom(),LL_make_nil_atom()); complete_comments($$,0);  
     siganaerrorpos(@2,errinte); }
   ;
NT_action_ident : KW_action  NT_identificateur  KW_EQUL  
   { $$=$2; complete_comments($$,0); }
   ;
NT_action_ident : KW_action  NT_identificateur  KW_DPINEQUL  
   { $$=$2; complete_comments($$,0); }
   ;
NT_action_ident : KW_action  NT_identificateur  error  
   { $$=$2; complete_comments($$,0);  
     siganaerrorpos(@3,errequl); }
   ;
NT_action_ident : KW_action  error  
   { $$=LL_make_nil_atom(); complete_comments($$,0);  
     siganaerrorpos(@2,erractident); }
   ;
NT_decl_processus : NT_private_action_ident  NT_def_interface  NT_description  
   { $$=LL_make_actp_tree($1,$2,$3); complete_comments($$,0); }
   ;
NT_decl_processus : NT_private_action_ident  error  
   { $$=LL_make_actp_tree($1,LL_make_nil_atom(),LL_make_nil_atom()); complete_comments($$,0);  
     siganaerrorpos(@2,errinte); }
   ;
NT_private_action_ident : KW_private  KW_action  NT_identificateur  KW_EQUL  
   { $$=$3; complete_comments($$,0); }
   ;
NT_private_action_ident : KW_private  KW_action  NT_identificateur  KW_DPINEQUL  
   { $$=$3; complete_comments($$,0); }
   ;
NT_private_action_ident : KW_private  KW_action  NT_identificateur  error  
   { $$=$3; complete_comments($$,0);  
     siganaerrorpos(@4,errequl); }
   ;
NT_private_action_ident : KW_private  KW_action  error  
   { $$=LL_make_nil_atom(); complete_comments($$,0);  
     siganaerrorpos(@3,erractident); }
   ;
NT_decl_processus : NT_procedure_ident  NT_def_interface  NT_description  
   { $$=LL_make_procedure_tree($1,$2,$3); complete_comments($$,0); }
   ;
NT_decl_processus : NT_procedure_ident  error  
   { $$=LL_make_procedure_tree($1,LL_make_nil_atom(),LL_make_nil_atom()); complete_comments($$,0);  
     siganaerrorpos(@2,errinte); }
   ;
NT_procedure_ident : KW_procedure  NT_identificateur  KW_EQUL  
   { $$=$2; complete_comments($$,0); }
   ;
NT_procedure_ident : KW_procedure  NT_identificateur  KW_DPINEQUL  
   { $$=$2; complete_comments($$,0); }
   ;
NT_procedure_ident : KW_procedure  NT_identificateur  error  
   { $$=$2; complete_comments($$,0);  
     siganaerrorpos(@3,errequl); }
   ;
NT_procedure_ident : KW_procedure  error  
   { $$=LL_make_nil_atom(); complete_comments($$,0);  
     siganaerrorpos(@2,errprocedureident); }
   ;
NT_decl_processus : NT_private_procedure_ident  NT_def_interface  NT_description  
   { $$=LL_make_procedurep_tree($1,$2,$3); complete_comments($$,0); }
   ;
NT_decl_processus : NT_private_procedure_ident  error  
   { $$=LL_make_procedurep_tree($1,LL_make_nil_atom(),LL_make_nil_atom()); complete_comments($$,0);  
     siganaerrorpos(@2,errinte); }
   ;
NT_private_procedure_ident : KW_private  KW_procedure  NT_identificateur  KW_EQUL  
   { $$=$3; complete_comments($$,0); }
   ;
NT_private_procedure_ident : KW_private  KW_procedure  NT_identificateur  KW_DPINEQUL  
   { $$=$3; complete_comments($$,0); }
   ;
NT_private_procedure_ident : KW_private  KW_procedure  NT_identificateur  error  
   { $$=$3; complete_comments($$,0);  
     siganaerrorpos(@4,errequl); }
   ;
NT_private_procedure_ident : KW_private  KW_procedure  error  
   { $$=LL_make_nil_atom(); complete_comments($$,0);  
     siganaerrorpos(@3,errprocedureident); }
   ;
NT_decl_processus : NT_automaton_ident  NT_def_interface  NT_description  
   { $$=LL_make_automaton_tree($1,$2,$3); complete_comments($$,0); }
   ;
NT_decl_processus : NT_automaton_ident  error  
   { $$=LL_make_automaton_tree($1,LL_make_nil_atom(),LL_make_nil_atom()); complete_comments($$,0);  
     siganaerrorpos(@2,errinte); }
   ;
NT_automaton_ident : KW_automaton  NT_identificateur  KW_EQUL  
   { $$=$2; complete_comments($$,0); }
   ;
NT_automaton_ident : KW_automaton  NT_identificateur  KW_DPINEQUL  
   { $$=$2; complete_comments($$,0); }
   ;
NT_automaton_ident : KW_automaton  NT_identificateur  error  
   { $$=$2; complete_comments($$,0);  
     siganaerrorpos(@3,errequl); }
   ;
NT_automaton_ident : KW_automaton  error  
   { $$=LL_make_nil_atom(); complete_comments($$,0);  
     siganaerrorpos(@2,errautomatonident); }
   ;
NT_decl_processus : NT_private_automaton_ident  NT_def_interface  NT_description  
   { $$=LL_make_automatonp_tree($1,$2,$3); complete_comments($$,0); }
   ;
NT_decl_processus : NT_private_automaton_ident  error  
   { $$=LL_make_automatonp_tree($1,LL_make_nil_atom(),LL_make_nil_atom()); complete_comments($$,0);  
     siganaerrorpos(@2,errinte); }
   ;
NT_private_automaton_ident : KW_private  KW_automaton  NT_identificateur  KW_EQUL  
   { $$=$3; complete_comments($$,0); }
   ;
NT_private_automaton_ident : KW_private  KW_automaton  NT_identificateur  KW_DPINEQUL  
   { $$=$3; complete_comments($$,0); }
   ;
NT_private_automaton_ident : KW_private  KW_automaton  NT_identificateur  error  
   { $$=$3; complete_comments($$,0);  
     siganaerrorpos(@4,errequl); }
   ;
NT_private_automaton_ident : KW_private  KW_automaton  error  
   { $$=LL_make_nil_atom(); complete_comments($$,0);  
     siganaerrorpos(@3,errautomatonident); }
   ;
NT_decl_processus : NT_operator_ident_operateur  NT_def_interface  NT_description  
   { $$=LL_make_oper_tree($1,$2,$3); complete_comments($$,0); }
   ;
NT_decl_processus : NT_operator_ident_operateur  error  
   { $$=LL_make_oper_tree($1,LL_make_nil_atom(),LL_make_nil_atom()); complete_comments($$,0);  
     siganaerrorpos(@2,errinte); }
   ;
NT_operator_ident_operateur : KW_operator  NT_ident_operateur  KW_EQUL  
   { $$=$2; complete_comments($$,0); }
   ;
NT_operator_ident_operateur : KW_operator  NT_ident_operateur  KW_DPINEQUL  
   { $$=$2; complete_comments($$,0); }
   ;
NT_operator_ident_operateur : KW_operator  NT_ident_operateur  error  
   { $$=$2; complete_comments($$,0);  
     siganaerrorpos(@3,errequl); }
   ;
NT_operator_ident_operateur : KW_operator  error  
   { $$=LL_make_nil_atom(); complete_comments($$,0);  
     siganaerrorpos(@2,erroperident); }
   ;
NT_description : NT_o_l_pragmas  NT_o_corps  
   { $$=LL_make_desc_tree($1,$2); }
   ;
NT_ident_operateur : NT_identificateur  
   { $$=$1; }
   ;
NT_ident_operateur : NT_operateur  
   { $$=$1; }
   ;
NT_decl_processus_formel : KW_process  NT_identificateur  NT_identificateur  
   { $$=LL_make_formproc_tree($2,$3); complete_comments($$,0); }
   ;
NT_decl_processus_formel : KW_node  NT_identificateur  NT_identificateur  
   { $$=LL_make_formnode_tree($2,$3); complete_comments($$,0); }
   ;
NT_decl_processus_formel : KW_function  NT_identificateur  NT_identificateur  
   { $$=LL_make_formfunc_tree($2,$3); complete_comments($$,0); }
   ;
NT_decl_processus_formel : KW_action  NT_identificateur  NT_identificateur  
   { $$=LL_make_formact_tree($2,$3); complete_comments($$,0); }
   ;
NT_decl_processus_formel : KW_procedure  NT_identificateur  NT_identificateur  
   { $$=LL_make_formprocedure_tree($2,$3); complete_comments($$,0); }
   ;
NT_decl_processus_formel : KW_automaton  NT_identificateur  NT_identificateur  
   { $$=LL_make_formautomaton_tree($2,$3); complete_comments($$,0); }
   ;
NT_def_interface : NT_interface  
   { $$=$1; }
   ;
NT_def_interface : NT_identificateur  
   { $$=$1; }
   ;
NT_interface : NT_o_suite_parametres_formels  NT_entrees_sorties  NT_graphe_externe  
   { $$=LL_make_inte_tree($1,$2,$3); }
   ;
NT_o_suite_parametres_formels : 
   { $$=LL_make_nil_atom(); }
   ;
NT_o_suite_parametres_formels : KW_BOUV  NT_o_l_decl_suites  KW_BFER  
    { $$=$2; }
   ;
NT_o_suite_parametres_formels : KW_BOUV  NT_o_l_decl_suites  error  
    { $$=$2;
      siganaerrorpos(@3,errbfer); }
   ;
NT_entrees_sorties : KW_POUV  NT_o_entrees  NT_o_sorties  KW_PFER  
   { $$=LL_make_entsor_tree($2,$3); complete_comments($$,0); }
   ;
NT_entrees_sorties : KW_POUV  NT_o_entrees  NT_o_sorties  error  
   { $$=LL_make_entsor_tree($2,$3);
      siganaerrorpos(@4,errpfer); complete_comments($$,0); }
   ;
NT_o_entrees : 
   { $$=LL_make_nil_atom(); }
   ;
NT_o_entrees : KW_INTE  NT_o_l_decl_suites  
    { $$=$2; }
   ;
NT_o_sorties : 
   { $$=LL_make_nil_atom(); }
   ;
NT_o_sorties : KW_XCLA  NT_o_l_decl_suites  
    { $$=$2; }
   ;
NT_graphe_externe : 
   { $$=LL_make_nil_atom(); }
   ;
NT_graphe_externe : NT_spec_proprietes  
    { $$=LL_make_spec_tree(LL_make_nil_atom(),$1); complete_comments($$,0); }
   ;
NT_graphe_externe : NT_l_attributs  
   { $$=LL_make_spec_tree($1,LL_make_nil_atom()); complete_comments($$,0); }
   ;
NT_graphe_externe : NT_l_attributs  NT_spec_proprietes  
   { $$=LL_make_spec_tree($1,$2); complete_comments($$,0); }
   ;
NT_l_attributs : NT_attribut  
   { $$=LL_make_lattr_list($1); }
   ;
NT_l_attributs : NT_l_attributs  NT_attribut  
   { $$=ntreeList_appendLast($1,$2); }
   ;
NT_attribut : KW_safe  
   { $$=LL_make_safe_atom(); }
   ;
NT_attribut : KW_deterministic  
   { $$=LL_make_determ_atom(); }
   ;
NT_attribut : KW_unsafe  
   { $$=LL_make_unsafe_atom(); }
   ;
NT_spec_proprietes : KW_spec  NT_primaire_processus  
   { $$=$2; }
   ;
NT_spec_proprietes : KW_spec  error  
   { $$=LL_make_nil_atom();
     siganaerrorpos(@2,erroemptyprocexpr); }
   ;
NT_o_corps : 
   { $$=LL_make_nil_atom(); }
   ;
NT_o_corps : NT_corps  
    { $$=$1; }
   ;
NT_corps : NT_corps_modele  
    { $$=$1; }
   ;

NT_corps_modele : NT_term_processus  
    { $$=$1; }
   ;
NT_corps_modele : NT_indication_externe  
    { $$=$1; }
   ;
NT_corps_modele : NT_indication_externe  NT_bloc_declarations  
   { $$=LL_make_pconf_tree($1,$2); }
   ;
NT_o_l_pragmas : 
   { $$=LL_make_nil_atom(); }
   ;
NT_o_l_pragmas : KW_pragmas  NT_l_pragmas  KW_end  KW_pragmas
    { $$=$2; }
   ;
NT_o_l_pragmas : KW_pragmas  NT_l_pragmas  KW_end
    { $$=$2; }
   ;
NT_o_l_pragmas : KW_pragmas  NT_l_pragmas  error  
    { $$=$2;
      siganaerrorpos(@3,errend); }
   ;
NT_o_l_pragmas : KW_pragmas  error  
    { $$=LL_make_nil_atom();
      siganaerrorpos(@2,errpragident); }
   ;
NT_l_pragmas : NT_pragma  
   { $$=LL_make_lprag_list($1); }
   ;
NT_l_pragmas : NT_l_pragmas  NT_pragma  
   { $$=ntreeList_appendLast($1,$2); }
   ;
NT_pragma : NT_identificateur  NT_o_l_objets_pragma  NT_enonce_pragma  
   { $$=LL_make_prag_tree($1,$2,$3); complete_comments($$,0); }
   ;
NT_pragma : NT_identificateur  NT_o_l_objets_pragma  
   { $$=LL_make_prag_tree($1,$2,LL_make_nil_atom()); complete_comments($$,0); }
   ;
NT_o_l_objets_pragma : 
   { $$=LL_make_nil_atom(); }
   ;
NT_o_l_objets_pragma : KW_BOUV  NT_l_objets_pragma  KW_BFER  
    { $$=$2; }
   ;
NT_o_l_objets_pragma : KW_BOUV  NT_l_objets_pragma  error  
    { $$=$2;
      siganaerrorpos(@3,errbfer); }
   ;
NT_o_l_objets_pragma : KW_BOUV  error  
    { $$=LL_make_nil_atom();
      siganaerrorpos(@2,errident); }
   ;
NT_l_objets_pragma : NT_objet_pragma  
   { $$=LL_make_lopra_list($1); }
   ;
NT_l_objets_pragma : NT_l_objets_pragma  KW_VIRG  NT_objet_pragma  
   { $$=ntreeList_appendLast($1,$3); }
   ;
NT_l_objets_pragma : NT_l_objets_pragma  KW_VIRG  error  
   { $$=$1;
     siganaerrorpos(@3,errident); }
   ;
NT_enonce_pragma : NT_chaine  
    { $$=$1; }
   ;
NT_objet_pragma : NT_identificateur  
    { $$=$1; }
   ;
NT_o_l_decl_suites : 
   { $$=LL_make_nil_atom(); }
   ;
NT_o_l_decl_suites : NT_l_decl_suites  
    { $$=$1; }
   ;
NT_o_l_decl_suites : NT_l_decl_suites  KW_PVIR  
    { $$=$1; }
   ;
NT_l_decl_suites : NT_decl_suites  
   { $$=LL_make_ldecs_list($1); }
   ;
NT_l_decl_suites : NT_l_decl_suites  KW_PVIR  NT_decl_suites  
   { $$=ntreeList_appendLast($1,$3); }
   ;
NT_decl_suites : NT_decl_types  
    { $$=$1; }
   ;
NT_decl_suites : NT_decl_signaux  
    { $$=$1; }
   ;
NT_decl_suites : NT_decl_processus_formel  
    { $$=$1; }
   ;
NT_decl_types : KW_type  NT_l_def_types  
    { $$=$2; complete_comments($$,0); }
   ;
NT_decl_types : KW_type  error  
    { $$=LL_make_nil_atom(); complete_comments($$,0);
      siganaerrorpos(@2,errtypeident); }
   ;
NT_decl_types : KW_private  KW_type  NT_l_def_types  
   { $$=nsetop($3,opltypep); complete_comments($$,0); }
   ;
NT_decl_types : KW_private  KW_type  error  
   { $$=LL_make_nil_atom(); complete_comments($$,0);
     siganaerrorpos(@3,errtypeident); }
   ;
NT_l_def_types : NT_def_type  
   { $$=LL_make_ltype_list($1); }
   ;
NT_l_def_types : NT_l_def_types  KW_VIRG  NT_def_type  
   { $$=ntreeList_appendLast($1,$3); }
   ;
NT_l_def_types : NT_l_def_types  KW_VIRG  error  
   { $$=$1;
     siganaerrorpos(@3,errtypeident); }
   ;
NT_def_type : NT_identificateur  
    { $$=$1; }
   ;
NT_def_type : NT_identificateur  KW_EQUL  NT_valeur_type  
   { $$=LL_make_type_tree($1,$3,LL_make_nil_atom()); }
   ;
NT_def_type : NT_identificateur  KW_DPINEQUL  NT_valeur_type  
   { $$=LL_make_type_tree($1,$3,LL_make_nil_atom()); }
   ;
NT_def_type : NT_identificateur  KW_EQUL  NT_valeur_type  KW_init  NT_expr_signal  
   { $$=LL_make_type_tree($1,$3,$5); }
   ;
NT_def_type : NT_identificateur  KW_DPINEQUL  NT_valeur_type  KW_init  NT_expr_signal  
   { $$=LL_make_type_tree($1,$3,$5); }
   ;
NT_def_type : NT_identificateur  KW_EQUL  NT_valeur_type  KW_init  error  
   { $$=LL_make_type_tree($1,$3,LL_make_nil_atom());
     siganaerrorpos(@5,errexpr); }
   ;
NT_def_type : NT_identificateur  KW_DPINEQUL  NT_valeur_type  KW_init  error  
   { $$=LL_make_type_tree($1,$3,LL_make_nil_atom());
     siganaerrorpos(@5,errexpr); }
   ;
NT_def_type : NT_identificateur  KW_EQUL  error  
   { $$=LL_make_type_tree($1,LL_make_nil_atom(),LL_make_nil_atom());
     siganaerrorpos(@3,errtypedescr); }
   ;
NT_def_type : NT_identificateur  KW_DPINEQUL  error  
   { $$=LL_make_type_tree($1,LL_make_nil_atom(),LL_make_nil_atom());
     siganaerrorpos(@3,errtypedescr); }
   ;
NT_def_type : KW_process  NT_identificateur  KW_EQUL  NT_def_interface  NT_o_l_pragmas
   { $$=LL_make_typeproc_tree($2,$4,$5); }
   ;
NT_def_type : KW_process  NT_identificateur  KW_DPINEQUL  NT_def_interface  NT_o_l_pragmas
   { $$=LL_make_typeproc_tree($2,$4,$5); }
   ;
NT_def_type : KW_process  NT_identificateur  KW_EQUL  error  
   { $$=LL_make_typeproc_tree($2,LL_make_nil_atom(), LL_make_nil_atom());
     siganaerrorpos(@4,errinte); }
   ;
NT_def_type : KW_process  NT_identificateur  KW_DPINEQUL  error  
   { $$=LL_make_typeproc_tree($2,LL_make_nil_atom(),LL_make_nil_atom());
     siganaerrorpos(@4,errinte); }
   ;
NT_def_type : KW_process  NT_identificateur  error  
   { $$=LL_make_typeproc_tree($2,LL_make_nil_atom(),LL_make_nil_atom());
     siganaerrorpos(@3,errequl); }
   ;
NT_def_type : KW_process  error  
   { $$=LL_make_typeproc_tree(LL_make_nil_atom(),LL_make_nil_atom(),LL_make_nil_atom());
     siganaerrorpos(@2,errident); }
   ;
NT_def_type : KW_node  NT_identificateur  KW_EQUL  NT_def_interface  NT_o_l_pragmas
   { $$=LL_make_typenode_tree($2,$4,$5); }
   ;
NT_def_type : KW_node  NT_identificateur  KW_DPINEQUL  NT_def_interface  NT_o_l_pragmas
   { $$=LL_make_typenode_tree($2,$4,$5); }
   ;
NT_def_type : KW_node  NT_identificateur  KW_EQUL  error  
   { $$=LL_make_typenode_tree($2,LL_make_nil_atom(),LL_make_nil_atom());
     siganaerrorpos(@4,errinte); }
   ;
NT_def_type : KW_node  NT_identificateur  KW_DPINEQUL  error  
   { $$=LL_make_typenode_tree($2,LL_make_nil_atom(),LL_make_nil_atom());
     siganaerrorpos(@4,errinte); }
   ;
NT_def_type : KW_node  NT_identificateur  error  
   { $$=LL_make_typenode_tree($2,LL_make_nil_atom(),LL_make_nil_atom());
     siganaerrorpos(@3,errequl); }
   ;
NT_def_type : KW_node  error  
   { $$=LL_make_typenode_tree(LL_make_nil_atom(),LL_make_nil_atom(),LL_make_nil_atom());
     siganaerrorpos(@2,errident); }
   ;
NT_def_type : KW_function  NT_identificateur  KW_EQUL  NT_def_interface  NT_o_l_pragmas
   { $$=LL_make_typefunc_tree($2,$4,$5); }
   ;
NT_def_type : KW_function  NT_identificateur  KW_DPINEQUL  NT_def_interface  NT_o_l_pragmas
   { $$=LL_make_typefunc_tree($2,$4,$5); }
   ;
NT_def_type : KW_function  NT_identificateur  KW_EQUL  error  
   { $$=LL_make_typefunc_tree($2,LL_make_nil_atom(),LL_make_nil_atom());
     siganaerrorpos(@4,errinte); }
   ;
NT_def_type : KW_function  NT_identificateur  KW_DPINEQUL  error  
   { $$=LL_make_typefunc_tree($2,LL_make_nil_atom(),LL_make_nil_atom());
     siganaerrorpos(@4,errinte); }
   ;
NT_def_type : KW_function  NT_identificateur  error  
   { $$=LL_make_typefunc_tree($2,LL_make_nil_atom(),LL_make_nil_atom());
     siganaerrorpos(@3,errequl); }
   ;
NT_def_type : KW_function  error  
   { $$=LL_make_typeact_tree(LL_make_nil_atom(),LL_make_nil_atom(),LL_make_nil_atom());
     siganaerrorpos(@2,errident); }
   ;
NT_def_type : KW_action  NT_identificateur  KW_EQUL  NT_def_interface  NT_o_l_pragmas
   { $$=LL_make_typeact_tree($2,$4,$5); }
   ;
NT_def_type : KW_action  NT_identificateur  KW_DPINEQUL  NT_def_interface  NT_o_l_pragmas
   { $$=LL_make_typeact_tree($2,$4,$5); }
   ;
NT_def_type : KW_action  NT_identificateur  KW_EQUL  error  
   { $$=LL_make_typeact_tree($2,LL_make_nil_atom(),LL_make_nil_atom());
     siganaerrorpos(@4,errinte); }
   ;
NT_def_type : KW_action  NT_identificateur  KW_DPINEQUL  error  
   { $$=LL_make_typeact_tree($2,LL_make_nil_atom(),LL_make_nil_atom());
     siganaerrorpos(@4,errinte); }
   ;
NT_def_type : KW_action  NT_identificateur  error  
   { $$=LL_make_typeact_tree($2,LL_make_nil_atom(),LL_make_nil_atom());
     siganaerrorpos(@3,errequl); }
   ;
NT_def_type : KW_action  error  
   { $$=LL_make_typeact_tree(LL_make_nil_atom(),LL_make_nil_atom(),LL_make_nil_atom());
     siganaerrorpos(@2,errident); }
   ;
NT_def_type : KW_procedure  NT_identificateur  KW_EQUL  NT_def_interface  NT_o_l_pragmas
   { $$=LL_make_typeprocedure_tree($2,$4,$5); }
   ;
NT_def_type : KW_procedure  NT_identificateur  KW_DPINEQUL  NT_def_interface  NT_o_l_pragmas
   { $$=LL_make_typeprocedure_tree($2,$4,$5); }
   ;
NT_def_type : KW_procedure  NT_identificateur  KW_EQUL  error  
   { $$=LL_make_typeprocedure_tree($2,LL_make_nil_atom(),LL_make_nil_atom());
     siganaerrorpos(@4,errinte); }
   ;
NT_def_type : KW_procedure  NT_identificateur  KW_DPINEQUL  error  
   { $$=LL_make_typeprocedure_tree($2,LL_make_nil_atom(),LL_make_nil_atom());
     siganaerrorpos(@4,errinte); }
   ;
NT_def_type : KW_procedure  NT_identificateur  error  
   { $$=LL_make_typeprocedure_tree($2,LL_make_nil_atom(),LL_make_nil_atom());
     siganaerrorpos(@3,errequl); }
   ;
NT_def_type : KW_procedure  error  
   { $$=LL_make_typeprocedure_tree(LL_make_nil_atom(),LL_make_nil_atom(),LL_make_nil_atom());
     siganaerrorpos(@2,errident); }
   ;
NT_def_type : KW_automaton  NT_identificateur  KW_EQUL  NT_def_interface  NT_o_l_pragmas
   { $$=LL_make_typeautomaton_tree($2,$4,$5); }
   ;
NT_def_type : KW_automaton  NT_identificateur  KW_DPINEQUL  NT_def_interface  NT_o_l_pragmas
   { $$=LL_make_typeautomaton_tree($2,$4,$5); }
   ;
NT_def_type : KW_automaton  NT_identificateur  KW_EQUL  error  
   { $$=LL_make_typeautomaton_tree($2,LL_make_nil_atom(),LL_make_nil_atom());
     siganaerrorpos(@4,errinte); }
   ;
NT_def_type : KW_automaton  NT_identificateur  KW_DPINEQUL  error  
   { $$=LL_make_typeautomaton_tree($2,LL_make_nil_atom(),LL_make_nil_atom());
     siganaerrorpos(@4,errinte); }
   ;
NT_def_type : KW_automaton  NT_identificateur  error  
   { $$=LL_make_typeautomaton_tree($2,LL_make_nil_atom(),LL_make_nil_atom());
     siganaerrorpos(@3,errequl); }
   ;
NT_def_type : KW_automaton  error  
   { $$=LL_make_typeact_tree(LL_make_nil_atom(),LL_make_nil_atom(),LL_make_nil_atom());
     siganaerrorpos(@2,errident); }
   ;
NT_def_type : NT_type_decrit  KW_EQUL  NT_valeur_type  
   { $$=LL_make_type_tree($1,$3,LL_make_nil_atom()); }
   ;
NT_def_type : NT_type_decrit  KW_DPINEQUL  NT_valeur_type  
   { $$=LL_make_type_tree($1,$3,LL_make_nil_atom()); }
   ;
NT_def_type : NT_type_decrit  error  
   { $$=LL_make_type_tree($1,LL_make_nil_atom(),LL_make_nil_atom());
     siganaerrorpos(@2,errequlmissingpvir); }
   ;
NT_valeur_type : NT_type  
    { $$=$1; }
   ;
NT_valeur_type : NT_indication_externe  
    { $$=$1; }
   ;
NT_type : NT_type_decrit  
    { $$=$1; }
   ;
NT_type : NT_type_externe  
    { $$=$1; }
   ;
NT_type_decrit : NT_type_predefini  
    { $$=$1; }
   ;
NT_type_decrit : NT_type_enumere  
    { $$=$1; }
   ;
NT_type_decrit : NT_type_tableau  
    { $$=$1; }
   ;
NT_type_decrit : NT_type_tuple  
    { $$=$1; }
   ;
NT_type_predefini : KW_event  
   { $$=LL_make_event_atom(); }
   ;
NT_type_predefini : KW_boolean  
   { $$=LL_make_logical_atom(); }
   ;
NT_type_predefini : KW_short  
   { $$=LL_make_short_atom(); }
   ;
NT_type_predefini : KW_integer  
   { $$=LL_make_integer_atom(); }
   ;
NT_type_predefini : KW_long  
   { $$=LL_make_long_atom(); }
   ;
NT_type_predefini : KW_real  
   { $$=LL_make_real_atom(); }
   ;
NT_type_predefini : KW_dreal  
   { $$=LL_make_dpreal_atom(); }
   ;
NT_type_predefini : KW_complex  
   { $$=LL_make_complex_atom(); }
   ;
NT_type_predefini : KW_dcomplex  
   { $$=LL_make_dcomplex_atom(); }
   ;
NT_type_predefini : KW_char  
   { $$=LL_make_char_atom(); }
   ;
NT_type_predefini : KW_string  
   { $$=LL_make_string_atom(); }
   ;
NT_type_externe : NT_identificateur  
    { $$=$1; }
   ;
NT_type_enumere : KW_enum  KW_POUV  NT_l_identificateurs  KW_PFER  
   { $$=nsetop($3,optenum); }
   ;
NT_type_enumere : KW_enum  KW_BOUV  NT_l_identificateurs  KW_BFER  
   { $$=nsetop($3,optenum);}
   ;
NT_type_enumere : KW_enum  KW_POUV  NT_l_identificateurs  error  
   { $$=nsetop($3,optenum);
     siganaerrorpos(@4,errpfer); }
   ;
NT_type_enumere : KW_enum  KW_POUV  error  
   { $$=LL_make_nil_atom();
     siganaerrorpos(@3,errident); }
   ;
NT_type_enumere : KW_enum  error  
   { $$=LL_make_nil_atom();
     siganaerrorpos(@2,errpouv); }
   ;
NT_type_tableau : NT_expr_dimension  NT_type  
   { $$=LL_make_tvect_tree($1,$2); }
   ;
NT_expr_dimension : KW_COUV  NT_l_expr_signal  KW_CFER  
    { $$=$2; }
   ;
NT_expr_dimension : KW_COUV  NT_l_expr_signal  error  
    { $$=$2;
     siganaerrorpos(@3,errcfer); }
   ;
NT_expr_dimension : KW_COUV  KW_CFER  
   { $$=LL_make_nil_atom(); }
   ;
NT_expr_dimension : KW_COUV  error  
   { $$=LL_make_nil_atom();
     siganaerrorpos(@2,errexprcfer); }
   ;
NT_l_expr_signal : NT_expr_signal  
   { $$=LL_make_lesign_list($1); }
   ;
NT_l_expr_signal : NT_l_expr_signal  KW_VIRG  NT_expr_signal  
   { $$=ntreeList_appendLast($1,$3); }
   ;
NT_l_expr_signal : NT_l_expr_signal  KW_VIRG  error  
   { $$=$1;
     siganaerrorpos(@2,errexpr); }
   ;
NT_o_l_expr_signal : 
   { $$=LL_make_nil_atom(); }
   ;
NT_o_l_expr_signal : NT_l_expr_signal  
    { $$=$1; }
   ;
NT_type_tuple : KW_struct  KW_POUV  NT_champs_nommes  KW_PFER  
   { $$=LL_make_stru_tree($3); }
   ;
NT_type_tuple : KW_struct  KW_BOUV  NT_champs_nommes  KW_BFER  
   { $$=LL_make_stru_tree($3);     }
   ;
NT_type_tuple : KW_struct  KW_POUV  NT_champs_nommes  error  
   { $$=LL_make_stru_tree($3);
     siganaerrorpos(@4,errpfer); }
   ;
NT_type_tuple : KW_struct  error  
   { $$=LL_make_stru_tree(LL_make_nil_atom());
     siganaerrorpos(@2,errpouv); }
   ;
NT_type_tuple : KW_bundle  KW_POUV  NT_champs_nommes  KW_PFER  
   { $$=LL_make_bund_tree($3,LL_make_nil_atom()); }
   ;
NT_type_tuple : KW_bundle  KW_BOUV  NT_champs_nommes  KW_BFER  
   { $$=LL_make_bund_tree($3,LL_make_nil_atom());}
   ;
NT_type_tuple : KW_bundle  KW_POUV  NT_champs_nommes  KW_PFER  NT_spec_proprietes  
   { $$=LL_make_bund_tree($3,$5); }
   ;
NT_type_tuple : KW_bundle  KW_BOUV  NT_champs_nommes  KW_BFER  NT_spec_proprietes  
   { $$=LL_make_bund_tree($3,$5);}
   ;
NT_type_tuple : KW_bundle  KW_POUV  NT_champs_nommes  error  
   { $$=LL_make_bund_tree($3,LL_make_nil_atom());
     siganaerrorpos(@4,errpfer); }
   ;
NT_type_tuple : KW_bundle  error  
   { $$=LL_make_bund_tree(LL_make_nil_atom(),LL_make_nil_atom());
     siganaerrorpos(@2,errpouv); }
   ;
NT_champs_nommes : NT_o_l_decl_suites  
    { $$=$1; }
   ;
NT_decl_constantes : KW_constant  NT_type  NT_l_def_constantes  
   { $$=LL_make_deccon_tree($2,$3); complete_comments($$,0); }
   ;
NT_decl_constantes : KW_constant  NT_l_def_constantes  
   { $$=LL_make_deccon_tree(LL_make_implicit_atom(),$2); complete_comments($$,0); }
   ;
NT_decl_constantes : KW_constant  error  
   { $$=LL_make_deccon_tree(LL_make_nil_atom(),LL_make_nil_atom()); complete_comments($$,0); 
     siganaerrorpos(@2,errtype); }
   ;
NT_decl_constantes : KW_private  KW_constant  NT_type  NT_l_def_constantes  
   { $$=LL_make_decconp_tree($3,$4); complete_comments($$,0); }
   ;
NT_decl_constantes : KW_private  KW_constant  NT_l_def_constantes  
   { $$=LL_make_decconp_tree(LL_make_implicit_atom(),$3); complete_comments($$,0); }
   ;
NT_decl_constantes : KW_private  KW_constant  error  
   { $$=LL_make_decconp_tree(LL_make_nil_atom(),LL_make_nil_atom()); complete_comments($$,0);
     siganaerrorpos(@3,errtype); }
   ;
NT_l_def_constantes : NT_def_constante  
   { $$=LL_make_lcons_list($1); }
   ;
NT_l_def_constantes : NT_l_def_constantes  KW_VIRG  NT_def_constante  
   { $$=ntreeList_appendLast($1,$3); }
   ;
NT_l_def_constantes : NT_l_def_constantes  KW_VIRG  error  
   { $$=$1;
     siganaerrorpos(@3,errconstident); }
   ;
NT_def_constante : NT_identificateur  
    { $$=$1; }
   ;
NT_def_constante : NT_identificateur  KW_EQUL  NT_valeur_constante  
   { $$=LL_make_cons_tree($1,$3); }
   ;
NT_def_constante : NT_identificateur  KW_DPINEQUL  NT_valeur_constante  
   { $$=LL_make_cons_tree($1,$3); }
   ;
NT_def_constante : NT_identificateur  KW_EQUL  error  
   { $$=LL_make_cons_tree($1,LL_make_nil_atom());
     siganaerrorpos(@3,errconstdescr); }
   ;
NT_def_constante : NT_identificateur  KW_DPINEQUL  error  
   { $$=LL_make_cons_tree($1,LL_make_nil_atom());
     siganaerrorpos(@3,errconstdescr); }
   ;
NT_valeur_constante : NT_expr_signal  
    { $$=$1; }
   ;
NT_valeur_constante : NT_indication_externe  
    { $$=$1; }
   ;
NT_decl_signaux : NT_type  NT_l_signaux  
   { $$=LL_make_decsig_tree($1,$2); complete_comments($$,0); }
   ;
NT_decl_signaux : NT_l_signaux  
   { $$=LL_make_decsig_tree(LL_make_implicit_atom(),$1); complete_comments($$,0); }
   ;
NT_l_signaux : NT_signal  
   { $$=LL_make_lsign_list($1); }
   ;
NT_l_signaux : NT_l_signaux  KW_VIRG  NT_signal  
   { $$=ntreeList_appendLast($1,$3); }
   ;
NT_l_signaux : NT_l_signaux  KW_VIRG  error  
   { $$=$1;
     siganaerrorpos(@3,errsigident); }
   ;
NT_signal : NT_identificateur  
    { $$=$1; }
   ;
NT_signal : NT_identificateur  KW_init  NT_expr_signal  
   { $$=LL_make_init_tree($1,$3); }
   ;
NT_signal : NT_identificateur  KW_init  error  
   { $$=LL_make_init_tree($1,LL_make_nil_atom());
     siganaerrorpos(@3,errexpr); }
   ;
NT_decl_partages : KW_shared  NT_type  NT_l_signaux  
   { $$=LL_make_decpar_tree($2,$3); complete_comments($$,0); }
   ;
NT_decl_partages : KW_shared  NT_l_signaux  
   { $$=LL_make_decpar_tree(LL_make_implicit_atom(),$2); complete_comments($$,0); }
   ;
NT_decl_partages : KW_shared  error
   { $$=LL_make_decpar_tree(LL_make_nil_atom(),LL_make_nil_atom()); complete_comments($$,0); 
     siganaerrorpos(@2,errtype); }
   ;
NT_decl_variables : KW_statevar  NT_type  NT_l_signaux  
   { $$=LL_make_decvar_tree($2,$3); complete_comments($$,0); }
   ;
NT_decl_variables : KW_statevar  NT_l_signaux  
   { $$=LL_make_decvar_tree(LL_make_implicit_atom(),$2); complete_comments($$,0); }
   ;
NT_decl_variables : KW_statevar  error
   { $$=LL_make_decvar_tree(LL_make_nil_atom(),LL_make_nil_atom()); complete_comments($$,0); 
     siganaerrorpos(@2,errtype); }
   ;
NT_decl_etiquettes : KW_label  NT_l_identificateurs  
   { $$=LL_make_lab_tree($2); complete_comments($$,0); }
   ;
NT_decl_etiquettes : KW_label  error  
   { $$=LL_make_lab_tree(LL_make_nil_atom()); complete_comments($$,0); 
     siganaerrorpos(@2,errident); }
   ;
NT_references : KW_ref  NT_l_identificateurs  
   { $$=LL_make_ref_tree($2); complete_comments($$,0); }
   ;
NT_references : KW_ref  error  
   { $$=LL_make_ref_tree(LL_make_nil_atom()); complete_comments($$,0); 
     siganaerrorpos(@2,errident); }
   ;
NT_expr_processus : NT_exemplaire_processus  
    { $$=$1; }
   ;
NT_expr_processus : NT_definition_signal  
    { $$=$1; }
   ;
NT_expr_processus : NT_contrainte_signaux  
    { $$=$1; }
   ;
NT_expr_processus : NT_relation_horl  
    { $$=$1; }
   ;
NT_expr_processus : NT_dependances  
    { $$=$1; }
   ;
NT_expr_processus : NT_processus_etiquete  
    { $$=$1; }
   ;
NT_expr_processus : NT_term_processus  
    { $$=$1; }
   ;
NT_term_processus : NT_expr_profil  
    { $$=$1; }
   ;
NT_term_processus : NT_primaire_processus  
    { $$=$1; }
   ;
NT_primaire_processus : NT_processus_confine  
    { $$=$1; }
   ;
NT_primaire_processus : NT_motif  
    { $$=$1; }
   ;
NT_primaire_processus : NT_expr_case  
    { $$=$1; }
   ;
NT_primaire_processus : NT_composition  
    { $$=$1; }
   ;
NT_primaire_processus : NT_composition_seq  
    { $$=$1; }
   ;
NT_primaire_processus : KW_assert  NT_composition  
    { $$=LL_make_passert_tree($2); }
   ;
NT_primaire_processus : KW_assert  error  
    { $$=LL_make_passert_tree(LL_make_nil_atom()); 
      siganaerrorpos(@2,errprocexpr); }
   ;
NT_primaire_processus : KW_POUV  KW_VERT  KW_VERT  KW_PFER  
    { $$=LL_make_nullproc_atom(); }
   ;
NT_primaire_processus : KW_POUV  NT_definition_signal  KW_PFER  
    { $$=$2; }
   ;
NT_primaire_processus : KW_POUV  NT_contrainte_signaux  KW_PFER  
    { $$=$2; }
   ;
NT_composition : KW_POUV  KW_VERT  NT_l_composition  KW_VERT  KW_PFER  
    { $$=$3; }
   ;
NT_composition : KW_POUV  KW_VERT  error  
    { $$=LL_make_nil_atom();
      siganaerrorpos(@3,errprocexpr); }
   ;
NT_composition : KW_POUV  error  
    { $$=LL_make_nil_atom();
      siganaerrorpos(@2,errvertpvir); }
   ;
NT_l_composition : NT_expr_processus  
   { $$=LL_make_lfeed_list($1); }
   ;
NT_l_composition : NT_l_composition  KW_VERT  NT_expr_processus  
   { $$=ntreeList_appendLast($1,$3); }
   ;
NT_l_composition : NT_l_composition  KW_VERT  error
   { $$=$1;
     siganaerrorpos(@3,errprocexpr); }
   ;
NT_l_composition : NT_l_composition  error  
   { $$=$1;
     siganaerrorpos(@2,errvert); }
   ;
NT_composition_seq : KW_POUV  KW_PVIR  NT_l_composition_seq  KW_PVIR  KW_PFER  
    { $$=$3; }
   ;
NT_composition_seq : KW_POUV  KW_PVIR  error  
    { $$=LL_make_nil_atom();
      siganaerrorpos(@3,errprocexpr); }
   ;
NT_l_composition_seq : NT_expr_processus  
   { $$=LL_make_lseq_list($1); }
   ;
NT_l_composition_seq : NT_l_composition_seq  KW_PVIR  NT_expr_processus  
   { $$=ntreeList_appendLast($1,$3); }
   ;
NT_l_composition_seq : NT_l_composition_seq  KW_PVIR  error
   { $$=$1;
     siganaerrorpos(@3,errprocexpr); }
   ;
NT_l_composition_seq : NT_l_composition_seq  error  
   { $$=$1;
     siganaerrorpos(@2,errpvir); }
   ;
NT_processus_etiquete : NT_etiquette  KW_DPINDPIN  NT_expr_processus  
   { $$=LL_make_petiq_tree($1,$3); complete_comments($$,0); }
   ;
NT_processus_etiquete : NT_etiquette  KW_DPINDPIN  error  
   { $$=LL_make_petiq_tree($1,LL_make_nil_atom()); complete_comments($$,0); 
     siganaerrorpos(@3,errprocexpr); }
   ;
NT_processus_etiquete : KW_on  NT_expr_signal  KW_DPINDPIN  NT_expr_processus  
   { $$=LL_make_pcontrol_tree($2,$4); complete_comments($$,0); }
   ;
NT_processus_etiquete : KW_on  NT_expr_signal  KW_DPINDPIN  error  
   { $$=LL_make_pcontrol_tree($2,LL_make_nil_atom()); complete_comments($$,0); 
     siganaerrorpos(@4,errprocexpr); }
   ;
NT_processus_etiquete : KW_on  error  
   { $$=LL_make_pcontrol_tree(LL_make_nil_atom(),LL_make_nil_atom()); complete_comments($$,0); 
     siganaerrorpos(@2,errexpr); }
   ;
NT_etiquette : NT_identificateur  
    { $$=$1; }
   ;
NT_processus_confine : NT_primaire_processus  NT_bloc_declarations  
   { $$=LL_make_pconf_tree($1,$2); complete_comments($$,0); }
   ;
NT_bloc_declarations : KW_where  NT_o_l_declarations  KW_end  
    { $$=$2; }
   ;
NT_bloc_declarations : KW_where  NT_o_l_declarations  error  
   { $$=$2;
     siganaerrorpos(@3,errend); }
   ;
NT_expr_profil : NT_term_processus  KW_SLAH  NT_l_identificateurs  
   { $$=LL_make_obli_tree($1,$3); complete_comments($$,0); }
   ;
NT_expr_profil : NT_term_processus  KW_SLAH  error  
   { $$=LL_make_obli_tree($1,LL_make_nil_atom()); complete_comments($$,0); 
     siganaerrorpos(@3,errsigident); }
   ;
NT_motif : KW_array  NT_indice_motif  KW_of  NT_expr_processus  NT_o_init_motif  KW_end
   { $$=LL_make_moti_tree($2,$4,$5); complete_comments($$,0); }
   ;
NT_motif : KW_array  NT_indice_motif  KW_of  NT_expr_processus  NT_o_init_motif  error 
   { $$=LL_make_moti_tree($2,$4,$5); complete_comments($$,0); 
     siganaerrorpos(@6,errend); }
   ;
NT_motif : KW_array  NT_indice_motif  KW_of  error 
   { $$=LL_make_moti_tree($2,LL_make_nil_atom(),LL_make_nil_atom()); complete_comments($$,0); 
     siganaerrorpos(@4,errprocexpr); }
   ;
NT_motif : KW_array  NT_indice_motif  error 
   { $$=LL_make_moti_tree($2,LL_make_nil_atom(),LL_make_nil_atom()); complete_comments($$,0); 
     siganaerrorpos(@3,errof); }
   ;
NT_motif : KW_array  error 
   { $$=LL_make_moti_tree(LL_make_nil_atom(),LL_make_nil_atom(),LL_make_nil_atom()); complete_comments($$,0); 
     siganaerrorpos(@2,errindexident); }
   ;
NT_motif : KW_iterate  NT_expr_signal  KW_of  NT_expr_processus  NT_o_init_motif  KW_end
   { $$=LL_make_iter_tree($2,$4,$5); complete_comments($$,0); }
   ;
NT_motif : KW_iterate  NT_expr_signal  KW_of  NT_expr_processus  NT_o_init_motif  error 
   { $$=LL_make_iter_tree($2,$4,$5); complete_comments($$,0); 
     siganaerrorpos(@6,errend); }
   ;
NT_motif : KW_iterate  NT_expr_signal  KW_of  error 
   { $$=LL_make_iter_tree($2,LL_make_nil_atom(),LL_make_nil_atom()); complete_comments($$,0); 
     siganaerrorpos(@4,errprocexpr); }
   ;
NT_motif : KW_iterate  NT_expr_signal  error 
   { $$=LL_make_iter_tree($2,LL_make_nil_atom(),LL_make_nil_atom()); complete_comments($$,0); 
     siganaerrorpos(@3,errof); }
   ;
NT_motif : KW_iterate  error 
   { $$=LL_make_iter_tree(LL_make_nil_atom(),LL_make_nil_atom(),LL_make_nil_atom()); complete_comments($$,0); 
     siganaerrorpos(@2,erriter); }
   ;
NT_indice_motif : NT_identificateur  NT_borne_superieure  
   { $$=LL_make_indmot_tree($1,$2); }
   ;
NT_borne_superieure : KW_to  NT_expr_signal  
    { $$=$2; }
   ;
NT_borne_superieure : KW_to  error 
   { $$=LL_make_nil_atom();   
     siganaerrorpos(@2,errexpr); }
   ;
NT_o_init_motif : 
   { $$=LL_make_nil_atom(); }
   ;
NT_o_init_motif : NT_init_motif  
    { $$=$1; }
   ;
NT_init_motif : KW_with  NT_expr_processus  
   { $$=$2; }
   ;
NT_init_motif : KW_with  error
   { $$=LL_make_nil_atom();     
     siganaerrorpos(@2,errprocexpr); }
   ;
NT_expr_case : KW_case  NT_expr_signal  KW_in  NT_l_cas  NT_o_cas_sinon  KW_end  
   { $$=LL_make_pcas_tree($2,$4,$5); complete_comments($$,0); }
   ;
NT_expr_case : KW_case  NT_expr_signal  KW_in  NT_l_cas  NT_o_cas_sinon  error  
   { $$=LL_make_pcas_tree($2,$4,$5); complete_comments($$,0); 
     siganaerrorpos(@6,errend); }
   ;
NT_expr_case : KW_case  NT_expr_signal  KW_in  error  
   { $$=LL_make_pcas_tree($2,LL_make_nil_atom(),LL_make_nil_atom()); complete_comments($$,0); 
     siganaerrorpos(@4,errvalenum); }
   ;
NT_expr_case : KW_case  NT_expr_signal  error  
   { $$=LL_make_pcas_tree($2,LL_make_nil_atom(),LL_make_nil_atom()); complete_comments($$,0); 
     siganaerrorpos(@3,errin); }
   ;
NT_expr_case : KW_case  error  
   { $$=LL_make_pcas_tree(LL_make_nil_atom(),LL_make_nil_atom(),LL_make_nil_atom()); complete_comments($$,0); 
     siganaerrorpos(@2,errexpr); }
   ;
NT_l_cas : NT_cas  
   { $$=LL_make_lcas_list($1); }
   ;
NT_l_cas : NT_l_cas  NT_cas  
   { $$=ntreeList_appendLast($1,$2); }
   ;
NT_o_cas_sinon : 
   { $$=LL_make_nil_atom(); }
   ;
NT_o_cas_sinon : NT_cas_sinon  
    { $$=$1; }
   ;
NT_cas : NT_enumeration_valeurs  KW_DPIN  NT_term_processus  
   { $$=LL_make_cas_tree($1,$3); }
   ;
NT_cas : NT_enumeration_valeurs  KW_DPIN  error  
   { $$=LL_make_cas_tree($1,LL_make_nil_atom());
     siganaerrorpos(@3,errprocexpr); }
   ;
NT_cas : NT_enumeration_valeurs  error  
   { $$=LL_make_cas_tree($1,LL_make_nil_atom());
     siganaerrorpos(@2,errdpin); }
   ;
NT_cas_sinon : KW_else  NT_term_processus  
    { $$=$2; }
   ;
NT_cas_sinon : KW_else  error  
    { $$=LL_make_nil_atom();
      siganaerrorpos(@2,errprocexpr); }
   ;
NT_enumeration_valeurs : KW_BOUV  NT_l_expr_signal  KW_BFER  
    { $$=$2; }
   ;
NT_enumeration_valeurs : KW_POUV  NT_l_expr_signal  KW_PFER  
    { $$=$2;}
   ;
NT_enumeration_valeurs : KW_BOUV  NT_l_expr_signal  error  
    { $$=$2;
      siganaerrorpos(@3,errbfer); }
   ;
NT_enumeration_valeurs : KW_BOUV  error  
    { $$=LL_make_nil_atom();
      siganaerrorpos(@2,errexpr); }
   ;
NT_enumeration_valeurs : KW_COUVPOIN  NT_o_expr_signal  KW_VIRG  NT_o_expr_signal  KW_POINCFER  
   { $$=LL_make_intvff_tree($2,$4); }
   ;
NT_enumeration_valeurs : KW_COUVPOIN  NT_o_expr_signal  KW_VIRG  NT_o_expr_signal  error  
   { $$=LL_make_intvff_tree($2,$4);
     siganaerrorpos(@5,errbinterv); }
   ;
NT_enumeration_valeurs : KW_COUVPOIN  NT_o_expr_signal  error  
   { $$=LL_make_intvff_tree($2,LL_make_nil_atom());
     siganaerrorpos(@3,errvirg); }
   ;
NT_enumeration_valeurs : KW_COUVPOIN  NT_o_expr_signal  KW_VIRG  NT_o_expr_signal  KW_COUVPOIN  
   { $$=LL_make_intvfo_tree($2,$4); }
   ;
NT_enumeration_valeurs : KW_POINCFER  NT_o_expr_signal  KW_VIRG  NT_o_expr_signal  KW_POINCFER  
   { $$=LL_make_intvof_tree($2,$4); }
   ;
NT_enumeration_valeurs : KW_POINCFER  NT_o_expr_signal  KW_VIRG  NT_o_expr_signal  error  
   { $$=LL_make_intvof_tree($2,$4);
     siganaerrorpos(@5,errbinterv); }
   ;
NT_enumeration_valeurs : KW_POINCFER  NT_o_expr_signal  error  
   { $$=LL_make_intvof_tree($2,LL_make_nil_atom());
     siganaerrorpos(@3,errvirg); }
   ;
NT_enumeration_valeurs : KW_POINCFER  NT_o_expr_signal  KW_VIRG  NT_o_expr_signal  KW_COUVPOIN  
   { $$=LL_make_intvoo_tree($2,$4); }
   ;
NT_o_expr_signal : 
   { $$=LL_make_nil_atom(); }
   ;
NT_o_expr_signal : NT_expr_signal  
    { $$=$1; }
   ;
NT_exemplaire_processus : NT_production  
    { $$=$1; complete_comments($$,0); }
   ;
NT_exemplaire_processus : NT_appel  
    { $$=$1; complete_comments($$,0); }
   ;
NT_appel : NT_reference_processus  KW_POUV  NT_o_l_expr_signal  KW_PFER  
   { $$=LL_make_appe_tree($1,$3); }
   ;
NT_appel : NT_reference_processus  KW_POUV  NT_o_l_expr_signal  error  
   { $$=LL_make_appe_tree($1,$3);
     siganaerrorpos(@4,errpfer); }
   ;
NT_appel : KW_assert  KW_POUV  NT_expr_signal  KW_PFER  
   { $$=LL_make_appeassert_tree($3); }
   ;
NT_appel : KW_assert  KW_POUV  NT_expr_signal  error  
   { $$=LL_make_appeassert_tree($3);
     siganaerrorpos(@4,errpfer); }
   ;
NT_reference_processus : NT_production  
    { $$=$1; }
   ;
NT_reference_processus : NT_identificateur  
    { $$=$1; }
   ;
NT_production : NT_identificateur  KW_BOUV  NT_o_l_expr_param  KW_BFER  
   { $$=LL_make_inst_tree($1,$3); }
   ;
NT_l_expr_param : NT_expr_param  
   { $$=LL_make_lepara_list($1); }
   ;
NT_l_expr_param : NT_l_expr_param  KW_VIRG  NT_expr_param  
   { $$=ntreeList_appendLast($1,$3); }
   ;
NT_l_expr_param : NT_l_expr_param  KW_VIRG  error  
   { $$=$1;
     siganaerrorpos(@3,errexprtype); }
   ;
NT_o_l_expr_param : 
   { $$=LL_make_nil_atom(); }
   ;
NT_o_l_expr_param : NT_l_expr_param  
    { $$=$1; }
   ;
NT_expr_param : NT_expr_signal  
    { $$=$1; }
   ;
NT_expr_param : NT_type_decrit  
    { $$=$1; }
   ;
NT_definition_signal : NT_expr_signal  KW_DPINEQUL  NT_expr_signal  
   { $$=LL_make_defsig_tree($1,$3); complete_comments($$,0); }
   ;
NT_definition_signal : NT_expr_signal  KW_DPINEQUL  error
   { $$=LL_make_defsig_tree($1,LL_make_nil_atom()); complete_comments($$,0); 
     siganaerrorpos(@3,errexpr); }
   ;
NT_definition_signal : NT_expr_signal  KW_DPINDPINEQUL  NT_expr_signal  
   { $$=LL_make_defpart_tree($1,$3); complete_comments($$,0); }
   ;
NT_definition_signal : NT_expr_signal  KW_DPINDPINEQUL  error  
   { $$=LL_make_defpart_tree($1,LL_make_nil_atom()); complete_comments($$,0); 
     siganaerrorpos(@3,errexprdef); }
   ;
NT_definition_signal : NT_expr_signal  KW_DPINDPINEQUL  KW_defaultvalue  NT_expr_signal  
   { $$=LL_make_defpartdef_tree($1,$4); complete_comments($$,0); }
   ;
NT_definition_signal : NT_expr_signal  KW_DPINDPINEQUL  KW_defaultvalue  error  
   { $$=LL_make_defpartdef_tree($1,LL_make_nil_atom()); complete_comments($$,0); 
     siganaerrorpos(@4,errexpr); }
   ;
NT_contrainte_signaux : NT_expr_signal  KW_DPINEQULDPIN  NT_expr_signal  
   { $$=LL_make_defegal_tree($1,$3); complete_comments($$,0); }
   ;
NT_contrainte_signaux : NT_expr_signal  KW_DPINEQULDPIN  error  
   { $$=LL_make_defegal_tree($1,LL_make_nil_atom()); complete_comments($$,0); 
     siganaerrorpos(@3,errexpr); }
   ;
NT_relation_horl : NT_expr_signal  KW_CHAPEQUL  NT_l_horl_egales  
   { $$=ntreeList_insertFirst($1,$3); complete_comments($$,0); }
   ;
NT_relation_horl : NT_expr_signal  KW_CHAPEQUL  error  
   { $$=LL_make_lequhor_list($1); complete_comments($$,0); 
     siganaerrorpos(@3,errexpr); }
   ;
NT_relation_horl : NT_expr_signal  KW_CHAPINFE  NT_l_horl_croissantes  
   { $$=ntreeList_insertFirst($1,$3); complete_comments($$,0); }
   ;
NT_relation_horl : NT_expr_signal  KW_CHAPINFE  error  
   { $$=LL_make_lcrohor_list($1); complete_comments($$,0); 
     siganaerrorpos(@3,errexpr); }
   ;
NT_relation_horl : NT_expr_signal  KW_CHAPSUPE  NT_l_horl_decroissantes  
   { $$=ntreeList_insertFirst($1,$3); complete_comments($$,0); }
   ;
NT_relation_horl : NT_expr_signal  KW_CHAPSUPE  error  
   { $$=LL_make_ldechor_list($1); complete_comments($$,0); 
     siganaerrorpos(@3,errexpr); }
   ;
NT_relation_horl : NT_expr_signal  KW_CHAPDIES  NT_l_horl_exclusives  
   { $$=ntreeList_insertFirst($1,$3); complete_comments($$,0); }
   ;
NT_relation_horl : NT_expr_signal  KW_CHAPDIES  error  
   { $$=LL_make_lexchor_list($1); complete_comments($$,0); 
     siganaerrorpos(@3,errexpr); }
   ;
NT_l_horl_egales : NT_expr_signal  
   { $$=LL_make_lequhor_list($1); }
   ;
NT_l_horl_egales : NT_expr_signal  KW_CHAPEQUL  NT_l_horl_egales  
   { $$=ntreeList_insertFirst($1,$3); }
   ;
NT_l_horl_egales : NT_expr_signal  KW_CHAPEQUL  error  
   { $$=LL_make_lequhor_list($1);
     siganaerrorpos(@3,errexpr); }
   ;
NT_l_horl_croissantes : NT_expr_signal  
   { $$=LL_make_lcrohor_list($1); }
   ;
NT_l_horl_croissantes : NT_expr_signal  KW_CHAPINFE  NT_l_horl_croissantes  
   { $$=ntreeList_insertFirst($1,$3); }
   ;
NT_l_horl_croissantes : NT_expr_signal  KW_CHAPINFE  error  
   { $$=LL_make_lcrohor_list($1);
     siganaerrorpos(@3,errexpr); }
   ;
NT_l_horl_decroissantes : NT_expr_signal  
   { $$=LL_make_ldechor_list($1); }
   ;
NT_l_horl_decroissantes : NT_expr_signal  KW_CHAPSUPE  NT_l_horl_decroissantes  
   { $$=ntreeList_insertFirst($1,$3); }
   ;
NT_l_horl_decroissantes : NT_expr_signal  KW_CHAPSUPE  error  
   { $$=LL_make_ldechor_list($1);
     siganaerrorpos(@3,errexpr); }
   ;
NT_l_horl_exclusives : NT_expr_signal  
   { $$=LL_make_lexchor_list($1); }
   ;
NT_l_horl_exclusives : NT_expr_signal  KW_CHAPDIES  NT_l_horl_exclusives  
   { $$=ntreeList_insertFirst($1,$3); }
   ;
NT_l_horl_exclusives : NT_expr_signal  KW_CHAPDIES  error  
   { $$=LL_make_lexchor_list($1);
     siganaerrorpos(@3,errexpr); }
   ;
NT_dependances : NT_signaux  KW_MINUMINUSUPE  NT_l_dependances   
   { $$=ntreeList_insertFirst($1,$3); complete_comments($$,0); }
   ;
NT_dependances : NT_signaux  KW_MINUMINUSUPE  error  
   { $$=LL_make_ldep_list($1); complete_comments($$,0); 
     siganaerrorpos(@3,errlistlabsig); }
   ;
NT_dependances : KW_BOUV  NT_signaux  KW_MINUMINUSUPE  NT_signaux  KW_BFER  KW_when  NT_expr_signal  
   { $$=LL_make_depd_tree($2,$4,$7); complete_comments($$,0); }
   ;
NT_dependances : KW_POUV  NT_signaux  KW_MINUMINUSUPE  NT_signaux  KW_PFER  KW_when  NT_expr_signal  
   { $$=LL_make_depd_tree($2,$4,$7); complete_comments($$,0); }
   ;
NT_dependances : KW_BOUV  NT_signaux  KW_MINUMINUSUPE  NT_signaux  KW_BFER  KW_when  error  
   { $$=LL_make_depd_tree($2,$4,LL_make_nil_atom()); complete_comments($$,0); 
     siganaerrorpos(@7,errexpr); }
   ;
NT_dependances : KW_BOUV  NT_signaux  KW_MINUMINUSUPE  NT_signaux  KW_BFER  error  
   { $$=LL_make_depd_tree($2,$4,LL_make_nil_atom()); complete_comments($$,0); 
     siganaerrorpos(@6,errwhen); }
   ;
NT_dependances : KW_BOUV  NT_signaux  KW_MINUMINUSUPE  NT_signaux  error  
   { $$=LL_make_depd_tree($2,$4,LL_make_nil_atom()); complete_comments($$,0); 
     siganaerrorpos(@5,errbfer); }
   ;
NT_dependances : KW_BOUV  NT_signaux  KW_MINUMINUSUPE  error  
   { $$=LL_make_depd_tree($2,LL_make_nil_atom(),LL_make_nil_atom()); complete_comments($$,0); 
     siganaerrorpos(@4,errlistlabsig); }
   ;
NT_dependances : KW_BOUV  NT_signaux  error  
   { $$=LL_make_depd_tree($2,LL_make_nil_atom(),LL_make_nil_atom()); complete_comments($$,0); 
     siganaerrorpos(@3,errarrow); }
   ;
NT_dependances : KW_BOUV  error  
   { $$=LL_make_depd_tree(LL_make_nil_atom(),LL_make_nil_atom(),LL_make_nil_atom()); complete_comments($$,0); 
     siganaerrorpos(@2,errlistlabsig); }
   ;
NT_l_dependances : NT_signaux  
   { $$=LL_make_ldep_list($1); }
   ;
NT_l_dependances : NT_signaux  KW_MINUMINUSUPE  NT_l_dependances  
   { $$=ntreeList_insertFirst($1,$3); }
   ;
NT_l_dependances : NT_signaux  KW_MINUMINUSUPE  error
   { $$=LL_make_ldep_list($1);
     siganaerrorpos(@3,errlistlabsig); }
   ;
NT_signaux : NT_expr_signal  
    { $$=$1; }
   ;
NT_signaux : KW_BOUV  NT_l_expr_signal  KW_BFER  
    { $$=$2; }
   ;
NT_signaux : KW_BOUV  error  
    { $$=LL_make_nil_atom();
      siganaerrorpos(@2,errlistsig); }
   ;
NT_expr_signal : NT_expr_sequence  
    { $$=$1; }
   ;
NT_expr_signal : KW_CHAP0  
   { $$=LL_make_hnull_atom(); }
   ;
NT_expr_sequence : NT_expr_sequence  KW_next  NT_expr_restruct  
   { $$=LL_make_sequ_tree($1,$3); }
   ;
NT_expr_sequence : NT_expr_sequence  KW_next  error  
   { $$=LL_make_sequ_tree($1,LL_make_nil_atom());
     siganaerrorpos(@3,errexpr); }
   ;
NT_expr_sequence : NT_expr_restruct  
    { $$=$1; }
   ;
NT_expr_restruct : NT_expr_temporel  KW_DPIN  NT_expr_temporel  
   { $$=LL_make_rest_tree($1,$3); }
   ;
NT_expr_restruct : NT_expr_temporel  KW_DPIN  error  
   { $$=LL_make_rest_tree($1,LL_make_nil_atom());
     siganaerrorpos(@3,errexpr); }
   ;
NT_expr_restruct : NT_expr_temporel  
    { $$=$1; }
   ;
NT_expr_temporel : NT_expr_temporel  KW_default  NT_term_temporel  
   { $$=LL_make_mele_tree($1,$3); }
   ;
NT_expr_temporel : NT_expr_temporel  KW_default  error  
   { $$=LL_make_mele_tree($1,LL_make_nil_atom());
     siganaerrorpos(@3,errexpr); }
   ;
NT_expr_temporel : NT_term_temporel  
    { $$=$1; }
   ;
NT_term_temporel : NT_term_temporel  KW_when  NT_prim_temporel  
   { $$=LL_make_extr_tree($1,$3); }
   ;
NT_term_temporel : NT_term_temporel  KW_when  error  
   { $$=LL_make_extr_tree($1,LL_make_nil_atom());
     siganaerrorpos(@3,errexpr); }
   ;
NT_term_temporel : NT_prim_temporel  
    { $$=$1; }
   ;
NT_prim_temporel : NT_expr_horloge  KW_after  NT_expr_horloge  
   { $$=LL_make_nomba_tree($1,$3); }
   ;
NT_prim_temporel : NT_expr_horloge  KW_after  error  
   { $$=LL_make_nomba_tree($1,LL_make_nil_atom());
     siganaerrorpos(@3,errexpr); }
   ;
NT_prim_temporel : NT_expr_horloge  KW_from  NT_expr_horloge  
   { $$=LL_make_nombd_tree($1,$3); }
   ;
NT_prim_temporel : NT_expr_horloge  KW_from  error  
   { $$=LL_make_nombd_tree($1,LL_make_nil_atom());
     siganaerrorpos(@3,errexpr); }
   ;
NT_prim_temporel : NT_expr_horloge  KW_count  NT_expr_horloge  
   { $$=LL_make_nombm_tree($1,$3); }
   ;
NT_prim_temporel : NT_expr_horloge  KW_count  error  
   { $$=LL_make_nombm_tree($1,LL_make_nil_atom());
     siganaerrorpos(@3,errexpr); }
   ;
NT_prim_temporel : NT_expr_horloge  
    { $$=$1; }
   ;
NT_expr_horloge : NT_expr_horloge  KW_CHAPPLUS  NT_term_horloge  
   { $$=LL_make_bsup_tree($1,$3); }
   ;
NT_expr_horloge : NT_expr_horloge  KW_CHAPPLUS  error  
   { $$=LL_make_bsup_tree($1,LL_make_nil_atom());
     siganaerrorpos(@3,errexpr); }
   ;
NT_expr_horloge : NT_expr_horloge  KW_CHAPMINU  NT_term_horloge  
   { $$=LL_make_comp_tree($1,$3); }
   ;
NT_expr_horloge : NT_expr_horloge  KW_CHAPMINU  error  
   { $$=LL_make_comp_tree($1,LL_make_nil_atom());
     siganaerrorpos(@3,errexpr); }
   ;
NT_expr_horloge : NT_term_horloge  
    { $$=$1; }
   ;
NT_term_horloge : NT_term_horloge  KW_CHAPETOI  NT_fact_horloge  
   { $$=LL_make_binf_tree($1,$3); }
   ;
NT_term_horloge : NT_term_horloge  KW_CHAPETOI  error  
   { $$=LL_make_binf_tree($1,LL_make_nil_atom());
     siganaerrorpos(@3,errexpr); }
   ;
NT_term_horloge : NT_fact_horloge  
    { $$=$1; }
   ;
NT_fact_horloge : KW_when  NT_fact_horloge  
   { $$=LL_make_when1_tree($2); }
   ;
NT_fact_horloge : KW_when  error  
   { $$=LL_make_when1_tree(LL_make_nil_atom());
     siganaerrorpos(@2,errexpr); }
   ;
NT_fact_horloge : NT_expr_condition  
    { $$=$1; }
   ;
NT_fact_horloge_par : KW_COUVDPIN  NT_expr_signal  KW_CFER  
   { $$=LL_make_when1_tree($2); }
   ;
NT_fact_horloge_par : KW_COUVDPIN  NT_expr_signal  error  
   { $$=LL_make_when1_tree($2);
     siganaerrorpos(@3,errcfer); }
   ;
NT_fact_horloge_par : KW_COUVDPIN  error  
   { $$=LL_make_when1_tree(LL_make_nil_atom());
     siganaerrorpos(@2,errexpr); }
   ;
NT_fact_horloge_par : KW_COUVSLAHDPIN  NT_expr_signal  KW_CFER  
   { $$=LL_make_when1_tree(LL_make_non_tree($2)); }
   ;
NT_fact_horloge_par : KW_COUVSLAHDPIN  NT_expr_signal  error  
   { $$=LL_make_when1_tree(LL_make_non_tree($2));
     siganaerrorpos(@3,errcfer); }
   ;
NT_fact_horloge_par : KW_COUVSLAHDPIN  error  
   { $$=LL_make_when1_tree(LL_make_non_tree(LL_make_nil_atom()));
     siganaerrorpos(@2,errexpr); }
   ;
NT_expr_condition : KW_if  NT_expr_signal  KW_then  NT_expr_signal  KW_else  NT_expr_condition  
   { $$=LL_make_cond_tree($2,$4,$6); }
   ;
NT_expr_condition : KW_if  NT_expr_signal  KW_then  NT_expr_signal  KW_else  error  
   { $$=LL_make_cond_tree($2,$4,LL_make_nil_atom());
     siganaerrorpos(@6,errexpr); }
   ;
NT_expr_condition : KW_if  NT_expr_signal  KW_then  NT_expr_signal  error  
   { $$=LL_make_cond_tree($2,$4,LL_make_nil_atom());
     siganaerrorpos(@5,errelse); }
   ;
NT_expr_condition : KW_if  NT_expr_signal  KW_then  error  
   { $$=LL_make_cond_tree($2,LL_make_nil_atom(),LL_make_nil_atom());
     siganaerrorpos(@4,errexpr); }
   ;
NT_expr_condition : KW_if  NT_expr_signal  error  
   { $$=LL_make_cond_tree($2,LL_make_nil_atom(),LL_make_nil_atom());
     siganaerrorpos(@3,errthen); }
   ;
NT_expr_condition : KW_if  error  
   { $$=LL_make_cond_tree(LL_make_nil_atom(),LL_make_nil_atom(),LL_make_nil_atom());
     siganaerrorpos(@2,errexpr); }
   ;
NT_expr_condition : NT_expr_index  
    { $$=$1; }
   ;
NT_expr_index : NT_term_index  KW_POINPOIN  NT_term_index  KW_step  NT_term_index  
   { $$=LL_make_enum_tree($1,$3,$5); }
   ;
NT_expr_index : NT_term_index  KW_POINPOIN  NT_term_index  KW_step  error  
   { $$=LL_make_enum_tree($1,$3,LL_make_nil_atom());
     siganaerrorpos(@5,errexpr); }
   ;
NT_expr_index : NT_term_index  KW_POINPOIN  NT_term_index  
   { $$=LL_make_enum_tree($1,$3,LL_make_nil_atom()); }
   ;
NT_expr_index : NT_term_index  KW_POINPOIN  error  
   { $$=LL_make_enum_tree($1,LL_make_nil_atom(),LL_make_nil_atom());
     siganaerrorpos(@3,errexpr); }
   ;
NT_expr_index : NT_term_index  
    { $$=$1; }
   ;
NT_term_index : NT_expr_logique  
    { $$=$1; }
   ;
NT_expr_logique : NT_expr_logique  KW_xor  NT_term_logique  
   { $$=LL_make_ouex_tree($1,$3); }
   ;
NT_expr_logique : NT_expr_logique  KW_xor  error  
   { $$=LL_make_ouex_tree($1,LL_make_nil_atom());
     siganaerrorpos(@3,errexpr); }
   ;
NT_expr_logique : NT_term_logique  
    { $$=$1; }
   ;
NT_term_logique : NT_term_logique  KW_or  NT_fact_logique  
   { $$=LL_make_ou_tree($1,$3); }
   ;
NT_term_logique : NT_term_logique  KW_or  error  
   { $$=LL_make_ou_tree($1,LL_make_nil_atom());
     siganaerrorpos(@3,errexpr); }
   ;
NT_term_logique : NT_fact_logique  
    { $$=$1; }
   ;
NT_fact_logique : NT_fact_logique  KW_and  NT_prim_logique  
   { $$=LL_make_et_tree($1,$3); }
   ;
NT_fact_logique : NT_fact_logique  KW_and  error  
   { $$=LL_make_et_tree($1,LL_make_nil_atom());
     siganaerrorpos(@3,errexpr); }
   ;
NT_fact_logique : NT_prim_logique  
    { $$=$1; }
   ;
NT_prim_logique : KW_not  NT_prim_logique  
   { $$=LL_make_non_tree($2); }
   ;
NT_prim_logique : KW_not  error  
   { $$=LL_make_non_tree(LL_make_nil_atom());
     siganaerrorpos(@2,errexpr); }
   ;
NT_prim_logique : NT_expr_relation  
    { $$=$1; }
   ;
NT_expr_relation : NT_term_relation  KW_EQULEQUL  NT_term_relation  
   { $$=LL_make_egeg_tree($1,$3); }
   ;
NT_expr_relation : NT_term_relation  KW_EQULEQUL  error  
   { $$=LL_make_egeg_tree($1,LL_make_nil_atom());
     siganaerrorpos(@3,errexpr); }
   ;
NT_expr_relation : NT_term_relation  KW_INFEINFEEQUL  NT_term_relation  
   { $$=LL_make_iieg_tree($1,$3); }
   ;
NT_expr_relation : NT_term_relation  KW_INFEINFEEQUL  error  
   { $$=LL_make_iieg_tree($1,LL_make_nil_atom());
     siganaerrorpos(@3,errexpr); }
   ;
NT_expr_relation : NT_term_relation  
    { $$=$1; }
   ;
NT_term_relation : NT_expr_arithmetique  KW_EQUL  NT_expr_arithmetique  
   { $$=LL_make_egal_tree($1,$3); }
   ;
NT_term_relation : NT_expr_arithmetique  KW_EQUL  error  
   { $$=LL_make_egal_tree($1,LL_make_nil_atom());
     siganaerrorpos(@3,errexpr); }
   ;
NT_term_relation : NT_expr_arithmetique  KW_SLAHEQUL  NT_expr_arithmetique  
   { $$=LL_make_diff_tree($1,$3); }
   ;
NT_term_relation : NT_expr_arithmetique  KW_SLAHEQUL  error  
   { $$=LL_make_diff_tree($1,LL_make_nil_atom());
     siganaerrorpos(@3,errexpr); }
   ;
NT_term_relation : NT_expr_arithmetique  KW_SUPE  NT_expr_arithmetique  
   { $$=LL_make_supe_tree($1,$3); }
   ;
NT_term_relation : NT_expr_arithmetique  KW_SUPE  error  
   { $$=LL_make_supe_tree($1,LL_make_nil_atom());
     siganaerrorpos(@3,errexpr); }
   ;
NT_term_relation : NT_expr_arithmetique  KW_SUPEEQUL  NT_expr_arithmetique  
   { $$=LL_make_segal_tree($1,$3); }
   ;
NT_term_relation : NT_expr_arithmetique  KW_SUPEEQUL  error  
   { $$=LL_make_segal_tree($1,LL_make_nil_atom());
     siganaerrorpos(@3,errexpr); }
   ;
NT_term_relation : NT_expr_arithmetique  KW_INFE  NT_expr_arithmetique  
   { $$=LL_make_infe_tree($1,$3); }
   ;
NT_term_relation : NT_expr_arithmetique  KW_INFE  error  
   { $$=LL_make_infe_tree($1,LL_make_nil_atom());
     siganaerrorpos(@3,errexpr); }
   ;
NT_term_relation : NT_expr_arithmetique  KW_INFEEQUL  NT_expr_arithmetique  
   { $$=LL_make_iegal_tree($1,$3); }
   ;
NT_term_relation : NT_expr_arithmetique  KW_INFEEQUL  error  
   { $$=LL_make_iegal_tree($1,LL_make_nil_atom());
     siganaerrorpos(@3,errexpr); }
   ;
NT_term_relation : NT_expr_arithmetique  
    { $$=$1; }
   ;
NT_expr_arithmetique : NT_expr_arithmetique  KW_PLUS  NT_term_arithmetique  
   { $$=LL_make_plus_tree($1,$3); }
   ;
NT_expr_arithmetique : NT_expr_arithmetique  KW_PLUS  error  
   { $$=LL_make_plus_tree($1,LL_make_nil_atom());
     siganaerrorpos(@3,errexpr); }
   ;
NT_expr_arithmetique : NT_expr_arithmetique  KW_MINU  NT_term_arithmetique  
   { $$=LL_make_moin_tree($1,$3); }
   ;
NT_expr_arithmetique : NT_expr_arithmetique  KW_MINU  error  
   { $$=LL_make_moin_tree($1,LL_make_nil_atom());
     siganaerrorpos(@3,errexpr); }
   ;
NT_expr_arithmetique : NT_expr_arithmetique  KW_VERTPLUS  NT_term_arithmetique  
   { $$=LL_make_conc_tree($1,$3); }
   ;
NT_expr_arithmetique : NT_expr_arithmetique  KW_VERTPLUS  error  
   { $$=LL_make_conc_tree($1,LL_make_nil_atom());
     siganaerrorpos(@3,errexpr); }
   ;
NT_expr_arithmetique : NT_term_arithmetique  
    { $$=$1; }
   ;
NT_term_arithmetique : NT_term_arithmetique  KW_ETOI  NT_fact_arithmetique  
   { $$=LL_make_mult_tree($1,$3); }
   ;
NT_term_arithmetique : NT_term_arithmetique  KW_ETOI  error  
   { $$=LL_make_mult_tree($1,LL_make_nil_atom());
     siganaerrorpos(@3,errexpr); }
   ;
NT_term_arithmetique : NT_term_arithmetique  KW_ETOIPOIN  NT_fact_arithmetique  
   { $$=LL_make_mmul_tree($1,$3); }
   ;
NT_term_arithmetique : NT_term_arithmetique  KW_ETOIPOIN  error  
   { $$=LL_make_mmul_tree($1,LL_make_nil_atom());
     siganaerrorpos(@3,errexpr); }
   ;
NT_term_arithmetique : NT_term_arithmetique  KW_SLAH  NT_fact_arithmetique  
   { $$=LL_make_divi_tree($1,$3); }
   ;
NT_term_arithmetique : NT_term_arithmetique  KW_SLAH  error  
   { $$=LL_make_divi_tree($1,LL_make_nil_atom());
     siganaerrorpos(@3,errexpr); }
   ;
NT_term_arithmetique : NT_term_arithmetique  KW_modulo  NT_fact_arithmetique  
   { $$=LL_make_mod_tree($1,$3); }
   ;
NT_term_arithmetique : NT_term_arithmetique  KW_modulo  error  
   { $$=LL_make_mod_tree($1,LL_make_nil_atom());
     siganaerrorpos(@3,errexpr); }
   ;
NT_term_arithmetique : NT_term_arithmetique  KW_VERTETOI  NT_fact_arithmetique  
   { $$=LL_make_repe_tree($1,$3); }
   ;
NT_term_arithmetique : NT_term_arithmetique  KW_VERTETOI  error  
   { $$=LL_make_repe_tree($1,LL_make_nil_atom());
     siganaerrorpos(@3,errexpr); }
   ;
NT_term_arithmetique : NT_fact_arithmetique  
    { $$=$1; }
   ;
NT_fact_arithmetique : NT_unaire_arithmetique  KW_ETOIETOI  NT_unaire_arithmetique  
   { $$=LL_make_puis_tree($1,$3); }
   ;
NT_fact_arithmetique : NT_unaire_arithmetique  KW_ETOIETOI  error  
   { $$=LL_make_puis_tree($1,LL_make_nil_atom());
     siganaerrorpos(@3,errexpr); }
   ;
NT_fact_arithmetique : NT_unaire_arithmetique  KW_ARRO  NT_unaire_arithmetique  
   { $$=LL_make_cplx_tree($1,$3); }
   ;
NT_fact_arithmetique : NT_unaire_arithmetique  KW_ARRO  error  
   { $$=LL_make_cplx_tree($1,LL_make_nil_atom());
     siganaerrorpos(@3,errexpr); }
   ;
NT_fact_arithmetique : NT_unaire_arithmetique  
    { $$=$1; }
   ;
NT_unaire_arithmetique : KW_PLUS  NT_expr_dynamique  
    { $$=$2; }
   ;
NT_unaire_arithmetique : KW_PLUS  error  
   { $$=LL_make_nil_atom();
      siganaerrorpos(@2,errexpr); }
   ;
NT_unaire_arithmetique : KW_MINU  NT_expr_dynamique  
   { $$=LL_make_nega_tree($2); }
   ;
NT_unaire_arithmetique : KW_MINU  error  
   { $$=LL_make_nega_tree(LL_make_nil_atom());
     siganaerrorpos(@2,errexpr); }
   ;
NT_unaire_arithmetique : NT_expr_dynamique  
    { $$=$1; }
   ;
NT_expr_dynamique : NT_expr_dynamique  KW_cell  NT_expr_composite  NT_o_expr_init  
   { $$=LL_make_memo_tree($1,$3,$4);}
   ;
NT_expr_dynamique : NT_expr_dynamique  KW_cell  error  
   { $$=LL_make_memo_tree($1,LL_make_nil_atom(),LL_make_nil_atom());
     siganaerrorpos(@3,errexpr); }
   ;
NT_expr_dynamique : KW_var  NT_expr_composite  NT_o_expr_init  
   { $$=LL_make_var_tree($2,$3); }
   ;
NT_expr_dynamique : KW_var  error  
   { $$=LL_make_var_tree(LL_make_nil_atom(),LL_make_nil_atom());
     siganaerrorpos(@2,errexpr); }
   ;
NT_expr_dynamique : NT_expr_dynamique  NT_retard  NT_o_expr_init  
   { $$=LL_make_ret_tree($1,$2,$3); }
   ;
NT_expr_dynamique : NT_expr_dynamique  NT_fenetre  NT_o_expr_init  
   { $$=LL_make_fen_tree($1,$2,$3); }
   ;
NT_retard : KW_DOLL  NT_expr_composite  
    { $$=$2; }
   ;
NT_retard : KW_DOLL  
   { $$=LL_make_retun_atom(); }
   ;
NT_fenetre : KW_window  NT_expr_composite  
    { $$=$2; }
   ;
NT_fenetre : KW_window  error  
    { $$=LL_make_nil_atom();
      siganaerrorpos(@2,errexpr); }
   ;
NT_expr_dynamique : NT_expr_composite  
    { $$=$1; }
   ;
NT_o_expr_init : 
   { $$=LL_make_nil_atom(); }
   ;
NT_o_expr_init : NT_expr_init  
    { $$=$1; }
   ;
NT_expr_init : KW_init  NT_expr_composite  
    { $$=$2; }
   ;
NT_expr_init : KW_init  error  
    { $$=LL_make_nil_atom();
      siganaerrorpos(@2,errexpr); }
   ;
NT_expr_composite : KW_tr  NT_expr_composite  
   { $$=LL_make_tran_tree($2); }
   ;
NT_expr_composite : KW_tr  error  
   { $$=LL_make_tran_tree(LL_make_nil_atom());
     siganaerrorpos(@2,errexpr); }
   ;
NT_expr_composite : NT_term_composite  
    { $$=$1; }
   ;
NT_term_composite : NT_expr_flot  KW_BSLABSLA  NT_expr_flot  
   { $$=LL_make_recu_tree($1,$3); }
   ;
NT_term_composite : NT_expr_flot  KW_BSLABSLA  error  
   { $$=LL_make_recu_tree($1,LL_make_nil_atom());
     siganaerrorpos(@3,errexpr); }
   ;
NT_term_composite : NT_expr_flot  
    { $$=$1; }
   ;
NT_expr_flot : KW_CHAP  NT_expr_flot  
   { $$=LL_make_evnt_tree($2); }
   ;
NT_expr_flot : KW_CHAP  error  
   { $$=LL_make_evnt_tree(LL_make_nil_atom());
     siganaerrorpos(@2,errexpr); }
   ;
NT_expr_flot : NT_term_flot  
    { $$=$1; }
   ;
NT_term_flot : NT_fact_horloge_par  
    { $$=$1; }
   ;
NT_term_flot : NT_exemplaire_processus  
    { $$=$1; }
   ;
NT_term_flot : NT_conversion  
    { $$=$1; }
   ;
NT_term_flot : NT_enumeration_vectoriel  
    { $$=$1; }
   ;
NT_term_flot : NT_produit_index  
    { $$=$1; }
   ;
NT_term_flot : NT_fact_flot  
    { $$=$1; }
   ;
NT_fact_flot : NT_fact_flot  KW_COUV  NT_l_expr_signal  KW_CFER  
   { $$=LL_make_elem_tree($1,$3); }
   ;
NT_fact_flot : NT_fact_flot  KW_COUV  NT_l_expr_signal  error  
   { $$=LL_make_elem_tree($1,$3);
     siganaerrorpos(@4,errcfer); }
   ;
NT_fact_flot : NT_fact_flot  KW_COUV  error  
   { $$=LL_make_elem_tree($1,LL_make_nil_atom());
     siganaerrorpos(@3,errlistexpr); }
   ;
NT_fact_flot : NT_fact_flot  KW_COUV  KW_INTE  KW_CFER  
   { $$=LL_make_sdec_tree($1); }
   ;
NT_fact_flot : NT_fact_flot  KW_COUV  KW_INTE  error  
   { $$=LL_make_sdec_tree($1);
     siganaerrorpos(@4,errcfer); }
   ;
NT_fact_flot : NT_fact_flot  KW_POIN  NT_identificateur  
   { $$=LL_make_cham_tree($1,$3); }
   ;
NT_fact_flot : NT_fact_flot  KW_POIN  error  
   { $$=LL_make_cham_tree($1,LL_make_nil_atom());
     siganaerrorpos(@3,errident); }
   ;
NT_fact_flot : KW_DIES  NT_identificateur  
   { $$=LL_make_venum_tree(LL_make_nil_atom(),LL_make_nom_atom(ident2repstr($2))); }
   ;
NT_fact_flot : KW_DIES  error  
   { $$=LL_make_venum_tree(LL_make_nil_atom(),LL_make_nil_atom());
     siganaerrorpos(@2,errident); }
   ;
NT_fact_flot : NT_identificateur  KW_DIES  NT_identificateur  
   { $$=LL_make_venum_tree($1,LL_make_nom_atom(ident2repstr($3))); }
   ;
NT_fact_flot : NT_identificateur  KW_DIES  error  
   { $$=LL_make_venum_tree($1,LL_make_nil_atom());
     siganaerrorpos(@3,errident); }
   ;
NT_fact_flot : NT_identificateur  KW_INTE  
   { $$=LL_make_vvarin_tree($1); }
   ;
NT_fact_flot : NT_atom_flot  
    { $$=$1; }
   ;
NT_atom_flot : NT_constante  
    { $$=$1; }
   ;
NT_atom_flot : NT_identificateur  
    { $$=$1; }
   ;
NT_atom_flot : KW_POUV  NT_expr_signal  KW_PFER  
    { $$=$2; }
   ;
NT_atom_flot : KW_POUV  NT_expr_signal  error  
    { $$=$2;
      siganaerrorpos(@3,errpouvvirg); }
   ;
NT_atom_flot : NT_l_expr_flot  
   { $$=nsetop($1,opleflot); }
   ;
NT_l_expr_flot : KW_POUV  NT_expr_signal  KW_VIRG  NT_l_expr_signal  KW_PFER  
   { $$=ntreeList_insertFirst($2,$4); }
   ;
NT_l_expr_flot : KW_POUV  NT_expr_signal  KW_VIRG  NT_l_expr_signal  error  
   { $$=ntreeList_insertFirst($2,$4);
     siganaerrorpos(@5,errpfer); }
   ;
NT_l_expr_flot : KW_POUV  NT_expr_signal  KW_VIRG  error  
   { $$=LL_make_lesign_list($2);
     siganaerrorpos(@4,errexpr); }
   ;
NT_conversion : NT_type_predefini  KW_POUV  NT_expr_signal  KW_PFER  
   { $$=LL_make_conv_tree($1,$3); }
   ;
NT_conversion : NT_type_predefini  KW_POUV  NT_expr_signal  error  
   { $$=LL_make_conv_tree($1,$3);
     siganaerrorpos(@4,errpfer); }
   ;
NT_conversion : NT_type_predefini  KW_POUV  error  
   { $$=LL_make_conv_tree($1,LL_make_nil_atom());
     siganaerrorpos(@3,errexpr); }
   ;
NT_produit_index : KW_INFEINFE  NT_l_expr_signal  KW_SUPESUPE  
   { $$=LL_make_pcar_tree($2); }
   ;
NT_produit_index : KW_INFEINFE  NT_l_expr_signal  error  
   { $$=LL_make_pcar_tree($2);
     siganaerrorpos(@3,errsupesupe); }
   ;
NT_produit_index : KW_INFEINFE  error  
   { $$=LL_make_pcar_tree(LL_make_nil_atom());
     siganaerrorpos(@2,errexpr); }
   ;
NT_enumeration_vectoriel : KW_COUV  NT_l_expr_signal  KW_CFER  
   { $$=nsetop($2,oplevect); }
   ;
NT_enumeration_vectoriel : KW_COUV  NT_l_expr_signal  error  
   { $$=nsetop($2,oplevect);
     siganaerrorpos(@3,errcfer); }
   ;
NT_enumeration_vectoriel : KW_COUV  KW_CFER  
   { $$=LL_make_tabvide_atom(); }
   ;
NT_enumeration_vectoriel : KW_COUV  error  
   { $$=LL_make_tabvide_atom();
     siganaerrorpos(@2,errexprcfer); }
   ;
NT_enumeration_vectoriel : KW_COUV  NT_element_multiple  KW_CFER  
   { $$=LL_make_lelevec_list($2); }
   ;
NT_enumeration_vectoriel : KW_COUV  NT_element_multiple  KW_VIRG  NT_l_elements_vecteur  KW_CFER  
   { $$=ntreeList_insertFirst($2,$4);}
   ;
NT_enumeration_vectoriel : KW_COUV  NT_element_multiple  KW_VIRG  NT_l_elements_vecteur  error  
   { $$=ntreeList_insertFirst($2,$4);
     siganaerrorpos(@5,errcfer); }
   ;
NT_enumeration_vectoriel : KW_COUV  NT_element_multiple  KW_VIRG  error  
   { $$=LL_make_lelevec_list($2);
     siganaerrorpos(@4,errpartdefarray); }
   ;
NT_enumeration_vectoriel : KW_COUV  NT_element_multiple  error  
   { $$=LL_make_lelevec_list($2);
     siganaerrorpos(@3,errvirgcfer); }
   ;
NT_l_elements_vecteur : NT_element_vecteur  
   { $$=LL_make_lelevec_list($1); }
   ;
NT_l_elements_vecteur : NT_l_elements_vecteur  KW_VIRG  NT_element_vecteur  
   { $$=ntreeList_appendLast($1,$3); }
   ;
NT_l_elements_vecteur : NT_l_elements_vecteur  KW_VIRG  error  
   { $$=LL_make_lelevec_list($1);
     siganaerrorpos(@3,errpartdefarray); }
   ;
NT_element_vecteur : NT_element_simple  
    { $$=$1; }
   ;
NT_element_vecteur : NT_element_multiple  
    { $$=$1; }
   ;
NT_element_simple : NT_expr_dimension  KW_DPIN  NT_expr_signal  
   { $$=LL_make_elevec_tree($1,$3); }
   ;
NT_element_simple : NT_expr_dimension  KW_DPIN  error  
   { $$=LL_make_elevec_tree($1,LL_make_nil_atom());
     siganaerrorpos(@3,errexpr); }
   ;
NT_element_simple : NT_expr_dimension  error  
   { $$=LL_make_elevec_tree($1,LL_make_nil_atom());
     siganaerrorpos(@2,errdpin); }
   ;
NT_element_multiple : NT_parcours_de_vecteur  KW_DPIN  NT_def_element_multiple  
   { $$=LL_make_ensvec_tree($1,$3); }
   ;
NT_element_multiple : NT_parcours_de_vecteur  KW_DPIN  error  
   { $$=LL_make_ensvec_tree($1,LL_make_nil_atom());
     siganaerrorpos(@3,errdefelarray); }
   ;
NT_element_multiple : NT_parcours_de_vecteur  error  
   { $$=LL_make_ensvec_tree($1,LL_make_nil_atom());
     siganaerrorpos(@2,errdpin); }
   ;
NT_def_element_multiple : NT_expr_signal  
    { $$=$1; }
   ;
NT_parcours_de_vecteur : KW_BOUV  NT_l_parcours_de_parties  KW_BFER  
    { $$=$2; }
   ;
NT_parcours_de_vecteur : KW_BOUV  NT_l_parcours_de_parties  error  
    { $$=$2;
     siganaerrorpos(@3,errbfer); }
   ;
NT_l_parcours_de_parties : NT_parcours_de_partie  
   { $$=LL_make_lparc_list($1); }
   ;
NT_l_parcours_de_parties : NT_l_parcours_de_parties  KW_VIRG  NT_parcours_de_partie  
   { $$=ntreeList_appendLast($1,$3); }
   ;
NT_parcours_de_partie : NT_o_index  NT_bornes  
   { $$=LL_make_parc_tree($1,$2); }
   ;
NT_o_index : 
   { $$=LL_make_nil_atom(); }
   ;
NT_o_index : NT_identificateur  
    { $$=$1; }
   ;
NT_bornes : NT_o_borne_inf  NT_o_borne_sup  NT_o_pas  
   { $$=LL_make_born_tree($1,$2,$3); }
   ;
NT_o_borne_inf : 
   { $$=LL_make_nil_atom(); }
   ;
NT_o_borne_inf : NT_borne_inf  
    { $$=$1; }
   ;
NT_o_borne_sup : 
   { $$=LL_make_nil_atom(); }
   ;
NT_o_borne_sup : NT_borne_sup  
    { $$=$1; }
   ;
NT_borne_inf : KW_in  NT_term_flot  
    { $$=$2; }
   ;
NT_borne_inf : KW_in  error  
    { $$=LL_make_nil_atom();
      siganaerrorpos(@2,errexpr); }
   ;
NT_borne_sup : KW_to  NT_term_flot  
    { $$=$2; }
   ;
NT_borne_sup : KW_to  error  
    { $$=LL_make_nil_atom();
      siganaerrorpos(@2,errexpr); }
   ;
NT_pas : KW_step  NT_term_flot  
    { $$=$2; }
   ;
NT_pas : KW_step  error  
    { $$=LL_make_nil_atom();
      siganaerrorpos(@2,errexpr);}
   ;
NT_o_pas : 
   { $$=LL_make_nil_atom(); }
   ;
NT_o_pas : NT_pas  
    { $$=$1; }
   ;
NT_constante : NT_constante_logique  
    { $$=$1; }
   ;
NT_constante : NT_constante_entier  
    { $$=$1; }
   ;
NT_constante : NT_constante_reel  
    { $$=$1; }
   ;
NT_constante : NT_constante_double_precision  
    { $$=$1; }
   ;
NT_constante : NT_constante_caractere  
    { $$=$1; }
   ;
NT_constante : NT_chaine  
    { $$=$1; }
   ;
NT_constante_logique : KW_false  
   { $$=LL_make_false_atom(); }
   ;
NT_constante_logique : KW_true  
   { $$=LL_make_true_atom(); }
   ;
NT_constante_entier : ENTIER  
   { ptrepstr r;
     if (!string2Srepstr(yytext, &r)) siganaerrorpos(@1, erroutofboundstring);
     $$=LL_make_ent_atom(r); }
   ;
NT_constante_reel : REEL  
   { ptrepstr r;
     if (!string2Srepstr(yytext, &r)) siganaerrorpos(@1, erroutofboundstring);
     $$=LL_make_reel_atom(r); }
   ;
NT_constante_double_precision : DREEL  
   { ptrepstr r;
     if (!string2Srepstr(yytext, &r)) siganaerrorpos(@1, erroutofboundstring);
     $$=LL_make_dp_atom(r); }
   ;
NT_constante_caractere : CAR  
   { ptrepstr r;
     if (!string2Srepstr(yytext, &r)) siganaerrorpos(@1, erroutofboundstring);
     $$=LL_make_car_atom(r); }
   ;
NT_chaine : NT_constante_chaine  
   { $$=LL_make_chai_list($1); }
   ;
NT_chaine : NT_chaine  NT_constante_chaine  
   { $$=ntreeList_appendLast($1,$2); }
   ;
NT_constante_chaine : CHAINE  
   { ptrepstr r;
     if (!string2Srepstr(yytext, &r)) siganaerrorpos(@1, erroutofboundstring);
     $$=LL_make_cha_atom(r); }
   ;
NT_operateur : KW_CHAP0  
   { ptrepstr r;
     if (!string2Srepstr(yytext, &r)) siganaerrorpos(@1, erroutofboundstring);
     $$=LL_make_op_atom(r); }
   ;
NT_operateur : KW_next  
   { ptrepstr r;
     if (!string2Srepstr(yytext, &r)) siganaerrorpos(@1, erroutofboundstring);
     $$=LL_make_op_atom(r); }
   ;
NT_operateur : KW_DPIN  
   { ptrepstr r;
     if (!string2Srepstr(yytext, &r)) siganaerrorpos(@1, erroutofboundstring);
     $$=LL_make_op_atom(r); }
   ;
NT_operateur : KW_default  
   { ptrepstr r;
     if (!string2Srepstr(yytext, &r)) siganaerrorpos(@1, erroutofboundstring);
     $$=LL_make_op_atom(r); }
   ;
NT_operateur : KW_when  
   { ptrepstr r;
     if (!string2Srepstr(yytext, &r)) siganaerrorpos(@1, erroutofboundstring);
     $$=LL_make_op_atom(r); }
   ;
NT_operateur : KW_after  
   { ptrepstr r;
     if (!string2Srepstr(yytext, &r)) siganaerrorpos(@1, erroutofboundstring);
     $$=LL_make_op_atom(r); }
   ;
NT_operateur : KW_from  
   { ptrepstr r;
     if (!string2Srepstr(yytext, &r)) siganaerrorpos(@1, erroutofboundstring);
     $$=LL_make_op_atom(r); }
   ;
NT_operateur : KW_count  
   { ptrepstr r;
     if (!string2Srepstr(yytext, &r)) siganaerrorpos(@1, erroutofboundstring);
     $$=LL_make_op_atom(r); }
   ;
NT_operateur : KW_CHAPPLUS  
   { ptrepstr r;
     if (!string2Srepstr(yytext, &r)) siganaerrorpos(@1, erroutofboundstring);
     $$=LL_make_op_atom(r); }
   ;
NT_operateur : KW_CHAPMINU  
   { ptrepstr r;
     if (!string2Srepstr(yytext, &r)) siganaerrorpos(@1, erroutofboundstring);
     $$=LL_make_op_atom(r); }
   ;
NT_operateur : KW_CHAPETOI  
   { ptrepstr r;
     if (!string2Srepstr(yytext, &r)) siganaerrorpos(@1, erroutofboundstring);
     $$=LL_make_op_atom(r); }
   ;
NT_operateur : KW_if  
   { ptrepstr r;
     if (!string2Srepstr(yytext, &r)) siganaerrorpos(@1, erroutofboundstring);
     $$=LL_make_op_atom(r); }
   ;
NT_operateur : KW_POINPOIN  
   { ptrepstr r;
     if (!string2Srepstr(yytext, &r)) siganaerrorpos(@1, erroutofboundstring);
     $$=LL_make_op_atom(r); }
   ;
NT_operateur : KW_xor  
   { ptrepstr r;
     if (!string2Srepstr(yytext, &r)) siganaerrorpos(@1, erroutofboundstring);
     $$=LL_make_op_atom(r); }
   ;
NT_operateur : KW_or  
   { ptrepstr r;
     if (!string2Srepstr(yytext, &r)) siganaerrorpos(@1, erroutofboundstring);
     $$=LL_make_op_atom(r); }
   ;
NT_operateur : KW_and  
   { ptrepstr r;
     if (!string2Srepstr(yytext, &r)) siganaerrorpos(@1, erroutofboundstring);
     $$=LL_make_op_atom(r); }
   ;
NT_operateur : KW_not  
   { ptrepstr r;
     if (!string2Srepstr(yytext, &r)) siganaerrorpos(@1, erroutofboundstring);
     $$=LL_make_op_atom(r); }
   ;
NT_operateur : KW_EQULEQUL  
   { ptrepstr r;
     if (!string2Srepstr(yytext, &r)) siganaerrorpos(@1, erroutofboundstring);
     $$=LL_make_op_atom(r); }
   ;
NT_operateur : KW_INFEINFEEQUL  
   { ptrepstr r;
     if (!string2Srepstr(yytext, &r)) siganaerrorpos(@1, erroutofboundstring);
     $$=LL_make_op_atom(r); }
   ;
NT_operateur : KW_EQUL  
   { ptrepstr r;
     if (!string2Srepstr(yytext, &r)) siganaerrorpos(@1, erroutofboundstring);
     $$=LL_make_op_atom(r); }
   ;
NT_operateur : KW_SLAHEQUL  
   { ptrepstr r;
     if (!string2Srepstr(yytext, &r)) siganaerrorpos(@1, erroutofboundstring);
     $$=LL_make_op_atom(r); }
   ;
NT_operateur : KW_SUPE  
   { ptrepstr r;
     if (!string2Srepstr(yytext, &r)) siganaerrorpos(@1, erroutofboundstring);
     $$=LL_make_op_atom(r); }
   ;
NT_operateur : KW_SUPEEQUL  
   { ptrepstr r;
     if (!string2Srepstr(yytext, &r)) siganaerrorpos(@1, erroutofboundstring);
     $$=LL_make_op_atom(r); }
   ;
NT_operateur : KW_INFE  
   { ptrepstr r;
     if (!string2Srepstr(yytext, &r)) siganaerrorpos(@1, erroutofboundstring);
     $$=LL_make_op_atom(r); }
   ;
NT_operateur : KW_INFEEQUL  
   { ptrepstr r;
     if (!string2Srepstr(yytext, &r)) siganaerrorpos(@1, erroutofboundstring);
     $$=LL_make_op_atom(r); }
   ;
NT_operateur : KW_PLUS  
   { ptrepstr r;
     if (!string2Srepstr(yytext, &r)) siganaerrorpos(@1, erroutofboundstring);
     $$=LL_make_op_atom(r); }
   ;
NT_operateur : KW_MINU  
   { ptrepstr r;
     if (!string2Srepstr(yytext, &r)) siganaerrorpos(@1, erroutofboundstring);
     $$=LL_make_op_atom(r); }
   ;
NT_operateur : KW_VERTPLUS  
   { ptrepstr r;
     if (!string2Srepstr(yytext, &r)) siganaerrorpos(@1, erroutofboundstring);
     $$=LL_make_op_atom(r); }
   ;
NT_operateur : KW_ETOI  
   { ptrepstr r;
     if (!string2Srepstr(yytext, &r)) siganaerrorpos(@1, erroutofboundstring);
     $$=LL_make_op_atom(r); }
   ;
NT_operateur : KW_ETOIPOIN  
   { ptrepstr r;
     if (!string2Srepstr(yytext, &r)) siganaerrorpos(@1, erroutofboundstring);
     $$=LL_make_op_atom(r); }
   ;
NT_operateur : KW_SLAH  
   { ptrepstr r;
     if (!string2Srepstr(yytext, &r)) siganaerrorpos(@1, erroutofboundstring);
     $$=LL_make_op_atom(r); }
   ;
NT_operateur : KW_modulo  
   { ptrepstr r;
     if (!string2Srepstr(yytext, &r)) siganaerrorpos(@1, erroutofboundstring);
     $$=LL_make_op_atom(r); }
   ;
NT_operateur : KW_VERTETOI  
   { ptrepstr r;
     if (!string2Srepstr(yytext, &r)) siganaerrorpos(@1, erroutofboundstring);
     $$=LL_make_op_atom(r); }
   ;
NT_operateur : KW_ETOIETOI  
   { ptrepstr r;
     if (!string2Srepstr(yytext, &r)) siganaerrorpos(@1, erroutofboundstring);
     $$=LL_make_op_atom(r); }
   ;
NT_operateur : KW_ARRO  
   { ptrepstr r;
     if (!string2Srepstr(yytext, &r)) siganaerrorpos(@1, erroutofboundstring);
     $$=LL_make_op_atom(r); }
   ;
NT_operateur : KW_cell  
   { ptrepstr r;
     if (!string2Srepstr(yytext, &r)) siganaerrorpos(@1, erroutofboundstring);
     $$=LL_make_op_atom(r); }
   ;
NT_operateur : KW_var  
   { ptrepstr r;
     if (!string2Srepstr(yytext, &r)) siganaerrorpos(@1, erroutofboundstring);
     $$=LL_make_op_atom(r); }
   ;
NT_operateur : KW_DOLL  
   { ptrepstr r;
     if (!string2Srepstr(yytext, &r)) siganaerrorpos(@1, erroutofboundstring);
     $$=LL_make_op_atom(r); }
   ;
NT_operateur : KW_window  
   { ptrepstr r;
     if (!string2Srepstr(yytext, &r)) siganaerrorpos(@1, erroutofboundstring);
     $$=LL_make_op_atom(r); }
   ;
NT_operateur : KW_tr  
   { ptrepstr r;
     if (!string2Srepstr(yytext, &r)) siganaerrorpos(@1, erroutofboundstring);
     $$=LL_make_op_atom(r); }
   ;
NT_operateur : KW_BSLABSLA  
   { ptrepstr r;
     if (!string2Srepstr(yytext, &r)) siganaerrorpos(@1, erroutofboundstring);
     $$=LL_make_op_atom(r); }
   ;
NT_operateur : KW_CHAP  
   { ptrepstr r;
     if (!string2Srepstr(yytext, &r)) siganaerrorpos(@1, erroutofboundstring);
     $$=LL_make_op_atom(r); }
   ;
NT_operateur : KW_event  
   { ptrepstr r;
     if (!string2Srepstr(yytext, &r)) siganaerrorpos(@1, erroutofboundstring);
     $$=LL_make_op_atom(r); }
   ;
NT_operateur : KW_boolean  
   { ptrepstr r;
     if (!string2Srepstr(yytext, &r)) siganaerrorpos(@1, erroutofboundstring);
     $$=LL_make_op_atom(r); }
   ;
NT_operateur : KW_short  
   { ptrepstr r;
     if (!string2Srepstr(yytext, &r)) siganaerrorpos(@1, erroutofboundstring);
     $$=LL_make_op_atom(r); }
   ;
NT_operateur : KW_integer  
   { ptrepstr r;
     if (!string2Srepstr(yytext, &r)) siganaerrorpos(@1, erroutofboundstring);
     $$=LL_make_op_atom(r); }
   ;
NT_operateur : KW_long  
   { ptrepstr r;
     if (!string2Srepstr(yytext, &r)) siganaerrorpos(@1, erroutofboundstring);
     $$=LL_make_op_atom(r); }
   ;
NT_operateur : KW_real  
   { ptrepstr r;
     if (!string2Srepstr(yytext, &r)) siganaerrorpos(@1, erroutofboundstring);
     $$=LL_make_op_atom(r); }
   ;
NT_operateur : KW_dreal  
   { ptrepstr r;
     if (!string2Srepstr(yytext, &r)) siganaerrorpos(@1, erroutofboundstring);
     $$=LL_make_op_atom(r); }
   ;
NT_operateur : KW_complex  
   { ptrepstr r;
     if (!string2Srepstr(yytext, &r)) siganaerrorpos(@1, erroutofboundstring);
     $$=LL_make_op_atom(r); }
   ;
NT_operateur : KW_dcomplex  
   { ptrepstr r;
     if (!string2Srepstr(yytext, &r)) siganaerrorpos(@1, erroutofboundstring);
     $$=LL_make_op_atom(r); }
   ;
NT_operateur : KW_char  
   { ptrepstr r;
     if (!string2Srepstr(yytext, &r)) siganaerrorpos(@1, erroutofboundstring);
     $$=LL_make_op_atom(r); }
   ;
NT_operateur : KW_string  
   { ptrepstr r;
     if (!string2Srepstr(yytext, &r)) siganaerrorpos(@1, erroutofboundstring);
     $$=LL_make_op_atom(r); }
   ;
NT_operateur : KW_false  
   { ptrepstr r;
     if (!string2Srepstr(yytext, &r)) siganaerrorpos(@1, erroutofboundstring);
     $$=LL_make_op_atom(r); }
   ;
NT_operateur : KW_true  
   { ptrepstr r;
     if (!string2Srepstr(yytext, &r)) siganaerrorpos(@1, erroutofboundstring);
     $$=LL_make_op_atom(r); }
   ;
NT_axiome_signal : NT_axiome_edition  
    { root_signal=$1; }
   ;
NT_axiome_edition : EN_ATTR  NT_attribut  
    { $$=$2; }
   ;
NT_axiome_edition : EN_ATTR  NT_attribut  error  
    { $$=$2;
      siganaerrorpos(@3,errendinput); }
   ;
NT_axiome_edition : EN_BORN  NT_bornes  
    { $$=$2; }
   ;
NT_axiome_edition : EN_BORN  NT_bornes  error  
    { $$=$2; 
      siganaerrorpos(@3,errbounds); }
   ;
NT_axiome_edition : EN_CAS  NT_cas  
    { $$=$2; }
   ;
NT_axiome_edition : EN_CAS  NT_cas  error
    { $$=$2;
      siganaerrorpos(@3,errendinput); }
   ;
NT_axiome_edition : EN_CAS  error  
    { $$=LL_make_nil_atom(); 
      siganaerrorpos(@2,errbranchcase); }
   ;
NT_axiome_edition : EN_CHAI  NT_chaine  
    { $$=$2; }
   ;
NT_axiome_edition : EN_CHAI  NT_chaine  error
    { $$=$2;
      siganaerrorpos(@3,errendinput); }
   ;
NT_axiome_edition : EN_CHAI  error  
    { $$=LL_make_nil_atom(); 
      siganaerrorpos(@2,errstring); }
   ;
NT_axiome_edition : EN_CST_CHA  NT_constante_chaine  
    { $$=$2; }
   ;
NT_axiome_edition : EN_CST_CHA  NT_constante_chaine  error
    { $$=$2;
      siganaerrorpos(@3,errendinput); }
   ;
NT_axiome_edition : EN_CST_CHA  error  
    { $$=LL_make_nil_atom(); 
      siganaerrorpos(@2,errstring); }
   ;
NT_axiome_edition : EN_DEC_S  NT_decl_suites  
    { $$=$2; }
   ;
NT_axiome_edition : EN_DEC_S  NT_decl_suites  error
    { $$=$2;
      siganaerrorpos(@3,errpvir); }
   ;
NT_axiome_edition : EN_DEC_S  NT_decl_suites  KW_PVIR  
    { $$=$2; }
   ;
NT_axiome_edition : EN_DEC_S  NT_decl_suites  KW_PVIR  error
    { $$=$2;
      siganaerrorpos(@4,errendinput); }
   ;
NT_axiome_edition : EN_DEC_S  error  
    { $$=LL_make_nil_atom(); 
      siganaerrorpos(@2,errdeclsuites); }
   ;
NT_axiome_edition : EN_DESC  NT_description  error 
    { $$=$2; 
      siganaerrorpos(@2,errdescr); }
   ;
NT_axiome_edition : EN_DESC_MODU  NT_description_module  
    { $$=$2; }
   ;
NT_axiome_edition : EN_DESC_MODU  NT_description_module  error
    { $$=$2;
      siganaerrorpos(@3,errdescrmodu); }
   ;
NT_axiome_edition : EN_ELE_VEC  NT_element_vecteur  
    { $$=$2; }
   ;
NT_axiome_edition : EN_ELE_VEC  NT_element_vecteur  error
    { $$=$2;
      siganaerrorpos(@3,errendinput); }
   ;
NT_axiome_edition : EN_ELE_VEC  error  
    { $$=LL_make_nil_atom(); 
      siganaerrorpos(@2,errpartdefarray); }
   ;
NT_axiome_edition : EN_ENT_SOR  NT_entrees_sorties  
    { $$=$2; }
   ;
NT_axiome_edition : EN_ENT_SOR  NT_entrees_sorties  error
    { $$=$2;
      siganaerrorpos(@3,errendinput); }
   ;
NT_axiome_edition : EN_ENT_SOR  error  
    { $$=LL_make_nil_atom(); 
      siganaerrorpos(@2,errinoutdecl); }
   ;
NT_axiome_edition : EN_I_TYPE  NT_type_predefini  
    { $$=$2; }
   ;
NT_axiome_edition : EN_I_TYPE  NT_type_predefini  error
    { $$=$2;
      siganaerrorpos(@3,errendinput); }
   ;
NT_axiome_edition : EN_I_TYPE  error  
    { $$=LL_make_nil_atom(); 
      siganaerrorpos(@2,errpredeftype); }
   ;
NT_axiome_edition : EN_IDENT  NT_identificateur  
    { $$=$2; }
   ;
NT_axiome_edition : EN_IDENT  NT_identificateur  error
    { $$=$2;
      siganaerrorpos(@3,errendinput); }
   ;
NT_axiome_edition : EN_IDENT error  
    { $$=LL_make_nil_atom(); 
      siganaerrorpos(@2,errident); }
   ;
NT_axiome_edition : EN_IND_MOT  NT_indice_motif  
    { $$=$2; }
   ;
NT_axiome_edition : EN_IND_MOT  NT_indice_motif  error
    { $$=$2;
      siganaerrorpos(@3,errendinput); }
   ;
NT_axiome_edition : EN_IND_MOT  error  
    { $$=LL_make_nil_atom(); 
      siganaerrorpos(@2,errarrayindex); }
   ;
NT_axiome_edition : EN_L_CAS  NT_l_cas  
    { $$=$2; }
   ;
NT_axiome_edition : EN_L_CAS  NT_l_cas  error
    { $$=$2;
      siganaerrorpos(@3,errendinput); }
   ;
NT_axiome_edition : EN_L_CAS  error  
    { $$=LL_make_nil_atom(); 
      siganaerrorpos(@2,errbranchcase); }
   ;
NT_axiome_edition : EN_L_CONS  NT_l_def_constantes  
    { $$=$2; }
   ;
NT_axiome_edition : EN_L_CONS  NT_l_def_constantes  error
    { $$=$2;
      siganaerrorpos(@3,errendinput); }
   ;
NT_axiome_edition : EN_L_CONS  error  
    { $$=LL_make_nil_atom(); 
      siganaerrorpos(@2,errdefconst); }
   ;
NT_axiome_edition : EN_L_E_SIGN  NT_l_expr_signal  
    { $$=$2; }
   ;
NT_axiome_edition : EN_L_E_SIGN  NT_l_expr_signal  error
    { $$=$2;
      siganaerrorpos(@3,errendinput); }
   ;
NT_axiome_edition : EN_L_E_SIGN  error  
    { $$=LL_make_nil_atom(); 
      siganaerrorpos(@2,errexpr); }
   ;
NT_axiome_edition : EN_L_IDENT  NT_l_identificateurs  
    { $$=$2; }
   ;
NT_axiome_edition : EN_L_IDENT  NT_l_identificateurs  error
    { $$=$2;
      siganaerrorpos(@3,errendinput); }
   ;
NT_axiome_edition : EN_L_IDENT  error  
    { $$=LL_make_nil_atom(); 
      siganaerrorpos(@2,errident); }
   ;
NT_axiome_edition : EN_L_PARC  NT_l_parcours_de_parties  
    { $$=$2; }
   ;
NT_axiome_edition : EN_L_PARC  NT_l_parcours_de_parties  error
    { $$=$2; 
      siganaerrorpos(@2,errpartiter); }
   ;
NT_axiome_edition : EN_L_SIGN  NT_l_signaux  
    { $$=$2; }
   ;
NT_axiome_edition : EN_L_SIGN  NT_l_signaux  error
    { $$=$2;
      siganaerrorpos(@3,errendinput); }
   ;
NT_axiome_edition : EN_L_SIGN  error  
    { $$=LL_make_nil_atom(); 
      siganaerrorpos(@2,erridentinit); }
   ;
NT_axiome_edition : EN_MODU  NT_module  
    { $$=$2; }
   ;
NT_axiome_edition : EN_MODU  NT_module  error
    { $$=$2;
      siganaerrorpos(@3,errpvir); }
   ;
NT_axiome_edition : EN_MODU  NT_module  KW_PVIR
    { $$=$2; }
   ;
NT_axiome_edition : EN_MODU  NT_module  KW_PVIR  error
    { $$=$2;
      siganaerrorpos(@4,errendinput); }
   ;
NT_axiome_edition : EN_MODU  error  
    { $$=LL_make_nil_atom(); 
      siganaerrorpos(@2,errmodu); }
   ;
NT_axiome_edition : EN_O_SPEC  NT_graphe_externe  
    { $$=$2; }
   ;
NT_axiome_edition : EN_O_SPEC  NT_graphe_externe  error
    { $$=$2;
      siganaerrorpos(@3,errextgraph); }
   ;
NT_axiome_edition : EN_O_SPEC  NT_expr_processus  
   { $$=LL_make_spec_tree(LL_make_nil_atom(),$2); }
   ;
NT_axiome_edition : EN_O_SPEC  NT_expr_processus  error
   { $$=LL_make_spec_tree(LL_make_nil_atom(),$2);
      siganaerrorpos(@3,errextgraph); }
   ;
NT_axiome_edition : EN_OL_ATTR  NT_l_attributs
    { $$=$2; }
   ;
NT_axiome_edition : EN_OL_ATTR  NT_l_attributs  error
    { $$=$2;
      siganaerrorpos(@3,errendinput); }
   ;
NT_axiome_edition : EN_OL_ATTR  
    { $$=LL_make_nil_atom(); }
   ;
NT_axiome_edition : EN_OL_ATTR  error  
    { $$=LL_make_nil_atom(); 
      siganaerrorpos(@2,errattr); }
   ;
NT_axiome_edition : EN_OL_DECL  NT_o_l_declarations  
    { $$=$2; }
   ;
NT_axiome_edition : EN_OL_DECL  NT_l_declarations  error
    { $$=$2;
      siganaerrorpos(@3,errendinput); }
   ;
NT_axiome_edition : EN_OL_DECL  error  
    { $$=LL_make_nil_atom(); 
      siganaerrorpos(@2,errdecl); }
   ;
NT_axiome_edition : EN_OL_DEC_S  NT_o_l_decl_suites  
    { $$=$2; }
   ;
NT_axiome_edition : EN_OL_DEC_S  NT_l_decl_suites  error
    { $$=$2;
      siganaerrorpos(@3,errendinput); }
   ;
NT_axiome_edition : EN_OL_DEC_S  error  
    { $$=LL_make_nil_atom(); 
      siganaerrorpos(@2,errdecl); }
   ;
NT_axiome_edition : EN_OL_E_PARA  NT_o_l_expr_param  
    { $$=$2; }
   ;
NT_axiome_edition : EN_OL_E_PARA  NT_l_expr_param  error
    { $$=$2;
      siganaerrorpos(@3,errendinput); }
   ;
NT_axiome_edition : EN_OL_E_PARA  error  
    { $$=LL_make_nil_atom(); 
      siganaerrorpos(@2,errexprtype); }
   ;
NT_axiome_edition : EN_OL_OPRA  NT_o_l_objets_pragma  
    { $$=$2; }
   ;
NT_axiome_edition : EN_OL_OPRA  NT_l_objets_pragma  error
    { $$=$2;
      siganaerrorpos(@3,errendinput); }
   ;
NT_axiome_edition : EN_OL_OPRA  error  
    { $$=LL_make_nil_atom(); 
      siganaerrorpos(@2,errlistident); }
   ;
NT_axiome_edition : EN_OL_PRAG  NT_o_l_pragmas  
    { $$=$2; }
   ;
NT_axiome_edition : EN_OL_PRAG  NT_l_pragmas  
    { $$=$2; }
   ;
NT_axiome_edition : EN_OL_PRAG  NT_l_pragmas  error
    { $$=$2;
      siganaerrorpos(@3,errendinput); }
   ;
NT_axiome_edition : EN_OL_PRAG  error
   { $$=LL_make_nil_atom();
     siganaerrorpos(@2,errprag); }
   ;
NT_axiome_edition : EN_PARC  NT_parcours_de_partie  
    { $$=$2; }
   ;
NT_axiome_edition : EN_PARC  NT_parcours_de_partie  error
    { $$=$2; 
      siganaerrorpos(@2,errpartiter); }
   ;
NT_axiome_edition : EN_PRAG  NT_pragma  
    { $$=$2; }
   ;
NT_axiome_edition : EN_PRAG  NT_pragma  error
    { $$=$2;
      siganaerrorpos(@3,errendinput); }
   ;
NT_axiome_edition : EN_PRAG  error  
    { $$=LL_make_nil_atom(); 
      siganaerrorpos(@2,errprag); }
   ;
NT_axiome_edition : EN_DECL  NT_declaration  
    { $$=$2; }
   ;
NT_axiome_edition : EN_DECL  NT_declaration  error
    { $$=$2;
      siganaerrorpos(@3,errpvir); }
   ;
NT_axiome_edition : EN_DECL  NT_declaration  KW_PVIR  
    { $$=$2; }
   ;
NT_axiome_edition : EN_DECL  NT_declaration  KW_PVIR  error
    { $$=$2;
      siganaerrorpos(@4,errendinput); }
   ;
NT_axiome_edition : EN_DECL  error  
    { $$=LL_make_nil_atom(); 
      siganaerrorpos(@2,errdecl); }
   ;
NT_axiome_edition : EN_DEF_CONS  NT_def_constante  
    { $$=$2; }
   ;
NT_axiome_edition : EN_DEF_CONS  NT_def_constante  error
    { $$=$2;
      siganaerrorpos(@3,errendinput); }
   ;
NT_axiome_edition : EN_DEF_CONS  error  
    { $$=LL_make_nil_atom(); 
      siganaerrorpos(@2,errdefconst); }
   ;
NT_axiome_edition : EN_DEF_TYPE  NT_def_type  
    { $$=$2; }
   ;
NT_axiome_edition : EN_DEF_TYPE  NT_def_type  error
    { $$=$2;
      siganaerrorpos(@3,errendinput); }
   ;
NT_axiome_edition : EN_DEF_TYPE  error  
    { $$=LL_make_nil_atom(); 
      siganaerrorpos(@2,errdeftype); }
   ;
NT_axiome_edition : EN_E_CST  NT_constante
    { $$=$2; }
   ;
NT_axiome_edition :  EN_E_CST error  
    { $$=LL_make_nil_atom(); 
      siganaerrorpos(@2,errexpr); }
   ;
NT_axiome_edition : EN_ENU_VAL  NT_enumeration_valeurs  
    { $$=$2; }
   ;
NT_axiome_edition : EN_ENU_VAL  NT_enumeration_valeurs  error
    { $$=$2;
      siganaerrorpos(@3,errendinput); }
   ;
NT_axiome_edition : EN_ENU_VAL  error  
    { $$=LL_make_nil_atom(); 
      siganaerrorpos(@2,errvalenum); }
   ;
NT_axiome_edition : EN_IDENT_OP  NT_ident_operateur  
    { $$=$2; }
   ;
NT_axiome_edition : EN_IDENT_OP  NT_ident_operateur  error
    { $$=$2;
      siganaerrorpos(@3,errendinput); }
   ;
NT_axiome_edition : EN_IDENT_OP  error
    { $$=LL_make_nil_atom();
      siganaerrorpos(@2,erroperident); }
   ;
NT_axiome_edition : EN_INTE  NT_def_interface  
    { $$=$2; }
   ;
NT_axiome_edition : EN_INTE  NT_def_interface  error
    { $$=$2;
      siganaerrorpos(@3,errendinput); }
   ;
NT_axiome_edition : EN_INTE  error  
    { $$=LL_make_nil_atom(); 
      siganaerrorpos(@2,errdefinte); }
   ;
NT_axiome_edition : EN_O_CHAI  NT_chaine  
    { $$=$2; }
   ;
NT_axiome_edition : EN_O_CHAI  NT_chaine  error
    { $$=$2;
      siganaerrorpos(@3,errendinput); }
   ;
NT_axiome_edition : EN_O_CHAI  
   { $$=LL_make_nil_atom(); }
   ;
NT_axiome_edition : EN_O_CHAI  error  
    { $$=LL_make_nil_atom(); 
      siganaerrorpos(@2,errstring); }
   ;
NT_axiome_edition : EN_O_IDENT  NT_o_index  
    { $$=$2; }
   ;
NT_axiome_edition : EN_O_IDENT  NT_identificateur  error
    { $$=$2;
      siganaerrorpos(@3,errendinput); }
   ;
NT_axiome_edition : EN_O_IDENT  error  
    { $$=LL_make_nil_atom(); 
      siganaerrorpos(@2,errident); }
   ;
NT_axiome_edition : EN_OL_E_SIGN  NT_o_l_expr_signal  
    { $$=$2; }
   ;
NT_axiome_edition : EN_OL_E_SIGN  NT_l_expr_signal  error
    { $$=$2;
      siganaerrorpos(@3,errendinput); }
   ;
NT_axiome_edition : EN_OL_E_SIGN  error  
    { $$=LL_make_nil_atom(); 
      siganaerrorpos(@2,errexpr); }
   ;
NT_axiome_edition : EN_REF_PRO  NT_reference_processus  
    { $$=$2; }
   ;
NT_axiome_edition : EN_REF_PRO  NT_reference_processus  error
    { $$=$2;
      siganaerrorpos(@3,errendinput); }
   ;
NT_axiome_edition : EN_REF_PRO  error  
    { $$=LL_make_nil_atom(); 
      siganaerrorpos(@2,errcallproc); }
   ;
NT_axiome_edition : EN_SIGN  NT_signal  
    { $$=$2; }
   ;
NT_axiome_edition : EN_SIGN  NT_signal  error
    { $$=$2;
      siganaerrorpos(@3,errendinput); }
   ;
NT_axiome_edition : EN_SIGN  error  
    { $$=LL_make_nil_atom(); 
      siganaerrorpos(@2,erridentinit); }
   ;
NT_axiome_edition : EN_E_PROC  NT_expr_processus  
    { $$=$2; }
   ;
NT_axiome_edition : EN_E_PROC  NT_expr_processus  error
    { $$=$2;
      siganaerrorpos(@3,errendinput); }
   ;
NT_axiome_edition : EN_E_PROC  error  
    { $$=LL_make_nil_atom(); 
      siganaerrorpos(@2,errprocexpr); }
   ;
NT_axiome_edition : EN_TYPE  NT_type  
    { $$=$2; }
   ;
NT_axiome_edition : EN_TYPE  NT_type  error
    { $$=$2;
      siganaerrorpos(@3,errendinput); }
   ;
NT_axiome_edition : EN_TYPE  error  
    { $$=LL_make_nil_atom(); 
      siganaerrorpos(@2,errtype); }
   ;
NT_axiome_edition : EN_O_E_PROC  NT_expr_processus  
    { $$=$2; }
   ;
NT_axiome_edition : EN_O_E_PROC  NT_expr_processus  error
    { $$=$2;
      siganaerrorpos(@3,errendinput); }
   ;
NT_axiome_edition : EN_O_E_PROC  
   { $$=LL_make_nil_atom(); }
   ;
NT_axiome_edition : EN_O_E_PROC  error  
    { $$=LL_make_nil_atom(); 
      siganaerrorpos(@2,errprocexpr); }
   ;
NT_axiome_edition : EN_TYPE_S  NT_type  
    { $$=$2; }
   ;
NT_axiome_edition : EN_TYPE_S  NT_type  error
    { $$=$2;
      siganaerrorpos(@3,errendinput); }
   ;
NT_axiome_edition : EN_TYPE_S  
   { $$=LL_make_implicit_atom(); }
   ;
NT_axiome_edition : EN_TYPE_S  error  
    { $$=LL_make_nil_atom(); 
      siganaerrorpos(@2,errtype); }
   ;
NT_axiome_edition : EN_V_PROC  NT_expr_processus  
    { $$=$2; }
   ;
NT_axiome_edition : EN_V_PROC  NT_expr_processus  error
    { $$=$2;
      siganaerrorpos(@3,errendinput); }
   ;
NT_axiome_edition : EN_V_PROC  NT_indication_externe 
    { $$=$2; }
   ;
NT_axiome_edition : EN_V_PROC  NT_indication_externe  error
    { $$=$2;
      siganaerrorpos(@3,errendinput); }
   ;
NT_axiome_edition : EN_V_TYPE  NT_valeur_type  
    { $$=$2; }
   ;
NT_axiome_edition : EN_V_TYPE  NT_valeur_type  error
    { $$=$2;
      siganaerrorpos(@3,errendinput); }
   ;
NT_axiome_edition : EN_V_TYPE  error  
    { $$=LL_make_nil_atom(); 
      siganaerrorpos(@2,errtypeext); }
   ;
NT_axiome_edition : EN_O_CORP  NT_o_corps  
    { $$=$2; }
   ;
NT_axiome_edition : EN_O_CORP  NT_corps  error
    { $$=$2;
      siganaerrorpos(@3,errendinput); }
   ;
NT_axiome_edition : EN_O_CORP  error  
    { $$=LL_make_nil_atom(); 
      siganaerrorpos(@2,errbodyproc); }
   ;
NT_axiome_edition : EN_E_SIGN  NT_expr_signal  
    { $$=$2; }
   ;
NT_axiome_edition : EN_E_SIGN  NT_expr_signal  error
    { $$=$2;
      siganaerrorpos(@3,errendinput); }
   ;
NT_axiome_edition : EN_E_SIGN  error  
    { $$=LL_make_nil_atom(); 
      siganaerrorpos(@2,errexpr); }
   ;
NT_axiome_edition : EN_LSIG  NT_signaux  
    { $$=$2; }
   ;
NT_axiome_edition : EN_LSIG  NT_signaux  error
    { $$=$2;
      siganaerrorpos(@3,errendinput); }
   ;
NT_axiome_edition : EN_LSIG  error  
    { $$=LL_make_nil_atom(); 
      siganaerrorpos(@2,errlistlabsig); }
   ;
NT_axiome_edition : EN_D_E_SIGN  NT_expr_signal  
    { $$=$2; }
   ;
NT_axiome_edition : EN_D_E_SIGN  NT_expr_signal  error
    { $$=$2;
      siganaerrorpos(@3,errendinput); }
   ;
NT_axiome_edition : EN_D_E_SIGN  NT_retard  
    { $$=$2; }
   ;
NT_axiome_edition : EN_D_E_SIGN  NT_retard  error
    { $$=$2;
      siganaerrorpos(@3,errendinput); }
   ;
NT_axiome_edition : EN_D_E_SIGN  error  
    { $$=LL_make_nil_atom(); 
      siganaerrorpos(@2,errdelayexpr); }
   ;
NT_axiome_edition : EN_E_PARA  NT_expr_param  
    { $$=$2; }
   ;
NT_axiome_edition : EN_E_PARA  NT_expr_param  error
    { $$=$2;
      siganaerrorpos(@3,errendinput); }
   ;
NT_axiome_edition : EN_E_PARA  error  
    { $$=LL_make_nil_atom(); 
      siganaerrorpos(@2,errexprtype); }
   ;
NT_axiome_edition : EN_O_E_SIGN  NT_expr_signal  
    { $$=$2; }
   ;
NT_axiome_edition : EN_O_E_SIGN  NT_expr_signal  error
    { $$=$2;
      siganaerrorpos(@3,errendinput); }
   ;
NT_axiome_edition : EN_O_E_SIGN  
   { $$=LL_make_nil_atom(); }
   ;
NT_axiome_edition : EN_O_E_SIGN  error  
    { $$=LL_make_nil_atom(); 
      siganaerrorpos(@2,errexpr); }
   ;
NT_axiome_edition : EN_V_CONS  NT_valeur_constante  
    { $$=$2; }
   ;
NT_axiome_edition : EN_V_CONS  NT_valeur_constante  error
    { $$=$2;
      siganaerrorpos(@3,errendinput); }
   ;
NT_axiome_edition : EN_V_CONS  error  
    { $$=LL_make_nil_atom(); 
      siganaerrorpos(@2,errexprext); }
   ;


%%

