

 ; appel :    gnu-emacs -batch -l modifs.el
; -------------------------------------------------------------------

; string substitutions.
(defun :replaceString(str1 str2)

    (goto-char (point-min))
    (replace-string str1 str2)
)


(defun :killLinesWithString (TheString)
  (goto-char (point-min))
  (while (search-forward TheString nil t)
      (beginning-of-line)
      (kill-line 1)
      )
)

;  pour que l'index apparaisse dans la table des matires,
;  ajouter \addcontentsline{toc}{chapter}{Index}
;  juste apres \begin{theindex}
;  dans V4_def.ind (aprs avoir lanc la commande makeindex)
(defun addcontentsline ()
  (goto-char (point-min))
   (search-forward "\begin{theindex}" nil t)
   (beginning-of-line)  
   (end-of-line)
   (insert-string "\n\\addcontentsline{toc}{chapter}{Index}")
  )


(defun :apply (filename)
  (find-file  (concat "./" filename) )
  (addcontentsline )
 ; - supprimer la ligne contenant ``\subitem |hyperpage, ...''
  (:killLinesWithString  "\\subitem |hyperpage")
 ; - supprimer la ligne contenant ``\\subitem bssymb, ...''
  (:killLinesWithString "\\subitem bssymb")



  (:replaceString "\\subsubitem D," "\\subsubitem {\\em def,}")
  (:replaceString "\\subitem x \\hbox {$\\delimiter 026E30F $}," "\\subitem \\bs,")
  (:replaceString "\\subitem x \\hbox {$\\delimiter 026E30F $}x," "\\subitem \\bs x,")
  (:replaceString "\\subitem bsbs," "\\subitem \\bs\\bs,")
  (:replaceString "\\subitem clock*," "\\subitem $\\widehat{\\ }*$,")
  (:replaceString "\\subitem clock+," "\\subitem $\\widehat{\\ }+$,")
  (:replaceString "\\subitem clock-," "\\subitem $\\widehat{\\ }-$,")
  (:replaceString "\\subitem clock0," "\\subitem $\\widehat{\\ }0$,")
  (:replaceString "\\subitem clock<," "\\subitem $\\widehat{\\ }<$,")
  (:replaceString "\\subitem clock=," "\\subitem $\\widehat{\\ }=$,")
  (:replaceString "\\subitem clock>," "\\subitem $\\widehat{\\ }>$,")
  (:replaceString "\\subitem clock\\ ," "\\subitem $\\widehat{\\ }$,")
  (:replaceString "\\subitem clock\\#," "\\subitem $\\widehat{\\ }\\#$,")
  (:replaceString "\\subitem comma," "\\subitem ,,")
  (:replaceString "\\subitem complex," "\\subitem @,")
  (:replaceString "\\subitem concat," "\\subitem $|+$,")
  (:replaceString "\\subitem doublequote," "\\subitem \",")
  (:replaceString "\\subitem exclmarksymb," "\\subitem !,")
  (:replaceString "\\subitem gg," "\\subitem $>>$,")
  (:replaceString "\\subitem ll," "\\subitem $<<$,")
  (:replaceString "\\subitem lpp," "\\subitem $(|$,")
  (:replaceString "\\subitem psep," "\\subitem $|$,")
  (:replaceString "\\subitem repeat," "\\subitem $|*$,")
  (:replaceString "\\subitem rpp," "\\subitem $|)$,")
  (:replaceString "\\subitem simplequote," "\\subitem ',")
  (:replaceString "\\subitem underline," "\\subitem \\_,")

  (if (buffer-modified-p) (write-file filename) ())
  (kill-buffer (current-buffer))
  )



(:apply "V4_def.ind")
