/* 
   Authors: Loic Besnard, Patricia Bournai, Thierry Gautier, Paul Le Guernic.
   Copyright (C) by INRIA-CNRS - developed by Espresso project - GPL v2 License - 2010.

   Contact: polychronycontact@listes.irisa.fr 

   This file is part of Polychrony Signal Toolbox (http://www.irisa.fr/espresso/polychrony).

   Polychrony  Signal Toolbox is free software; you can redistribute it and/or modify it under
   the terms of the GNU General Public License Version 2 as published by the Free
   Software Foundation.

   Polychrony Signal Toolbox is distributed in the hope that it will be useful, but WITHOUT ANY
   WARRANTY; without even the implied warranty of MERCHANTABILITY or
   FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License Version 2
   for more details.

   You should have received a copy of the GNU General Public License Version 2
   along with Polychrony Signal Toolbox; see the file COPYING. If not, consult the url 
    http://www.gnu.org/licenses/gpl-2.0.html, or write to the Free
   Software Foundation, 51 Franklin Street, Fifth Floor, Boston, MA
   02110-1301, USA. 
*/


/* Messages used by the Signal parser.

   The constant (i) gives access to the i-th message (info or warning or error or fatal error)
   of the table messignal.1.txt provided in $signalBin_data directory.
*/

#define parsermess 1 /* parser messages */


#define errpouv 3
#define errpfer 4
#define errpouvvirg 5
#define errvirg 6
#define errarrow 7
#define errbinterv 8
#define errdpin 9
#define errequl 10
#define errsupesupe 11
#define errcfer 12
#define errvert 13
#define errbfer 14
#define errelse 15
#define errend 16
#define errin 17
#define errof 18
#define errthen 19
#define errwhen 20
#define erriter 21
#define erractident 22
#define errconstdescr 23
#define errconstident 24
#define errdecl 25
#define errendinput 26
#define errexpr 27
#define errexprcfer 28
#define errexprext 29
#define errexprtype 30
#define errextgraph 31
#define errfuncident 32
#define errident 33
#define errindexident 34
#define errinoutdecl 35
#define errinte 36
#define errlistexpr 37
#define errlistsig 38
#define errmodu 39
#define errmoduident 40
#define errnodeident 41
#define errpragident 42
#define errprag 43
#define errprocexpr 44
#define erroemptyprocexpr 45
#define erroextprocexpr 46
#define errprocident 47
#define errprocmodu 48
#define errsigident 49
#define errlistlabsig 50
#define errexprdef 51
#define errstring 52
#define errtypedescr 53
#define errtype 54
#define errtypeident 55
#define errtypeext 56
#define errvalenum 57
#define errvirgcfer 58
#define errdefelarray 59
#define errbounds 60
#define errbranchcase 61
#define errdeclsuites 62
#define errdescr 63
#define errpartdefarray 64
#define errpredeftype 65
#define errdefconst 66
#define errpartiter 67
#define erridentinit 68
#define erroperident 69
#define errattr 70
#define errlistident 71
#define errdeftype 72
/* #define errimportobj 73 */
#define errarrayindex 74
#define errdefinte 75
#define errcallproc 76
#define errbodyproc 77
#define errdelayexpr 78
#define errpvir 79
#define errdescrmodu 80
#define errequlmissingpvir 81
#define erroutofboundstring 82
#define errbouv 83
#define errprocedureident 84
#define errautomatonident 85
#define errvertpvir 86
