/* 
   Authors: Loic Besnard, Patricia Bournai, Thierry Gautier, Paul Le Guernic.
   Copyright (C) by INRIA-CNRS - developed by Espresso project - GPL v2 License - 2010.

   Contact: polychronycontact@listes.irisa.fr 

   This file is part of Polychrony Signal Toolbox (http://www.irisa.fr/espresso/polychrony).

   Polychrony  Signal Toolbox is free software; you can redistribute it and/or modify it under
   the terms of the GNU General Public License Version 2 as published by the Free
   Software Foundation.

   Polychrony Signal Toolbox is distributed in the hope that it will be useful, but WITHOUT ANY
   WARRANTY; without even the implied warranty of MERCHANTABILITY or
   FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License Version 2
   for more details.

   You should have received a copy of the GNU General Public License Version 2
   along with Polychrony Signal Toolbox; see the file COPYING. If not, consult the url 
    http://www.gnu.org/licenses/gpl-2.0.html, or write to the Free
   Software Foundation, 51 Franklin Street, Fifth Floor, Boston, MA
   02110-1301, USA. 
*/


/* Messages used in the Trees2Kernel translation.
   The constant (i) give access to the i-th message (info or warning or error or fatal error)
   of the table messignal.2.txt provided in $signalBin_data directory.
*/

/* infos */

#define subAnnounce_reduction2basic 1

/* ERRORS */

#define errargmanq 1
#define errparam 2
#define errdecl 3
#define errsortid 4
#define errnotimple 5
#define errnosens 6
#define errconflid 7
#define errdoubledecl 8
#define errprocnondec 9
#define errentspe 10
#define errprocesscall 11
#define errparnondecl 12
#define errtypnondec 13
#define errdefmul2 14
#define errnbparfonc 15
#define errModuleNotFound 16
#define errModuleWithLocalSignals 17
#define errAction 18
#define errUnexpectedExpr 19
#define errNotModule 20
#define errUnexpectedAttr 21
#define errTypeRestriction 22
#define errConflictEffModelFormalModel 23
#define errConflictInterfaceModel 24
#define errConflictTypeModelFormalModel 25
#define errNoDefVirtualType 26
#define errNoDefVirtualConst 27
#define errCycleDefConstType 28
#define errSharedOrStatevarExpected 29
#define errSharedOrStatevarNotExpected 30
#define errIntrinsicAutomaton 31
#define errModelNbIO 32
#define errLabelExpr 33

/* WARNINGS */
#define UselessOperation 1
#define warentcal 2
#define warsorcal 3
#define warModuleEndOfLocalDeclarations 4
#define warModuleCycle 5
#define wardbldec 6
#define warOneAttribute 7
#define warsignlocdecl 8
#define wardeclnotused 9
#define warlmodurestrict 10
#define warSafeRestict 11
#define wardclinmodule 12
#define warRestrictiondclinmodule 13
#define warsignlocnotdefined 14
#define warModuleNotDefined 15
#define warSyntaxModif 16



