module AUTOMATON_INTRINSICS =

   process Automaton_Initial_State= (? S1; !); % Fixing the initial state %
   process Automaton_Transition= (? S1, S2; event trigger; !);  %  Defining a transition : S1 -[trigger]-> S2. The clock of the transition is [in(S1)] ^* trigger %
   process Automaton_IsIn= (? S; ! boolean b) ; % Testing the current state of an automaton (ie in(S) ). Not clocked expression %
   process Automaton_SetClock= (? event vAutomatonclk, clockExpr); %  Fixing the clock af an automaton : the clock of an automaton (vAutomatonclk) is defined by clockExpr. 
                                                                By default, it is the upper bound of the clocks of the inputs of the automaton. %
                                   
   process Automaton_Clock= (? ! event vAutomatonclk);

   process Automaton_SetCurrentStateId= (? id; !); %  misc: specifies the name of the state variable of an automaton%
   % Regular expressions%      
   process Regular_Star = (? E; !NE);
   process Regular_Conc = (? E1, E2; !NE);
   process Regular_Sum  = (?E1, E2; !NE);
   process Regular_Pow  = (?E; integer n;  !NE);
end;

