/* PLG 2011/05/09
 * extracted from bdd_int
 */

/*
 *    And then how these bdd_t's are managed internally (in blocks)
 */
#define BDD_BDDBLOCK_PO2		6		/* 2^6 = 64 */

#define BDD_NODES_PER_BDDBLOCK		(1<<(BDD_BDDBLOCK_PO2-1))

typedef struct bdd_bddBlock {
    struct bdd_bddBlock *next;
    struct __bdd_t subheap[BDD_NODES_PER_BDDBLOCK];
} bdd_bddBlock;	/* total size plus malloc overhead should be an exact power of 2 */
#define NIL_bdd_bddBlock (bdd_bddBlock *)NULL

