/*
 * Revision Control Information
 *
 * $Source: /vol/opua/opua2/sis/sis-1.1/common/src/sis/util/RCS/util.h,v $
 * $Author: sis $
 * $Revision: 1.3 $
 * $Date: 1992/05/06 19:03:25 $
 *
 */
/* requires <stdlib.h>(abort), <string>(memset), <stdio.h>fprintf, fflush()
 */
#ifndef UTIL_H
#define UTIL_H

#if defined(_IBMR2)
#ifndef _POSIX_SOURCE
#define _POSIX_SOURCE           /* Argh!  IBM strikes again */
#endif
#ifndef _ALL_SOURCE
#define _ALL_SOURCE             /* Argh!  IBM strikes again */
#endif
#ifndef _ANSI_C_SOURCE
#define _ANSI_C_SOURCE          /* Argh!  IBM strikes again */
#endif
#endif

#define bzero(a,b) memset(a, 0, b)
/* a few extras */

#define fail(why) {\
    (void) fprintf(stderr, "Fatal error: file %s, line %d\n%s\n",\
	__FILE__, __LINE__, why);\
    (void) fflush(stdout);\
    abort();\
}


#endif

