/* host defined in errno.h host library
 */
/* ENOENT No such file or directory */
/* EACCES Permission denied */
/* EEXIST File exists  */
/* ENOTDIR Not a directory */
/* EISDIR Is a directory */
/* EMFILE Too many open files */
/* ENAMETOOLONG	File name too long */
/* ENOTEMPTY Directory not empty */
#define _ERRFILEMISSING() ( errno == ENOENT ) 
#define _ERRFILEPERMISSION() ( errno == EACCES )
 
/* struct stat, function stat are host defined in my LINUX::/usr/include/sys/stat.h host library
 */
#define _STATTYPE struct stat
#define _ASSIGNFTIME(fTime, fPath, buf) if ((stat(fPath, &buf))==0) fTime=(time_t)(buf.st_mtime)
/* function getwd is host defined in my LINUX::/usr/include/sys/unistd.h host library
 */
#define _GETWD(WDP) getwd(WDP)
/* function cuserid is host defined in my LINUX::/usr/include/stdio.h host library */
#define _CUSERID(buf) cuserid(buf)
/* #define _CUSERID(buf) "UNKNOWN" */


