/* 
   Authors: Loïc Besnard, Patricia Bournai, Thierry Gautier, Paul Le Guernic.
   Copyright (C) by INRIA-CNRS - developed by Espresso project - GPL v2 License - 2010.

   Contact: polychronycontact@listes.irisa.fr 

   This file is part of Polychrony Signal Toolbox (http://www.irisa.fr/espresso/polychrony).

   Polychrony  Signal Toolbox is free software; you can redistribute it and/or modify it under
   the terms of the GNU General Public License Version 2 as published by the Free
   Software Foundation.

   Polychrony Signal Toolbox is distributed in the hope that it will be useful, but WITHOUT ANY
   WARRANTY; without even the implied warranty of MERCHANTABILITY or
   FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License Version 2
   for more details.

   You should have received a copy of the GNU General Public License Version 2
   along with Polychrony Signal Toolbox; see the file COPYING. If not, consult the url 
    http://www.gnu.org/licenses/gpl-2.0.html, or write to the Free
   Software Foundation, 51 Franklin Street, Fifth Floor, Boston, MA
   02110-1301, USA. 
*/
#ifndef __STRINGME__
#define __STRINGME__
EXTERN boolean new_reg (ptreg * aRegister);
EXTERN void regFree (ptreg aRegister);
EXTERN void regClear (ptreg aRegister);
EXTERN char * regGet_bufAdr (ptreg aRegister);
EXTERN int regGet_startRank (ptreg aRegister);
EXTERN char regGet_char (ptreg aRegister, int rank);
EXTERN int regGet_usedSize (ptreg aRegister);
EXTERN void regSet_usedSize (ptreg aRegister, int regLg);
EXTERN boolean regConc_char(ptreg aRegister, char c);
EXTERN boolean new_reg_char (ptreg * aRegister, char c);
EXTERN boolean regConcNtimes_char (ptreg aRegister, char c, int srcLg);
EXTERN boolean new_regNtimes_char (ptreg * aRegister, char c, int srcLg);
EXTERN boolean regConcNchar_CString(ptreg aRegister, const char * srcString, int srcLg, boolean separate);
EXTERN boolean new_regNchar_CString (ptreg * aRegister, const char * srcString, int srcLg);
EXTERN boolean regConc_CString (ptreg aRegister, const char * srcString, boolean separate);
EXTERN boolean new_reg_CString (ptreg * aRegister, const char * srcString);
EXTERN boolean regConc_repstr (ptreg aRegister, ptrepstr srcRepstr, boolean separate);
EXTERN boolean new_reg_repstr(ptreg * aRegister, ptrepstr srcRepstr);
EXTERN boolean regConc_reg (ptreg tgtRegIndex, ptreg srcRegIndex, boolean separate);
EXTERN int regSplit(ptreg aRegister, char separator, int lg);
EXTERN ptrepstr regGet_repstrSubstring(ptreg aRegister, int index);
EXTERN boolean regStore_repstr (ptreg aRegister, ptrepstr * ic);
EXTERN short ptrepstr_get_short_hashValue (ptrepstr ich);
EXTERN char cstrgetchar (int icc, int i);
EXTERN boolean cstreq (ptrepstr ic1, ptrepstr ic2);
EXTERN int cstrcompar (ptrepstr ic1, ptrepstr ic2);
EXTERN int cstrsize (ptrepstr ic);
EXTERN boolean cstrinttostr (long long int aLLIValue, ptreg aRegister);
EXTERN long long int crepstr2integer (ptrepstr ich);

#endif
