/* requires 
 * #include <stddef.h>
 * #include <stdlib.h>
 * #include <stdio.h>
 */

#define ASSERT_MALLOC_OK(POINTER) \
{\
 if ((void *)(POINTER) == NULL)\
 {\
  fprintf(stderr,"out of memory\n");\
  exit(1);\
 }\
}

#define MALLOC(type,size) ((type) malloc(size))

#undef FREE
#define FREE(POINTER) free(POINTER)
