class ContextTree :public Soundness
{
public: 
  static ref2ContextTree the_staticContextTree;
  static int the_elementNumber;
private:
  static int the_constructiveNumber;
  static int the_passiveNumber;
  static ref2NodeManager the_argumentTable;
  static ref2NodeManager the_variableTable;
  static ref2NodeManager the_fileTable;
  static ref2NodeManager the_externTable;
  static ref2ElementList the_constructiveNodes; /* sorted during dependence analysis*/
  static ref2ElementList the_passiveNodes; /* sorted during dependence analysis*/
  static ref2ElementList the_linkedFileList;
#include "ContextTree_g.h"
private:
  ref2ElementList this_localDeclarationList;
  ref2ElementList this_constructorList; /* executable variables and direct files */
  ref2ContextTreeList this_contextTreeList;
  ref2Context this_owner;
};
