/* this is an iterator referring to parameter or context variable identifier
 * the name of this iterator is (Identifier::)this_name
 * this has list type
 * when this refers to a context variable
 *      this actual value is (Identifier::)this_formula equal to the actual value of the referred to identifier,
             statically set at this occurrence reading
 *      this_linkedIdentifier is NIL_Identifier
 * when this refers to a parameter
 *      this actual value is (Identifier::)this_formula equal to the actual value of the referred to identifier,
             dynamically set at each function call
 *      this_linkedIdentifier is the referred to parameter
 * this remaining steps (including current one) value list is (Iterator::)thisIteratedTail is set when entering iteration 
             and reset to start a new step
 * this current step actual value is (Iterator::)thisIteratedActualString set each time remaining step is set
 */
class Iterator :public Identifier
{
#include "Iterator_g.h"
 private:
  ref2Identifier this_linkedIdentifier; /* is NIL if this refers to a context variable or if this is in error
					   refers to a parameter identifier when not NIL */
  char * this_iteratedCString; /* current CString value in an iteration of this */
  ref2ArgumentList this_iteratedTail;/* current remainder in an iteration of this */
};
