#define GET_SCOPE() this_scope
#define SET_SCOPE(_SCOPE_) this_scope = _SCOPE_

#define SET_UNKNOWN_SCOPE() SET_SCOPE(UNKNOWN_SCOPE())
#define SET_EMPTY() SET_SCOPE(EMPTY_SCOPE())
#define SET_STATIC() SET_SCOPE(STATIC_SCOPE())
#define SET_DYNAMIC() SET_SCOPE(DYNAMIC_SCOPE())
#define SET_ITERATED() SET_SCOPE(ITERATOR_SCOPE())

#define IS_EMPTY() ( GET_SCOPE() == EMPTY_SCOPE() )
#define IS_NOTEMPTY() ( GET_SCOPE() >= STATIC_SCOPE() )
#define IS_NOTEMPTY_STATIC() ( GET_SCOPE() == STATIC_SCOPE() )
#define ISKNOWN_STATIC() ( GET_SCOPE() <= STATIC_SCOPE() )
#define IS_STATIC() ( IS_EMPTY() || IS_NOTEMPTY_STATIC() )
#define IS_DYNAMIC() ( GET_SCOPE() >=  DYNAMIC_SCOPE())
#define IS_NESTED() ( GET_SCOPE() ==  DYNAMIC_SCOPE())
#define IS_NOTITERATED() ( GET_SCOPE() <= DYNAMIC_SCOPE() )
#define IS_ITERATED() ( GET_SCOPE() == ITERATOR_SCOPE() )


