#define UNKNOWN_TYPE() -1
#define STRING_TYPE() 0
#define LIST_TYPE() 1
#define GET_TYPE() this_type 

#define SET_UNKNOWN_TYPE() GET_TYPE() = UNKNOWN_TYPE()
#define SET_STRING_TYPE() GET_TYPE() = STRING_TYPE() 
#define SET_LIST_TYPE() GET_TYPE() = LIST_TYPE() 
#define SET_TYPE(_TYPE_) GET_TYPE() = _TYPE_

#define IS_TYPED() ( GET_TYPE() != UNKNOWN_TYPE() )
#define HAS_STRING_TYPE() ( GET_TYPE() == STRING_TYPE() )
#define HAS_LIST_TYPE() ( GET_TYPE() == LIST_TYPE() )

#define IS_STRING_TYPE(ATYPE) ( ATYPE == STRING_TYPE() )
#define IS_LIST_TYPE(ATYPE) ( ATYPE == LIST_TYPE() )
#define HAS_TYPE(ATYPE) ( GET_TYPE() == ATYPE )


