/* this_nodeReference is not NIL
 * this is not safe iff this_dependenceNature is errorCODE
 */
#define GET_OLDEST() GENESIA
#define GET_FUTURE() NodeElement::FUTURE
#define isLeft_strictlyYOUNGER_than_Right(Left, Right) ( Left > Right )

#define IS_NEWERPolicy() ( this_dependenceNature == newerBuildCODE )
#define IS_EVERPolicy() ( this_dependenceNature == everBuildCODE )
#define IS_MISSINGPolicy() ( this_dependenceNature == missingBuildCODE )
#define IS_ACTIVEPolicy() ( this_hasHighDependenceLevel || IS_EVERPolicy() )

#define LOG_DEPATTR_LN() LOGFILE()->put_dependenceAttribute_ln(this_dependenceNature, this_hasHighDependenceLevel);


/* ==========  ==========  ==========  ========== TITLE: these attributes
 */

_PUBLIC_ _VIRTUAL_ const char *
AncestorList::myClassName ()
{
  return "AncestorList";
}

/* ========== Attributes
 */
/* returns this next Ancestor
 */
ref2AncestorList
AncestorList::next ()
{
  return cdr;
}

/* appends succ at the end of this 
 */
void
AncestorList::append (ref2AncestorList succ)
{
  if (cdr == NIL_AncestorList)
    cdr = succ;
  else
    cdr->append (succ);
}

/* this is supposed to be safe
 */
void
AncestorList::append_ancestorActions (ref2LineList actionLines)
{
  if (cdr == NIL_AncestorList)
    if (these_ancestorActions == NIL_LineList)
      these_ancestorActions = actionLines;
    else
      these_ancestorActions->append (actionLines);
  else
    cdr->append_ancestorActions (actionLines);
}

/* ========== Printer
 */

_PUBLIC_ void
AncestorList::printThis_value_ln (ref2Lexical printingContext, ref2IntePrinter outBuffer)
{
  outBuffer->put_ln_dependenceOpening_spN ();
  if (IS_SAFE ())
    {
      this_nodeReference->print_nameValue_sp (printingContext, outBuffer);
      outBuffer->put_dependenceAttribute_ln (this_dependenceNature, this_hasHighDependenceLevel);
      if (these_ancestorActions != NIL_LineList)
	these_ancestorActions->line (outBuffer);
    }
  else
    outBuffer->line ("## ERROR in AncestorList::line_header unsafe element##");
}

_PUBLIC_ _VIRTUAL_ void
AncestorList::print_value (ref2Lexical printingContext, ref2IntePrinter outBuffer)
{
  ref2AncestorList predActList = this;
  while (predActList != NIL_AncestorList)
    {
      predActList->printThis_value_ln (printingContext, outBuffer);
      predActList = predActList->cdr;
    }
}

_PUBLIC_ void
AncestorList::printThis_formula_ln (ref2Lexical printingContext, ref2IntePrinter outBuffer)
{
  outBuffer->put_ln_dependenceOpening_spN ();
  if (IS_SAFE ())
    {
      this_nodeReference->print_nameValue_sp (printingContext, outBuffer);
      outBuffer->put_dependenceAttribute_ln (this_dependenceNature, this_hasHighDependenceLevel);
      if (these_ancestorActions != NIL_LineList)
	these_ancestorActions->line (outBuffer);
    }
  else
    outBuffer->line ("## ERROR in AncestorList::line_header unsafe element##");
}

_PUBLIC_ _VIRTUAL_ void
AncestorList::print_formula (ref2Lexical printingContext, ref2IntePrinter outBuffer)
{
  ref2AncestorList predActList = this;
  while (predActList != NIL_AncestorList)
    {
      predActList->printThis_formula_ln (printingContext, outBuffer);
      predActList = predActList->cdr;
    }
}

/* ========== Log
 */
/* ==========  ==========  printing in log::ancestor list
 */
_PRIVATE_ void
AncestorList::logThis_value (int fdepth, int vdepth)
{
  if (IS_SAFE ())
    {
      log_strOrNil (this_nodeReference->get_name ());
      LOGFILE ()->put_dependenceAttribute_ln (this_dependenceNature, this_hasHighDependenceLevel);
      /* this ancestor post action */
      if (these_ancestorActions != NIL_LineList)
	these_ancestorActions->log_formula (fdepth, vdepth);
    }
  else
    {
      log_nil ();
      log_sp ();
      log_nil ();
    }
  log_ln ();
}

_PRIVATE_ void
AncestorList::logThis_innerObject (int fdepth, int vdepth)
{
  if (IS_SAFE ())
    {
      log_strOrNil (this_nodeReference->get_name ());
      LOGFILE ()->put_dependenceAttribute_ln (this_dependenceNature, this_hasHighDependenceLevel);
      /* this ancestor post action */
      if (these_ancestorActions != NIL_LineList)
	these_ancestorActions->log_object (fdepth, vdepth);
    }
  else
    {
      log_nil ();
      log_sp ();
      log_nil ();
    }
  log_ln ();
}

_PUBLIC_ _VIRTUAL_ void
AncestorList::log_value (int fdepth, int vdepth)
{
  ref2AncestorList predActList = this;
  while (predActList != NIL_AncestorList)
    {
      predActList->logThis_value (fdepth, vdepth);
      predActList = predActList->cdr;
    }
}

_PUBLIC_ _VIRTUAL_ void
AncestorList::log_formula (int fdepth, int vdepth)
{
  log_value (fdepth, vdepth);
}

_PUBLIC_ _VIRTUAL_ void
AncestorList::log_innerObject (int fdepth, int vdepth)
{
  ref2AncestorList predActList = this;
  while (predActList != NIL_AncestorList)
    {
      predActList->logThis_innerObject (fdepth, vdepth);
      predActList = predActList->cdr;
    }
}

void
AncestorList::lineDebugThis_ (int level)
{
  log_spn_str_ln (level, this_nodeReference->myClassName ());
  if (IS_SAFE ())
    {
      logDebug_thisNameIs_ln (level, this_nodeReference->get_name ());
      LOGFILE ()->put_dependenceAttribute_ln (this_dependenceNature, this_hasHighDependenceLevel);
      /* this ancestor post action */
      if (these_ancestorActions == NIL_LineList)
	log_NILComponent_ln (level, "post-action");
      else
	{
	  these_ancestorActions->logDebug_subFormula_ln (level, "post action generator");
	}
    }
  else
    log_spn_str_ln (level, "this reference is unsafe");
}

_PUBLIC_ void
AncestorList::logExtendedDebug_formula_ln (int level)
{
  ref2AncestorList predActList = this;
  while (predActList != NIL_AncestorList)
    {
      predActList->lineDebugThis_ (level + 1);
      predActList = predActList->cdr;
    }
}

/*  ==========  ========== Reader
 */

/* ==========  ==========  this Grapher
 */

/* PLG 2005-08-30
 * success: this ancestor is safe, this has some missing ancestor file
 *              <correct>, <cycleRoot> remain unchanged
 * failure: these ancestors are safe, and none of ancestor files is missing
 *              <correct>, <cycleRoot> remain unchanged
 *          some of these ancestors is in error, this is cycle free
 *               <cycleRoot> remains unchanged
 *               <correct> is set to false
 *          this participates to a cycle
 *               <cycleRoot> is set to the root of this cycle
 *               <correct> is set to false
 */
boolean
AncestorList::hasThis_missingAncestorFile (ref2NodeElement comingFrom, boolean * correct, ref2NodeElement * cycleRoot)
{
  return this_nodeReference->has_missingAncestorFile (comingFrom, correct, cycleRoot);
}

/* PLG 2006-01-10
 * ancestor update intrinsic modality
 * if this is safe, this_nodeReference is not NIL
 * <contextTime> is the time of the file which building can be decided when looking at this
 * <comingFrom> is the most inner file (transitively) preceded by this
 * success: this ancestor XX is referred to through
 *              never or standard modality: XX is updated with intrinsic modality
 *                  <ancestor_updatedDate> is assigned this_nodeReference updated date
 *              ever modality: XX is not updated
 *                  <ancestor_updatedDate> is assigned FUTURE
 *              missing modality: XX is not updated
 *                  XX is a missing file or a variable referring to some missing file
 *                     <ancestor_updatedDate> is assigned FUTURE
 *                  other
 *                     <ancestor_updatedDate> is assigned OLDEST
 * failure: set this in error 
 *           <cycleRoot> is set to a cycle root if some cycle has been found
 */
boolean
AncestorList::__setThis_intrinsicUpdate (time_t contextTime, ref2NodeElement comingFrom, time_t * ancestor_updatedDate, ref2NodeElement * cycleRoot)
{
  // fprintf(stderr, "DEBUG AncestorList::__setThis_intrinsicUpdate\n");
  if (IS_NEWERPolicy ())	/* standard or never modality */
    return this_nodeReference->set_intrinsicUpdate (contextTime, comingFrom, ancestor_updatedDate, cycleRoot);
  if (IS_EVERPolicy ())
    {				/* ever or recursively ever modality */
      if (this_nodeReference->set_intrinsicUpdate (contextTime, comingFrom, ancestor_updatedDate, cycleRoot))
	{
	  (*ancestor_updatedDate) = GET_FUTURE ();
	  return pk_true;
	}
      return pk_false;
    }
  if (IS_MISSINGPolicy ())
    {
      boolean lCorrect = pk_true;
      if (this_nodeReference->has_missingAncestorFile (comingFrom, &lCorrect, cycleRoot))
	{
	  (*ancestor_updatedDate) = GET_FUTURE ();
	  return pk_true;
	}
      if (lCorrect)
	(*ancestor_updatedDate) = GET_OLDEST ();
      return pk_true;
    }
  return pk_false;
}

/* PLG 2006-01-10
 * ancestor update standard modality
 * if this is safe, this_nodeReference is not NIL
 * <creator> is the most inner constructive node that precedes this, is not <creator>  NIL
 * <comingFrom> is the most inner file (transitively) preceded by this
 * success: this ancestor XX is referred to through
 *              passive missing modality: XX is not updated 
 *                  <isToBeBuilt> is set to pk_true if XX is a missing file or a variable referring to some missing file
 *                  <ancestor_updatedDate> is assigned oldest date
 *              constructive missing modality: 
 *                  XX is a missing file or a variable referring to some missing file
 *                     XX is updated with ever modality
 *                     <isToBeBuilt> is set to pk_true 
 *                     <ancestor_updatedDate> is assigned FUTURE
 *                  other
 *                     XX is not updated
 *                     <isToBeBuilt> remains unchanged
 *                     <ancestor_updatedDate> is assigned OLDEST
 * failure: set this in error 
 *           <cycleRoot> is set to a cycle root if some cycle has been found
 */
boolean
AncestorList::__setThis_missingUpdate (ref2NodeElement creator, ref2NodeElement comingFrom,
				       time_t * ancestor_updatedDate, boolean * isToBeBuilt, ref2NodeElement * cycleRoot)
{
  // fprintf(stderr, "DEBUG AncestorList::__setThis_standardUpdate\n");
  if (this_hasHighDependenceLevel)
    {				/* missing file dependence, build this_nodeReference through this dependence if missing */
      boolean isMissing = pk_false;
      if (this_nodeReference->set_missingUpdate (creator, comingFrom, &isMissing, cycleRoot))
	{
	  if (isMissing)
	    {
	      (*isToBeBuilt) = pk_true;
	      (*ancestor_updatedDate) = GET_FUTURE ();
	    }
	  else
	    (*ancestor_updatedDate) = GET_OLDEST ();
	  return pk_true;
	}
      return pk_false;
    }
  else
    {				/* missing file dependence, never build through this dependence */
      boolean lCorrect = pk_true;
      if (this_nodeReference->has_missingAncestorFile (comingFrom, &lCorrect, cycleRoot))
	{
	  (*ancestor_updatedDate) = GET_FUTURE ();
	  (*isToBeBuilt) = pk_true;
	  return pk_true;
	}
      if (lCorrect)
	{
	  (*ancestor_updatedDate) = GET_OLDEST ();
	  return pk_true;
	}
    }
  return pk_false;
}

/* PLG 2006-01-10
 * ancestor update standard modality
 * if this is safe, this_nodeReference is not NIL
 * <creator> is the most inner constructive node that precedes this, is not <creator>  NIL
 * <contextTime> is the time of the file which building can be decided when looking at this
 * <comingFrom> is the most inner file (transitively) preceded by this
 * success: this ancestor XX is referred to through
 *              never modality: XX is updated with intrinsic modality
 *                  <isToBeBuilt> is set according to this exploration
 *                  <ancestor_updatedDate> is assigned XX updated date
 *              standard modality: XX is updated with standard modality
 *                  <isToBeBuilt> is set according to this exploration
 *                  <ancestor_updatedDate> is assigned XX updated date
 *              ever modality: XX is updated with ever modality
 *                  <isToBeBuilt> is set to pk_true
 *                  <ancestor_updatedDate> is assigned XX updated date
 *              recursive ever modality: XX is updated with recursive ever modality
 *                  <isToBeBuilt> is set to pk_true
 *                  <ancestor_updatedDate> is assigned XX updated date
 *              passive missing modality: XX is not updated 
 *                  <isToBeBuilt> is set to pk_true if XX is a missing file or a variable referring to some missing file
 *                  <ancestor_updatedDate> is assigned oldest date
 *              constructive missing modality: 
 *                  XX is a missing file or a variable referring to some missing file
 *                     XX is updated with ever modality
 *                     <isToBeBuilt> is set to pk_true 
 *                     <ancestor_updatedDate> is assigned FUTURE
 *                  other
 *                     XX is not updated
 *                     <isToBeBuilt> remains unchanged
 *                     <ancestor_updatedDate> is assigned OLDEST
 * failure: set this in error 
 *           <cycleRoot> is set to a cycle root if some cycle has been found
 */
boolean
AncestorList::__setThis_standardUpdate (ref2NodeElement creator, time_t contextTime, ref2NodeElement comingFrom,
					time_t * ancestor_updatedDate, boolean * isToBeBuilt, ref2NodeElement * cycleRoot)
{
  // fprintf(stderr, "DEBUG AncestorList::__setThis_standardUpdate\n");
  if (IS_NEWERPolicy ())
    {
      if (this_hasHighDependenceLevel)	/* standard time dependence */
	return this_nodeReference->set_standardUpdate (creator, contextTime, comingFrom, ancestor_updatedDate, isToBeBuilt, cycleRoot);
      if (this_nodeReference->set_intrinsicUpdate (contextTime, comingFrom, ancestor_updatedDate, cycleRoot))
	{
	  if ((*ancestor_updatedDate) == GET_FUTURE ())
	    (*isToBeBuilt) = pk_true;
	  return pk_true;
	}
      return pk_false;
    }
  if (IS_EVERPolicy ())
    {				/* ever or recursively ever time dependence */
      (*isToBeBuilt) = pk_true;
      (*ancestor_updatedDate) = GET_FUTURE ();
      if (this_hasHighDependenceLevel)
	{
	  return this_nodeReference->set_recursiveEverUpdate (creator, comingFrom, ancestor_updatedDate, isToBeBuilt, cycleRoot);
	}
      return this_nodeReference->set_everUpdate (creator, comingFrom, cycleRoot);
    }
  return __setThis_missingUpdate (creator, comingFrom, ancestor_updatedDate, isToBeBuilt, cycleRoot);
}

/* PLG 2006-01-10
 * ancestor update recursive ever modality
 * if this is safe, this_nodeReference is not NIL
 * <creator> is the most inner constructive node that precedes this, <creator> is not NIL
 * <comingFrom> is the most inner file (transitively) preceded by this
 * success: this ancestor XX is referred to through
 *              <ancestor_updatedDate> is not always FUTURE to avoid side effect due to exploration ordering
 *              never modality: XX is updated with intrinsic modality
 *                  <ancestor_updatedDate> is assigned XX updated date
 *              standard modality: XX is updated with recursive ever modality
 *                  <ancestor_updatedDate> is assigned XX updated date
 *              ever, recursive ever modality: XX is updated with recursive ever modality
 *                  <ancestor_updatedDate> is assigned XX updated date
 *              passive missing modality: XX is not updated 
 *                  <isToBeBuilt> is set to pk_true if XX is a missing file or a variable referring to some missing file
 *                  <ancestor_updatedDate> is assigned oldest date
 *              constructive missing modality: 
 *                  XX is a missing file or a variable referring to some missing file
 *                     XX is updated with ever modality
 *                     <isToBeBuilt> is set to pk_true 
 *                     <ancestor_updatedDate> is assigned FUTURE
 *                  other
 *                     XX is not updated
 *                     <isToBeBuilt> remains unchanged
 *                     <ancestor_updatedDate> is assigned OLDEST
 * failure: set this in error 
 *           <cycleRoot> is set to a cycle root if some cycle has been found
 */
boolean
AncestorList::__setThis_recursiveEverUpdate (ref2NodeElement creator, ref2NodeElement comingFrom,
					     time_t * ancestor_updatedDate, boolean * isToBeBuilt, ref2NodeElement * cycleRoot)
{
  // fprintf(stderr, "DEBUG AncestorList::__setThis_recursiveEverUpdate, code is %i\n", this_dependenceNature);
  if (IS_NEWERPolicy ())
    {
      (*isToBeBuilt) = pk_true;
      if (this_hasHighDependenceLevel)
	return this_nodeReference->set_recursiveEverUpdate (creator, comingFrom, ancestor_updatedDate, isToBeBuilt, cycleRoot);
      return this_nodeReference->set_intrinsicUpdate (GET_FUTURE (), comingFrom, ancestor_updatedDate, cycleRoot);
    }
  if (IS_EVERPolicy ())
    {
      (*isToBeBuilt) = pk_true;
      return this_nodeReference->set_recursiveEverUpdate (creator, comingFrom, ancestor_updatedDate, isToBeBuilt, cycleRoot);
    }
  return __setThis_missingUpdate (creator, comingFrom, ancestor_updatedDate, isToBeBuilt, cycleRoot);
}

/* ==========  ==========  Grapher
 */

/* PLG 2006-01-10
 * search for missing file; depth search is limited by files
 * <comingFrom> is the node immediately preceded by this
 * <logContext> is the message printing context
 * success: all these ancestors are safe, some ancestor is or recursively has missing ancestor file
 *              <correct>, <cycleRoot> remain unchanged
 * failure: all these ancestor are safe, and none of these recursively reached ancestor files is missing
 *              <correct>, <cycleRoot> remain unchanged
 *          some of these ancestors is (recursively) in error, this is cycle free
 *               <cycleRoot> remains unchanged
 *               <correct> is set to false
 *          this participates to a cycle
 *               <cycleRoot> is set to the root of this cycle
 *               <correct> is set to false
*/
boolean
AncestorList::has_missingAncestorFile (ref2NodeElement comingFrom, ref2Context logContext, boolean * correct, ref2NodeElement * cycleRoot)
{
  ref2AncestorList tail_ancestorLst = this;
  boolean lCorrect = pk_true;
  debugLineTabulation (4);
  do
    {
      if (tail_ancestorLst->hasThis_missingAncestorFile (comingFrom, &lCorrect, cycleRoot))
	{
	  debugBackTabulation ();
	  return pk_true;
	}
      if (!lCorrect)
	{
	  (*correct) = pk_false;
	  debugBackTabulation ();
	  return pk_false;
	}
      tail_ancestorLst = tail_ancestorLst->next ();
    }
  while (tail_ancestorLst != NIL_AncestorList);
  debugBackTabulation ();
  return pk_false;
}

/* PLG 2006-01-10
 * <contextTime> is the time of the file which building can be decided when looking at this
 * <comingFrom> is the node immediately preceded by this
 * <logContext> is the message printing context
 * success: all referred to nodes are properly defined 
 *          a reference YY to an ancestor XX can be 
 *              never or standard modality: XX is updated with intrinsic modality
 *                  YY updated date is XX updated date
 *              ever or recursive ever modality: XX is updated with intrinsic modality
 *                  YY dependence updated date is FUTURE
 *              missing modality: XX is not updated
 *                  XX is a missing file or a variable referring to some missing file
 *                     YY dependence updated date is FUTURE
 *                  other
 *                     YY dependence updated date is OLDEST
 *          dependence updated date (wrt above dependence policy) of some ancestor XX 
 *                  is strictly younger than <inner_updatedDate> initial value
 *               <inner_updatedDate> is assigned the youngest updated date of these ancestors
 *          all ancestor updated dates (wrt above dependence policy) are older than <inner_updatedDate> initial value
 *               <inner_updatedDate> remains unchanged
 * failure: some referred to node is not properly defined or some missing file does not have definition
 *          a cyclic dependence including this is found, this is not the cycle root
 *                sets <cycleRoot> to cycle root
 *          no cyclic dependence includes this, or this is the cycle root
 *                <cycleRoot> remains unchanged
 */
_PUBLIC_
  boolean AncestorList::set_intrinsicUpdate (time_t contextTime, ref2NodeElement comingFrom, ref2Context logContext,
					     time_t * inner_updatedDate, ref2NodeElement * cycleRoot)
{
  // fprintf(stderr, "DEBUG AncestorList::set_intrinsicUpdate\n");
  ref2AncestorList
    tail_ancestorLst = this;
  boolean
    lCorrect = pk_true;
  time_t
    ancestor_updatedDate;
  debugLineTabulation (4);
  do
    {
      if (tail_ancestorLst->__setThis_intrinsicUpdate (contextTime, comingFrom, &ancestor_updatedDate, cycleRoot))
	{
	  if (isLeft_strictlyYOUNGER_than_Right (ancestor_updatedDate, *inner_updatedDate))
	    (*inner_updatedDate) = ancestor_updatedDate;
	}
      else
	lCorrect = pk_false;
      tail_ancestorLst = tail_ancestorLst->next ();
      debugLine ();
    }
  while (tail_ancestorLst != NIL_AncestorList);
  debugBackTabulation ();
  return lCorrect;
}

/* PLG 2006-01-10
 * <creator> is the most inner constructive node that precedes this, <creator> is not NIL
 * <contextTime> is the time of the file which building can be decided when looking at this
 * <comingFrom> is the node immediately preceded by this
 * <logContext> is the message printing context
 * <inner_updatedDate> has an initial value DD
 * success: all referred to nodes are properly defined 
 *          all refered to nodes are updated until a never missing requirement dependence
 *          updated date (wrt dependence policy) of some ancestor is younger than <inner_updatedDate> initial value
 *               <inner_updatedDate> is assigned the youngest updated date of these ancestors
 *               <someIsToBeBuilt> is set to pk_true 
 *          all ancestor updated dates (wrt dependence policy) are older than <inner_updatedDate> initial value
 *               <inner_updatedDate> remains unchanged
 *               some ancestor has to be built due to ever or recursive ever modality
 *                    <someIsToBeBuilt> is set to pk_true 
 *               none of these ancestors has to be built
 *                    <someIsToBeBuilt> remains unchanged
 * failure: some referred to node is not properly defined or some missing file does not have definition
 *          a cyclic dependence including this is found, this is not the cycle root
 *                sets <cycleRoot> to cycle root
 *          no cyclic dependence includes this, or this is the cycle root
 *                <cycleRoot> remains unchanged
 */
_PUBLIC_
  boolean AncestorList::set_standardUpdate (ref2NodeElement creator, time_t contextTime, ref2NodeElement comingFrom, ref2Context logContext,
					    time_t * inner_updatedDate, boolean * someIsToBeBuilt, ref2NodeElement * cycleRoot)
{
  // fprintf(stderr, "DEBUG AncestorList::set_standardUpdate this is %i\n", (int)this);
  ref2AncestorList
    tail_ancestorLst = this;
  boolean
    lCorrect = pk_true;
  boolean
    isToBeBuilt = pk_false;
  time_t
    ancestor_updatedDate;
  debugLineTabulation (4);
  do
    {
      if (tail_ancestorLst->__setThis_standardUpdate (creator, contextTime, comingFrom, &ancestor_updatedDate, &isToBeBuilt, cycleRoot))
	{
	  if (isLeft_strictlyYOUNGER_than_Right (ancestor_updatedDate, *inner_updatedDate))
	    {
	      (*inner_updatedDate) = ancestor_updatedDate;
	    }
	  if (isToBeBuilt)
	    {
	      isToBeBuilt = pk_false;
	      (*someIsToBeBuilt) = pk_true;
	    }
	}
      else
	lCorrect = pk_false;
      tail_ancestorLst = tail_ancestorLst->next ();
      debugLine ();
    }
  while (tail_ancestorLst != NIL_AncestorList);
  debugBackTabulation ();
  return lCorrect;
}

/* PLG 2006-01-10
 * <creator> is the most inner constructive node that precedes this, <creator> is not NIL
 * <comingFrom> is the most inner node preceded by this
 * <logContext> is the message printing context
 * success: all referred to nodes are properly defined 
 *          <updatedDate> is not always FUTURE to avoid side effect due to exploration ordering
 *          recursive ever does not imply dpendence wit recursive ever modality
 *          all refered to nodes are updated until a never modality
 *          some ancestor updated date is newer than <updatedDate> initial value
 *              <updatedDate> is assigned newest intrinsic updated date of these ancestors
 *          all ancestor updated dates are older than <updatedDate> initial value
 *               <updatedDate> remains unchanged
 * failure: some referred to node is not properly defined or some missing file does not have definition
 *          a cyclic dependence including this is found, this is not the cycle root
 *                sets <cycleRoot> to cycle root
 *          no cyclic dependence includes this, or this is the cycle root
 *                <cycleRoot> remains unchanged
 */
_PUBLIC_
  boolean AncestorList::set_recursiveEverUpdate (ref2NodeElement creator, ref2NodeElement comingFrom, ref2Context logContext,
						 time_t * updatedDate, boolean * isToBeBuilt, ref2NodeElement * cycleRoot)
{
  // fprintf(stderr, "DEBUG AncestorList::set_recursiveEverUpdate \n");
  ref2AncestorList
    tail_ancestorLst = this;
  boolean
    lCorrect = pk_true;
  time_t
    ancestor_updatedDate;
  debugLineTabulation (4);
  do
    {
      if (tail_ancestorLst->__setThis_recursiveEverUpdate (creator, comingFrom, &ancestor_updatedDate, isToBeBuilt, cycleRoot))
	{
	  if (isLeft_strictlyYOUNGER_than_Right (ancestor_updatedDate, *updatedDate))
	    (*updatedDate) = ancestor_updatedDate;
	}
      else
	lCorrect = pk_false;
      tail_ancestorLst = tail_ancestorLst->next ();
      debugLine ();
    }
  while (tail_ancestorLst != NIL_AncestorList);
  debugBackTabulation ();
  return lCorrect;
}

/* ==========  ==========  this Generator
 */

/* assumes this_nodeReference not NIL_NodeElement 
 * executes actions terminating this dependence
 * failure: this is in error or some existing action failed to be executed
 */
boolean
AncestorList::executeThis_ (ref2NodeElement curExecutedNode)
{
  // fprintf(stderr, "DEBUG AncestorList::executeThis_\n");
  /* this_dependenceNature is missingBuildCODE or newerBuildCODE or everBuildCODE */
  if (IS_EVERPolicy ())
    {
      if (!this_nodeReference->execute (curExecutedNode))
	return pk_false;
    }
  else if (IS_SAFE ())
    {
      if (this_hasHighDependenceLevel)
	{
	  if (!this_nodeReference->execute (curExecutedNode))
	    return pk_false;
	}
      else if (!this_nodeReference->nested_requiredConstructive ())
	return pk_false;
    }
  else
    return pk_false;
  if (these_ancestorActions != NIL_LineList)
    return these_ancestorActions->execute ();
  return pk_true;
}

/* assumes this_nodeReference is not NIL_NodeElement when this_dependenceNature is not errorCODE
 * executes actions terminating this dependence
 * failure: some existing action failed to be executed
 */
boolean
AncestorList::generateThis_ (ref2NodeElement curBuiltFile, ref2Buffer fileToPrint)
{
  // fprintf(stderr, "DEBUG AncestorList::generateThis_ this is %i\n", (int)this);
  /* this_dependenceNature is missingBuildCODE or newerBuildCODE or everBuildCODE */
  if (IS_EVERPolicy ())
    {
      if (!(this_nodeReference->generate (curBuiltFile, fileToPrint)))
	{
	  return pk_false;
	}
    }
  else if (IS_SAFE ())
    {
      if (this_hasHighDependenceLevel)
	{
	  if (!(this_nodeReference->generate (curBuiltFile, fileToPrint)))
	    return pk_false;
	}
      else if (!(this_nodeReference->nested_requiredConstructive ()))
	return pk_false;
    }
  else
    return pk_false;
  if (these_ancestorActions != NIL_LineList)
    these_ancestorActions->generate (fileToPrint);
  return pk_true;
}

/* assumes this_nodeReference not NIL_NodeElement 
 * executes actions terminating this dependence
 * failure: this is unsafe or some existing action failed to be executed
 */
boolean
AncestorList::doThis_innerConstructive (boolean activeDependence)
{
  if (IS_SAFE ())
    return this_nodeReference->do_innerConstructive (activeDependence && IS_ACTIVEPolicy ());
  return pk_false;
}

/* ==========  ==========  full list Generator
 */

/*
 * Internal object
 *     an internal object is executed at most once
 *     curExecutedNode is the nearest executable node that depends on this
 *     
 */
boolean
AncestorList::execute (ref2NodeElement curExecutedNode)
{
  ref2AncestorList predActList = this;

  // fprintf(stderr, "DEBUG AncestorList::execute\n");
  debugTabulation (4);
  while (predActList->executeThis_ (curExecutedNode))
    {
      predActList = predActList->cdr;
      if (predActList == NIL_AncestorList)
	{
	  debugBackTabulation ();
	  return pk_true;
	}
    }
  debugBackTabulation ();
  return pk_false;
}

/*
 * Internal object
 *     an internal object can be built several times (one for each built file)
 *     obj is the object to build
 *     curBuiltFile is the nearest file that that depends on obj
 *     
 */
boolean
AncestorList::generate (ref2NodeElement curBuiltFile, ref2Buffer fileToPrint)
{
  ref2AncestorList predActList = this;

  debugTabulation (4);
  while (predActList->generateThis_ (curBuiltFile, fileToPrint))
    {
      predActList = predActList->cdr;
      if (predActList == NIL_AncestorList)
	{
	  debugBackTabulation ();
	  return pk_true;
	}
    }
  debugBackTabulation ();
  return pk_false;
}

/*
 * Internal object
 *     an internal object can be built several times (one for each built file)
 *     obj is the object to build
 *     curBuiltFile is the nearest file that that depends on obj
 *     
 */
boolean
AncestorList::do_innerConstructive (ref2Context logContext, boolean activeDependence)
{
  ref2AncestorList predActList = this;

  // fprintf(stderr, "DEBUG AncestorList::generate\n");
  debugTabulation (4);
  while (predActList->doThis_innerConstructive (activeDependence))
    {
      predActList = predActList->cdr;
      if (predActList == NIL_AncestorList)
	{
	  debugBackTabulation ();
	  return pk_true;
	}
    }
  debugBackTabulation ();
  return pk_false;
}

/* ========== Builder
 */

/* assumes theIdentNode not NIL_NodeElement (not checked)
 * Empty ancestor list creation
 * used in GenericAncestorList
 */
AncestorList::AncestorList (ref2NodeElement theIdentNode, int dependenceNature, boolean highDependenceLevel, ref2LineList ancestorAction, ref2AncestorList ancestorListTail):Soundness
  ()
{
  this_nodeReference = theIdentNode;
  this_dependenceNature = dependenceNature;
  this_hasHighDependenceLevel = highDependenceLevel;
  these_ancestorActions = ancestorAction;
  cdr = ancestorListTail;
  // fprintf(stderr, "DEBUG AncestorList::AncestorList this reference is %s\n", this_nodeReference->get_name());
}
