/* TODO 
 */

_PUBLIC_ _VIRTUAL_ const char *
CommandElement::myClassName ()
{
  return "CommandElement";
}

/* ========== Attributes
 */

_VIRTUAL_ void
CommandElement::logDebug_inner (int level)
{
  if (this_elementFunctionCall == NIL_ElementFunctionCall)
    log_spn_str_ln (level, "this function call is not defined");
  else
    {
      log_subTitle_ln (level, "this function call is ");
      this_elementFunctionCall->logExtendedDebug_formula_ln (level + 1);
    }
}

/* ========== Writer
 */
_VIRTUAL_ void
CommandElement::print_genericElementInner (ref2Lexical printingContext, ref2IntePrinter outBuffer)
{
  if (this_elementFunctionCall != NIL_ElementFunctionCall)
    this_elementFunctionCall->print_formula (printingContext, outBuffer);
}

/* ========== Log
 */

/* ========== Set
 */

/* ========== Printer
 */

/* ========== Reader
 */

/* ========== Generator
 */

/* builds a node from this
 * <callingContext> is not NIL (not checked)
 * parameterValues has been assigned to formal parameters
 * remains callingContext unchanged
 * failure: this is not a correct node generator
 *               error message is printed
 */
_PROTECTED_ _VIRTUAL_ boolean CommandElement::build_elementInner (ref2DynamicContext callingContext, ref2ArgumentList comments)
{
  // logDEBUG_in("build_elementInner");
  if (this_elementFunctionCall == NIL_ElementFunctionCall)
    {
      return pk_false;
    }
  return this_elementFunctionCall->call (callingContext, NIL_FunctionElement);
}

/* ========== Builder
 */

/* creates and returns a new object descriptor named <name>
   PLG: used in ElementFunctionElement
 */
_PUBLIC_ CommandElement::CommandElement (ref2DynamicContext readingContext, ref2ElementFunctionCall elementFunctionCall, ref2ArgumentList comments):GenericElement (readingContext,
		comments)
{
  this_elementFunctionCall = elementFunctionCall;
}
