/* TODO 
 */
_PUBLIC_ _VIRTUAL_ const char *
GenericElement::myClassName ()
{
  return "GenericElement";
}

/* ========== Attributes
 */

/* ========== Log
 */

_PUBLIC_ _VIRTUAL_ void
GenericElement::logExtendedDebug_formula_ln (int level)
{
  logDebug_objAnnounce_ln (level);
  if (these_commentLines == NIL_ArgumentList)
    log_NILComponent_ln (level, "comment");
  else
    {
      log_spn_str_ln (level, "these comment lines are");
      these_commentLines->logExtendedDebug_formula_ln (level + 1);
    }
  logDebug_inner (level);
  logDebug_objClosing_ln (level);
}

/* ========== Writer
 */

_VIRTUAL_ void
GenericElement::print_genericElementInner (ref2Lexical printingContext, ref2IntePrinter outBuffer)
{
}

_VIRTUAL_ void
GenericElement::print_genericInner (ref2Lexical printingContext, ref2IntePrinter outBuffer)
{
  // logDEBUG_in("print_genericInner");
  if (these_commentLines != NIL_ArgumentList)
    {
      these_commentLines->print_commentList (printingContext, outBuffer, pk_false);
      outBuffer->line ();
    }
  print_genericElementInner (printingContext, outBuffer);
}

/* ========== Set
 */

/* ========== Reader
 */

/* ========== Generator
 */

/* builds a node from this
 * <callingContext> is not NIL (not checked)
 * parameterValues has been assigned to formal parameters
 * remains callingContext unchanged
 * failure: this is not a correct node generator
 *               error message is printed
 */
_PROTECTED_ _VIRTUAL_ boolean GenericElement::build_elementInner (ref2DynamicContext callingContext, ref2ArgumentList comments)
{
  // logDEBUG_in("build_elementInner in GenericElement");
  return pk_false;
}

/* builds a node from this
 * <callingContext> is not NIL (not checked)
 * parameterValues has been assigned to formal parameters
 * remains callingContext unchanged
 * failure: this is not a correct node generator
 *               error message is printed
 */
_VIRTUAL_ boolean
GenericElement::build_element (ref2DynamicContext callingContext)
{
  // logDEBUG_in("build_element");
  ref2ArgumentList arg_res;
  if (these_commentLines == NIL_ArgumentList)
    return build_elementInner (callingContext, NIL_ArgumentList);
  if (these_commentLines->getIf_flatten_listExpand_ (&arg_res))
    return build_elementInner (callingContext, arg_res);
  return pk_false;
}

/* ========== Builder
 */

/* creates and returns a new object descriptor named <name>
   PLG: used in ElementFunctionElement
 */
GenericElement::GenericElement (ref2DynamicContext readingContext, ref2ArgumentList comments):GenericElementList (readingContext)
{
  these_commentLines = comments;
}
