/* TODO 
 */

_PUBLIC_ _VIRTUAL_ const char *
MetaElement::myClassName ()
{
  return "MetaElement";
}

/* ========== Attributes
 */

/* ========== Debugger
 */
void
MetaElement::logDEBUG_name ()
{
  if (this_name == NIL_Argument)
    log_nil ();
  else
    {
      logDEBUG_in ("======================================================================");
      this_name->log_formula_ (pk_false);
      logDEBUG_in ("======================================================================");
    }
}

_PROTECTED_ _VIRTUAL_ void
MetaElement::logDebug_metaCategory (int level)
{
  log_spn_str_ln (level, "this has unknown category");
}

_PRIVATE_ void
MetaElement::logDebug_header (int level)
{
  if (this_name == NIL_Argument)
    log_NILComponent_ln (level, "header name");
  else
    {
      logDebug_metaCategory (level);
      log_subTitle_ln (level, "this name is");
      this_name->logExtendedDebug_formula_ln (level + 1);
    }
}

_PROTECTED_ _VIRTUAL_ void
MetaElement::logDebug_body (int level)
{
}

_PROTECTED_ _VIRTUAL_ void
MetaElement::logDebug_inner (int level)
{
  logDebug_header (level);
  logDebug_body (level);
}

/* ========== Log
 */

/* ========== Set
 */

/* ========== Printer
 */

_VIRTUAL_ void
MetaElement::print_genericHeader (ref2Lexical printingContext, ref2IntePrinter outBuffer)
{
  // fprintf(stderr, "DEBUG MetaElement::print_genericHeader\n");
}

_VIRTUAL_ void
MetaElement::print_genericValue (ref2Lexical printingContext, ref2IntePrinter outBuffer)
{
  // fprintf(stderr, "DEBUG MetaElement::print_genericValue\n");
}

_VIRTUAL_ void
MetaElement::print_genericElementInner (ref2Lexical printingContext, ref2IntePrinter outBuffer)
{
  // fprintf(stderr, "DEBUG MetaElement::print_genericElementInner\n");
  print_genericHeader (printingContext, outBuffer);
  print_genericValue (printingContext, outBuffer);
}

/* ========== Reader
 */

/* ========== Generator
 */

/* ========= Variable
 */

_PROTECTED_ _VIRTUAL_ boolean MetaElement::build_elementInnerDecl (ref2DynamicContext callingContext, char *name, ref2ArgumentList comments)
{
  // logDEBUG_in("build_elementInnerDecl, name is", name);
  return pk_true;
}

/* builds a node from this
 * <callingContext> is not NIL (not checked)
 * parameterValues has been assigned to formal parameters
 * remains callingContext unchanged
 * failure: this is not a correct node generator
 *               error message is printed
 */
_PROTECTED_ _VIRTUAL_ boolean MetaElement::build_elementInner (ref2DynamicContext callingContext, ref2ArgumentList comments)
{
  char *
    name;
  // logDEBUG_in("build_elementInner");
  if (this_name->getIf_CString_cast_expand_ (&name))
    {
      return build_elementInnerDecl (callingContext, name, comments);
    }
  return pk_false;
}

/* ========== Builder
 */
/* 2004-12-30
 * creates and returns a new object descriptor which name generator is <nameArgument>
 * success: cursor starts [Direct_attribute] [fileSpace*] [NODE_BODY] '}' [fileSpace*] [Character_but_Space]
 *          or cursor starts [NODE_BODY] '}' [fileSpace*] [Character_but_Space]
 *          where
 *          cursor is moved to final character [fileSpace*] [Character_but_Space]
 * failure: cursor starts [Character*] '}' [fileSpace*] [Character_but_Space], 
 *            an error occured in [Character*], '{' '}' are well balanced in [Character*]
 *                cursor is moved to final [Character_but_Space]
 *          cursor starts [Character*] [fileSpace*] [EOF], 
 *            '{' '}' are well balanced in [Character*]
 *                cursor is moved to final [EOF]
 *          error message is printed
 *          <correct> is set to false
 * PLG USED IN FREE POSITION: checked 2007-04-17 MetaElement::MetaElement
 */
_PUBLIC_ MetaElement::MetaElement (ref2DynamicContext readingContext, ref2ArgumentList comments, ref2Argument nameArgument):GenericElement (readingContext,
		comments)
{
  //  readingContext->log_ASDEBUG("MetaElement::MetaElement");
  this_name = nameArgument;
}
