/* Argument and high level command codes
 */
#define errorCODE -2
#define notAnIdentifierCODE -1
#define notACommandCODE 0

/* argument or node  */
#define userCODE 1

#define publicCODE 2
#define globalCODE 3
#define iterateCODE 4

/* string types and string functions */
#define stringCODE 10
#define hostvalCODE 11
#define stringvalCODE 12

/* list types and list functions */
#define listCODE 20
#define listvalCODE 21

/* ancestor type */
#define ancestorCODE 30
#define innerCODE 31

#define missingBuildCODE 32
#define newerBuildCODE 33
#define everBuildCODE 34

/* node type */
#define nodeCODE 40
#define execCODE 41
#define writeCODE 42

/* context type */
#define defineCODE 50
#define contextCODE 51

/* High level commands
 */
#define bootCODE 60
