/* reserved characters */
#define declOpeningTAG '{'
#define declClosingTAG '}'
#define funcDeclClosingMARK "}:"
#define ancestorOpeningMARK "}?"
#define defaultOpeningMARK "}/"

#define preludeOpeningTAG '{'
#define referenceTAG '$'
#define fileTAG '!'
#define externTAG '~'
#define varGeneratorTAG '$'
#define fileGeneratorTAG '!'
#define externGeneratorTAG '~'
#define commentTAG ';'
/* WARNING !!! syntactic analysis is assumed to prevent using C white spaces as context dependent marks */
#define reservedCharacter "{}$!~"

#define fileEndTAG '^'
/* to be replaced by '}', but is_fileClosing() should be modified to accept '}' as closing only when it has no
 * corresponding '}'
 * #define fileEndTAG '}'
*/
#define contextLexicalMARK "$$"

#define openingTAG '('
#define closingTAG ')'
/* startEnvTag, endEnvTag to be replaced by envTag*/
#define startEnvTAG '<' 
#define endEnvTAG '>'
#define listTAG '*'
#define defaultTAG '/'

#define everTAG '!'
#define recursiveTAG '*'
#define neverTAG '~'
#define missingTAG '-'
#define conditionTAG '/'


#define commandTAG ':'
#define stringTAG '"'
#define identifierHeaderChar "abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ_"
#define identifierCharSet "abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ_0123456789."

#define ancestorWORD "ancestor"
#define bootWORD "boot"
#define contextWORD "context"
// = = =
#define defineWORD "define"
// = = =
#define execWORD "exec"
#define hostvalWORD "hostval"
#define innerWORD "inner"
// = = = = = = =
#define iterateWORD "iterate"
// = = = = = = = =
#define listWORD "list"
#define listvalWORD "listval"
#define nodeWORD "node"
#define publicWORD "public"
// = = = =
#define staticWORD "static"
// = = =
#define stringWORD "string"
#define stringvalWORD "stringval"
#define writeWORD "write"
