
PRINT("Variable: ${utl_pKMake}")
SET(PREFIX pKMake_)
SET(DIRS src mod incl)
SETVARIABLES("${DIRS}" ${utl_pKMake} ${PREFIX} utl_pKMake )

USER_DEF_VAR(${utl_pKMake} ${PREFIX}obj utl_obj)
USER_DEF_VAR(${utl_pKMake} ${PREFIX}bin utl_bin)

DECLARECOMPONENTS("${DIRS}" ${PREFIX})


IF(PKCONFIG)
  # Not a standard config file.
  GET_STD_CONFIG_NAME(${utl_pKMake} CONFIG_FILE)
  GET_STD_BUILDCOMMAND(makepKmake CMD OPTIONS DEFAULT_OPTIONS)
  SET(OPTIONS ${GLOB_PK_MAKE_OPTIONS})

  SET(CMD_FILE ${utl_pKMake}/${CMD})
  GEN_HEADER_SCRIPT(${CMD_FILE})
  # nothing for windows.
  IF(UNIX)
    GEN_REQUIRE_SHELL_VAR(${CMD_FILE} Host_obj)
    GEN_REQUIRE_SHELL_VAR(${CMD_FILE} pKMake_obj)
    GEN_REQUIRE_SHELL_VAR(${CMD_FILE} pKMake_mod)
    GEN_REQUIRE_SHELL_VAR(${CMD_FILE} pKMake_src)
    GEN_CMAKE_CMD(${CMD_FILE} "${OPTIONS}" "${DEFAULT_OPTIONS}" ${CMD} utl_pKMake "STD")

    DEFINE_CMD_IN_CONFIG_FILE(${CONFIG_FILE} ${CMD} "${OPTIONS}" ${CMD_FILE} " pKmake utility version")
  ENDIF(UNIX)
  
ENDIF(PKCONFIG)
